#include <qabstractscrollarea.h>
#include <qaction.h>
#include <qbytearray.h>
#include <qchar.h>
#include <qcolor.h>
#include <qcoreevent.h>
#include <qcursor.h>
#include <qdatastream.h>
#include <qdom.h>
#include <qevent.h>
#include <qfont.h>
#include <qframe.h>
#include <qimage.h>
#include <qline.h>
#include <qnamespace.h>
#include <qobject.h>
#include <qobjectdefs.h>
#include <qpaintdevice.h>
#include <qpaintengine.h>
#include <qpainter.h>
#include <qpainterpath.h>
#include <qpalette.h>
#include <qpixmap.h>
#include <qpoint.h>
#include <qrect.h>
#include <qscrollarea.h>
#include <qsize.h>
#include <qstyle.h>
#include <qvariant.h>
#include <qwidget.h>
#include <dom/css_rule.h>
#include <dom/css_stylesheet.h>
#include <dom/css_value.h>
#include <dom/dom2_events.h>
#include <dom/dom2_range.h>
#include <dom/dom2_traversal.h>
#include <dom/dom2_views.h>
#include <dom/dom_doc.h>
#include <dom/dom_element.h>
#include <dom/dom_exception.h>
#include <dom/dom_misc.h>
#include <dom/dom_node.h>
#include <dom/dom_string.h>
#include <dom/dom_text.h>
#include <dom/dom_xml.h>
#include <dom/html_base.h>
#include <dom/html_block.h>
#include <dom/html_document.h>
#include <dom/html_element.h>
#include <dom/html_form.h>
#include <dom/html_head.h>
#include <dom/html_image.h>
#include <dom/html_inline.h>
#include <dom/html_list.h>
#include <dom/html_misc.h>
#include <dom/html_object.h>
#include <dom/html_table.h>
#include <kactioncollection.h>
#include <kcomponentdata.h>
#include <kconfig.h>
#include <kconfiggroup.h>
#include <kfinddialog.h>
#include <khtml_part.h>
#include <khtml_settings.h>
#include <khtmlview.h>
#include <kio/jobclasses.h>
#include <kio/udsentry.h>
#include <kjob.h>
#include <kparts/browserextension.h>
#include <kparts/event.h>
#include <kparts/part.h>
#include <kparts/partmanager.h>
#include <kparts/plugin.h>
#include <kurl.h>
#include <kxmlguiclient.h>

#include <smoke.h>

#include <khtml_smoke.h>

static void *khtml_cast(void *xptr, Smoke::Index from, Smoke::Index to) {
    switch(from) {
      case 2:	//DOM::AbstractView
	switch(to) {
	    case 2: return (void*)(DOM::AbstractView*)(DOM::AbstractView*)xptr;
	  default: return xptr;
	}
      case 3:	//DOM::Attr
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Attr*)xptr;
	    case 3: return (void*)(DOM::Attr*)(DOM::Attr*)xptr;
	  default: return xptr;
	}
      case 4:	//DOM::CDATASection
	switch(to) {
	    case 114: return (void*)(DOM::Text*)(DOM::CDATASection*)xptr;
	    case 20: return (void*)(DOM::CharacterData*)(DOM::CDATASection*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::CDATASection*)xptr;
	    case 4: return (void*)(DOM::CDATASection*)(DOM::CDATASection*)xptr;
	  default: return xptr;
	}
      case 5:	//DOM::CSSCharsetRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSCharsetRule*)xptr;
	    case 5: return (void*)(DOM::CSSCharsetRule*)(DOM::CSSCharsetRule*)xptr;
	  default: return xptr;
	}
      case 6:	//DOM::CSSException
	switch(to) {
	    case 6: return (void*)(DOM::CSSException*)(DOM::CSSException*)xptr;
	  default: return xptr;
	}
      case 7:	//DOM::CSSFontFaceRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSFontFaceRule*)xptr;
	    case 7: return (void*)(DOM::CSSFontFaceRule*)(DOM::CSSFontFaceRule*)xptr;
	  default: return xptr;
	}
      case 8:	//DOM::CSSImportRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSImportRule*)xptr;
	    case 8: return (void*)(DOM::CSSImportRule*)(DOM::CSSImportRule*)xptr;
	  default: return xptr;
	}
      case 9:	//DOM::CSSMediaRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSMediaRule*)xptr;
	    case 9: return (void*)(DOM::CSSMediaRule*)(DOM::CSSMediaRule*)xptr;
	  default: return xptr;
	}
      case 10:	//DOM::CSSPageRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSPageRule*)xptr;
	    case 10: return (void*)(DOM::CSSPageRule*)(DOM::CSSPageRule*)xptr;
	  default: return xptr;
	}
      case 11:	//DOM::CSSPrimitiveValue
	switch(to) {
	    case 18: return (void*)(DOM::CSSValue*)(DOM::CSSPrimitiveValue*)xptr;
	    case 11: return (void*)(DOM::CSSPrimitiveValue*)(DOM::CSSPrimitiveValue*)xptr;
	  default: return xptr;
	}
      case 12:	//DOM::CSSRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSRule*)xptr;
	    case 5: return (void*)(DOM::CSSCharsetRule*)(DOM::CSSRule*)xptr;
	    case 7: return (void*)(DOM::CSSFontFaceRule*)(DOM::CSSRule*)xptr;
	    case 8: return (void*)(DOM::CSSImportRule*)(DOM::CSSRule*)xptr;
	    case 9: return (void*)(DOM::CSSMediaRule*)(DOM::CSSRule*)xptr;
	    case 10: return (void*)(DOM::CSSPageRule*)(DOM::CSSRule*)xptr;
	    case 15: return (void*)(DOM::CSSStyleRule*)(DOM::CSSRule*)xptr;
	    case 17: return (void*)(DOM::CSSUnknownRule*)(DOM::CSSRule*)xptr;
	  default: return xptr;
	}
      case 13:	//DOM::CSSRuleList
	switch(to) {
	    case 13: return (void*)(DOM::CSSRuleList*)(DOM::CSSRuleList*)xptr;
	  default: return xptr;
	}
      case 14:	//DOM::CSSStyleDeclaration
	switch(to) {
	    case 14: return (void*)(DOM::CSSStyleDeclaration*)(DOM::CSSStyleDeclaration*)xptr;
	  default: return xptr;
	}
      case 15:	//DOM::CSSStyleRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSStyleRule*)xptr;
	    case 15: return (void*)(DOM::CSSStyleRule*)(DOM::CSSStyleRule*)xptr;
	  default: return xptr;
	}
      case 16:	//DOM::CSSStyleSheet
	switch(to) {
	    case 112: return (void*)(DOM::StyleSheet*)(DOM::CSSStyleSheet*)xptr;
	    case 16: return (void*)(DOM::CSSStyleSheet*)(DOM::CSSStyleSheet*)xptr;
	  default: return xptr;
	}
      case 17:	//DOM::CSSUnknownRule
	switch(to) {
	    case 12: return (void*)(DOM::CSSRule*)(DOM::CSSUnknownRule*)xptr;
	    case 17: return (void*)(DOM::CSSUnknownRule*)(DOM::CSSUnknownRule*)xptr;
	  default: return xptr;
	}
      case 18:	//DOM::CSSValue
	switch(to) {
	    case 18: return (void*)(DOM::CSSValue*)(DOM::CSSValue*)xptr;
	    case 11: return (void*)(DOM::CSSPrimitiveValue*)(DOM::CSSValue*)xptr;
	    case 19: return (void*)(DOM::CSSValueList*)(DOM::CSSValue*)xptr;
	  default: return xptr;
	}
      case 19:	//DOM::CSSValueList
	switch(to) {
	    case 18: return (void*)(DOM::CSSValue*)(DOM::CSSValueList*)xptr;
	    case 19: return (void*)(DOM::CSSValueList*)(DOM::CSSValueList*)xptr;
	  default: return xptr;
	}
      case 20:	//DOM::CharacterData
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::CharacterData*)xptr;
	    case 20: return (void*)(DOM::CharacterData*)(DOM::CharacterData*)xptr;
	    case 4: return (void*)(DOM::CDATASection*)(DOM::CharacterData*)xptr;
	    case 21: return (void*)(DOM::Comment*)(DOM::CharacterData*)xptr;
	    case 114: return (void*)(DOM::Text*)(DOM::CharacterData*)xptr;
	  default: return xptr;
	}
      case 21:	//DOM::Comment
	switch(to) {
	    case 20: return (void*)(DOM::CharacterData*)(DOM::Comment*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::Comment*)xptr;
	    case 21: return (void*)(DOM::Comment*)(DOM::Comment*)xptr;
	  default: return xptr;
	}
      case 22:	//DOM::Counter
	switch(to) {
	    case 22: return (void*)(DOM::Counter*)(DOM::Counter*)xptr;
	  default: return xptr;
	}
      case 23:	//DOM::CustomNodeFilter
	switch(to) {
	    case 31: return (void*)(DOM::DomShared*)(DOM::CustomNodeFilter*)xptr;
	    case 23: return (void*)(DOM::CustomNodeFilter*)(DOM::CustomNodeFilter*)xptr;
	  default: return xptr;
	}
      case 24:	//DOM::DOMException
	switch(to) {
	    case 24: return (void*)(DOM::DOMException*)(DOM::DOMException*)xptr;
	  default: return xptr;
	}
      case 25:	//DOM::DOMImplementation
	switch(to) {
	    case 25: return (void*)(DOM::DOMImplementation*)(DOM::DOMImplementation*)xptr;
	  default: return xptr;
	}
      case 26:	//DOM::DOMString
	switch(to) {
	    case 26: return (void*)(DOM::DOMString*)(DOM::DOMString*)xptr;
	  default: return xptr;
	}
      case 27:	//DOM::Document
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Document*)xptr;
	    case 27: return (void*)(DOM::Document*)(DOM::Document*)xptr;
	    case 51: return (void*)(DOM::HTMLDocument*)(DOM::Document*)xptr;
	  default: return xptr;
	}
      case 28:	//DOM::DocumentFragment
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::DocumentFragment*)xptr;
	    case 28: return (void*)(DOM::DocumentFragment*)(DOM::DocumentFragment*)xptr;
	  default: return xptr;
	}
      case 29:	//DOM::DocumentStyle
	switch(to) {
	    case 29: return (void*)(DOM::DocumentStyle*)(DOM::DocumentStyle*)xptr;
	  default: return xptr;
	}
      case 30:	//DOM::DocumentType
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::DocumentType*)xptr;
	    case 30: return (void*)(DOM::DocumentType*)(DOM::DocumentType*)xptr;
	  default: return xptr;
	}
      case 31:	//DOM::DomShared
	switch(to) {
	    case 31: return (void*)(DOM::DomShared*)(DOM::DomShared*)xptr;
	    case 23: return (void*)(DOM::CustomNodeFilter*)(DOM::DomShared*)xptr;
	    case 37: return (void*)(DOM::EventListener*)(DOM::DomShared*)xptr;
	  default: return xptr;
	}
      case 32:	//DOM::Element
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Element*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::Element*)xptr;
	    case 38: return (void*)(DOM::HTMLAnchorElement*)(DOM::Element*)xptr;
	    case 39: return (void*)(DOM::HTMLAppletElement*)(DOM::Element*)xptr;
	    case 40: return (void*)(DOM::HTMLAreaElement*)(DOM::Element*)xptr;
	    case 41: return (void*)(DOM::HTMLBRElement*)(DOM::Element*)xptr;
	    case 42: return (void*)(DOM::HTMLBaseElement*)(DOM::Element*)xptr;
	    case 43: return (void*)(DOM::HTMLBaseFontElement*)(DOM::Element*)xptr;
	    case 44: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::Element*)xptr;
	    case 45: return (void*)(DOM::HTMLBodyElement*)(DOM::Element*)xptr;
	    case 46: return (void*)(DOM::HTMLButtonElement*)(DOM::Element*)xptr;
	    case 48: return (void*)(DOM::HTMLDListElement*)(DOM::Element*)xptr;
	    case 49: return (void*)(DOM::HTMLDirectoryElement*)(DOM::Element*)xptr;
	    case 50: return (void*)(DOM::HTMLDivElement*)(DOM::Element*)xptr;
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::Element*)xptr;
	    case 53: return (void*)(DOM::HTMLFieldSetElement*)(DOM::Element*)xptr;
	    case 54: return (void*)(DOM::HTMLFontElement*)(DOM::Element*)xptr;
	    case 56: return (void*)(DOM::HTMLFormElement*)(DOM::Element*)xptr;
	    case 57: return (void*)(DOM::HTMLFrameElement*)(DOM::Element*)xptr;
	    case 58: return (void*)(DOM::HTMLFrameSetElement*)(DOM::Element*)xptr;
	    case 59: return (void*)(DOM::HTMLHRElement*)(DOM::Element*)xptr;
	    case 60: return (void*)(DOM::HTMLHeadElement*)(DOM::Element*)xptr;
	    case 61: return (void*)(DOM::HTMLHeadingElement*)(DOM::Element*)xptr;
	    case 62: return (void*)(DOM::HTMLHtmlElement*)(DOM::Element*)xptr;
	    case 63: return (void*)(DOM::HTMLIFrameElement*)(DOM::Element*)xptr;
	    case 64: return (void*)(DOM::HTMLImageElement*)(DOM::Element*)xptr;
	    case 65: return (void*)(DOM::HTMLInputElement*)(DOM::Element*)xptr;
	    case 66: return (void*)(DOM::HTMLIsIndexElement*)(DOM::Element*)xptr;
	    case 67: return (void*)(DOM::HTMLLIElement*)(DOM::Element*)xptr;
	    case 68: return (void*)(DOM::HTMLLabelElement*)(DOM::Element*)xptr;
	    case 69: return (void*)(DOM::HTMLLayerElement*)(DOM::Element*)xptr;
	    case 70: return (void*)(DOM::HTMLLegendElement*)(DOM::Element*)xptr;
	    case 71: return (void*)(DOM::HTMLLinkElement*)(DOM::Element*)xptr;
	    case 72: return (void*)(DOM::HTMLMapElement*)(DOM::Element*)xptr;
	    case 73: return (void*)(DOM::HTMLMenuElement*)(DOM::Element*)xptr;
	    case 74: return (void*)(DOM::HTMLMetaElement*)(DOM::Element*)xptr;
	    case 75: return (void*)(DOM::HTMLModElement*)(DOM::Element*)xptr;
	    case 76: return (void*)(DOM::HTMLOListElement*)(DOM::Element*)xptr;
	    case 77: return (void*)(DOM::HTMLObjectElement*)(DOM::Element*)xptr;
	    case 78: return (void*)(DOM::HTMLOptGroupElement*)(DOM::Element*)xptr;
	    case 79: return (void*)(DOM::HTMLOptionElement*)(DOM::Element*)xptr;
	    case 80: return (void*)(DOM::HTMLParagraphElement*)(DOM::Element*)xptr;
	    case 81: return (void*)(DOM::HTMLParamElement*)(DOM::Element*)xptr;
	    case 82: return (void*)(DOM::HTMLPreElement*)(DOM::Element*)xptr;
	    case 83: return (void*)(DOM::HTMLQuoteElement*)(DOM::Element*)xptr;
	    case 84: return (void*)(DOM::HTMLScriptElement*)(DOM::Element*)xptr;
	    case 85: return (void*)(DOM::HTMLSelectElement*)(DOM::Element*)xptr;
	    case 86: return (void*)(DOM::HTMLStyleElement*)(DOM::Element*)xptr;
	    case 87: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::Element*)xptr;
	    case 88: return (void*)(DOM::HTMLTableCellElement*)(DOM::Element*)xptr;
	    case 89: return (void*)(DOM::HTMLTableColElement*)(DOM::Element*)xptr;
	    case 90: return (void*)(DOM::HTMLTableElement*)(DOM::Element*)xptr;
	    case 91: return (void*)(DOM::HTMLTableRowElement*)(DOM::Element*)xptr;
	    case 92: return (void*)(DOM::HTMLTableSectionElement*)(DOM::Element*)xptr;
	    case 93: return (void*)(DOM::HTMLTextAreaElement*)(DOM::Element*)xptr;
	    case 94: return (void*)(DOM::HTMLTitleElement*)(DOM::Element*)xptr;
	    case 95: return (void*)(DOM::HTMLUListElement*)(DOM::Element*)xptr;
	  default: return xptr;
	}
      case 33:	//DOM::Entity
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Entity*)xptr;
	    case 33: return (void*)(DOM::Entity*)(DOM::Entity*)xptr;
	  default: return xptr;
	}
      case 34:	//DOM::EntityReference
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::EntityReference*)xptr;
	    case 34: return (void*)(DOM::EntityReference*)(DOM::EntityReference*)xptr;
	  default: return xptr;
	}
      case 35:	//DOM::Event
	switch(to) {
	    case 35: return (void*)(DOM::Event*)(DOM::Event*)xptr;
	    case 96: return (void*)(DOM::KeyboardEvent*)(DOM::Event*)xptr;
	    case 99: return (void*)(DOM::MouseEvent*)(DOM::Event*)xptr;
	    case 100: return (void*)(DOM::MutationEvent*)(DOM::Event*)xptr;
	    case 115: return (void*)(DOM::TextEvent*)(DOM::Event*)xptr;
	    case 117: return (void*)(DOM::UIEvent*)(DOM::Event*)xptr;
	  default: return xptr;
	}
      case 36:	//DOM::EventException
	switch(to) {
	    case 36: return (void*)(DOM::EventException*)(DOM::EventException*)xptr;
	  default: return xptr;
	}
      case 37:	//DOM::EventListener
	switch(to) {
	    case 31: return (void*)(DOM::DomShared*)(DOM::EventListener*)xptr;
	    case 37: return (void*)(DOM::EventListener*)(DOM::EventListener*)xptr;
	  default: return xptr;
	}
      case 38:	//DOM::HTMLAnchorElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLAnchorElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLAnchorElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLAnchorElement*)xptr;
	    case 38: return (void*)(DOM::HTMLAnchorElement*)(DOM::HTMLAnchorElement*)xptr;
	  default: return xptr;
	}
      case 39:	//DOM::HTMLAppletElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLAppletElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLAppletElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLAppletElement*)xptr;
	    case 39: return (void*)(DOM::HTMLAppletElement*)(DOM::HTMLAppletElement*)xptr;
	  default: return xptr;
	}
      case 40:	//DOM::HTMLAreaElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLAreaElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLAreaElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLAreaElement*)xptr;
	    case 40: return (void*)(DOM::HTMLAreaElement*)(DOM::HTMLAreaElement*)xptr;
	  default: return xptr;
	}
      case 41:	//DOM::HTMLBRElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLBRElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLBRElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLBRElement*)xptr;
	    case 41: return (void*)(DOM::HTMLBRElement*)(DOM::HTMLBRElement*)xptr;
	  default: return xptr;
	}
      case 42:	//DOM::HTMLBaseElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLBaseElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLBaseElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLBaseElement*)xptr;
	    case 42: return (void*)(DOM::HTMLBaseElement*)(DOM::HTMLBaseElement*)xptr;
	  default: return xptr;
	}
      case 43:	//DOM::HTMLBaseFontElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLBaseFontElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLBaseFontElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLBaseFontElement*)xptr;
	    case 43: return (void*)(DOM::HTMLBaseFontElement*)(DOM::HTMLBaseFontElement*)xptr;
	  default: return xptr;
	}
      case 44:	//DOM::HTMLBlockquoteElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLBlockquoteElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLBlockquoteElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLBlockquoteElement*)xptr;
	    case 44: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::HTMLBlockquoteElement*)xptr;
	  default: return xptr;
	}
      case 45:	//DOM::HTMLBodyElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLBodyElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLBodyElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLBodyElement*)xptr;
	    case 45: return (void*)(DOM::HTMLBodyElement*)(DOM::HTMLBodyElement*)xptr;
	  default: return xptr;
	}
      case 46:	//DOM::HTMLButtonElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLButtonElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLButtonElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLButtonElement*)xptr;
	    case 46: return (void*)(DOM::HTMLButtonElement*)(DOM::HTMLButtonElement*)xptr;
	  default: return xptr;
	}
      case 47:	//DOM::HTMLCollection
	switch(to) {
	    case 47: return (void*)(DOM::HTMLCollection*)(DOM::HTMLCollection*)xptr;
	    case 55: return (void*)(DOM::HTMLFormCollection*)(DOM::HTMLCollection*)xptr;
	  default: return xptr;
	}
      case 48:	//DOM::HTMLDListElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLDListElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLDListElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLDListElement*)xptr;
	    case 48: return (void*)(DOM::HTMLDListElement*)(DOM::HTMLDListElement*)xptr;
	  default: return xptr;
	}
      case 49:	//DOM::HTMLDirectoryElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLDirectoryElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLDirectoryElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLDirectoryElement*)xptr;
	    case 49: return (void*)(DOM::HTMLDirectoryElement*)(DOM::HTMLDirectoryElement*)xptr;
	  default: return xptr;
	}
      case 50:	//DOM::HTMLDivElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLDivElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLDivElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLDivElement*)xptr;
	    case 50: return (void*)(DOM::HTMLDivElement*)(DOM::HTMLDivElement*)xptr;
	  default: return xptr;
	}
      case 51:	//DOM::HTMLDocument
	switch(to) {
	    case 27: return (void*)(DOM::Document*)(DOM::HTMLDocument*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLDocument*)xptr;
	    case 51: return (void*)(DOM::HTMLDocument*)(DOM::HTMLDocument*)xptr;
	  default: return xptr;
	}
      case 52:	//DOM::HTMLElement
	switch(to) {
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLElement*)xptr;
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLElement*)xptr;
	    case 38: return (void*)(DOM::HTMLAnchorElement*)(DOM::HTMLElement*)xptr;
	    case 39: return (void*)(DOM::HTMLAppletElement*)(DOM::HTMLElement*)xptr;
	    case 40: return (void*)(DOM::HTMLAreaElement*)(DOM::HTMLElement*)xptr;
	    case 41: return (void*)(DOM::HTMLBRElement*)(DOM::HTMLElement*)xptr;
	    case 42: return (void*)(DOM::HTMLBaseElement*)(DOM::HTMLElement*)xptr;
	    case 43: return (void*)(DOM::HTMLBaseFontElement*)(DOM::HTMLElement*)xptr;
	    case 44: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::HTMLElement*)xptr;
	    case 45: return (void*)(DOM::HTMLBodyElement*)(DOM::HTMLElement*)xptr;
	    case 46: return (void*)(DOM::HTMLButtonElement*)(DOM::HTMLElement*)xptr;
	    case 48: return (void*)(DOM::HTMLDListElement*)(DOM::HTMLElement*)xptr;
	    case 49: return (void*)(DOM::HTMLDirectoryElement*)(DOM::HTMLElement*)xptr;
	    case 50: return (void*)(DOM::HTMLDivElement*)(DOM::HTMLElement*)xptr;
	    case 53: return (void*)(DOM::HTMLFieldSetElement*)(DOM::HTMLElement*)xptr;
	    case 54: return (void*)(DOM::HTMLFontElement*)(DOM::HTMLElement*)xptr;
	    case 56: return (void*)(DOM::HTMLFormElement*)(DOM::HTMLElement*)xptr;
	    case 57: return (void*)(DOM::HTMLFrameElement*)(DOM::HTMLElement*)xptr;
	    case 58: return (void*)(DOM::HTMLFrameSetElement*)(DOM::HTMLElement*)xptr;
	    case 59: return (void*)(DOM::HTMLHRElement*)(DOM::HTMLElement*)xptr;
	    case 60: return (void*)(DOM::HTMLHeadElement*)(DOM::HTMLElement*)xptr;
	    case 61: return (void*)(DOM::HTMLHeadingElement*)(DOM::HTMLElement*)xptr;
	    case 62: return (void*)(DOM::HTMLHtmlElement*)(DOM::HTMLElement*)xptr;
	    case 63: return (void*)(DOM::HTMLIFrameElement*)(DOM::HTMLElement*)xptr;
	    case 64: return (void*)(DOM::HTMLImageElement*)(DOM::HTMLElement*)xptr;
	    case 65: return (void*)(DOM::HTMLInputElement*)(DOM::HTMLElement*)xptr;
	    case 66: return (void*)(DOM::HTMLIsIndexElement*)(DOM::HTMLElement*)xptr;
	    case 67: return (void*)(DOM::HTMLLIElement*)(DOM::HTMLElement*)xptr;
	    case 68: return (void*)(DOM::HTMLLabelElement*)(DOM::HTMLElement*)xptr;
	    case 69: return (void*)(DOM::HTMLLayerElement*)(DOM::HTMLElement*)xptr;
	    case 70: return (void*)(DOM::HTMLLegendElement*)(DOM::HTMLElement*)xptr;
	    case 71: return (void*)(DOM::HTMLLinkElement*)(DOM::HTMLElement*)xptr;
	    case 72: return (void*)(DOM::HTMLMapElement*)(DOM::HTMLElement*)xptr;
	    case 73: return (void*)(DOM::HTMLMenuElement*)(DOM::HTMLElement*)xptr;
	    case 74: return (void*)(DOM::HTMLMetaElement*)(DOM::HTMLElement*)xptr;
	    case 75: return (void*)(DOM::HTMLModElement*)(DOM::HTMLElement*)xptr;
	    case 76: return (void*)(DOM::HTMLOListElement*)(DOM::HTMLElement*)xptr;
	    case 77: return (void*)(DOM::HTMLObjectElement*)(DOM::HTMLElement*)xptr;
	    case 78: return (void*)(DOM::HTMLOptGroupElement*)(DOM::HTMLElement*)xptr;
	    case 79: return (void*)(DOM::HTMLOptionElement*)(DOM::HTMLElement*)xptr;
	    case 80: return (void*)(DOM::HTMLParagraphElement*)(DOM::HTMLElement*)xptr;
	    case 81: return (void*)(DOM::HTMLParamElement*)(DOM::HTMLElement*)xptr;
	    case 82: return (void*)(DOM::HTMLPreElement*)(DOM::HTMLElement*)xptr;
	    case 83: return (void*)(DOM::HTMLQuoteElement*)(DOM::HTMLElement*)xptr;
	    case 84: return (void*)(DOM::HTMLScriptElement*)(DOM::HTMLElement*)xptr;
	    case 85: return (void*)(DOM::HTMLSelectElement*)(DOM::HTMLElement*)xptr;
	    case 86: return (void*)(DOM::HTMLStyleElement*)(DOM::HTMLElement*)xptr;
	    case 87: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::HTMLElement*)xptr;
	    case 88: return (void*)(DOM::HTMLTableCellElement*)(DOM::HTMLElement*)xptr;
	    case 89: return (void*)(DOM::HTMLTableColElement*)(DOM::HTMLElement*)xptr;
	    case 90: return (void*)(DOM::HTMLTableElement*)(DOM::HTMLElement*)xptr;
	    case 91: return (void*)(DOM::HTMLTableRowElement*)(DOM::HTMLElement*)xptr;
	    case 92: return (void*)(DOM::HTMLTableSectionElement*)(DOM::HTMLElement*)xptr;
	    case 93: return (void*)(DOM::HTMLTextAreaElement*)(DOM::HTMLElement*)xptr;
	    case 94: return (void*)(DOM::HTMLTitleElement*)(DOM::HTMLElement*)xptr;
	    case 95: return (void*)(DOM::HTMLUListElement*)(DOM::HTMLElement*)xptr;
	  default: return xptr;
	}
      case 53:	//DOM::HTMLFieldSetElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLFieldSetElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLFieldSetElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLFieldSetElement*)xptr;
	    case 53: return (void*)(DOM::HTMLFieldSetElement*)(DOM::HTMLFieldSetElement*)xptr;
	  default: return xptr;
	}
      case 54:	//DOM::HTMLFontElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLFontElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLFontElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLFontElement*)xptr;
	    case 54: return (void*)(DOM::HTMLFontElement*)(DOM::HTMLFontElement*)xptr;
	  default: return xptr;
	}
      case 55:	//DOM::HTMLFormCollection
	switch(to) {
	    case 47: return (void*)(DOM::HTMLCollection*)(DOM::HTMLFormCollection*)xptr;
	    case 55: return (void*)(DOM::HTMLFormCollection*)(DOM::HTMLFormCollection*)xptr;
	  default: return xptr;
	}
      case 56:	//DOM::HTMLFormElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLFormElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLFormElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLFormElement*)xptr;
	    case 56: return (void*)(DOM::HTMLFormElement*)(DOM::HTMLFormElement*)xptr;
	  default: return xptr;
	}
      case 57:	//DOM::HTMLFrameElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLFrameElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLFrameElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLFrameElement*)xptr;
	    case 57: return (void*)(DOM::HTMLFrameElement*)(DOM::HTMLFrameElement*)xptr;
	  default: return xptr;
	}
      case 58:	//DOM::HTMLFrameSetElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLFrameSetElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLFrameSetElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLFrameSetElement*)xptr;
	    case 58: return (void*)(DOM::HTMLFrameSetElement*)(DOM::HTMLFrameSetElement*)xptr;
	  default: return xptr;
	}
      case 59:	//DOM::HTMLHRElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLHRElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLHRElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLHRElement*)xptr;
	    case 59: return (void*)(DOM::HTMLHRElement*)(DOM::HTMLHRElement*)xptr;
	  default: return xptr;
	}
      case 60:	//DOM::HTMLHeadElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLHeadElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLHeadElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLHeadElement*)xptr;
	    case 60: return (void*)(DOM::HTMLHeadElement*)(DOM::HTMLHeadElement*)xptr;
	  default: return xptr;
	}
      case 61:	//DOM::HTMLHeadingElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLHeadingElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLHeadingElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLHeadingElement*)xptr;
	    case 61: return (void*)(DOM::HTMLHeadingElement*)(DOM::HTMLHeadingElement*)xptr;
	  default: return xptr;
	}
      case 62:	//DOM::HTMLHtmlElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLHtmlElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLHtmlElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLHtmlElement*)xptr;
	    case 62: return (void*)(DOM::HTMLHtmlElement*)(DOM::HTMLHtmlElement*)xptr;
	  default: return xptr;
	}
      case 63:	//DOM::HTMLIFrameElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLIFrameElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLIFrameElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLIFrameElement*)xptr;
	    case 63: return (void*)(DOM::HTMLIFrameElement*)(DOM::HTMLIFrameElement*)xptr;
	  default: return xptr;
	}
      case 64:	//DOM::HTMLImageElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLImageElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLImageElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLImageElement*)xptr;
	    case 64: return (void*)(DOM::HTMLImageElement*)(DOM::HTMLImageElement*)xptr;
	  default: return xptr;
	}
      case 65:	//DOM::HTMLInputElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLInputElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLInputElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLInputElement*)xptr;
	    case 65: return (void*)(DOM::HTMLInputElement*)(DOM::HTMLInputElement*)xptr;
	  default: return xptr;
	}
      case 66:	//DOM::HTMLIsIndexElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLIsIndexElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLIsIndexElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLIsIndexElement*)xptr;
	    case 66: return (void*)(DOM::HTMLIsIndexElement*)(DOM::HTMLIsIndexElement*)xptr;
	  default: return xptr;
	}
      case 67:	//DOM::HTMLLIElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLLIElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLLIElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLLIElement*)xptr;
	    case 67: return (void*)(DOM::HTMLLIElement*)(DOM::HTMLLIElement*)xptr;
	  default: return xptr;
	}
      case 68:	//DOM::HTMLLabelElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLLabelElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLLabelElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLLabelElement*)xptr;
	    case 68: return (void*)(DOM::HTMLLabelElement*)(DOM::HTMLLabelElement*)xptr;
	  default: return xptr;
	}
      case 69:	//DOM::HTMLLayerElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLLayerElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLLayerElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLLayerElement*)xptr;
	    case 69: return (void*)(DOM::HTMLLayerElement*)(DOM::HTMLLayerElement*)xptr;
	  default: return xptr;
	}
      case 70:	//DOM::HTMLLegendElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLLegendElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLLegendElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLLegendElement*)xptr;
	    case 70: return (void*)(DOM::HTMLLegendElement*)(DOM::HTMLLegendElement*)xptr;
	  default: return xptr;
	}
      case 71:	//DOM::HTMLLinkElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLLinkElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLLinkElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLLinkElement*)xptr;
	    case 71: return (void*)(DOM::HTMLLinkElement*)(DOM::HTMLLinkElement*)xptr;
	  default: return xptr;
	}
      case 72:	//DOM::HTMLMapElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLMapElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLMapElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLMapElement*)xptr;
	    case 72: return (void*)(DOM::HTMLMapElement*)(DOM::HTMLMapElement*)xptr;
	  default: return xptr;
	}
      case 73:	//DOM::HTMLMenuElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLMenuElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLMenuElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLMenuElement*)xptr;
	    case 73: return (void*)(DOM::HTMLMenuElement*)(DOM::HTMLMenuElement*)xptr;
	  default: return xptr;
	}
      case 74:	//DOM::HTMLMetaElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLMetaElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLMetaElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLMetaElement*)xptr;
	    case 74: return (void*)(DOM::HTMLMetaElement*)(DOM::HTMLMetaElement*)xptr;
	  default: return xptr;
	}
      case 75:	//DOM::HTMLModElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLModElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLModElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLModElement*)xptr;
	    case 75: return (void*)(DOM::HTMLModElement*)(DOM::HTMLModElement*)xptr;
	  default: return xptr;
	}
      case 76:	//DOM::HTMLOListElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLOListElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLOListElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLOListElement*)xptr;
	    case 76: return (void*)(DOM::HTMLOListElement*)(DOM::HTMLOListElement*)xptr;
	  default: return xptr;
	}
      case 77:	//DOM::HTMLObjectElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLObjectElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLObjectElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLObjectElement*)xptr;
	    case 77: return (void*)(DOM::HTMLObjectElement*)(DOM::HTMLObjectElement*)xptr;
	  default: return xptr;
	}
      case 78:	//DOM::HTMLOptGroupElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLOptGroupElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLOptGroupElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLOptGroupElement*)xptr;
	    case 78: return (void*)(DOM::HTMLOptGroupElement*)(DOM::HTMLOptGroupElement*)xptr;
	  default: return xptr;
	}
      case 79:	//DOM::HTMLOptionElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLOptionElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLOptionElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLOptionElement*)xptr;
	    case 79: return (void*)(DOM::HTMLOptionElement*)(DOM::HTMLOptionElement*)xptr;
	  default: return xptr;
	}
      case 80:	//DOM::HTMLParagraphElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLParagraphElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLParagraphElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLParagraphElement*)xptr;
	    case 80: return (void*)(DOM::HTMLParagraphElement*)(DOM::HTMLParagraphElement*)xptr;
	  default: return xptr;
	}
      case 81:	//DOM::HTMLParamElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLParamElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLParamElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLParamElement*)xptr;
	    case 81: return (void*)(DOM::HTMLParamElement*)(DOM::HTMLParamElement*)xptr;
	  default: return xptr;
	}
      case 82:	//DOM::HTMLPreElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLPreElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLPreElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLPreElement*)xptr;
	    case 82: return (void*)(DOM::HTMLPreElement*)(DOM::HTMLPreElement*)xptr;
	  default: return xptr;
	}
      case 83:	//DOM::HTMLQuoteElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLQuoteElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLQuoteElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLQuoteElement*)xptr;
	    case 83: return (void*)(DOM::HTMLQuoteElement*)(DOM::HTMLQuoteElement*)xptr;
	  default: return xptr;
	}
      case 84:	//DOM::HTMLScriptElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLScriptElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLScriptElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLScriptElement*)xptr;
	    case 84: return (void*)(DOM::HTMLScriptElement*)(DOM::HTMLScriptElement*)xptr;
	  default: return xptr;
	}
      case 85:	//DOM::HTMLSelectElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLSelectElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLSelectElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLSelectElement*)xptr;
	    case 85: return (void*)(DOM::HTMLSelectElement*)(DOM::HTMLSelectElement*)xptr;
	  default: return xptr;
	}
      case 86:	//DOM::HTMLStyleElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLStyleElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLStyleElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLStyleElement*)xptr;
	    case 86: return (void*)(DOM::HTMLStyleElement*)(DOM::HTMLStyleElement*)xptr;
	  default: return xptr;
	}
      case 87:	//DOM::HTMLTableCaptionElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableCaptionElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableCaptionElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableCaptionElement*)xptr;
	    case 87: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::HTMLTableCaptionElement*)xptr;
	  default: return xptr;
	}
      case 88:	//DOM::HTMLTableCellElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableCellElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableCellElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableCellElement*)xptr;
	    case 88: return (void*)(DOM::HTMLTableCellElement*)(DOM::HTMLTableCellElement*)xptr;
	  default: return xptr;
	}
      case 89:	//DOM::HTMLTableColElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableColElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableColElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableColElement*)xptr;
	    case 89: return (void*)(DOM::HTMLTableColElement*)(DOM::HTMLTableColElement*)xptr;
	  default: return xptr;
	}
      case 90:	//DOM::HTMLTableElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableElement*)xptr;
	    case 90: return (void*)(DOM::HTMLTableElement*)(DOM::HTMLTableElement*)xptr;
	  default: return xptr;
	}
      case 91:	//DOM::HTMLTableRowElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableRowElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableRowElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableRowElement*)xptr;
	    case 91: return (void*)(DOM::HTMLTableRowElement*)(DOM::HTMLTableRowElement*)xptr;
	  default: return xptr;
	}
      case 92:	//DOM::HTMLTableSectionElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTableSectionElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTableSectionElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTableSectionElement*)xptr;
	    case 92: return (void*)(DOM::HTMLTableSectionElement*)(DOM::HTMLTableSectionElement*)xptr;
	  default: return xptr;
	}
      case 93:	//DOM::HTMLTextAreaElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTextAreaElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTextAreaElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTextAreaElement*)xptr;
	    case 93: return (void*)(DOM::HTMLTextAreaElement*)(DOM::HTMLTextAreaElement*)xptr;
	  default: return xptr;
	}
      case 94:	//DOM::HTMLTitleElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLTitleElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLTitleElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLTitleElement*)xptr;
	    case 94: return (void*)(DOM::HTMLTitleElement*)(DOM::HTMLTitleElement*)xptr;
	  default: return xptr;
	}
      case 95:	//DOM::HTMLUListElement
	switch(to) {
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::HTMLUListElement*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::HTMLUListElement*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::HTMLUListElement*)xptr;
	    case 95: return (void*)(DOM::HTMLUListElement*)(DOM::HTMLUListElement*)xptr;
	  default: return xptr;
	}
      case 96:	//DOM::KeyboardEvent
	switch(to) {
	    case 117: return (void*)(DOM::UIEvent*)(DOM::KeyboardEvent*)xptr;
	    case 35: return (void*)(DOM::Event*)(DOM::KeyboardEvent*)xptr;
	    case 96: return (void*)(DOM::KeyboardEvent*)(DOM::KeyboardEvent*)xptr;
	  default: return xptr;
	}
      case 97:	//DOM::LinkStyle
	switch(to) {
	    case 97: return (void*)(DOM::LinkStyle*)(DOM::LinkStyle*)xptr;
	  default: return xptr;
	}
      case 98:	//DOM::MediaList
	switch(to) {
	    case 98: return (void*)(DOM::MediaList*)(DOM::MediaList*)xptr;
	  default: return xptr;
	}
      case 99:	//DOM::MouseEvent
	switch(to) {
	    case 117: return (void*)(DOM::UIEvent*)(DOM::MouseEvent*)xptr;
	    case 35: return (void*)(DOM::Event*)(DOM::MouseEvent*)xptr;
	    case 99: return (void*)(DOM::MouseEvent*)(DOM::MouseEvent*)xptr;
	  default: return xptr;
	}
      case 100:	//DOM::MutationEvent
	switch(to) {
	    case 35: return (void*)(DOM::Event*)(DOM::MutationEvent*)xptr;
	    case 100: return (void*)(DOM::MutationEvent*)(DOM::MutationEvent*)xptr;
	  default: return xptr;
	}
      case 101:	//DOM::NamedNodeMap
	switch(to) {
	    case 101: return (void*)(DOM::NamedNodeMap*)(DOM::NamedNodeMap*)xptr;
	  default: return xptr;
	}
      case 102:	//DOM::Node
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Node*)xptr;
	    case 3: return (void*)(DOM::Attr*)(DOM::Node*)xptr;
	    case 4: return (void*)(DOM::CDATASection*)(DOM::Node*)xptr;
	    case 20: return (void*)(DOM::CharacterData*)(DOM::Node*)xptr;
	    case 21: return (void*)(DOM::Comment*)(DOM::Node*)xptr;
	    case 27: return (void*)(DOM::Document*)(DOM::Node*)xptr;
	    case 28: return (void*)(DOM::DocumentFragment*)(DOM::Node*)xptr;
	    case 30: return (void*)(DOM::DocumentType*)(DOM::Node*)xptr;
	    case 32: return (void*)(DOM::Element*)(DOM::Node*)xptr;
	    case 33: return (void*)(DOM::Entity*)(DOM::Node*)xptr;
	    case 34: return (void*)(DOM::EntityReference*)(DOM::Node*)xptr;
	    case 38: return (void*)(DOM::HTMLAnchorElement*)(DOM::Node*)xptr;
	    case 39: return (void*)(DOM::HTMLAppletElement*)(DOM::Node*)xptr;
	    case 40: return (void*)(DOM::HTMLAreaElement*)(DOM::Node*)xptr;
	    case 41: return (void*)(DOM::HTMLBRElement*)(DOM::Node*)xptr;
	    case 42: return (void*)(DOM::HTMLBaseElement*)(DOM::Node*)xptr;
	    case 43: return (void*)(DOM::HTMLBaseFontElement*)(DOM::Node*)xptr;
	    case 44: return (void*)(DOM::HTMLBlockquoteElement*)(DOM::Node*)xptr;
	    case 45: return (void*)(DOM::HTMLBodyElement*)(DOM::Node*)xptr;
	    case 46: return (void*)(DOM::HTMLButtonElement*)(DOM::Node*)xptr;
	    case 48: return (void*)(DOM::HTMLDListElement*)(DOM::Node*)xptr;
	    case 49: return (void*)(DOM::HTMLDirectoryElement*)(DOM::Node*)xptr;
	    case 50: return (void*)(DOM::HTMLDivElement*)(DOM::Node*)xptr;
	    case 51: return (void*)(DOM::HTMLDocument*)(DOM::Node*)xptr;
	    case 52: return (void*)(DOM::HTMLElement*)(DOM::Node*)xptr;
	    case 53: return (void*)(DOM::HTMLFieldSetElement*)(DOM::Node*)xptr;
	    case 54: return (void*)(DOM::HTMLFontElement*)(DOM::Node*)xptr;
	    case 56: return (void*)(DOM::HTMLFormElement*)(DOM::Node*)xptr;
	    case 57: return (void*)(DOM::HTMLFrameElement*)(DOM::Node*)xptr;
	    case 58: return (void*)(DOM::HTMLFrameSetElement*)(DOM::Node*)xptr;
	    case 59: return (void*)(DOM::HTMLHRElement*)(DOM::Node*)xptr;
	    case 60: return (void*)(DOM::HTMLHeadElement*)(DOM::Node*)xptr;
	    case 61: return (void*)(DOM::HTMLHeadingElement*)(DOM::Node*)xptr;
	    case 62: return (void*)(DOM::HTMLHtmlElement*)(DOM::Node*)xptr;
	    case 63: return (void*)(DOM::HTMLIFrameElement*)(DOM::Node*)xptr;
	    case 64: return (void*)(DOM::HTMLImageElement*)(DOM::Node*)xptr;
	    case 65: return (void*)(DOM::HTMLInputElement*)(DOM::Node*)xptr;
	    case 66: return (void*)(DOM::HTMLIsIndexElement*)(DOM::Node*)xptr;
	    case 67: return (void*)(DOM::HTMLLIElement*)(DOM::Node*)xptr;
	    case 68: return (void*)(DOM::HTMLLabelElement*)(DOM::Node*)xptr;
	    case 69: return (void*)(DOM::HTMLLayerElement*)(DOM::Node*)xptr;
	    case 70: return (void*)(DOM::HTMLLegendElement*)(DOM::Node*)xptr;
	    case 71: return (void*)(DOM::HTMLLinkElement*)(DOM::Node*)xptr;
	    case 72: return (void*)(DOM::HTMLMapElement*)(DOM::Node*)xptr;
	    case 73: return (void*)(DOM::HTMLMenuElement*)(DOM::Node*)xptr;
	    case 74: return (void*)(DOM::HTMLMetaElement*)(DOM::Node*)xptr;
	    case 75: return (void*)(DOM::HTMLModElement*)(DOM::Node*)xptr;
	    case 76: return (void*)(DOM::HTMLOListElement*)(DOM::Node*)xptr;
	    case 77: return (void*)(DOM::HTMLObjectElement*)(DOM::Node*)xptr;
	    case 78: return (void*)(DOM::HTMLOptGroupElement*)(DOM::Node*)xptr;
	    case 79: return (void*)(DOM::HTMLOptionElement*)(DOM::Node*)xptr;
	    case 80: return (void*)(DOM::HTMLParagraphElement*)(DOM::Node*)xptr;
	    case 81: return (void*)(DOM::HTMLParamElement*)(DOM::Node*)xptr;
	    case 82: return (void*)(DOM::HTMLPreElement*)(DOM::Node*)xptr;
	    case 83: return (void*)(DOM::HTMLQuoteElement*)(DOM::Node*)xptr;
	    case 84: return (void*)(DOM::HTMLScriptElement*)(DOM::Node*)xptr;
	    case 85: return (void*)(DOM::HTMLSelectElement*)(DOM::Node*)xptr;
	    case 86: return (void*)(DOM::HTMLStyleElement*)(DOM::Node*)xptr;
	    case 87: return (void*)(DOM::HTMLTableCaptionElement*)(DOM::Node*)xptr;
	    case 88: return (void*)(DOM::HTMLTableCellElement*)(DOM::Node*)xptr;
	    case 89: return (void*)(DOM::HTMLTableColElement*)(DOM::Node*)xptr;
	    case 90: return (void*)(DOM::HTMLTableElement*)(DOM::Node*)xptr;
	    case 91: return (void*)(DOM::HTMLTableRowElement*)(DOM::Node*)xptr;
	    case 92: return (void*)(DOM::HTMLTableSectionElement*)(DOM::Node*)xptr;
	    case 93: return (void*)(DOM::HTMLTextAreaElement*)(DOM::Node*)xptr;
	    case 94: return (void*)(DOM::HTMLTitleElement*)(DOM::Node*)xptr;
	    case 95: return (void*)(DOM::HTMLUListElement*)(DOM::Node*)xptr;
	    case 106: return (void*)(DOM::Notation*)(DOM::Node*)xptr;
	    case 107: return (void*)(DOM::ProcessingInstruction*)(DOM::Node*)xptr;
	    case 114: return (void*)(DOM::Text*)(DOM::Node*)xptr;
	  default: return xptr;
	}
      case 103:	//DOM::NodeFilter
	switch(to) {
	    case 103: return (void*)(DOM::NodeFilter*)(DOM::NodeFilter*)xptr;
	  default: return xptr;
	}
      case 104:	//DOM::NodeIterator
	switch(to) {
	    case 104: return (void*)(DOM::NodeIterator*)(DOM::NodeIterator*)xptr;
	  default: return xptr;
	}
      case 105:	//DOM::NodeList
	switch(to) {
	    case 105: return (void*)(DOM::NodeList*)(DOM::NodeList*)xptr;
	  default: return xptr;
	}
      case 106:	//DOM::Notation
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::Notation*)xptr;
	    case 106: return (void*)(DOM::Notation*)(DOM::Notation*)xptr;
	  default: return xptr;
	}
      case 107:	//DOM::ProcessingInstruction
	switch(to) {
	    case 102: return (void*)(DOM::Node*)(DOM::ProcessingInstruction*)xptr;
	    case 107: return (void*)(DOM::ProcessingInstruction*)(DOM::ProcessingInstruction*)xptr;
	  default: return xptr;
	}
      case 108:	//DOM::RGBColor
	switch(to) {
	    case 108: return (void*)(DOM::RGBColor*)(DOM::RGBColor*)xptr;
	  default: return xptr;
	}
      case 109:	//DOM::Range
	switch(to) {
	    case 109: return (void*)(DOM::Range*)(DOM::Range*)xptr;
	  default: return xptr;
	}
      case 110:	//DOM::RangeException
	switch(to) {
	    case 110: return (void*)(DOM::RangeException*)(DOM::RangeException*)xptr;
	  default: return xptr;
	}
      case 111:	//DOM::Rect
	switch(to) {
	    case 111: return (void*)(DOM::Rect*)(DOM::Rect*)xptr;
	  default: return xptr;
	}
      case 112:	//DOM::StyleSheet
	switch(to) {
	    case 112: return (void*)(DOM::StyleSheet*)(DOM::StyleSheet*)xptr;
	    case 16: return (void*)(DOM::CSSStyleSheet*)(DOM::StyleSheet*)xptr;
	  default: return xptr;
	}
      case 113:	//DOM::StyleSheetList
	switch(to) {
	    case 113: return (void*)(DOM::StyleSheetList*)(DOM::StyleSheetList*)xptr;
	  default: return xptr;
	}
      case 114:	//DOM::Text
	switch(to) {
	    case 20: return (void*)(DOM::CharacterData*)(DOM::Text*)xptr;
	    case 102: return (void*)(DOM::Node*)(DOM::Text*)xptr;
	    case 114: return (void*)(DOM::Text*)(DOM::Text*)xptr;
	    case 4: return (void*)(DOM::CDATASection*)(DOM::Text*)xptr;
	  default: return xptr;
	}
      case 115:	//DOM::TextEvent
	switch(to) {
	    case 117: return (void*)(DOM::UIEvent*)(DOM::TextEvent*)xptr;
	    case 35: return (void*)(DOM::Event*)(DOM::TextEvent*)xptr;
	    case 115: return (void*)(DOM::TextEvent*)(DOM::TextEvent*)xptr;
	  default: return xptr;
	}
      case 116:	//DOM::TreeWalker
	switch(to) {
	    case 116: return (void*)(DOM::TreeWalker*)(DOM::TreeWalker*)xptr;
	  default: return xptr;
	}
      case 117:	//DOM::UIEvent
	switch(to) {
	    case 35: return (void*)(DOM::Event*)(DOM::UIEvent*)xptr;
	    case 117: return (void*)(DOM::UIEvent*)(DOM::UIEvent*)xptr;
	    case 96: return (void*)(DOM::KeyboardEvent*)(DOM::UIEvent*)xptr;
	    case 99: return (void*)(DOM::MouseEvent*)(DOM::UIEvent*)xptr;
	    case 115: return (void*)(DOM::TextEvent*)(DOM::UIEvent*)xptr;
	  default: return xptr;
	}
      case 118:	//KActionCollection
	switch(to) {
	    case 174: return (void*)(QObject*)(KActionCollection*)xptr;
	    case 118: return (void*)(KActionCollection*)(KActionCollection*)xptr;
	  default: return xptr;
	}
      case 119:	//KComponentData
	switch(to) {
	    case 119: return (void*)(KComponentData*)(KComponentData*)xptr;
	  default: return xptr;
	}
      case 120:	//KConfig
	switch(to) {
	    case 120: return (void*)(KConfig*)(KConfig*)xptr;
	  default: return xptr;
	}
      case 121:	//KConfigGroup
	switch(to) {
	    case 121: return (void*)(KConfigGroup*)(KConfigGroup*)xptr;
	  default: return xptr;
	}
      case 122:	//KFindDialog
	switch(to) {
	    case 196: return (void*)(QWidget*)(KFindDialog*)xptr;
	    case 174: return (void*)(QObject*)(KFindDialog*)xptr;
	    case 175: return (void*)(QPaintDevice*)(KFindDialog*)xptr;
	    case 122: return (void*)(KFindDialog*)(KFindDialog*)xptr;
	  default: return xptr;
	}
      case 123:	//KHTMLPart
	switch(to) {
	    case 141: return (void*)(KParts::ReadOnlyPart*)(KHTMLPart*)xptr;
	    case 136: return (void*)(KParts::Part*)(KHTMLPart*)xptr;
	    case 138: return (void*)(KParts::PartBase*)(KHTMLPart*)xptr;
	    case 143: return (void*)(KXMLGUIClient*)(KHTMLPart*)xptr;
	    case 174: return (void*)(QObject*)(KHTMLPart*)xptr;
	    case 123: return (void*)(KHTMLPart*)(KHTMLPart*)xptr;
	  default: return xptr;
	}
      case 124:	//KHTMLSettings
	switch(to) {
	    case 124: return (void*)(KHTMLSettings*)(KHTMLSettings*)xptr;
	  default: return xptr;
	}
      case 125:	//KHTMLView
	switch(to) {
	    case 188: return (void*)(QScrollArea*)(KHTMLView*)xptr;
	    case 144: return (void*)(QAbstractScrollArea*)(KHTMLView*)xptr;
	    case 164: return (void*)(QFrame*)(KHTMLView*)xptr;
	    case 196: return (void*)(QWidget*)(KHTMLView*)xptr;
	    case 174: return (void*)(QObject*)(KHTMLView*)xptr;
	    case 175: return (void*)(QPaintDevice*)(KHTMLView*)xptr;
	    case 125: return (void*)(KHTMLView*)(KHTMLView*)xptr;
	  default: return xptr;
	}
      case 127:	//KIO::Job
	switch(to) {
	    case 129: return (void*)(KJob*)(KIO::Job*)xptr;
	    case 174: return (void*)(QObject*)(KIO::Job*)xptr;
	    case 127: return (void*)(KIO::Job*)(KIO::Job*)xptr;
	  default: return xptr;
	}
      case 129:	//KJob
	switch(to) {
	    case 174: return (void*)(QObject*)(KJob*)xptr;
	    case 129: return (void*)(KJob*)(KJob*)xptr;
	    case 127: return (void*)(KIO::Job*)(KJob*)xptr;
	  default: return xptr;
	}
      case 131:	//KParts::BrowserArguments
	switch(to) {
	    case 131: return (void*)(KParts::BrowserArguments*)(KParts::BrowserArguments*)xptr;
	  default: return xptr;
	}
      case 132:	//KParts::BrowserExtension
	switch(to) {
	    case 174: return (void*)(QObject*)(KParts::BrowserExtension*)xptr;
	    case 132: return (void*)(KParts::BrowserExtension*)(KParts::BrowserExtension*)xptr;
	  default: return xptr;
	}
      case 133:	//KParts::BrowserHostExtension
	switch(to) {
	    case 174: return (void*)(QObject*)(KParts::BrowserHostExtension*)xptr;
	    case 133: return (void*)(KParts::BrowserHostExtension*)(KParts::BrowserHostExtension*)xptr;
	  default: return xptr;
	}
      case 134:	//KParts::GUIActivateEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(KParts::GUIActivateEvent*)xptr;
	    case 134: return (void*)(KParts::GUIActivateEvent*)(KParts::GUIActivateEvent*)xptr;
	  default: return xptr;
	}
      case 135:	//KParts::OpenUrlArguments
	switch(to) {
	    case 135: return (void*)(KParts::OpenUrlArguments*)(KParts::OpenUrlArguments*)xptr;
	  default: return xptr;
	}
      case 136:	//KParts::Part
	switch(to) {
	    case 138: return (void*)(KParts::PartBase*)(KParts::Part*)xptr;
	    case 143: return (void*)(KXMLGUIClient*)(KParts::Part*)xptr;
	    case 174: return (void*)(QObject*)(KParts::Part*)xptr;
	    case 136: return (void*)(KParts::Part*)(KParts::Part*)xptr;
	    case 123: return (void*)(KHTMLPart*)(KParts::Part*)xptr;
	    case 141: return (void*)(KParts::ReadOnlyPart*)(KParts::Part*)xptr;
	  default: return xptr;
	}
      case 137:	//KParts::PartActivateEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(KParts::PartActivateEvent*)xptr;
	    case 137: return (void*)(KParts::PartActivateEvent*)(KParts::PartActivateEvent*)xptr;
	  default: return xptr;
	}
      case 138:	//KParts::PartBase
	switch(to) {
	    case 143: return (void*)(KXMLGUIClient*)(KParts::PartBase*)xptr;
	    case 138: return (void*)(KParts::PartBase*)(KParts::PartBase*)xptr;
	    case 123: return (void*)(KHTMLPart*)(KParts::PartBase*)xptr;
	    case 136: return (void*)(KParts::Part*)(KParts::PartBase*)xptr;
	    case 141: return (void*)(KParts::ReadOnlyPart*)(KParts::PartBase*)xptr;
	  default: return xptr;
	}
      case 139:	//KParts::PartManager
	switch(to) {
	    case 174: return (void*)(QObject*)(KParts::PartManager*)xptr;
	    case 139: return (void*)(KParts::PartManager*)(KParts::PartManager*)xptr;
	  default: return xptr;
	}
      case 140:	//KParts::PartSelectEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(KParts::PartSelectEvent*)xptr;
	    case 140: return (void*)(KParts::PartSelectEvent*)(KParts::PartSelectEvent*)xptr;
	  default: return xptr;
	}
      case 141:	//KParts::ReadOnlyPart
	switch(to) {
	    case 136: return (void*)(KParts::Part*)(KParts::ReadOnlyPart*)xptr;
	    case 138: return (void*)(KParts::PartBase*)(KParts::ReadOnlyPart*)xptr;
	    case 143: return (void*)(KXMLGUIClient*)(KParts::ReadOnlyPart*)xptr;
	    case 174: return (void*)(QObject*)(KParts::ReadOnlyPart*)xptr;
	    case 141: return (void*)(KParts::ReadOnlyPart*)(KParts::ReadOnlyPart*)xptr;
	    case 123: return (void*)(KHTMLPart*)(KParts::ReadOnlyPart*)xptr;
	  default: return xptr;
	}
      case 142:	//KUrl
	switch(to) {
	    case 142: return (void*)(KUrl*)(KUrl*)xptr;
	  default: return xptr;
	}
      case 143:	//KXMLGUIClient
	switch(to) {
	    case 143: return (void*)(KXMLGUIClient*)(KXMLGUIClient*)xptr;
	  default: return xptr;
	}
      case 144:	//QAbstractScrollArea
	switch(to) {
	    case 164: return (void*)(QFrame*)(QAbstractScrollArea*)xptr;
	    case 196: return (void*)(QWidget*)(QAbstractScrollArea*)xptr;
	    case 174: return (void*)(QObject*)(QAbstractScrollArea*)xptr;
	    case 175: return (void*)(QPaintDevice*)(QAbstractScrollArea*)xptr;
	    case 144: return (void*)(QAbstractScrollArea*)(QAbstractScrollArea*)xptr;
	    case 125: return (void*)(KHTMLView*)(QAbstractScrollArea*)xptr;
	    case 188: return (void*)(QScrollArea*)(QAbstractScrollArea*)xptr;
	  default: return xptr;
	}
      case 145:	//QAction
	switch(to) {
	    case 174: return (void*)(QObject*)(QAction*)xptr;
	    case 145: return (void*)(QAction*)(QAction*)xptr;
	  default: return xptr;
	}
      case 146:	//QActionEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QActionEvent*)xptr;
	    case 146: return (void*)(QActionEvent*)(QActionEvent*)xptr;
	  default: return xptr;
	}
      case 147:	//QByteArray
	switch(to) {
	    case 147: return (void*)(QByteArray*)(QByteArray*)xptr;
	  default: return xptr;
	}
      case 148:	//QChar
	switch(to) {
	    case 148: return (void*)(QChar*)(QChar*)xptr;
	  default: return xptr;
	}
      case 149:	//QChildEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QChildEvent*)xptr;
	    case 149: return (void*)(QChildEvent*)(QChildEvent*)xptr;
	  default: return xptr;
	}
      case 150:	//QCloseEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QCloseEvent*)xptr;
	    case 150: return (void*)(QCloseEvent*)(QCloseEvent*)xptr;
	  default: return xptr;
	}
      case 151:	//QColor
	switch(to) {
	    case 151: return (void*)(QColor*)(QColor*)xptr;
	  default: return xptr;
	}
      case 152:	//QContextMenuEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QContextMenuEvent*)xptr;
	    case 152: return (void*)(QContextMenuEvent*)(QContextMenuEvent*)xptr;
	  default: return xptr;
	}
      case 153:	//QCursor
	switch(to) {
	    case 153: return (void*)(QCursor*)(QCursor*)xptr;
	  default: return xptr;
	}
      case 154:	//QDataStream
	switch(to) {
	    case 154: return (void*)(QDataStream*)(QDataStream*)xptr;
	  default: return xptr;
	}
      case 155:	//QDomDocument
	switch(to) {
	    case 155: return (void*)(QDomDocument*)(QDomDocument*)xptr;
	  default: return xptr;
	}
      case 156:	//QDomElement
	switch(to) {
	    case 156: return (void*)(QDomElement*)(QDomElement*)xptr;
	  default: return xptr;
	}
      case 157:	//QDragEnterEvent
	switch(to) {
	    case 159: return (void*)(QDragMoveEvent*)(QDragEnterEvent*)xptr;
	    case 160: return (void*)(QDropEvent*)(QDragEnterEvent*)xptr;
	    case 161: return (void*)(QEvent*)(QDragEnterEvent*)xptr;
	    case 157: return (void*)(QDragEnterEvent*)(QDragEnterEvent*)xptr;
	  default: return xptr;
	}
      case 158:	//QDragLeaveEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QDragLeaveEvent*)xptr;
	    case 158: return (void*)(QDragLeaveEvent*)(QDragLeaveEvent*)xptr;
	  default: return xptr;
	}
      case 159:	//QDragMoveEvent
	switch(to) {
	    case 160: return (void*)(QDropEvent*)(QDragMoveEvent*)xptr;
	    case 161: return (void*)(QEvent*)(QDragMoveEvent*)xptr;
	    case 159: return (void*)(QDragMoveEvent*)(QDragMoveEvent*)xptr;
	    case 157: return (void*)(QDragEnterEvent*)(QDragMoveEvent*)xptr;
	  default: return xptr;
	}
      case 160:	//QDropEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QDropEvent*)xptr;
	    case 160: return (void*)(QDropEvent*)(QDropEvent*)xptr;
	    case 157: return (void*)(QDragEnterEvent*)(QDropEvent*)xptr;
	    case 159: return (void*)(QDragMoveEvent*)(QDropEvent*)xptr;
	  default: return xptr;
	}
      case 161:	//QEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QEvent*)xptr;
	    case 134: return (void*)(KParts::GUIActivateEvent*)(QEvent*)xptr;
	    case 137: return (void*)(KParts::PartActivateEvent*)(QEvent*)xptr;
	    case 140: return (void*)(KParts::PartSelectEvent*)(QEvent*)xptr;
	    case 146: return (void*)(QActionEvent*)(QEvent*)xptr;
	    case 149: return (void*)(QChildEvent*)(QEvent*)xptr;
	    case 150: return (void*)(QCloseEvent*)(QEvent*)xptr;
	    case 152: return (void*)(QContextMenuEvent*)(QEvent*)xptr;
	    case 157: return (void*)(QDragEnterEvent*)(QEvent*)xptr;
	    case 158: return (void*)(QDragLeaveEvent*)(QEvent*)xptr;
	    case 159: return (void*)(QDragMoveEvent*)(QEvent*)xptr;
	    case 160: return (void*)(QDropEvent*)(QEvent*)xptr;
	    case 162: return (void*)(QFocusEvent*)(QEvent*)xptr;
	    case 165: return (void*)(QHideEvent*)(QEvent*)xptr;
	    case 167: return (void*)(QInputMethodEvent*)(QEvent*)xptr;
	    case 168: return (void*)(QKeyEvent*)(QEvent*)xptr;
	    case 172: return (void*)(QMouseEvent*)(QEvent*)xptr;
	    case 173: return (void*)(QMoveEvent*)(QEvent*)xptr;
	    case 178: return (void*)(QPaintEvent*)(QEvent*)xptr;
	    case 187: return (void*)(QResizeEvent*)(QEvent*)xptr;
	    case 189: return (void*)(QShowEvent*)(QEvent*)xptr;
	    case 192: return (void*)(QTabletEvent*)(QEvent*)xptr;
	    case 193: return (void*)(QTimerEvent*)(QEvent*)xptr;
	    case 195: return (void*)(QWheelEvent*)(QEvent*)xptr;
	  default: return xptr;
	}
      case 162:	//QFocusEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QFocusEvent*)xptr;
	    case 162: return (void*)(QFocusEvent*)(QFocusEvent*)xptr;
	  default: return xptr;
	}
      case 163:	//QFont
	switch(to) {
	    case 163: return (void*)(QFont*)(QFont*)xptr;
	  default: return xptr;
	}
      case 164:	//QFrame
	switch(to) {
	    case 196: return (void*)(QWidget*)(QFrame*)xptr;
	    case 174: return (void*)(QObject*)(QFrame*)xptr;
	    case 175: return (void*)(QPaintDevice*)(QFrame*)xptr;
	    case 164: return (void*)(QFrame*)(QFrame*)xptr;
	    case 125: return (void*)(KHTMLView*)(QFrame*)xptr;
	    case 144: return (void*)(QAbstractScrollArea*)(QFrame*)xptr;
	    case 188: return (void*)(QScrollArea*)(QFrame*)xptr;
	  default: return xptr;
	}
      case 165:	//QHideEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QHideEvent*)xptr;
	    case 165: return (void*)(QHideEvent*)(QHideEvent*)xptr;
	  default: return xptr;
	}
      case 166:	//QImage
	switch(to) {
	    case 175: return (void*)(QPaintDevice*)(QImage*)xptr;
	    case 166: return (void*)(QImage*)(QImage*)xptr;
	  default: return xptr;
	}
      case 167:	//QInputMethodEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QInputMethodEvent*)xptr;
	    case 167: return (void*)(QInputMethodEvent*)(QInputMethodEvent*)xptr;
	  default: return xptr;
	}
      case 168:	//QKeyEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QKeyEvent*)xptr;
	    case 168: return (void*)(QKeyEvent*)(QKeyEvent*)xptr;
	  default: return xptr;
	}
      case 169:	//QLine
	switch(to) {
	    case 169: return (void*)(QLine*)(QLine*)xptr;
	  default: return xptr;
	}
      case 170:	//QLineF
	switch(to) {
	    case 170: return (void*)(QLineF*)(QLineF*)xptr;
	  default: return xptr;
	}
      case 171:	//QMetaObject
	switch(to) {
	    case 171: return (void*)(QMetaObject*)(QMetaObject*)xptr;
	  default: return xptr;
	}
      case 172:	//QMouseEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QMouseEvent*)xptr;
	    case 172: return (void*)(QMouseEvent*)(QMouseEvent*)xptr;
	  default: return xptr;
	}
      case 173:	//QMoveEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QMoveEvent*)xptr;
	    case 173: return (void*)(QMoveEvent*)(QMoveEvent*)xptr;
	  default: return xptr;
	}
      case 174:	//QObject
	switch(to) {
	    case 174: return (void*)(QObject*)(QObject*)xptr;
	    case 118: return (void*)(KActionCollection*)(QObject*)xptr;
	    case 122: return (void*)(KFindDialog*)(QObject*)xptr;
	    case 123: return (void*)(KHTMLPart*)(QObject*)xptr;
	    case 125: return (void*)(KHTMLView*)(QObject*)xptr;
	    case 127: return (void*)(KIO::Job*)(QObject*)xptr;
	    case 129: return (void*)(KJob*)(QObject*)xptr;
	    case 132: return (void*)(KParts::BrowserExtension*)(QObject*)xptr;
	    case 133: return (void*)(KParts::BrowserHostExtension*)(QObject*)xptr;
	    case 136: return (void*)(KParts::Part*)(QObject*)xptr;
	    case 139: return (void*)(KParts::PartManager*)(QObject*)xptr;
	    case 141: return (void*)(KParts::ReadOnlyPart*)(QObject*)xptr;
	    case 144: return (void*)(QAbstractScrollArea*)(QObject*)xptr;
	    case 145: return (void*)(QAction*)(QObject*)xptr;
	    case 164: return (void*)(QFrame*)(QObject*)xptr;
	    case 188: return (void*)(QScrollArea*)(QObject*)xptr;
	    case 191: return (void*)(QStyle*)(QObject*)xptr;
	    case 196: return (void*)(QWidget*)(QObject*)xptr;
	  default: return xptr;
	}
      case 175:	//QPaintDevice
	switch(to) {
	    case 175: return (void*)(QPaintDevice*)(QPaintDevice*)xptr;
	    case 122: return (void*)(KFindDialog*)(QPaintDevice*)xptr;
	    case 125: return (void*)(KHTMLView*)(QPaintDevice*)xptr;
	    case 144: return (void*)(QAbstractScrollArea*)(QPaintDevice*)xptr;
	    case 164: return (void*)(QFrame*)(QPaintDevice*)xptr;
	    case 166: return (void*)(QImage*)(QPaintDevice*)xptr;
	    case 182: return (void*)(QPixmap*)(QPaintDevice*)xptr;
	    case 188: return (void*)(QScrollArea*)(QPaintDevice*)xptr;
	    case 196: return (void*)(QWidget*)(QPaintDevice*)xptr;
	  default: return xptr;
	}
      case 176:	//QPaintEngine
	switch(to) {
	    case 176: return (void*)(QPaintEngine*)(QPaintEngine*)xptr;
	  default: return xptr;
	}
      case 177:	//QPaintEngineState
	switch(to) {
	    case 177: return (void*)(QPaintEngineState*)(QPaintEngineState*)xptr;
	  default: return xptr;
	}
      case 178:	//QPaintEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QPaintEvent*)xptr;
	    case 178: return (void*)(QPaintEvent*)(QPaintEvent*)xptr;
	  default: return xptr;
	}
      case 179:	//QPainter
	switch(to) {
	    case 179: return (void*)(QPainter*)(QPainter*)xptr;
	  default: return xptr;
	}
      case 180:	//QPainterPath
	switch(to) {
	    case 180: return (void*)(QPainterPath*)(QPainterPath*)xptr;
	  default: return xptr;
	}
      case 181:	//QPalette
	switch(to) {
	    case 181: return (void*)(QPalette*)(QPalette*)xptr;
	  default: return xptr;
	}
      case 182:	//QPixmap
	switch(to) {
	    case 175: return (void*)(QPaintDevice*)(QPixmap*)xptr;
	    case 182: return (void*)(QPixmap*)(QPixmap*)xptr;
	  default: return xptr;
	}
      case 183:	//QPoint
	switch(to) {
	    case 183: return (void*)(QPoint*)(QPoint*)xptr;
	  default: return xptr;
	}
      case 184:	//QPointF
	switch(to) {
	    case 184: return (void*)(QPointF*)(QPointF*)xptr;
	  default: return xptr;
	}
      case 185:	//QRect
	switch(to) {
	    case 185: return (void*)(QRect*)(QRect*)xptr;
	  default: return xptr;
	}
      case 186:	//QRectF
	switch(to) {
	    case 186: return (void*)(QRectF*)(QRectF*)xptr;
	  default: return xptr;
	}
      case 187:	//QResizeEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QResizeEvent*)xptr;
	    case 187: return (void*)(QResizeEvent*)(QResizeEvent*)xptr;
	  default: return xptr;
	}
      case 188:	//QScrollArea
	switch(to) {
	    case 144: return (void*)(QAbstractScrollArea*)(QScrollArea*)xptr;
	    case 164: return (void*)(QFrame*)(QScrollArea*)xptr;
	    case 196: return (void*)(QWidget*)(QScrollArea*)xptr;
	    case 174: return (void*)(QObject*)(QScrollArea*)xptr;
	    case 175: return (void*)(QPaintDevice*)(QScrollArea*)xptr;
	    case 188: return (void*)(QScrollArea*)(QScrollArea*)xptr;
	    case 125: return (void*)(KHTMLView*)(QScrollArea*)xptr;
	  default: return xptr;
	}
      case 189:	//QShowEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QShowEvent*)xptr;
	    case 189: return (void*)(QShowEvent*)(QShowEvent*)xptr;
	  default: return xptr;
	}
      case 190:	//QSize
	switch(to) {
	    case 190: return (void*)(QSize*)(QSize*)xptr;
	  default: return xptr;
	}
      case 191:	//QStyle
	switch(to) {
	    case 174: return (void*)(QObject*)(QStyle*)xptr;
	    case 191: return (void*)(QStyle*)(QStyle*)xptr;
	  default: return xptr;
	}
      case 192:	//QTabletEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QTabletEvent*)xptr;
	    case 192: return (void*)(QTabletEvent*)(QTabletEvent*)xptr;
	  default: return xptr;
	}
      case 193:	//QTimerEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QTimerEvent*)xptr;
	    case 193: return (void*)(QTimerEvent*)(QTimerEvent*)xptr;
	  default: return xptr;
	}
      case 194:	//QVariant
	switch(to) {
	    case 194: return (void*)(QVariant*)(QVariant*)xptr;
	  default: return xptr;
	}
      case 195:	//QWheelEvent
	switch(to) {
	    case 161: return (void*)(QEvent*)(QWheelEvent*)xptr;
	    case 195: return (void*)(QWheelEvent*)(QWheelEvent*)xptr;
	  default: return xptr;
	}
      case 196:	//QWidget
	switch(to) {
	    case 174: return (void*)(QObject*)(QWidget*)xptr;
	    case 175: return (void*)(QPaintDevice*)(QWidget*)xptr;
	    case 196: return (void*)(QWidget*)(QWidget*)xptr;
	    case 122: return (void*)(KFindDialog*)(QWidget*)xptr;
	    case 125: return (void*)(KHTMLView*)(QWidget*)xptr;
	    case 144: return (void*)(QAbstractScrollArea*)(QWidget*)xptr;
	    case 164: return (void*)(QFrame*)(QWidget*)xptr;
	    case 188: return (void*)(QScrollArea*)(QWidget*)xptr;
	  default: return xptr;
	}
      default: return xptr;
    }
}

// Group of Indexes (0 separated) used as super class lists.
// Classes with super classes have an index into this array.
static Smoke::Index khtml_inheritanceList[] = {
	0,	// 0: (no super class)
	102, 0,	// 1: DOM::Node
	114, 0,	// 3: DOM::Text
	12, 0,	// 5: DOM::CSSRule
	18, 0,	// 7: DOM::CSSValue
	112, 0,	// 9: DOM::StyleSheet
	20, 0,	// 11: DOM::CharacterData
	31, 0,	// 13: DOM::DomShared
	52, 0,	// 15: DOM::HTMLElement
	27, 0,	// 17: DOM::Document
	32, 0,	// 19: DOM::Element
	47, 0,	// 21: DOM::HTMLCollection
	117, 0,	// 23: DOM::UIEvent
	35, 0,	// 25: DOM::Event
	141, 0,	// 27: KParts::ReadOnlyPart
	188, 0,	// 29: QScrollArea, khtml::KHTMLWidget
};

// These are the xenum functions for manipulating enum pointers
void xenum_DOM__CSSRule(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__DOMException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KHTMLSettings(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Event(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KHTMLView(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__MutationEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSPrimitiveValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__NodeFilter(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Node(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__KeyboardEvent(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSValue(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_KHTMLPart(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__EventException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__Range(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__RangeException(Smoke::EnumOperation, Smoke::Index, void*&, long&);
void xenum_DOM__CSSException(Smoke::EnumOperation, Smoke::Index, void*&, long&);

// Those are the xcall functions defined in each x_*.cpp file, for dispatching method calls
void xcall_DOM(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__AbstractView(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Attr(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CDATASection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSCharsetRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSFontFaceRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSImportRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSMediaRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSPageRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSPrimitiveValue(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSRuleList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleDeclaration(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSStyleSheet(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSUnknownRule(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSValue(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CSSValueList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CharacterData(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Comment(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Counter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__CustomNodeFilter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMImplementation(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DOMString(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Document(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentFragment(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DocumentType(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__DomShared(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Element(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Entity(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EntityReference(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Event(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EventException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__EventListener(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAnchorElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAppletElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLAreaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBRElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBaseElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBaseFontElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBlockquoteElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLBodyElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLButtonElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDirectoryElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDivElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLDocument(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFieldSetElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFontElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFormCollection(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFormElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFrameElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLFrameSetElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHRElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHeadElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHeadingElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLHtmlElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLIFrameElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLImageElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLInputElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLIsIndexElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLIElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLabelElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLayerElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLegendElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLLinkElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMapElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMenuElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLMetaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLModElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLObjectElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOptGroupElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLOptionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLParagraphElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLParamElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLPreElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLQuoteElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLScriptElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLSelectElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLStyleElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableCaptionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableCellElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableColElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableRowElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTableSectionElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTextAreaElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLTitleElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__HTMLUListElement(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__KeyboardEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__LinkStyle(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MediaList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MouseEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__MutationEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NamedNodeMap(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Node(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeFilter(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeIterator(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__NodeList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Notation(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__ProcessingInstruction(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__RGBColor(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Range(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__RangeException(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Rect(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__StyleSheet(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__StyleSheetList(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__Text(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__TextEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__TreeWalker(Smoke::Index, void*, Smoke::Stack);
void xcall_DOM__UIEvent(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLPart(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLSettings(Smoke::Index, void*, Smoke::Stack);
void xcall_KHTMLView(Smoke::Index, void*, Smoke::Stack);

// List of all classes
// Name, index into inheritanceList, method dispatcher, enum dispatcher, class flags
static Smoke::Class khtml_classes[] = {
	{ 0L, false, 0, 0, 0, 0 }, 	// 0 (no class)
	{ "DOM", false, 0, xcall_DOM, 0, Smoke::cf_deepcopy }, 	//1
	{ "DOM::AbstractView", false, 0, xcall_DOM__AbstractView, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//2
	{ "DOM::Attr", false, 1, xcall_DOM__Attr, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//3
	{ "DOM::CDATASection", false, 3, xcall_DOM__CDATASection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//4
	{ "DOM::CSSCharsetRule", false, 5, xcall_DOM__CSSCharsetRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//5
	{ "DOM::CSSException", false, 0, xcall_DOM__CSSException, xenum_DOM__CSSException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//6
	{ "DOM::CSSFontFaceRule", false, 5, xcall_DOM__CSSFontFaceRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//7
	{ "DOM::CSSImportRule", false, 5, xcall_DOM__CSSImportRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//8
	{ "DOM::CSSMediaRule", false, 5, xcall_DOM__CSSMediaRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//9
	{ "DOM::CSSPageRule", false, 5, xcall_DOM__CSSPageRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//10
	{ "DOM::CSSPrimitiveValue", false, 7, xcall_DOM__CSSPrimitiveValue, xenum_DOM__CSSPrimitiveValue, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//11
	{ "DOM::CSSRule", false, 0, xcall_DOM__CSSRule, xenum_DOM__CSSRule, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//12
	{ "DOM::CSSRuleList", false, 0, xcall_DOM__CSSRuleList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//13
	{ "DOM::CSSStyleDeclaration", false, 0, xcall_DOM__CSSStyleDeclaration, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//14
	{ "DOM::CSSStyleRule", false, 5, xcall_DOM__CSSStyleRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//15
	{ "DOM::CSSStyleSheet", false, 9, xcall_DOM__CSSStyleSheet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//16
	{ "DOM::CSSUnknownRule", false, 5, xcall_DOM__CSSUnknownRule, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//17
	{ "DOM::CSSValue", false, 0, xcall_DOM__CSSValue, xenum_DOM__CSSValue, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//18
	{ "DOM::CSSValueList", false, 7, xcall_DOM__CSSValueList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//19
	{ "DOM::CharacterData", false, 1, xcall_DOM__CharacterData, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//20
	{ "DOM::Comment", false, 11, xcall_DOM__Comment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//21
	{ "DOM::Counter", false, 0, xcall_DOM__Counter, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//22
	{ "DOM::CustomNodeFilter", false, 13, xcall_DOM__CustomNodeFilter, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//23
	{ "DOM::DOMException", false, 0, xcall_DOM__DOMException, xenum_DOM__DOMException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//24
	{ "DOM::DOMImplementation", false, 0, xcall_DOM__DOMImplementation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//25
	{ "DOM::DOMString", false, 0, xcall_DOM__DOMString, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//26
	{ "DOM::Document", false, 1, xcall_DOM__Document, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//27
	{ "DOM::DocumentFragment", false, 1, xcall_DOM__DocumentFragment, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//28
	{ "DOM::DocumentStyle", false, 0, xcall_DOM__DocumentStyle, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//29
	{ "DOM::DocumentType", false, 1, xcall_DOM__DocumentType, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//30
	{ "DOM::DomShared", false, 0, xcall_DOM__DomShared, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//31
	{ "DOM::Element", false, 1, xcall_DOM__Element, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//32
	{ "DOM::Entity", false, 1, xcall_DOM__Entity, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//33
	{ "DOM::EntityReference", false, 1, xcall_DOM__EntityReference, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//34
	{ "DOM::Event", false, 0, xcall_DOM__Event, xenum_DOM__Event, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//35
	{ "DOM::EventException", false, 0, xcall_DOM__EventException, xenum_DOM__EventException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//36
	{ "DOM::EventListener", false, 13, xcall_DOM__EventListener, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//37
	{ "DOM::HTMLAnchorElement", false, 15, xcall_DOM__HTMLAnchorElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//38
	{ "DOM::HTMLAppletElement", false, 15, xcall_DOM__HTMLAppletElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//39
	{ "DOM::HTMLAreaElement", false, 15, xcall_DOM__HTMLAreaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//40
	{ "DOM::HTMLBRElement", false, 15, xcall_DOM__HTMLBRElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//41
	{ "DOM::HTMLBaseElement", false, 15, xcall_DOM__HTMLBaseElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//42
	{ "DOM::HTMLBaseFontElement", false, 15, xcall_DOM__HTMLBaseFontElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//43
	{ "DOM::HTMLBlockquoteElement", false, 15, xcall_DOM__HTMLBlockquoteElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//44
	{ "DOM::HTMLBodyElement", false, 15, xcall_DOM__HTMLBodyElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//45
	{ "DOM::HTMLButtonElement", false, 15, xcall_DOM__HTMLButtonElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//46
	{ "DOM::HTMLCollection", false, 0, xcall_DOM__HTMLCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//47
	{ "DOM::HTMLDListElement", false, 15, xcall_DOM__HTMLDListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//48
	{ "DOM::HTMLDirectoryElement", false, 15, xcall_DOM__HTMLDirectoryElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//49
	{ "DOM::HTMLDivElement", false, 15, xcall_DOM__HTMLDivElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//50
	{ "DOM::HTMLDocument", false, 17, xcall_DOM__HTMLDocument, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//51
	{ "DOM::HTMLElement", false, 19, xcall_DOM__HTMLElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//52
	{ "DOM::HTMLFieldSetElement", false, 15, xcall_DOM__HTMLFieldSetElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//53
	{ "DOM::HTMLFontElement", false, 15, xcall_DOM__HTMLFontElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//54
	{ "DOM::HTMLFormCollection", false, 21, xcall_DOM__HTMLFormCollection, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//55
	{ "DOM::HTMLFormElement", false, 15, xcall_DOM__HTMLFormElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//56
	{ "DOM::HTMLFrameElement", false, 15, xcall_DOM__HTMLFrameElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//57
	{ "DOM::HTMLFrameSetElement", false, 15, xcall_DOM__HTMLFrameSetElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//58
	{ "DOM::HTMLHRElement", false, 15, xcall_DOM__HTMLHRElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//59
	{ "DOM::HTMLHeadElement", false, 15, xcall_DOM__HTMLHeadElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//60
	{ "DOM::HTMLHeadingElement", false, 15, xcall_DOM__HTMLHeadingElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//61
	{ "DOM::HTMLHtmlElement", false, 15, xcall_DOM__HTMLHtmlElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//62
	{ "DOM::HTMLIFrameElement", false, 15, xcall_DOM__HTMLIFrameElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//63
	{ "DOM::HTMLImageElement", false, 15, xcall_DOM__HTMLImageElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//64
	{ "DOM::HTMLInputElement", false, 15, xcall_DOM__HTMLInputElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//65
	{ "DOM::HTMLIsIndexElement", false, 15, xcall_DOM__HTMLIsIndexElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//66
	{ "DOM::HTMLLIElement", false, 15, xcall_DOM__HTMLLIElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//67
	{ "DOM::HTMLLabelElement", false, 15, xcall_DOM__HTMLLabelElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//68
	{ "DOM::HTMLLayerElement", false, 15, xcall_DOM__HTMLLayerElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//69
	{ "DOM::HTMLLegendElement", false, 15, xcall_DOM__HTMLLegendElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//70
	{ "DOM::HTMLLinkElement", false, 15, xcall_DOM__HTMLLinkElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//71
	{ "DOM::HTMLMapElement", false, 15, xcall_DOM__HTMLMapElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//72
	{ "DOM::HTMLMenuElement", false, 15, xcall_DOM__HTMLMenuElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//73
	{ "DOM::HTMLMetaElement", false, 15, xcall_DOM__HTMLMetaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//74
	{ "DOM::HTMLModElement", false, 15, xcall_DOM__HTMLModElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//75
	{ "DOM::HTMLOListElement", false, 15, xcall_DOM__HTMLOListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//76
	{ "DOM::HTMLObjectElement", false, 15, xcall_DOM__HTMLObjectElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//77
	{ "DOM::HTMLOptGroupElement", false, 15, xcall_DOM__HTMLOptGroupElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//78
	{ "DOM::HTMLOptionElement", false, 15, xcall_DOM__HTMLOptionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//79
	{ "DOM::HTMLParagraphElement", false, 15, xcall_DOM__HTMLParagraphElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//80
	{ "DOM::HTMLParamElement", false, 15, xcall_DOM__HTMLParamElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//81
	{ "DOM::HTMLPreElement", false, 15, xcall_DOM__HTMLPreElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//82
	{ "DOM::HTMLQuoteElement", false, 15, xcall_DOM__HTMLQuoteElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//83
	{ "DOM::HTMLScriptElement", false, 15, xcall_DOM__HTMLScriptElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//84
	{ "DOM::HTMLSelectElement", false, 15, xcall_DOM__HTMLSelectElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//85
	{ "DOM::HTMLStyleElement", false, 15, xcall_DOM__HTMLStyleElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//86
	{ "DOM::HTMLTableCaptionElement", false, 15, xcall_DOM__HTMLTableCaptionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//87
	{ "DOM::HTMLTableCellElement", false, 15, xcall_DOM__HTMLTableCellElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//88
	{ "DOM::HTMLTableColElement", false, 15, xcall_DOM__HTMLTableColElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//89
	{ "DOM::HTMLTableElement", false, 15, xcall_DOM__HTMLTableElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//90
	{ "DOM::HTMLTableRowElement", false, 15, xcall_DOM__HTMLTableRowElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//91
	{ "DOM::HTMLTableSectionElement", false, 15, xcall_DOM__HTMLTableSectionElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//92
	{ "DOM::HTMLTextAreaElement", false, 15, xcall_DOM__HTMLTextAreaElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//93
	{ "DOM::HTMLTitleElement", false, 15, xcall_DOM__HTMLTitleElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//94
	{ "DOM::HTMLUListElement", false, 15, xcall_DOM__HTMLUListElement, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//95
	{ "DOM::KeyboardEvent", false, 23, xcall_DOM__KeyboardEvent, xenum_DOM__KeyboardEvent, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//96
	{ "DOM::LinkStyle", false, 0, xcall_DOM__LinkStyle, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//97
	{ "DOM::MediaList", false, 0, xcall_DOM__MediaList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//98
	{ "DOM::MouseEvent", false, 23, xcall_DOM__MouseEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//99
	{ "DOM::MutationEvent", false, 25, xcall_DOM__MutationEvent, xenum_DOM__MutationEvent, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//100
	{ "DOM::NamedNodeMap", false, 0, xcall_DOM__NamedNodeMap, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//101
	{ "DOM::Node", false, 0, xcall_DOM__Node, xenum_DOM__Node, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//102
	{ "DOM::NodeFilter", false, 0, xcall_DOM__NodeFilter, xenum_DOM__NodeFilter, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//103
	{ "DOM::NodeIterator", false, 0, xcall_DOM__NodeIterator, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//104
	{ "DOM::NodeList", false, 0, xcall_DOM__NodeList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//105
	{ "DOM::Notation", false, 1, xcall_DOM__Notation, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//106
	{ "DOM::ProcessingInstruction", false, 1, xcall_DOM__ProcessingInstruction, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//107
	{ "DOM::RGBColor", false, 0, xcall_DOM__RGBColor, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//108
	{ "DOM::Range", false, 0, xcall_DOM__Range, xenum_DOM__Range, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//109
	{ "DOM::RangeException", false, 0, xcall_DOM__RangeException, xenum_DOM__RangeException, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//110
	{ "DOM::Rect", false, 0, xcall_DOM__Rect, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//111
	{ "DOM::StyleSheet", false, 0, xcall_DOM__StyleSheet, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//112
	{ "DOM::StyleSheetList", false, 0, xcall_DOM__StyleSheetList, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//113
	{ "DOM::Text", false, 11, xcall_DOM__Text, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//114
	{ "DOM::TextEvent", false, 23, xcall_DOM__TextEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//115
	{ "DOM::TreeWalker", false, 0, xcall_DOM__TreeWalker, 0, Smoke::cf_constructor|Smoke::cf_deepcopy }, 	//116
	{ "DOM::UIEvent", false, 25, xcall_DOM__UIEvent, 0, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//117
	{ "KActionCollection", true, 0, 0, 0, 0 }, 	// 118
	{ "KComponentData", true, 0, 0, 0, 0 }, 	// 119
	{ "KConfig", true, 0, 0, 0, 0 }, 	// 120
	{ "KConfigGroup", true, 0, 0, 0, 0 }, 	// 121
	{ "KFindDialog", true, 0, 0, 0, 0 }, 	// 122
	{ "KHTMLPart", false, 27, xcall_KHTMLPart, xenum_KHTMLPart, Smoke::cf_constructor|Smoke::cf_virtual }, 	//123
	{ "KHTMLSettings", false, 0, xcall_KHTMLSettings, xenum_KHTMLSettings, Smoke::cf_constructor|Smoke::cf_deepcopy|Smoke::cf_virtual }, 	//124
	{ "KHTMLView", false, 29, xcall_KHTMLView, xenum_KHTMLView, Smoke::cf_constructor|Smoke::cf_virtual }, 	//125
	{ "KIO", true, 0, 0, 0, 0 }, 	// 126
	{ "KIO::Job", true, 0, 0, 0, 0 }, 	// 127
	{ "KJS", true, 0, 0, 0, 0 }, 	// 128
	{ "KJob", true, 0, 0, 0, 0 }, 	// 129
	{ "KParts", true, 0, 0, 0, 0 }, 	// 130
	{ "KParts::BrowserArguments", true, 0, 0, 0, 0 }, 	// 131
	{ "KParts::BrowserExtension", true, 0, 0, 0, 0 }, 	// 132
	{ "KParts::BrowserHostExtension", true, 0, 0, 0, 0 }, 	// 133
	{ "KParts::GUIActivateEvent", true, 0, 0, 0, 0 }, 	// 134
	{ "KParts::OpenUrlArguments", true, 0, 0, 0, 0 }, 	// 135
	{ "KParts::Part", true, 0, 0, 0, 0 }, 	// 136
	{ "KParts::PartActivateEvent", true, 0, 0, 0, 0 }, 	// 137
	{ "KParts::PartBase", true, 0, 0, 0, 0 }, 	// 138
	{ "KParts::PartManager", true, 0, 0, 0, 0 }, 	// 139
	{ "KParts::PartSelectEvent", true, 0, 0, 0, 0 }, 	// 140
	{ "KParts::ReadOnlyPart", true, 0, 0, 0, 0 }, 	// 141
	{ "KUrl", true, 0, 0, 0, 0 }, 	// 142
	{ "KXMLGUIClient", true, 0, 0, 0, 0 }, 	// 143
	{ "QAbstractScrollArea", true, 0, 0, 0, 0 }, 	// 144
	{ "QAction", true, 0, 0, 0, 0 }, 	// 145
	{ "QActionEvent", true, 0, 0, 0, 0 }, 	// 146
	{ "QByteArray", true, 0, 0, 0, 0 }, 	// 147
	{ "QChar", true, 0, 0, 0, 0 }, 	// 148
	{ "QChildEvent", true, 0, 0, 0, 0 }, 	// 149
	{ "QCloseEvent", true, 0, 0, 0, 0 }, 	// 150
	{ "QColor", true, 0, 0, 0, 0 }, 	// 151
	{ "QContextMenuEvent", true, 0, 0, 0, 0 }, 	// 152
	{ "QCursor", true, 0, 0, 0, 0 }, 	// 153
	{ "QDataStream", true, 0, 0, 0, 0 }, 	// 154
	{ "QDomDocument", true, 0, 0, 0, 0 }, 	// 155
	{ "QDomElement", true, 0, 0, 0, 0 }, 	// 156
	{ "QDragEnterEvent", true, 0, 0, 0, 0 }, 	// 157
	{ "QDragLeaveEvent", true, 0, 0, 0, 0 }, 	// 158
	{ "QDragMoveEvent", true, 0, 0, 0, 0 }, 	// 159
	{ "QDropEvent", true, 0, 0, 0, 0 }, 	// 160
	{ "QEvent", true, 0, 0, 0, 0 }, 	// 161
	{ "QFocusEvent", true, 0, 0, 0, 0 }, 	// 162
	{ "QFont", true, 0, 0, 0, 0 }, 	// 163
	{ "QFrame", true, 0, 0, 0, 0 }, 	// 164
	{ "QHideEvent", true, 0, 0, 0, 0 }, 	// 165
	{ "QImage", true, 0, 0, 0, 0 }, 	// 166
	{ "QInputMethodEvent", true, 0, 0, 0, 0 }, 	// 167
	{ "QKeyEvent", true, 0, 0, 0, 0 }, 	// 168
	{ "QLine", true, 0, 0, 0, 0 }, 	// 169
	{ "QLineF", true, 0, 0, 0, 0 }, 	// 170
	{ "QMetaObject", true, 0, 0, 0, 0 }, 	// 171
	{ "QMouseEvent", true, 0, 0, 0, 0 }, 	// 172
	{ "QMoveEvent", true, 0, 0, 0, 0 }, 	// 173
	{ "QObject", true, 0, 0, 0, 0 }, 	// 174
	{ "QPaintDevice", true, 0, 0, 0, 0 }, 	// 175
	{ "QPaintEngine", true, 0, 0, 0, 0 }, 	// 176
	{ "QPaintEngineState", true, 0, 0, 0, 0 }, 	// 177
	{ "QPaintEvent", true, 0, 0, 0, 0 }, 	// 178
	{ "QPainter", true, 0, 0, 0, 0 }, 	// 179
	{ "QPainterPath", true, 0, 0, 0, 0 }, 	// 180
	{ "QPalette", true, 0, 0, 0, 0 }, 	// 181
	{ "QPixmap", true, 0, 0, 0, 0 }, 	// 182
	{ "QPoint", true, 0, 0, 0, 0 }, 	// 183
	{ "QPointF", true, 0, 0, 0, 0 }, 	// 184
	{ "QRect", true, 0, 0, 0, 0 }, 	// 185
	{ "QRectF", true, 0, 0, 0, 0 }, 	// 186
	{ "QResizeEvent", true, 0, 0, 0, 0 }, 	// 187
	{ "QScrollArea", true, 0, 0, 0, 0 }, 	// 188
	{ "QShowEvent", true, 0, 0, 0, 0 }, 	// 189
	{ "QSize", true, 0, 0, 0, 0 }, 	// 190
	{ "QStyle", true, 0, 0, 0, 0 }, 	// 191
	{ "QTabletEvent", true, 0, 0, 0, 0 }, 	// 192
	{ "QTimerEvent", true, 0, 0, 0, 0 }, 	// 193
	{ "QVariant", true, 0, 0, 0, 0 }, 	// 194
	{ "QWheelEvent", true, 0, 0, 0, 0 }, 	// 195
	{ "QWidget", true, 0, 0, 0, 0 }, 	// 196
	{ "Qt", true, 0, 0, 0, 0 }, 	// 197
};

// List of all types needed by the methods (arguments and return values)
// Name, class ID if arg is a class, and TypeId
static Smoke::Type khtml_types[] = {
	{ 0, 0, 0 },	//0 (no type)
	{ "DOM::AbstractView", 2, Smoke::t_class | Smoke::tf_stack },	//1
	{ "DOM::AbstractView&", 2, Smoke::t_class | Smoke::tf_ref },	//2
	{ "DOM::AbstractView*", 2, Smoke::t_class | Smoke::tf_ptr },	//3
	{ "DOM::AbstractViewImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//4
	{ "DOM::Attr", 3, Smoke::t_class | Smoke::tf_stack },	//5
	{ "DOM::Attr&", 3, Smoke::t_class | Smoke::tf_ref },	//6
	{ "DOM::Attr*", 3, Smoke::t_class | Smoke::tf_ptr },	//7
	{ "DOM::AttrImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//8
	{ "DOM::CDATASection", 4, Smoke::t_class | Smoke::tf_stack },	//9
	{ "DOM::CDATASection&", 4, Smoke::t_class | Smoke::tf_ref },	//10
	{ "DOM::CDATASection*", 4, Smoke::t_class | Smoke::tf_ptr },	//11
	{ "DOM::CDATASectionImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//12
	{ "DOM::CSSCharsetRule&", 5, Smoke::t_class | Smoke::tf_ref },	//13
	{ "DOM::CSSCharsetRule*", 5, Smoke::t_class | Smoke::tf_ptr },	//14
	{ "DOM::CSSCharsetRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//15
	{ "DOM::CSSException&", 6, Smoke::t_class | Smoke::tf_ref },	//16
	{ "DOM::CSSException*", 6, Smoke::t_class | Smoke::tf_ptr },	//17
	{ "DOM::CSSException::ExceptionCode", 6, Smoke::t_enum | Smoke::tf_stack },	//18
	{ "DOM::CSSFontFaceRule&", 7, Smoke::t_class | Smoke::tf_ref },	//19
	{ "DOM::CSSFontFaceRule*", 7, Smoke::t_class | Smoke::tf_ptr },	//20
	{ "DOM::CSSFontFaceRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//21
	{ "DOM::CSSImportRule&", 8, Smoke::t_class | Smoke::tf_ref },	//22
	{ "DOM::CSSImportRule*", 8, Smoke::t_class | Smoke::tf_ptr },	//23
	{ "DOM::CSSImportRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//24
	{ "DOM::CSSMediaRule&", 9, Smoke::t_class | Smoke::tf_ref },	//25
	{ "DOM::CSSMediaRule*", 9, Smoke::t_class | Smoke::tf_ptr },	//26
	{ "DOM::CSSMediaRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//27
	{ "DOM::CSSPageRule&", 10, Smoke::t_class | Smoke::tf_ref },	//28
	{ "DOM::CSSPageRule*", 10, Smoke::t_class | Smoke::tf_ptr },	//29
	{ "DOM::CSSPageRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//30
	{ "DOM::CSSPrimitiveValue", 11, Smoke::t_class | Smoke::tf_stack },	//31
	{ "DOM::CSSPrimitiveValue&", 11, Smoke::t_class | Smoke::tf_ref },	//32
	{ "DOM::CSSPrimitiveValue*", 11, Smoke::t_class | Smoke::tf_ptr },	//33
	{ "DOM::CSSPrimitiveValue::UnitTypes", 11, Smoke::t_enum | Smoke::tf_stack },	//34
	{ "DOM::CSSPrimitiveValueImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//35
	{ "DOM::CSSRule", 12, Smoke::t_class | Smoke::tf_stack },	//36
	{ "DOM::CSSRule&", 12, Smoke::t_class | Smoke::tf_ref },	//37
	{ "DOM::CSSRule*", 12, Smoke::t_class | Smoke::tf_ptr },	//38
	{ "DOM::CSSRule::RuleType", 12, Smoke::t_enum | Smoke::tf_stack },	//39
	{ "DOM::CSSRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//40
	{ "DOM::CSSRuleList", 13, Smoke::t_class | Smoke::tf_stack },	//41
	{ "DOM::CSSRuleList&", 13, Smoke::t_class | Smoke::tf_ref },	//42
	{ "DOM::CSSRuleList*", 13, Smoke::t_class | Smoke::tf_ptr },	//43
	{ "DOM::CSSRuleListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//44
	{ "DOM::CSSStyleDeclaration", 14, Smoke::t_class | Smoke::tf_stack },	//45
	{ "DOM::CSSStyleDeclaration&", 14, Smoke::t_class | Smoke::tf_ref },	//46
	{ "DOM::CSSStyleDeclaration*", 14, Smoke::t_class | Smoke::tf_ptr },	//47
	{ "DOM::CSSStyleDeclarationImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//48
	{ "DOM::CSSStyleRule&", 15, Smoke::t_class | Smoke::tf_ref },	//49
	{ "DOM::CSSStyleRule*", 15, Smoke::t_class | Smoke::tf_ptr },	//50
	{ "DOM::CSSStyleRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//51
	{ "DOM::CSSStyleSheet", 16, Smoke::t_class | Smoke::tf_stack },	//52
	{ "DOM::CSSStyleSheet&", 16, Smoke::t_class | Smoke::tf_ref },	//53
	{ "DOM::CSSStyleSheet*", 16, Smoke::t_class | Smoke::tf_ptr },	//54
	{ "DOM::CSSStyleSheetImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//55
	{ "DOM::CSSUnknownRule&", 17, Smoke::t_class | Smoke::tf_ref },	//56
	{ "DOM::CSSUnknownRule*", 17, Smoke::t_class | Smoke::tf_ptr },	//57
	{ "DOM::CSSUnknownRuleImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//58
	{ "DOM::CSSValue", 18, Smoke::t_class | Smoke::tf_stack },	//59
	{ "DOM::CSSValue&", 18, Smoke::t_class | Smoke::tf_ref },	//60
	{ "DOM::CSSValue*", 18, Smoke::t_class | Smoke::tf_ptr },	//61
	{ "DOM::CSSValue::UnitTypes", 18, Smoke::t_enum | Smoke::tf_stack },	//62
	{ "DOM::CSSValueImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//63
	{ "DOM::CSSValueList&", 19, Smoke::t_class | Smoke::tf_ref },	//64
	{ "DOM::CSSValueList*", 19, Smoke::t_class | Smoke::tf_ptr },	//65
	{ "DOM::CSSValueListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//66
	{ "DOM::CharacterData&", 20, Smoke::t_class | Smoke::tf_ref },	//67
	{ "DOM::CharacterData*", 20, Smoke::t_class | Smoke::tf_ptr },	//68
	{ "DOM::CharacterDataImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//69
	{ "DOM::Comment", 21, Smoke::t_class | Smoke::tf_stack },	//70
	{ "DOM::Comment&", 21, Smoke::t_class | Smoke::tf_ref },	//71
	{ "DOM::Comment*", 21, Smoke::t_class | Smoke::tf_ptr },	//72
	{ "DOM::CommentImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//73
	{ "DOM::Counter", 22, Smoke::t_class | Smoke::tf_stack },	//74
	{ "DOM::Counter&", 22, Smoke::t_class | Smoke::tf_ref },	//75
	{ "DOM::Counter*", 22, Smoke::t_class | Smoke::tf_ptr },	//76
	{ "DOM::CounterImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//77
	{ "DOM::CustomNodeFilter*", 23, Smoke::t_class | Smoke::tf_ptr },	//78
	{ "DOM::DOMException&", 24, Smoke::t_class | Smoke::tf_ref },	//79
	{ "DOM::DOMException*", 24, Smoke::t_class | Smoke::tf_ptr },	//80
	{ "DOM::DOMException::ExceptionCode", 24, Smoke::t_enum | Smoke::tf_stack },	//81
	{ "DOM::DOMImplementation", 25, Smoke::t_class | Smoke::tf_stack },	//82
	{ "DOM::DOMImplementation&", 25, Smoke::t_class | Smoke::tf_ref },	//83
	{ "DOM::DOMImplementation*", 25, Smoke::t_class | Smoke::tf_ptr },	//84
	{ "DOM::DOMImplementationImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//85
	{ "DOM::DOMString", 26, Smoke::t_class | Smoke::tf_stack },	//86
	{ "DOM::DOMString&", 26, Smoke::t_class | Smoke::tf_ref },	//87
	{ "DOM::DOMString*", 26, Smoke::t_class | Smoke::tf_ptr },	//88
	{ "DOM::DOMStringImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//89
	{ "DOM::Document", 27, Smoke::t_class | Smoke::tf_stack },	//90
	{ "DOM::Document&", 27, Smoke::t_class | Smoke::tf_ref },	//91
	{ "DOM::Document*", 27, Smoke::t_class | Smoke::tf_ptr },	//92
	{ "DOM::DocumentFragment", 28, Smoke::t_class | Smoke::tf_stack },	//93
	{ "DOM::DocumentFragment&", 28, Smoke::t_class | Smoke::tf_ref },	//94
	{ "DOM::DocumentFragment*", 28, Smoke::t_class | Smoke::tf_ptr },	//95
	{ "DOM::DocumentFragmentImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//96
	{ "DOM::DocumentImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//97
	{ "DOM::DocumentStyle&", 29, Smoke::t_class | Smoke::tf_ref },	//98
	{ "DOM::DocumentStyle*", 29, Smoke::t_class | Smoke::tf_ptr },	//99
	{ "DOM::DocumentType", 30, Smoke::t_class | Smoke::tf_stack },	//100
	{ "DOM::DocumentType&", 30, Smoke::t_class | Smoke::tf_ref },	//101
	{ "DOM::DocumentType*", 30, Smoke::t_class | Smoke::tf_ptr },	//102
	{ "DOM::DocumentTypeImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//103
	{ "DOM::DomShared*", 31, Smoke::t_class | Smoke::tf_ptr },	//104
	{ "DOM::Editor*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//105
	{ "DOM::Element", 32, Smoke::t_class | Smoke::tf_stack },	//106
	{ "DOM::Element&", 32, Smoke::t_class | Smoke::tf_ref },	//107
	{ "DOM::Element*", 32, Smoke::t_class | Smoke::tf_ptr },	//108
	{ "DOM::ElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//109
	{ "DOM::Entity&", 33, Smoke::t_class | Smoke::tf_ref },	//110
	{ "DOM::Entity*", 33, Smoke::t_class | Smoke::tf_ptr },	//111
	{ "DOM::EntityImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//112
	{ "DOM::EntityReference", 34, Smoke::t_class | Smoke::tf_stack },	//113
	{ "DOM::EntityReference&", 34, Smoke::t_class | Smoke::tf_ref },	//114
	{ "DOM::EntityReference*", 34, Smoke::t_class | Smoke::tf_ptr },	//115
	{ "DOM::EntityReferenceImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//116
	{ "DOM::Event", 35, Smoke::t_class | Smoke::tf_stack },	//117
	{ "DOM::Event&", 35, Smoke::t_class | Smoke::tf_ref },	//118
	{ "DOM::Event*", 35, Smoke::t_class | Smoke::tf_ptr },	//119
	{ "DOM::Event::PhaseType", 35, Smoke::t_enum | Smoke::tf_stack },	//120
	{ "DOM::EventException&", 36, Smoke::t_class | Smoke::tf_ref },	//121
	{ "DOM::EventException*", 36, Smoke::t_class | Smoke::tf_ptr },	//122
	{ "DOM::EventException::EventExceptionCode", 36, Smoke::t_enum | Smoke::tf_stack },	//123
	{ "DOM::EventImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//124
	{ "DOM::EventListener*", 37, Smoke::t_class | Smoke::tf_ptr },	//125
	{ "DOM::HTMLAnchorElement&", 38, Smoke::t_class | Smoke::tf_ref },	//126
	{ "DOM::HTMLAnchorElement*", 38, Smoke::t_class | Smoke::tf_ptr },	//127
	{ "DOM::HTMLAnchorElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//128
	{ "DOM::HTMLAppletElement&", 39, Smoke::t_class | Smoke::tf_ref },	//129
	{ "DOM::HTMLAppletElement*", 39, Smoke::t_class | Smoke::tf_ptr },	//130
	{ "DOM::HTMLAppletElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//131
	{ "DOM::HTMLAreaElement&", 40, Smoke::t_class | Smoke::tf_ref },	//132
	{ "DOM::HTMLAreaElement*", 40, Smoke::t_class | Smoke::tf_ptr },	//133
	{ "DOM::HTMLAreaElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//134
	{ "DOM::HTMLBRElement&", 41, Smoke::t_class | Smoke::tf_ref },	//135
	{ "DOM::HTMLBRElement*", 41, Smoke::t_class | Smoke::tf_ptr },	//136
	{ "DOM::HTMLBRElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//137
	{ "DOM::HTMLBaseElement&", 42, Smoke::t_class | Smoke::tf_ref },	//138
	{ "DOM::HTMLBaseElement*", 42, Smoke::t_class | Smoke::tf_ptr },	//139
	{ "DOM::HTMLBaseElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//140
	{ "DOM::HTMLBaseFontElement&", 43, Smoke::t_class | Smoke::tf_ref },	//141
	{ "DOM::HTMLBaseFontElement*", 43, Smoke::t_class | Smoke::tf_ptr },	//142
	{ "DOM::HTMLBaseFontElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//143
	{ "DOM::HTMLBlockquoteElement&", 44, Smoke::t_class | Smoke::tf_ref },	//144
	{ "DOM::HTMLBlockquoteElement*", 44, Smoke::t_class | Smoke::tf_ptr },	//145
	{ "DOM::HTMLBodyElement&", 45, Smoke::t_class | Smoke::tf_ref },	//146
	{ "DOM::HTMLBodyElement*", 45, Smoke::t_class | Smoke::tf_ptr },	//147
	{ "DOM::HTMLBodyElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//148
	{ "DOM::HTMLButtonElement&", 46, Smoke::t_class | Smoke::tf_ref },	//149
	{ "DOM::HTMLButtonElement*", 46, Smoke::t_class | Smoke::tf_ptr },	//150
	{ "DOM::HTMLButtonElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//151
	{ "DOM::HTMLCollection", 47, Smoke::t_class | Smoke::tf_stack },	//152
	{ "DOM::HTMLCollection&", 47, Smoke::t_class | Smoke::tf_ref },	//153
	{ "DOM::HTMLCollection*", 47, Smoke::t_class | Smoke::tf_ptr },	//154
	{ "DOM::HTMLCollectionImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//155
	{ "DOM::HTMLDListElement&", 48, Smoke::t_class | Smoke::tf_ref },	//156
	{ "DOM::HTMLDListElement*", 48, Smoke::t_class | Smoke::tf_ptr },	//157
	{ "DOM::HTMLDListElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//158
	{ "DOM::HTMLDirectoryElement&", 49, Smoke::t_class | Smoke::tf_ref },	//159
	{ "DOM::HTMLDirectoryElement*", 49, Smoke::t_class | Smoke::tf_ptr },	//160
	{ "DOM::HTMLDirectoryElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//161
	{ "DOM::HTMLDivElement&", 50, Smoke::t_class | Smoke::tf_ref },	//162
	{ "DOM::HTMLDivElement*", 50, Smoke::t_class | Smoke::tf_ptr },	//163
	{ "DOM::HTMLDivElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//164
	{ "DOM::HTMLDocument", 51, Smoke::t_class | Smoke::tf_stack },	//165
	{ "DOM::HTMLDocument&", 51, Smoke::t_class | Smoke::tf_ref },	//166
	{ "DOM::HTMLDocument*", 51, Smoke::t_class | Smoke::tf_ptr },	//167
	{ "DOM::HTMLDocumentImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//168
	{ "DOM::HTMLElement", 52, Smoke::t_class | Smoke::tf_stack },	//169
	{ "DOM::HTMLElement&", 52, Smoke::t_class | Smoke::tf_ref },	//170
	{ "DOM::HTMLElement*", 52, Smoke::t_class | Smoke::tf_ptr },	//171
	{ "DOM::HTMLElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//172
	{ "DOM::HTMLFieldSetElement&", 53, Smoke::t_class | Smoke::tf_ref },	//173
	{ "DOM::HTMLFieldSetElement*", 53, Smoke::t_class | Smoke::tf_ptr },	//174
	{ "DOM::HTMLFieldSetElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//175
	{ "DOM::HTMLFontElement&", 54, Smoke::t_class | Smoke::tf_ref },	//176
	{ "DOM::HTMLFontElement*", 54, Smoke::t_class | Smoke::tf_ptr },	//177
	{ "DOM::HTMLFontElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//178
	{ "DOM::HTMLFormCollection*", 55, Smoke::t_class | Smoke::tf_ptr },	//179
	{ "DOM::HTMLFormElement", 56, Smoke::t_class | Smoke::tf_stack },	//180
	{ "DOM::HTMLFormElement&", 56, Smoke::t_class | Smoke::tf_ref },	//181
	{ "DOM::HTMLFormElement*", 56, Smoke::t_class | Smoke::tf_ptr },	//182
	{ "DOM::HTMLFormElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//183
	{ "DOM::HTMLFrameElement&", 57, Smoke::t_class | Smoke::tf_ref },	//184
	{ "DOM::HTMLFrameElement*", 57, Smoke::t_class | Smoke::tf_ptr },	//185
	{ "DOM::HTMLFrameElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//186
	{ "DOM::HTMLFrameSetElement&", 58, Smoke::t_class | Smoke::tf_ref },	//187
	{ "DOM::HTMLFrameSetElement*", 58, Smoke::t_class | Smoke::tf_ptr },	//188
	{ "DOM::HTMLFrameSetElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//189
	{ "DOM::HTMLGenericElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//190
	{ "DOM::HTMLHRElement&", 59, Smoke::t_class | Smoke::tf_ref },	//191
	{ "DOM::HTMLHRElement*", 59, Smoke::t_class | Smoke::tf_ptr },	//192
	{ "DOM::HTMLHRElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//193
	{ "DOM::HTMLHeadElement&", 60, Smoke::t_class | Smoke::tf_ref },	//194
	{ "DOM::HTMLHeadElement*", 60, Smoke::t_class | Smoke::tf_ptr },	//195
	{ "DOM::HTMLHeadElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//196
	{ "DOM::HTMLHeadingElement&", 61, Smoke::t_class | Smoke::tf_ref },	//197
	{ "DOM::HTMLHeadingElement*", 61, Smoke::t_class | Smoke::tf_ptr },	//198
	{ "DOM::HTMLHtmlElement&", 62, Smoke::t_class | Smoke::tf_ref },	//199
	{ "DOM::HTMLHtmlElement*", 62, Smoke::t_class | Smoke::tf_ptr },	//200
	{ "DOM::HTMLHtmlElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//201
	{ "DOM::HTMLIFrameElement&", 63, Smoke::t_class | Smoke::tf_ref },	//202
	{ "DOM::HTMLIFrameElement*", 63, Smoke::t_class | Smoke::tf_ptr },	//203
	{ "DOM::HTMLIFrameElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//204
	{ "DOM::HTMLImageElement&", 64, Smoke::t_class | Smoke::tf_ref },	//205
	{ "DOM::HTMLImageElement*", 64, Smoke::t_class | Smoke::tf_ptr },	//206
	{ "DOM::HTMLImageElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//207
	{ "DOM::HTMLInputElement&", 65, Smoke::t_class | Smoke::tf_ref },	//208
	{ "DOM::HTMLInputElement*", 65, Smoke::t_class | Smoke::tf_ptr },	//209
	{ "DOM::HTMLInputElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//210
	{ "DOM::HTMLIsIndexElement&", 66, Smoke::t_class | Smoke::tf_ref },	//211
	{ "DOM::HTMLIsIndexElement*", 66, Smoke::t_class | Smoke::tf_ptr },	//212
	{ "DOM::HTMLIsIndexElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//213
	{ "DOM::HTMLLIElement&", 67, Smoke::t_class | Smoke::tf_ref },	//214
	{ "DOM::HTMLLIElement*", 67, Smoke::t_class | Smoke::tf_ptr },	//215
	{ "DOM::HTMLLIElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//216
	{ "DOM::HTMLLabelElement&", 68, Smoke::t_class | Smoke::tf_ref },	//217
	{ "DOM::HTMLLabelElement*", 68, Smoke::t_class | Smoke::tf_ptr },	//218
	{ "DOM::HTMLLabelElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//219
	{ "DOM::HTMLLayerElement&", 69, Smoke::t_class | Smoke::tf_ref },	//220
	{ "DOM::HTMLLayerElement*", 69, Smoke::t_class | Smoke::tf_ptr },	//221
	{ "DOM::HTMLLayerElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//222
	{ "DOM::HTMLLegendElement&", 70, Smoke::t_class | Smoke::tf_ref },	//223
	{ "DOM::HTMLLegendElement*", 70, Smoke::t_class | Smoke::tf_ptr },	//224
	{ "DOM::HTMLLegendElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//225
	{ "DOM::HTMLLinkElement&", 71, Smoke::t_class | Smoke::tf_ref },	//226
	{ "DOM::HTMLLinkElement*", 71, Smoke::t_class | Smoke::tf_ptr },	//227
	{ "DOM::HTMLLinkElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//228
	{ "DOM::HTMLMapElement&", 72, Smoke::t_class | Smoke::tf_ref },	//229
	{ "DOM::HTMLMapElement*", 72, Smoke::t_class | Smoke::tf_ptr },	//230
	{ "DOM::HTMLMapElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//231
	{ "DOM::HTMLMenuElement&", 73, Smoke::t_class | Smoke::tf_ref },	//232
	{ "DOM::HTMLMenuElement*", 73, Smoke::t_class | Smoke::tf_ptr },	//233
	{ "DOM::HTMLMenuElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//234
	{ "DOM::HTMLMetaElement&", 74, Smoke::t_class | Smoke::tf_ref },	//235
	{ "DOM::HTMLMetaElement*", 74, Smoke::t_class | Smoke::tf_ptr },	//236
	{ "DOM::HTMLMetaElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//237
	{ "DOM::HTMLModElement&", 75, Smoke::t_class | Smoke::tf_ref },	//238
	{ "DOM::HTMLModElement*", 75, Smoke::t_class | Smoke::tf_ptr },	//239
	{ "DOM::HTMLOListElement&", 76, Smoke::t_class | Smoke::tf_ref },	//240
	{ "DOM::HTMLOListElement*", 76, Smoke::t_class | Smoke::tf_ptr },	//241
	{ "DOM::HTMLOListElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//242
	{ "DOM::HTMLObjectElement&", 77, Smoke::t_class | Smoke::tf_ref },	//243
	{ "DOM::HTMLObjectElement*", 77, Smoke::t_class | Smoke::tf_ptr },	//244
	{ "DOM::HTMLObjectElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//245
	{ "DOM::HTMLOptGroupElement&", 78, Smoke::t_class | Smoke::tf_ref },	//246
	{ "DOM::HTMLOptGroupElement*", 78, Smoke::t_class | Smoke::tf_ptr },	//247
	{ "DOM::HTMLOptGroupElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//248
	{ "DOM::HTMLOptionElement&", 79, Smoke::t_class | Smoke::tf_ref },	//249
	{ "DOM::HTMLOptionElement*", 79, Smoke::t_class | Smoke::tf_ptr },	//250
	{ "DOM::HTMLOptionElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//251
	{ "DOM::HTMLParagraphElement&", 80, Smoke::t_class | Smoke::tf_ref },	//252
	{ "DOM::HTMLParagraphElement*", 80, Smoke::t_class | Smoke::tf_ptr },	//253
	{ "DOM::HTMLParamElement&", 81, Smoke::t_class | Smoke::tf_ref },	//254
	{ "DOM::HTMLParamElement*", 81, Smoke::t_class | Smoke::tf_ptr },	//255
	{ "DOM::HTMLParamElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//256
	{ "DOM::HTMLPreElement&", 82, Smoke::t_class | Smoke::tf_ref },	//257
	{ "DOM::HTMLPreElement*", 82, Smoke::t_class | Smoke::tf_ptr },	//258
	{ "DOM::HTMLPreElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//259
	{ "DOM::HTMLQuoteElement&", 83, Smoke::t_class | Smoke::tf_ref },	//260
	{ "DOM::HTMLQuoteElement*", 83, Smoke::t_class | Smoke::tf_ptr },	//261
	{ "DOM::HTMLScriptElement&", 84, Smoke::t_class | Smoke::tf_ref },	//262
	{ "DOM::HTMLScriptElement*", 84, Smoke::t_class | Smoke::tf_ptr },	//263
	{ "DOM::HTMLScriptElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//264
	{ "DOM::HTMLSelectElement&", 85, Smoke::t_class | Smoke::tf_ref },	//265
	{ "DOM::HTMLSelectElement*", 85, Smoke::t_class | Smoke::tf_ptr },	//266
	{ "DOM::HTMLSelectElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//267
	{ "DOM::HTMLStyleElement&", 86, Smoke::t_class | Smoke::tf_ref },	//268
	{ "DOM::HTMLStyleElement*", 86, Smoke::t_class | Smoke::tf_ptr },	//269
	{ "DOM::HTMLStyleElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//270
	{ "DOM::HTMLTableCaptionElement", 87, Smoke::t_class | Smoke::tf_stack },	//271
	{ "DOM::HTMLTableCaptionElement&", 87, Smoke::t_class | Smoke::tf_ref },	//272
	{ "DOM::HTMLTableCaptionElement*", 87, Smoke::t_class | Smoke::tf_ptr },	//273
	{ "DOM::HTMLTableCaptionElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//274
	{ "DOM::HTMLTableCellElement&", 88, Smoke::t_class | Smoke::tf_ref },	//275
	{ "DOM::HTMLTableCellElement*", 88, Smoke::t_class | Smoke::tf_ptr },	//276
	{ "DOM::HTMLTableCellElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//277
	{ "DOM::HTMLTableColElement&", 89, Smoke::t_class | Smoke::tf_ref },	//278
	{ "DOM::HTMLTableColElement*", 89, Smoke::t_class | Smoke::tf_ptr },	//279
	{ "DOM::HTMLTableColElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//280
	{ "DOM::HTMLTableElement&", 90, Smoke::t_class | Smoke::tf_ref },	//281
	{ "DOM::HTMLTableElement*", 90, Smoke::t_class | Smoke::tf_ptr },	//282
	{ "DOM::HTMLTableElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//283
	{ "DOM::HTMLTableRowElement&", 91, Smoke::t_class | Smoke::tf_ref },	//284
	{ "DOM::HTMLTableRowElement*", 91, Smoke::t_class | Smoke::tf_ptr },	//285
	{ "DOM::HTMLTableRowElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//286
	{ "DOM::HTMLTableSectionElement", 92, Smoke::t_class | Smoke::tf_stack },	//287
	{ "DOM::HTMLTableSectionElement&", 92, Smoke::t_class | Smoke::tf_ref },	//288
	{ "DOM::HTMLTableSectionElement*", 92, Smoke::t_class | Smoke::tf_ptr },	//289
	{ "DOM::HTMLTableSectionElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//290
	{ "DOM::HTMLTextAreaElement&", 93, Smoke::t_class | Smoke::tf_ref },	//291
	{ "DOM::HTMLTextAreaElement*", 93, Smoke::t_class | Smoke::tf_ptr },	//292
	{ "DOM::HTMLTextAreaElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//293
	{ "DOM::HTMLTitleElement&", 94, Smoke::t_class | Smoke::tf_ref },	//294
	{ "DOM::HTMLTitleElement*", 94, Smoke::t_class | Smoke::tf_ptr },	//295
	{ "DOM::HTMLTitleElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//296
	{ "DOM::HTMLUListElement&", 95, Smoke::t_class | Smoke::tf_ref },	//297
	{ "DOM::HTMLUListElement*", 95, Smoke::t_class | Smoke::tf_ptr },	//298
	{ "DOM::HTMLUListElementImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//299
	{ "DOM::KeyboardEvent&", 96, Smoke::t_class | Smoke::tf_ref },	//300
	{ "DOM::KeyboardEvent*", 96, Smoke::t_class | Smoke::tf_ptr },	//301
	{ "DOM::KeyboardEvent::KeyLocation", 96, Smoke::t_enum | Smoke::tf_stack },	//302
	{ "DOM::LinkStyle&", 97, Smoke::t_class | Smoke::tf_ref },	//303
	{ "DOM::LinkStyle*", 97, Smoke::t_class | Smoke::tf_ptr },	//304
	{ "DOM::MediaList", 98, Smoke::t_class | Smoke::tf_stack },	//305
	{ "DOM::MediaList&", 98, Smoke::t_class | Smoke::tf_ref },	//306
	{ "DOM::MediaList*", 98, Smoke::t_class | Smoke::tf_ptr },	//307
	{ "DOM::MediaListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//308
	{ "DOM::MouseEvent&", 99, Smoke::t_class | Smoke::tf_ref },	//309
	{ "DOM::MouseEvent*", 99, Smoke::t_class | Smoke::tf_ptr },	//310
	{ "DOM::MouseEventImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//311
	{ "DOM::MutationEvent&", 100, Smoke::t_class | Smoke::tf_ref },	//312
	{ "DOM::MutationEvent*", 100, Smoke::t_class | Smoke::tf_ptr },	//313
	{ "DOM::MutationEvent::attrChangeType", 100, Smoke::t_enum | Smoke::tf_stack },	//314
	{ "DOM::MutationEventImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//315
	{ "DOM::NamedNodeMap", 101, Smoke::t_class | Smoke::tf_stack },	//316
	{ "DOM::NamedNodeMap&", 101, Smoke::t_class | Smoke::tf_ref },	//317
	{ "DOM::NamedNodeMap*", 101, Smoke::t_class | Smoke::tf_ptr },	//318
	{ "DOM::NamedNodeMapImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//319
	{ "DOM::Node", 102, Smoke::t_class | Smoke::tf_stack },	//320
	{ "DOM::Node&", 102, Smoke::t_class | Smoke::tf_ref },	//321
	{ "DOM::Node*", 102, Smoke::t_class | Smoke::tf_ptr },	//322
	{ "DOM::Node::DocumentPosition", 102, Smoke::t_enum | Smoke::tf_stack },	//323
	{ "DOM::Node::NodeType", 102, Smoke::t_enum | Smoke::tf_stack },	//324
	{ "DOM::NodeFilter", 103, Smoke::t_class | Smoke::tf_stack },	//325
	{ "DOM::NodeFilter&", 103, Smoke::t_class | Smoke::tf_ref },	//326
	{ "DOM::NodeFilter*", 103, Smoke::t_class | Smoke::tf_ptr },	//327
	{ "DOM::NodeFilter::AcceptCode", 103, Smoke::t_enum | Smoke::tf_stack },	//328
	{ "DOM::NodeFilter::ShowCode", 103, Smoke::t_enum | Smoke::tf_stack },	//329
	{ "DOM::NodeFilterImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//330
	{ "DOM::NodeImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//331
	{ "DOM::NodeIterator", 104, Smoke::t_class | Smoke::tf_stack },	//332
	{ "DOM::NodeIterator&", 104, Smoke::t_class | Smoke::tf_ref },	//333
	{ "DOM::NodeIterator*", 104, Smoke::t_class | Smoke::tf_ptr },	//334
	{ "DOM::NodeIteratorImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//335
	{ "DOM::NodeList", 105, Smoke::t_class | Smoke::tf_stack },	//336
	{ "DOM::NodeList&", 105, Smoke::t_class | Smoke::tf_ref },	//337
	{ "DOM::NodeList*", 105, Smoke::t_class | Smoke::tf_ptr },	//338
	{ "DOM::Notation&", 106, Smoke::t_class | Smoke::tf_ref },	//339
	{ "DOM::Notation*", 106, Smoke::t_class | Smoke::tf_ptr },	//340
	{ "DOM::NotationImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//341
	{ "DOM::ProcessingInstruction", 107, Smoke::t_class | Smoke::tf_stack },	//342
	{ "DOM::ProcessingInstruction&", 107, Smoke::t_class | Smoke::tf_ref },	//343
	{ "DOM::ProcessingInstruction*", 107, Smoke::t_class | Smoke::tf_ptr },	//344
	{ "DOM::ProcessingInstructionImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//345
	{ "DOM::RGBColor", 108, Smoke::t_class | Smoke::tf_stack },	//346
	{ "DOM::RGBColor&", 108, Smoke::t_class | Smoke::tf_ref },	//347
	{ "DOM::RGBColor*", 108, Smoke::t_class | Smoke::tf_ptr },	//348
	{ "DOM::Range", 109, Smoke::t_class | Smoke::tf_stack },	//349
	{ "DOM::Range&", 109, Smoke::t_class | Smoke::tf_ref },	//350
	{ "DOM::Range*", 109, Smoke::t_class | Smoke::tf_ptr },	//351
	{ "DOM::Range::CompareHow", 109, Smoke::t_enum | Smoke::tf_stack },	//352
	{ "DOM::RangeException&", 110, Smoke::t_class | Smoke::tf_ref },	//353
	{ "DOM::RangeException*", 110, Smoke::t_class | Smoke::tf_ptr },	//354
	{ "DOM::RangeException::RangeExceptionCode", 110, Smoke::t_enum | Smoke::tf_stack },	//355
	{ "DOM::RangeImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//356
	{ "DOM::Rect", 111, Smoke::t_class | Smoke::tf_stack },	//357
	{ "DOM::Rect&", 111, Smoke::t_class | Smoke::tf_ref },	//358
	{ "DOM::Rect*", 111, Smoke::t_class | Smoke::tf_ptr },	//359
	{ "DOM::RectImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//360
	{ "DOM::StyleListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//361
	{ "DOM::StyleSheet", 112, Smoke::t_class | Smoke::tf_stack },	//362
	{ "DOM::StyleSheet&", 112, Smoke::t_class | Smoke::tf_ref },	//363
	{ "DOM::StyleSheet*", 112, Smoke::t_class | Smoke::tf_ptr },	//364
	{ "DOM::StyleSheetImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//365
	{ "DOM::StyleSheetList", 113, Smoke::t_class | Smoke::tf_stack },	//366
	{ "DOM::StyleSheetList&", 113, Smoke::t_class | Smoke::tf_ref },	//367
	{ "DOM::StyleSheetList*", 113, Smoke::t_class | Smoke::tf_ptr },	//368
	{ "DOM::StyleSheetListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//369
	{ "DOM::Text", 114, Smoke::t_class | Smoke::tf_stack },	//370
	{ "DOM::Text&", 114, Smoke::t_class | Smoke::tf_ref },	//371
	{ "DOM::Text*", 114, Smoke::t_class | Smoke::tf_ptr },	//372
	{ "DOM::TextEvent&", 115, Smoke::t_class | Smoke::tf_ref },	//373
	{ "DOM::TextEvent*", 115, Smoke::t_class | Smoke::tf_ptr },	//374
	{ "DOM::TextImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//375
	{ "DOM::TreeWalker", 116, Smoke::t_class | Smoke::tf_stack },	//376
	{ "DOM::TreeWalker&", 116, Smoke::t_class | Smoke::tf_ref },	//377
	{ "DOM::TreeWalker*", 116, Smoke::t_class | Smoke::tf_ptr },	//378
	{ "DOM::TreeWalkerImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//379
	{ "DOM::UIEvent&", 117, Smoke::t_class | Smoke::tf_ref },	//380
	{ "DOM::UIEvent*", 117, Smoke::t_class | Smoke::tf_ptr },	//381
	{ "DOM::UIEventImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//382
	{ "KAction::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//383
	{ "KAction::ShortcutTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//384
	{ "KActionCollection*", 118, Smoke::t_class | Smoke::tf_ptr },	//385
	{ "KAutostart::Conditions", 0, Smoke::t_uint | Smoke::tf_stack },	//386
	{ "KAutostart::Conditions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//387
	{ "KCModule::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//388
	{ "KCModule::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//389
	{ "KCmdLineArgs::StdCmdLineArgs", 0, Smoke::t_uint | Smoke::tf_stack },	//390
	{ "KCmdLineArgs::StdCmdLineArgs&", 0, Smoke::t_voidp | Smoke::tf_ref },	//391
	{ "KComponentData", 119, Smoke::t_class | Smoke::tf_stack },	//392
	{ "KConfig*", 120, Smoke::t_class | Smoke::tf_ptr },	//393
	{ "KConfig::OpenFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//394
	{ "KConfig::OpenFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//395
	{ "KConfigBase::WriteConfigFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//396
	{ "KConfigBase::WriteConfigFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//397
	{ "KCrash::CrashFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//398
	{ "KCrash::CrashFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//399
	{ "KDialog::ButtonCodes", 0, Smoke::t_uint | Smoke::tf_stack },	//400
	{ "KDialog::ButtonCodes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//401
	{ "KDialog::ButtonPopupModes", 0, Smoke::t_uint | Smoke::tf_stack },	//402
	{ "KDialog::ButtonPopupModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//403
	{ "KDialog::CaptionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//404
	{ "KDialog::CaptionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//405
	{ "KDirLister::OpenUrlFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//406
	{ "KDirLister::OpenUrlFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//407
	{ "KDirModel::DropsAllowed", 0, Smoke::t_uint | Smoke::tf_stack },	//408
	{ "KDirModel::DropsAllowed&", 0, Smoke::t_voidp | Smoke::tf_ref },	//409
	{ "KDirWatch::WatchModes", 0, Smoke::t_uint | Smoke::tf_stack },	//410
	{ "KDirWatch::WatchModes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//411
	{ "KEditListBox::Buttons", 0, Smoke::t_uint | Smoke::tf_stack },	//412
	{ "KEditListBox::Buttons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//413
	{ "KFileMetaInfo::WhatFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//414
	{ "KFileMetaInfo::WhatFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//415
	{ "KFindDialog*", 122, Smoke::t_class | Smoke::tf_ptr },	//416
	{ "KFontChooser::DisplayFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//417
	{ "KFontChooser::DisplayFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//418
	{ "KFontChooser::FontDiffFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//419
	{ "KFontChooser::FontDiffFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//420
	{ "KGlobalSettings::GraphicEffects", 0, Smoke::t_uint | Smoke::tf_stack },	//421
	{ "KGlobalSettings::GraphicEffects&", 0, Smoke::t_voidp | Smoke::tf_ref },	//422
	{ "KHTMLPart*", 123, Smoke::t_class | Smoke::tf_ptr },	//423
	{ "KHTMLPart::CaretDisplayPolicy", 123, Smoke::t_enum | Smoke::tf_stack },	//424
	{ "KHTMLPart::DNSPrefetch", 123, Smoke::t_enum | Smoke::tf_stack },	//425
	{ "KHTMLPart::FindOptions", 123, Smoke::t_enum | Smoke::tf_stack },	//426
	{ "KHTMLPart::FormNotification", 123, Smoke::t_enum | Smoke::tf_stack },	//427
	{ "KHTMLPart::GUIProfile", 123, Smoke::t_enum | Smoke::tf_stack },	//428
	{ "KHTMLPart::PageSecurity", 123, Smoke::t_enum | Smoke::tf_stack },	//429
	{ "KHTMLPart::StatusBarPriority", 123, Smoke::t_enum | Smoke::tf_stack },	//430
	{ "KHTMLSettings*", 124, Smoke::t_class | Smoke::tf_ptr },	//431
	{ "KHTMLSettings::KAnimationAdvice", 124, Smoke::t_enum | Smoke::tf_stack },	//432
	{ "KHTMLSettings::KDNSPrefetch", 124, Smoke::t_enum | Smoke::tf_stack },	//433
	{ "KHTMLSettings::KJSWindowFocusPolicy", 124, Smoke::t_enum | Smoke::tf_stack },	//434
	{ "KHTMLSettings::KJSWindowMovePolicy", 124, Smoke::t_enum | Smoke::tf_stack },	//435
	{ "KHTMLSettings::KJSWindowOpenPolicy", 124, Smoke::t_enum | Smoke::tf_stack },	//436
	{ "KHTMLSettings::KJSWindowResizePolicy", 124, Smoke::t_enum | Smoke::tf_stack },	//437
	{ "KHTMLSettings::KJSWindowStatusPolicy", 124, Smoke::t_enum | Smoke::tf_stack },	//438
	{ "KHTMLSettings::KJavaScriptAdvice", 124, Smoke::t_enum | Smoke::tf_stack },	//439
	{ "KHTMLSettings::KJavaScriptAdvice&", 0, Smoke::t_voidp | Smoke::tf_ref },	//440
	{ "KHTMLSettings::KSmoothScrollingMode", 124, Smoke::t_enum | Smoke::tf_stack },	//441
	{ "KHTMLView*", 125, Smoke::t_class | Smoke::tf_ptr },	//442
	{ "KHTMLView::LinkCursor", 125, Smoke::t_enum | Smoke::tf_stack },	//443
	{ "KHTMLView::SmoothScrollingMode", 125, Smoke::t_enum | Smoke::tf_stack },	//444
	{ "KIO::CacheControl", 126, Smoke::t_enum | Smoke::tf_stack },	//445
	{ "KIO::Command", 126, Smoke::t_enum | Smoke::tf_stack },	//446
	{ "KIO::Error", 126, Smoke::t_enum | Smoke::tf_stack },	//447
	{ "KIO::HTTP_METHOD", 126, Smoke::t_enum | Smoke::tf_stack },	//448
	{ "KIO::Info", 126, Smoke::t_enum | Smoke::tf_stack },	//449
	{ "KIO::Job*", 127, Smoke::t_class | Smoke::tf_ptr },	//450
	{ "KIO::JobFlag", 126, Smoke::t_enum | Smoke::tf_stack },	//451
	{ "KIO::JobFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//452
	{ "KIO::JobFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//453
	{ "KIO::LoadType", 126, Smoke::t_enum | Smoke::tf_stack },	//454
	{ "KIO::Message", 126, Smoke::t_enum | Smoke::tf_stack },	//455
	{ "KIO::NetRC::LookUpMode", 0, Smoke::t_uint | Smoke::tf_stack },	//456
	{ "KIO::NetRC::LookUpMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//457
	{ "KIO::RenameDialog_Mode", 126, Smoke::t_enum | Smoke::tf_stack },	//458
	{ "KIO::RenameDialog_Result", 126, Smoke::t_enum | Smoke::tf_stack },	//459
	{ "KIO::SkipDialog_Result", 126, Smoke::t_enum | Smoke::tf_stack },	//460
	{ "KIO::TCPSlaveBase::SslResult", 0, Smoke::t_uint | Smoke::tf_stack },	//461
	{ "KIO::TCPSlaveBase::SslResult&", 0, Smoke::t_voidp | Smoke::tf_ref },	//462
	{ "KJS::Interpreter*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//463
	{ "KJSProxy*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//464
	{ "KJob*", 129, Smoke::t_class | Smoke::tf_ptr },	//465
	{ "KJob::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//466
	{ "KJob::Capabilities&", 0, Smoke::t_voidp | Smoke::tf_ref },	//467
	{ "KJob::Capability", 129, Smoke::t_enum | Smoke::tf_stack },	//468
	{ "KJob::KillVerbosity", 129, Smoke::t_enum | Smoke::tf_stack },	//469
	{ "KJob::Unit", 129, Smoke::t_enum | Smoke::tf_stack },	//470
	{ "KKeySequenceWidget::ShortcutTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//471
	{ "KKeySequenceWidget::ShortcutTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//472
	{ "KLocale::DateTimeFormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//473
	{ "KLocale::DateTimeFormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//474
	{ "KLockFile::LockFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//475
	{ "KLockFile::LockFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//476
	{ "KMessageBox::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//477
	{ "KMessageBox::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//478
	{ "KNTLM::AuthFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//479
	{ "KNTLM::AuthFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//480
	{ "KNotification::NotificationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//481
	{ "KNotification::NotificationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//482
	{ "KNotificationRestrictions::Services", 0, Smoke::t_uint | Smoke::tf_stack },	//483
	{ "KNotificationRestrictions::Services&", 0, Smoke::t_voidp | Smoke::tf_ref },	//484
	{ "KParts::BrowserExtension*", 132, Smoke::t_class | Smoke::tf_ptr },	//485
	{ "KParts::BrowserExtension::PopupFlag", 132, Smoke::t_enum | Smoke::tf_stack },	//486
	{ "KParts::BrowserExtension::PopupFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//487
	{ "KParts::BrowserExtension::PopupFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//488
	{ "KParts::BrowserHostExtension*", 133, Smoke::t_class | Smoke::tf_ptr },	//489
	{ "KParts::GUIActivateEvent*", 134, Smoke::t_class | Smoke::tf_ptr },	//490
	{ "KParts::Part*", 136, Smoke::t_class | Smoke::tf_ptr },	//491
	{ "KParts::PartActivateEvent*", 137, Smoke::t_class | Smoke::tf_ptr },	//492
	{ "KParts::PartBase::PluginLoadingMode", 138, Smoke::t_enum | Smoke::tf_stack },	//493
	{ "KParts::PartManager*", 139, Smoke::t_class | Smoke::tf_ptr },	//494
	{ "KParts::PartManager::Reason", 139, Smoke::t_enum | Smoke::tf_stack },	//495
	{ "KParts::PartManager::SelectionPolicy", 139, Smoke::t_enum | Smoke::tf_stack },	//496
	{ "KParts::PartSelectEvent*", 140, Smoke::t_class | Smoke::tf_ptr },	//497
	{ "KParts::ReadOnlyPart*", 141, Smoke::t_class | Smoke::tf_ptr },	//498
	{ "KPasswordDialog::KPasswordDialogFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//499
	{ "KPasswordDialog::KPasswordDialogFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//500
	{ "KPerDomainSettings&", 0, Smoke::t_voidp | Smoke::tf_ref },	//501
	{ "KPlotObject::PlotTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//502
	{ "KPlotObject::PlotTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//503
	{ "KServiceGroup::EntriesOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//504
	{ "KServiceGroup::EntriesOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//505
	{ "KShell::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//506
	{ "KShell::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//507
	{ "KShortcutsEditor::ActionTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//508
	{ "KShortcutsEditor::ActionTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//509
	{ "KStandardDirs::SearchOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//510
	{ "KStandardDirs::SearchOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//511
	{ "KUniqueApplication::StartFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//512
	{ "KUniqueApplication::StartFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//513
	{ "KUrl", 142, Smoke::t_class | Smoke::tf_stack },	//514
	{ "KUrl&", 142, Smoke::t_class | Smoke::tf_ref },	//515
	{ "KUrl::AdjustPathOption", 142, Smoke::t_enum | Smoke::tf_stack },	//516
	{ "KUrl::CleanPathOption", 142, Smoke::t_enum | Smoke::tf_stack },	//517
	{ "KUrl::CleanPathOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//518
	{ "KUrl::CleanPathOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//519
	{ "KUrl::DirectoryOption", 142, Smoke::t_enum | Smoke::tf_stack },	//520
	{ "KUrl::DirectoryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//521
	{ "KUrl::DirectoryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//522
	{ "KUrl::EncodedPathAndQueryOption", 142, Smoke::t_enum | Smoke::tf_stack },	//523
	{ "KUrl::EncodedPathAndQueryOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//524
	{ "KUrl::EncodedPathAndQueryOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//525
	{ "KUrl::EqualsOption", 142, Smoke::t_enum | Smoke::tf_stack },	//526
	{ "KUrl::EqualsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//527
	{ "KUrl::EqualsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//528
	{ "KUrl::MimeDataFlags", 142, Smoke::t_enum | Smoke::tf_stack },	//529
	{ "KUrl::QueryItemsOption", 142, Smoke::t_enum | Smoke::tf_stack },	//530
	{ "KUrl::QueryItemsOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//531
	{ "KUrl::QueryItemsOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//532
	{ "KXMLGUIClient::ReverseStateChange", 143, Smoke::t_enum | Smoke::tf_stack },	//533
	{ "KXmlGuiWindow::StandardWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//534
	{ "KXmlGuiWindow::StandardWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//535
	{ "QAbstractFileEngine::FileFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//536
	{ "QAbstractFileEngine::FileFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//537
	{ "QAbstractItemView::EditTriggers", 0, Smoke::t_uint | Smoke::tf_stack },	//538
	{ "QAbstractItemView::EditTriggers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//539
	{ "QAbstractPrintDialog::PrintDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//540
	{ "QAbstractPrintDialog::PrintDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//541
	{ "QAbstractSpinBox::StepEnabled", 0, Smoke::t_uint | Smoke::tf_stack },	//542
	{ "QAbstractSpinBox::StepEnabled&", 0, Smoke::t_voidp | Smoke::tf_ref },	//543
	{ "QAccessible::Relation", 0, Smoke::t_uint | Smoke::tf_stack },	//544
	{ "QAccessible::Relation&", 0, Smoke::t_voidp | Smoke::tf_ref },	//545
	{ "QAccessible::State", 0, Smoke::t_uint | Smoke::tf_stack },	//546
	{ "QAccessible::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//547
	{ "QAction*", 145, Smoke::t_class | Smoke::tf_ptr },	//548
	{ "QAction::ActionEvent", 145, Smoke::t_enum | Smoke::tf_stack },	//549
	{ "QAction::MenuRole", 145, Smoke::t_enum | Smoke::tf_stack },	//550
	{ "QActionEvent*", 146, Smoke::t_class | Smoke::tf_ptr },	//551
	{ "QByteArray", 147, Smoke::t_class | Smoke::tf_stack },	//552
	{ "QByteArray&", 147, Smoke::t_class | Smoke::tf_ref },	//553
	{ "QChar*", 148, Smoke::t_class | Smoke::tf_ptr },	//554
	{ "QChar::Category", 148, Smoke::t_enum | Smoke::tf_stack },	//555
	{ "QChar::CombiningClass", 148, Smoke::t_enum | Smoke::tf_stack },	//556
	{ "QChar::Decomposition", 148, Smoke::t_enum | Smoke::tf_stack },	//557
	{ "QChar::Direction", 148, Smoke::t_enum | Smoke::tf_stack },	//558
	{ "QChar::Joining", 148, Smoke::t_enum | Smoke::tf_stack },	//559
	{ "QChar::SpecialCharacter", 148, Smoke::t_enum | Smoke::tf_stack },	//560
	{ "QChar::UnicodeVersion", 148, Smoke::t_enum | Smoke::tf_stack },	//561
	{ "QChildEvent*", 149, Smoke::t_class | Smoke::tf_ptr },	//562
	{ "QCloseEvent*", 150, Smoke::t_class | Smoke::tf_ptr },	//563
	{ "QColor::Spec", 151, Smoke::t_enum | Smoke::tf_stack },	//564
	{ "QColorDialog::ColorDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//565
	{ "QColorDialog::ColorDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//566
	{ "QContextMenuEvent*", 152, Smoke::t_class | Smoke::tf_ptr },	//567
	{ "QCursor", 153, Smoke::t_class | Smoke::tf_stack },	//568
	{ "QDBusConnection::RegisterOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//569
	{ "QDBusConnection::RegisterOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//570
	{ "QDataStream&", 154, Smoke::t_class | Smoke::tf_ref },	//571
	{ "QDataStream::ByteOrder", 154, Smoke::t_enum | Smoke::tf_stack },	//572
	{ "QDataStream::Status", 154, Smoke::t_enum | Smoke::tf_stack },	//573
	{ "QDataStream::Version", 154, Smoke::t_enum | Smoke::tf_stack },	//574
	{ "QDateTimeEdit::Sections", 0, Smoke::t_uint | Smoke::tf_stack },	//575
	{ "QDateTimeEdit::Sections&", 0, Smoke::t_voidp | Smoke::tf_ref },	//576
	{ "QDialogButtonBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//577
	{ "QDialogButtonBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//578
	{ "QDir::Filters", 0, Smoke::t_uint | Smoke::tf_stack },	//579
	{ "QDir::Filters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//580
	{ "QDir::SortFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//581
	{ "QDir::SortFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//582
	{ "QDirIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//583
	{ "QDirIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//584
	{ "QDockWidget::DockWidgetFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//585
	{ "QDockWidget::DockWidgetFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//586
	{ "QDomDocument", 155, Smoke::t_class | Smoke::tf_stack },	//587
	{ "QDragEnterEvent*", 157, Smoke::t_class | Smoke::tf_ptr },	//588
	{ "QDragLeaveEvent*", 158, Smoke::t_class | Smoke::tf_ptr },	//589
	{ "QDragMoveEvent*", 159, Smoke::t_class | Smoke::tf_ptr },	//590
	{ "QDropEvent*", 160, Smoke::t_class | Smoke::tf_ptr },	//591
	{ "QEvent*", 161, Smoke::t_class | Smoke::tf_ptr },	//592
	{ "QEvent::Type", 161, Smoke::t_enum | Smoke::tf_stack },	//593
	{ "QEventLoop::ProcessEventsFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//594
	{ "QEventLoop::ProcessEventsFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//595
	{ "QFile::Permissions", 0, Smoke::t_uint | Smoke::tf_stack },	//596
	{ "QFile::Permissions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//597
	{ "QFileDialog::Options", 0, Smoke::t_uint | Smoke::tf_stack },	//598
	{ "QFileDialog::Options&", 0, Smoke::t_voidp | Smoke::tf_ref },	//599
	{ "QFocusEvent*", 162, Smoke::t_class | Smoke::tf_ptr },	//600
	{ "QFontComboBox::FontFilters", 0, Smoke::t_uint | Smoke::tf_stack },	//601
	{ "QFontComboBox::FontFilters&", 0, Smoke::t_voidp | Smoke::tf_ref },	//602
	{ "QFontDialog::FontDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//603
	{ "QFontDialog::FontDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//604
	{ "QFrame::Shadow", 164, Smoke::t_enum | Smoke::tf_stack },	//605
	{ "QFrame::Shape", 164, Smoke::t_enum | Smoke::tf_stack },	//606
	{ "QFrame::StyleMask", 164, Smoke::t_enum | Smoke::tf_stack },	//607
	{ "QGL::FormatOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//608
	{ "QGL::FormatOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//609
	{ "QGLFormat::OpenGLVersionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//610
	{ "QGLFormat::OpenGLVersionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//611
	{ "QGraphicsItem::GraphicsItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//612
	{ "QGraphicsItem::GraphicsItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//613
	{ "QGraphicsScene::SceneLayers", 0, Smoke::t_uint | Smoke::tf_stack },	//614
	{ "QGraphicsScene::SceneLayers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//615
	{ "QGraphicsView::CacheMode", 0, Smoke::t_uint | Smoke::tf_stack },	//616
	{ "QGraphicsView::CacheMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//617
	{ "QGraphicsView::OptimizationFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//618
	{ "QGraphicsView::OptimizationFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//619
	{ "QHideEvent*", 165, Smoke::t_class | Smoke::tf_ptr },	//620
	{ "QIODevice::OpenMode", 0, Smoke::t_uint | Smoke::tf_stack },	//621
	{ "QIODevice::OpenMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//622
	{ "QInputDialog::InputDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//623
	{ "QInputDialog::InputDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//624
	{ "QInputMethodEvent*", 167, Smoke::t_class | Smoke::tf_ptr },	//625
	{ "QItemSelectionModel::SelectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//626
	{ "QItemSelectionModel::SelectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//627
	{ "QKeyEvent*", 168, Smoke::t_class | Smoke::tf_ptr },	//628
	{ "QLibrary::LoadHints", 0, Smoke::t_uint | Smoke::tf_stack },	//629
	{ "QLibrary::LoadHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//630
	{ "QList<KParts::ReadOnlyPart*>", 0, Smoke::t_voidp | Smoke::tf_stack },	//631
	{ "QList<QPair<QString,QChar> >", 0, Smoke::t_voidp | Smoke::tf_stack },	//632
	{ "QLocale::NumberOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//633
	{ "QLocale::NumberOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//634
	{ "QMainWindow::DockOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//635
	{ "QMainWindow::DockOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//636
	{ "QMdiArea::AreaOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//637
	{ "QMdiArea::AreaOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//638
	{ "QMdiSubWindow::SubWindowOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//639
	{ "QMdiSubWindow::SubWindowOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//640
	{ "QMessageBox::StandardButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//641
	{ "QMessageBox::StandardButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//642
	{ "QMetaObject::Call", 171, Smoke::t_enum | Smoke::tf_stack },	//643
	{ "QMouseEvent*", 172, Smoke::t_class | Smoke::tf_ptr },	//644
	{ "QMoveEvent*", 173, Smoke::t_class | Smoke::tf_ptr },	//645
	{ "QNetworkInterface::InterfaceFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//646
	{ "QNetworkInterface::InterfaceFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//647
	{ "QNetworkProxy::Capabilities", 0, Smoke::t_uint | Smoke::tf_stack },	//648
	{ "QNetworkProxy::Capabilities&", 0, Smoke::t_voidp | Smoke::tf_ref },	//649
	{ "QObject*", 174, Smoke::t_class | Smoke::tf_ptr },	//650
	{ "QPageSetupDialog::PageSetupDialogOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//651
	{ "QPageSetupDialog::PageSetupDialogOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//652
	{ "QPaintDevice*", 175, Smoke::t_class | Smoke::tf_ptr },	//653
	{ "QPaintDevice::PaintDeviceMetric", 175, Smoke::t_enum | Smoke::tf_stack },	//654
	{ "QPaintEngine*", 176, Smoke::t_class | Smoke::tf_ptr },	//655
	{ "QPaintEngine::DirtyFlag", 176, Smoke::t_enum | Smoke::tf_stack },	//656
	{ "QPaintEngine::DirtyFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//657
	{ "QPaintEngine::DirtyFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//658
	{ "QPaintEngine::PaintEngineFeature", 176, Smoke::t_enum | Smoke::tf_stack },	//659
	{ "QPaintEngine::PaintEngineFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//660
	{ "QPaintEngine::PaintEngineFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//661
	{ "QPaintEngine::PolygonDrawMode", 176, Smoke::t_enum | Smoke::tf_stack },	//662
	{ "QPaintEngine::Type", 176, Smoke::t_enum | Smoke::tf_stack },	//663
	{ "QPaintEvent*", 178, Smoke::t_class | Smoke::tf_ptr },	//664
	{ "QPainter*", 179, Smoke::t_class | Smoke::tf_ptr },	//665
	{ "QPainter::CompositionMode", 179, Smoke::t_enum | Smoke::tf_stack },	//666
	{ "QPainter::RenderHint", 179, Smoke::t_enum | Smoke::tf_stack },	//667
	{ "QPainter::RenderHints", 0, Smoke::t_uint | Smoke::tf_stack },	//668
	{ "QPainter::RenderHints&", 0, Smoke::t_voidp | Smoke::tf_ref },	//669
	{ "QPainterPath::ElementType", 180, Smoke::t_enum | Smoke::tf_stack },	//670
	{ "QPixmap::Type", 182, Smoke::t_enum | Smoke::tf_stack },	//671
	{ "QPoint", 183, Smoke::t_class | Smoke::tf_stack },	//672
	{ "QPoint&", 183, Smoke::t_class | Smoke::tf_ref },	//673
	{ "QRect", 185, Smoke::t_class | Smoke::tf_stack },	//674
	{ "QResizeEvent*", 187, Smoke::t_class | Smoke::tf_ptr },	//675
	{ "QShowEvent*", 189, Smoke::t_class | Smoke::tf_ptr },	//676
	{ "QSize", 190, Smoke::t_class | Smoke::tf_stack },	//677
	{ "QSizePolicy::ControlTypes", 0, Smoke::t_uint | Smoke::tf_stack },	//678
	{ "QSizePolicy::ControlTypes&", 0, Smoke::t_voidp | Smoke::tf_ref },	//679
	{ "QSql::ParamType", 0, Smoke::t_uint | Smoke::tf_stack },	//680
	{ "QSql::ParamType&", 0, Smoke::t_voidp | Smoke::tf_ref },	//681
	{ "QString", 0, Smoke::t_voidp | Smoke::tf_stack },	//682
	{ "QString&", 0, Smoke::t_voidp | Smoke::tf_ref },	//683
	{ "QString::SectionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//684
	{ "QString::SectionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//685
	{ "QStringList", 0, Smoke::t_voidp | Smoke::tf_stack },	//686
	{ "QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref },	//687
	{ "QStyle&", 191, Smoke::t_class | Smoke::tf_ref },	//688
	{ "QStyle::State", 0, Smoke::t_uint | Smoke::tf_stack },	//689
	{ "QStyle::State&", 0, Smoke::t_voidp | Smoke::tf_ref },	//690
	{ "QStyle::SubControls", 0, Smoke::t_uint | Smoke::tf_stack },	//691
	{ "QStyle::SubControls&", 0, Smoke::t_voidp | Smoke::tf_ref },	//692
	{ "QStyleOptionButton::ButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//693
	{ "QStyleOptionButton::ButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//694
	{ "QStyleOptionFrameV2::FrameFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//695
	{ "QStyleOptionFrameV2::FrameFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//696
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//697
	{ "QStyleOptionQ3ListViewItem::Q3ListViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//698
	{ "QStyleOptionTab::CornerWidgets", 0, Smoke::t_uint | Smoke::tf_stack },	//699
	{ "QStyleOptionTab::CornerWidgets&", 0, Smoke::t_voidp | Smoke::tf_ref },	//700
	{ "QStyleOptionToolBar::ToolBarFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//701
	{ "QStyleOptionToolBar::ToolBarFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//702
	{ "QStyleOptionToolButton::ToolButtonFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//703
	{ "QStyleOptionToolButton::ToolButtonFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//704
	{ "QStyleOptionViewItemV2::ViewItemFeatures", 0, Smoke::t_uint | Smoke::tf_stack },	//705
	{ "QStyleOptionViewItemV2::ViewItemFeatures&", 0, Smoke::t_voidp | Smoke::tf_ref },	//706
	{ "QTabletEvent*", 192, Smoke::t_class | Smoke::tf_ptr },	//707
	{ "QTextBoundaryFinder::BoundaryReasons", 0, Smoke::t_uint | Smoke::tf_stack },	//708
	{ "QTextBoundaryFinder::BoundaryReasons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//709
	{ "QTextCodec::ConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//710
	{ "QTextCodec::ConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//711
	{ "QTextDocument::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//712
	{ "QTextDocument::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//713
	{ "QTextEdit::AutoFormatting", 0, Smoke::t_uint | Smoke::tf_stack },	//714
	{ "QTextEdit::AutoFormatting&", 0, Smoke::t_voidp | Smoke::tf_ref },	//715
	{ "QTextFormat::PageBreakFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//716
	{ "QTextFormat::PageBreakFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//717
	{ "QTextItem::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//718
	{ "QTextItem::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//719
	{ "QTextOption::Flags", 0, Smoke::t_uint | Smoke::tf_stack },	//720
	{ "QTextOption::Flags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//721
	{ "QTextStream::NumberFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//722
	{ "QTextStream::NumberFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//723
	{ "QTimerEvent*", 193, Smoke::t_class | Smoke::tf_ptr },	//724
	{ "QTreeWidgetItemIterator::IteratorFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//725
	{ "QTreeWidgetItemIterator::IteratorFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//726
	{ "QUdpSocket::BindMode", 0, Smoke::t_uint | Smoke::tf_stack },	//727
	{ "QUdpSocket::BindMode&", 0, Smoke::t_voidp | Smoke::tf_ref },	//728
	{ "QUrl::FormattingOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//729
	{ "QUrl::FormattingOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//730
	{ "QVariant", 194, Smoke::t_class | Smoke::tf_stack },	//731
	{ "QVariant::Type", 194, Smoke::t_enum | Smoke::tf_stack },	//732
	{ "QWebPage::FindFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//733
	{ "QWebPage::FindFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//734
	{ "QWheelEvent*", 195, Smoke::t_class | Smoke::tf_ptr },	//735
	{ "QWidget*", 196, Smoke::t_class | Smoke::tf_ptr },	//736
	{ "QWidget::RenderFlag", 196, Smoke::t_enum | Smoke::tf_stack },	//737
	{ "QWidget::RenderFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//738
	{ "QWidget::RenderFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//739
	{ "QWizard::WizardOptions", 0, Smoke::t_uint | Smoke::tf_stack },	//740
	{ "QWizard::WizardOptions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//741
	{ "Qt::Alignment", 0, Smoke::t_uint | Smoke::tf_stack },	//742
	{ "Qt::Alignment&", 0, Smoke::t_voidp | Smoke::tf_ref },	//743
	{ "Qt::AlignmentFlag", 197, Smoke::t_enum | Smoke::tf_stack },	//744
	{ "Qt::AnchorAttribute", 197, Smoke::t_enum | Smoke::tf_stack },	//745
	{ "Qt::ApplicationAttribute", 197, Smoke::t_enum | Smoke::tf_stack },	//746
	{ "Qt::ArrowType", 197, Smoke::t_enum | Smoke::tf_stack },	//747
	{ "Qt::AspectRatioMode", 197, Smoke::t_enum | Smoke::tf_stack },	//748
	{ "Qt::Axis", 197, Smoke::t_enum | Smoke::tf_stack },	//749
	{ "Qt::BGMode", 197, Smoke::t_enum | Smoke::tf_stack },	//750
	{ "Qt::BrushStyle", 197, Smoke::t_enum | Smoke::tf_stack },	//751
	{ "Qt::CaseSensitivity", 197, Smoke::t_enum | Smoke::tf_stack },	//752
	{ "Qt::CheckState", 197, Smoke::t_enum | Smoke::tf_stack },	//753
	{ "Qt::ClipOperation", 197, Smoke::t_enum | Smoke::tf_stack },	//754
	{ "Qt::ConnectionType", 197, Smoke::t_enum | Smoke::tf_stack },	//755
	{ "Qt::ContextMenuPolicy", 197, Smoke::t_enum | Smoke::tf_stack },	//756
	{ "Qt::Corner", 197, Smoke::t_enum | Smoke::tf_stack },	//757
	{ "Qt::CursorShape", 197, Smoke::t_enum | Smoke::tf_stack },	//758
	{ "Qt::DateFormat", 197, Smoke::t_enum | Smoke::tf_stack },	//759
	{ "Qt::DayOfWeek", 197, Smoke::t_enum | Smoke::tf_stack },	//760
	{ "Qt::DockWidgetArea", 197, Smoke::t_enum | Smoke::tf_stack },	//761
	{ "Qt::DockWidgetAreaSizes", 197, Smoke::t_enum | Smoke::tf_stack },	//762
	{ "Qt::DockWidgetAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//763
	{ "Qt::DockWidgetAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//764
	{ "Qt::DropAction", 197, Smoke::t_enum | Smoke::tf_stack },	//765
	{ "Qt::DropActions", 0, Smoke::t_uint | Smoke::tf_stack },	//766
	{ "Qt::DropActions&", 0, Smoke::t_voidp | Smoke::tf_ref },	//767
	{ "Qt::EventPriority", 197, Smoke::t_enum | Smoke::tf_stack },	//768
	{ "Qt::FillRule", 197, Smoke::t_enum | Smoke::tf_stack },	//769
	{ "Qt::FocusPolicy", 197, Smoke::t_enum | Smoke::tf_stack },	//770
	{ "Qt::FocusReason", 197, Smoke::t_enum | Smoke::tf_stack },	//771
	{ "Qt::GlobalColor", 197, Smoke::t_enum | Smoke::tf_stack },	//772
	{ "Qt::HitTestAccuracy", 197, Smoke::t_enum | Smoke::tf_stack },	//773
	{ "Qt::ImageConversionFlag", 197, Smoke::t_enum | Smoke::tf_stack },	//774
	{ "Qt::ImageConversionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//775
	{ "Qt::ImageConversionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//776
	{ "Qt::InputMethodQuery", 197, Smoke::t_enum | Smoke::tf_stack },	//777
	{ "Qt::ItemDataRole", 197, Smoke::t_enum | Smoke::tf_stack },	//778
	{ "Qt::ItemFlag", 197, Smoke::t_enum | Smoke::tf_stack },	//779
	{ "Qt::ItemFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//780
	{ "Qt::ItemFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//781
	{ "Qt::ItemSelectionMode", 197, Smoke::t_enum | Smoke::tf_stack },	//782
	{ "Qt::Key", 197, Smoke::t_enum | Smoke::tf_stack },	//783
	{ "Qt::KeyboardModifier", 197, Smoke::t_enum | Smoke::tf_stack },	//784
	{ "Qt::KeyboardModifiers", 0, Smoke::t_uint | Smoke::tf_stack },	//785
	{ "Qt::KeyboardModifiers&", 0, Smoke::t_voidp | Smoke::tf_ref },	//786
	{ "Qt::LayoutDirection", 197, Smoke::t_enum | Smoke::tf_stack },	//787
	{ "Qt::MaskMode", 197, Smoke::t_enum | Smoke::tf_stack },	//788
	{ "Qt::MatchFlag", 197, Smoke::t_enum | Smoke::tf_stack },	//789
	{ "Qt::MatchFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//790
	{ "Qt::MatchFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//791
	{ "Qt::Modifier", 197, Smoke::t_enum | Smoke::tf_stack },	//792
	{ "Qt::MouseButton", 197, Smoke::t_enum | Smoke::tf_stack },	//793
	{ "Qt::MouseButtons", 0, Smoke::t_uint | Smoke::tf_stack },	//794
	{ "Qt::MouseButtons&", 0, Smoke::t_voidp | Smoke::tf_ref },	//795
	{ "Qt::Orientation", 197, Smoke::t_enum | Smoke::tf_stack },	//796
	{ "Qt::Orientations", 0, Smoke::t_uint | Smoke::tf_stack },	//797
	{ "Qt::Orientations&", 0, Smoke::t_voidp | Smoke::tf_ref },	//798
	{ "Qt::PenCapStyle", 197, Smoke::t_enum | Smoke::tf_stack },	//799
	{ "Qt::PenJoinStyle", 197, Smoke::t_enum | Smoke::tf_stack },	//800
	{ "Qt::PenStyle", 197, Smoke::t_enum | Smoke::tf_stack },	//801
	{ "Qt::ScrollBarPolicy", 197, Smoke::t_enum | Smoke::tf_stack },	//802
	{ "Qt::ShortcutContext", 197, Smoke::t_enum | Smoke::tf_stack },	//803
	{ "Qt::SizeHint", 197, Smoke::t_enum | Smoke::tf_stack },	//804
	{ "Qt::SizeMode", 197, Smoke::t_enum | Smoke::tf_stack },	//805
	{ "Qt::SortOrder", 197, Smoke::t_enum | Smoke::tf_stack },	//806
	{ "Qt::TextElideMode", 197, Smoke::t_enum | Smoke::tf_stack },	//807
	{ "Qt::TextFlag", 197, Smoke::t_enum | Smoke::tf_stack },	//808
	{ "Qt::TextFormat", 197, Smoke::t_enum | Smoke::tf_stack },	//809
	{ "Qt::TextInteractionFlag", 197, Smoke::t_enum | Smoke::tf_stack },	//810
	{ "Qt::TextInteractionFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//811
	{ "Qt::TextInteractionFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//812
	{ "Qt::TimeSpec", 197, Smoke::t_enum | Smoke::tf_stack },	//813
	{ "Qt::ToolBarArea", 197, Smoke::t_enum | Smoke::tf_stack },	//814
	{ "Qt::ToolBarAreaSizes", 197, Smoke::t_enum | Smoke::tf_stack },	//815
	{ "Qt::ToolBarAreas", 0, Smoke::t_uint | Smoke::tf_stack },	//816
	{ "Qt::ToolBarAreas&", 0, Smoke::t_voidp | Smoke::tf_ref },	//817
	{ "Qt::ToolButtonStyle", 197, Smoke::t_enum | Smoke::tf_stack },	//818
	{ "Qt::TransformationMode", 197, Smoke::t_enum | Smoke::tf_stack },	//819
	{ "Qt::UIEffect", 197, Smoke::t_enum | Smoke::tf_stack },	//820
	{ "Qt::WhiteSpaceMode", 197, Smoke::t_enum | Smoke::tf_stack },	//821
	{ "Qt::WidgetAttribute", 197, Smoke::t_enum | Smoke::tf_stack },	//822
	{ "Qt::WindowFlags", 0, Smoke::t_uint | Smoke::tf_stack },	//823
	{ "Qt::WindowFlags&", 0, Smoke::t_voidp | Smoke::tf_ref },	//824
	{ "Qt::WindowFrameSection", 197, Smoke::t_enum | Smoke::tf_stack },	//825
	{ "Qt::WindowModality", 197, Smoke::t_enum | Smoke::tf_stack },	//826
	{ "Qt::WindowState", 197, Smoke::t_enum | Smoke::tf_stack },	//827
	{ "Qt::WindowStates", 0, Smoke::t_uint | Smoke::tf_stack },	//828
	{ "Qt::WindowStates&", 0, Smoke::t_voidp | Smoke::tf_ref },	//829
	{ "Qt::WindowType", 197, Smoke::t_enum | Smoke::tf_stack },	//830
	{ "bool", 0, Smoke::t_bool | Smoke::tf_stack },	//831
	{ "bool*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//832
	{ "char*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//833
	{ "const DOM::AbstractView&", 2, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//834
	{ "const DOM::Attr&", 3, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//835
	{ "const DOM::CDATASection&", 4, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//836
	{ "const DOM::CSSCharsetRule&", 5, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//837
	{ "const DOM::CSSException&", 6, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//838
	{ "const DOM::CSSFontFaceRule&", 7, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//839
	{ "const DOM::CSSImportRule&", 8, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//840
	{ "const DOM::CSSMediaRule&", 9, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//841
	{ "const DOM::CSSPageRule&", 10, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//842
	{ "const DOM::CSSPrimitiveValue&", 11, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//843
	{ "const DOM::CSSRule&", 12, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//844
	{ "const DOM::CSSRuleList&", 13, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//845
	{ "const DOM::CSSStyleDeclaration&", 14, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//846
	{ "const DOM::CSSStyleRule&", 15, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//847
	{ "const DOM::CSSStyleSheet&", 16, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//848
	{ "const DOM::CSSUnknownRule&", 17, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//849
	{ "const DOM::CSSValue&", 18, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//850
	{ "const DOM::CSSValueList&", 19, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//851
	{ "const DOM::CharacterData&", 20, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//852
	{ "const DOM::Comment&", 21, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//853
	{ "const DOM::Counter&", 22, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//854
	{ "const DOM::CustomNodeFilter&", 23, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//855
	{ "const DOM::DOMException&", 24, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//856
	{ "const DOM::DOMImplementation&", 25, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//857
	{ "const DOM::DOMString&", 26, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//858
	{ "const DOM::Document", 27, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//859
	{ "const DOM::Document&", 27, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//860
	{ "const DOM::DocumentFragment&", 28, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//861
	{ "const DOM::DocumentStyle&", 29, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//862
	{ "const DOM::DocumentType&", 30, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//863
	{ "const DOM::DomShared&", 31, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//864
	{ "const DOM::Element&", 32, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//865
	{ "const DOM::Entity&", 33, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//866
	{ "const DOM::EntityReference&", 34, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//867
	{ "const DOM::Event&", 35, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//868
	{ "const DOM::EventException&", 36, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//869
	{ "const DOM::EventListener&", 37, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//870
	{ "const DOM::HTMLAnchorElement&", 38, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//871
	{ "const DOM::HTMLAppletElement&", 39, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//872
	{ "const DOM::HTMLAreaElement&", 40, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//873
	{ "const DOM::HTMLBRElement&", 41, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//874
	{ "const DOM::HTMLBaseElement&", 42, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//875
	{ "const DOM::HTMLBaseFontElement&", 43, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//876
	{ "const DOM::HTMLBlockquoteElement&", 44, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//877
	{ "const DOM::HTMLBodyElement&", 45, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//878
	{ "const DOM::HTMLButtonElement&", 46, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//879
	{ "const DOM::HTMLCollection&", 47, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//880
	{ "const DOM::HTMLDListElement&", 48, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//881
	{ "const DOM::HTMLDirectoryElement&", 49, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//882
	{ "const DOM::HTMLDivElement&", 50, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//883
	{ "const DOM::HTMLDocument&", 51, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//884
	{ "const DOM::HTMLElement&", 52, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//885
	{ "const DOM::HTMLFieldSetElement&", 53, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//886
	{ "const DOM::HTMLFontElement&", 54, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//887
	{ "const DOM::HTMLFormCollection&", 55, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//888
	{ "const DOM::HTMLFormElement&", 56, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//889
	{ "const DOM::HTMLFrameElement&", 57, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//890
	{ "const DOM::HTMLFrameSetElement&", 58, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//891
	{ "const DOM::HTMLHRElement&", 59, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//892
	{ "const DOM::HTMLHeadElement&", 60, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//893
	{ "const DOM::HTMLHeadingElement&", 61, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//894
	{ "const DOM::HTMLHtmlElement&", 62, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//895
	{ "const DOM::HTMLIFrameElement&", 63, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//896
	{ "const DOM::HTMLImageElement&", 64, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//897
	{ "const DOM::HTMLInputElement&", 65, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//898
	{ "const DOM::HTMLIsIndexElement&", 66, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//899
	{ "const DOM::HTMLLIElement&", 67, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//900
	{ "const DOM::HTMLLabelElement&", 68, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//901
	{ "const DOM::HTMLLayerElement&", 69, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//902
	{ "const DOM::HTMLLegendElement&", 70, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//903
	{ "const DOM::HTMLLinkElement&", 71, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//904
	{ "const DOM::HTMLMapElement&", 72, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//905
	{ "const DOM::HTMLMenuElement&", 73, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//906
	{ "const DOM::HTMLMetaElement&", 74, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//907
	{ "const DOM::HTMLModElement&", 75, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//908
	{ "const DOM::HTMLOListElement&", 76, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//909
	{ "const DOM::HTMLObjectElement&", 77, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//910
	{ "const DOM::HTMLOptGroupElement&", 78, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//911
	{ "const DOM::HTMLOptionElement&", 79, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//912
	{ "const DOM::HTMLParagraphElement&", 80, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//913
	{ "const DOM::HTMLParamElement&", 81, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//914
	{ "const DOM::HTMLPreElement&", 82, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//915
	{ "const DOM::HTMLQuoteElement&", 83, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//916
	{ "const DOM::HTMLScriptElement&", 84, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//917
	{ "const DOM::HTMLSelectElement&", 85, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//918
	{ "const DOM::HTMLStyleElement&", 86, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//919
	{ "const DOM::HTMLTableCaptionElement&", 87, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//920
	{ "const DOM::HTMLTableCellElement&", 88, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//921
	{ "const DOM::HTMLTableColElement&", 89, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//922
	{ "const DOM::HTMLTableElement&", 90, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//923
	{ "const DOM::HTMLTableRowElement&", 91, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//924
	{ "const DOM::HTMLTableSectionElement&", 92, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//925
	{ "const DOM::HTMLTextAreaElement&", 93, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//926
	{ "const DOM::HTMLTitleElement&", 94, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//927
	{ "const DOM::HTMLUListElement&", 95, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//928
	{ "const DOM::KeyboardEvent&", 96, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//929
	{ "const DOM::LinkStyle&", 97, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//930
	{ "const DOM::MediaList&", 98, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//931
	{ "const DOM::MouseEvent&", 99, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//932
	{ "const DOM::MutationEvent&", 100, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//933
	{ "const DOM::NamedNodeMap&", 101, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//934
	{ "const DOM::Node", 102, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//935
	{ "const DOM::Node&", 102, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//936
	{ "const DOM::NodeFilter&", 103, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//937
	{ "const DOM::NodeIterator&", 104, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//938
	{ "const DOM::NodeList&", 105, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//939
	{ "const DOM::NodeListImpl*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//940
	{ "const DOM::Notation&", 106, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//941
	{ "const DOM::ProcessingInstruction&", 107, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//942
	{ "const DOM::RGBColor&", 108, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//943
	{ "const DOM::Range&", 109, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//944
	{ "const DOM::RangeException&", 110, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//945
	{ "const DOM::Rect&", 111, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//946
	{ "const DOM::StyleSheet&", 112, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//947
	{ "const DOM::StyleSheetList&", 113, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//948
	{ "const DOM::Text&", 114, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//949
	{ "const DOM::TextEvent&", 115, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//950
	{ "const DOM::TreeWalker&", 116, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//951
	{ "const DOM::UIEvent&", 117, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//952
	{ "const KComponentData&", 119, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//953
	{ "const KConfigGroup&", 121, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//954
	{ "const KHTMLSettings&", 124, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//955
	{ "const KHTMLSettings*", 124, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//956
	{ "const KParts::BrowserArguments&", 131, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//957
	{ "const KParts::OpenUrlArguments&", 135, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//958
	{ "const KUrl&", 142, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//959
	{ "const QByteArray&", 147, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//960
	{ "const QChar", 148, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//961
	{ "const QChar&", 148, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//962
	{ "const QChar*", 148, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//963
	{ "const QColor&", 151, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//964
	{ "const QCursor&", 153, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//965
	{ "const QDomDocument&", 155, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//966
	{ "const QDomElement&", 156, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//967
	{ "const QFont&", 163, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//968
	{ "const QImage&", 166, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//969
	{ "const QLine*", 169, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//970
	{ "const QLineF*", 170, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//971
	{ "const QList<KParts::ReadOnlyPart*>", 0, Smoke::t_voidp | Smoke::tf_stack | Smoke::tf_const },	//972
	{ "const QMetaObject", 171, Smoke::t_class | Smoke::tf_stack | Smoke::tf_const },	//973
	{ "const QMetaObject*", 171, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//974
	{ "const QPaintEngineState&", 177, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//975
	{ "const QPainterPath&", 180, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//976
	{ "const QPalette&", 181, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//977
	{ "const QPixmap&", 182, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//978
	{ "const QPoint&", 183, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//979
	{ "const QPoint*", 183, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//980
	{ "const QPointF&", 184, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//981
	{ "const QPointF*", 184, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//982
	{ "const QRect&", 185, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//983
	{ "const QRect*", 185, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//984
	{ "const QRectF&", 186, Smoke::t_class | Smoke::tf_ref | Smoke::tf_const },	//985
	{ "const QRectF*", 186, Smoke::t_class | Smoke::tf_ptr | Smoke::tf_const },	//986
	{ "const QString&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//987
	{ "const QStringList&", 0, Smoke::t_voidp | Smoke::tf_ref | Smoke::tf_const },	//988
	{ "const QVariant::Handler*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//989
	{ "const bool", 0, Smoke::t_bool | Smoke::tf_stack | Smoke::tf_const },	//990
	{ "const char*", 0, Smoke::t_voidp | Smoke::tf_ptr | Smoke::tf_const },	//991
	{ "const long", 0, Smoke::t_long | Smoke::tf_stack | Smoke::tf_const },	//992
	{ "const unsigned long", 0, Smoke::t_ulong | Smoke::tf_stack | Smoke::tf_const },	//993
	{ "float", 0, Smoke::t_float | Smoke::tf_stack },	//994
	{ "int", 0, Smoke::t_int | Smoke::tf_stack },	//995
	{ "int&", 0, Smoke::t_voidp | Smoke::tf_ref },	//996
	{ "khtml::ChildFrame**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//997
	{ "khtml::DrawContentsEvent*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//998
	{ "khtml::KHTMLWidgetPrivate*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//999
	{ "khtml::MouseDoubleClickEvent*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//1000
	{ "khtml::MouseMoveEvent*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//1001
	{ "khtml::MousePressEvent*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//1002
	{ "khtml::MouseReleaseEvent*", 0, Smoke::t_voidp | Smoke::tf_ptr },	//1003
	{ "long", 0, Smoke::t_long | Smoke::tf_stack },	//1004
	{ "long&", 0, Smoke::t_voidp | Smoke::tf_ref },	//1005
	{ "short", 0, Smoke::t_short | Smoke::tf_stack },	//1006
	{ "uint", 0, Smoke::t_uint | Smoke::tf_stack },	//1007
	{ "unsigned", 0, Smoke::t_uint | Smoke::tf_stack },	//1008
	{ "unsigned int", 0, Smoke::t_uint | Smoke::tf_stack },	//1009
	{ "unsigned long", 0, Smoke::t_ulong | Smoke::tf_stack },	//1010
	{ "unsigned long long", 0, Smoke::t_voidp | Smoke::tf_stack },	//1011
	{ "unsigned short", 0, Smoke::t_ushort | Smoke::tf_stack },	//1012
	{ "void**", 0, Smoke::t_voidp | Smoke::tf_ptr },	//1013
};

static Smoke::Index khtml_argumentList[] = {
	0,	//0  (void)
	1000, 0,	//1  khtml::MouseDoubleClickEvent*  
	1001, 0,	//3  khtml::MouseMoveEvent*  
	1002, 0,	//5  khtml::MousePressEvent*  
	1003, 0,	//7  khtml::MouseReleaseEvent*  
	1004, 0,	//9  long  
	1004, 1004, 0,	//11  long, long  
	1008, 0,	//14  unsigned  
	1008, 1008, 0,	//16  unsigned, unsigned  
	1009, 0,	//19  unsigned int  
	1009, 995, 0,	//21  unsigned int, int  
	1010, 0,	//24  unsigned long  
	1012, 0,	//26  unsigned short  
	1012, 858, 0,	//28  unsigned short, const DOM::DOMString&  
	1012, 994, 0,	//31  unsigned short, float  
	103, 0,	//34  DOM::DocumentTypeImpl*  
	109, 0,	//36  DOM::ElementImpl*  
	112, 0,	//38  DOM::EntityImpl*  
	116, 0,	//40  DOM::EntityReferenceImpl*  
	118, 0,	//42  DOM::Event&  
	12, 0,	//44  DOM::CDATASectionImpl*  
	124, 0,	//46  DOM::EventImpl*  
	128, 0,	//48  DOM::HTMLAnchorElementImpl*  
	131, 0,	//50  DOM::HTMLAppletElementImpl*  
	134, 0,	//52  DOM::HTMLAreaElementImpl*  
	137, 0,	//54  DOM::HTMLBRElementImpl*  
	140, 0,	//56  DOM::HTMLBaseElementImpl*  
	143, 0,	//58  DOM::HTMLBaseFontElementImpl*  
	148, 0,	//60  DOM::HTMLBodyElementImpl*  
	15, 0,	//62  DOM::CSSCharsetRuleImpl*  
	151, 0,	//64  DOM::HTMLButtonElementImpl*  
	155, 0,	//66  DOM::HTMLCollectionImpl*  
	158, 0,	//68  DOM::HTMLDListElementImpl*  
	161, 0,	//70  DOM::HTMLDirectoryElementImpl*  
	164, 0,	//72  DOM::HTMLDivElementImpl*  
	168, 0,	//74  DOM::HTMLDocumentImpl*  
	172, 0,	//76  DOM::HTMLElementImpl*  
	175, 0,	//78  DOM::HTMLFieldSetElementImpl*  
	178, 0,	//80  DOM::HTMLFontElementImpl*  
	183, 0,	//82  DOM::HTMLFormElementImpl*  
	186, 0,	//84  DOM::HTMLFrameElementImpl*  
	189, 0,	//86  DOM::HTMLFrameSetElementImpl*  
	190, 0,	//88  DOM::HTMLGenericElementImpl*  
	193, 0,	//90  DOM::HTMLHRElementImpl*  
	196, 0,	//92  DOM::HTMLHeadElementImpl*  
	201, 0,	//94  DOM::HTMLHtmlElementImpl*  
	204, 0,	//96  DOM::HTMLIFrameElementImpl*  
	207, 0,	//98  DOM::HTMLImageElementImpl*  
	21, 0,	//100  DOM::CSSFontFaceRuleImpl*  
	210, 0,	//102  DOM::HTMLInputElementImpl*  
	213, 0,	//104  DOM::HTMLIsIndexElementImpl*  
	216, 0,	//106  DOM::HTMLLIElementImpl*  
	219, 0,	//108  DOM::HTMLLabelElementImpl*  
	222, 0,	//110  DOM::HTMLLayerElementImpl*  
	225, 0,	//112  DOM::HTMLLegendElementImpl*  
	228, 0,	//114  DOM::HTMLLinkElementImpl*  
	231, 0,	//116  DOM::HTMLMapElementImpl*  
	234, 0,	//118  DOM::HTMLMenuElementImpl*  
	237, 0,	//120  DOM::HTMLMetaElementImpl*  
	24, 0,	//122  DOM::CSSImportRuleImpl*  
	242, 0,	//124  DOM::HTMLOListElementImpl*  
	245, 0,	//126  DOM::HTMLObjectElementImpl*  
	248, 0,	//128  DOM::HTMLOptGroupElementImpl*  
	251, 0,	//130  DOM::HTMLOptionElementImpl*  
	256, 0,	//132  DOM::HTMLParamElementImpl*  
	259, 0,	//134  DOM::HTMLPreElementImpl*  
	264, 0,	//136  DOM::HTMLScriptElementImpl*  
	267, 0,	//138  DOM::HTMLSelectElementImpl*  
	27, 0,	//140  DOM::CSSMediaRuleImpl*  
	270, 0,	//142  DOM::HTMLStyleElementImpl*  
	274, 0,	//144  DOM::HTMLTableCaptionElementImpl*  
	277, 0,	//146  DOM::HTMLTableCellElementImpl*  
	280, 0,	//148  DOM::HTMLTableColElementImpl*  
	283, 0,	//150  DOM::HTMLTableElementImpl*  
	286, 0,	//152  DOM::HTMLTableRowElementImpl*  
	290, 0,	//154  DOM::HTMLTableSectionElementImpl*  
	293, 0,	//156  DOM::HTMLTextAreaElementImpl*  
	296, 0,	//158  DOM::HTMLTitleElementImpl*  
	299, 0,	//160  DOM::HTMLUListElementImpl*  
	30, 0,	//162  DOM::CSSPageRuleImpl*  
	308, 0,	//164  DOM::MediaListImpl*  
	311, 0,	//166  DOM::MouseEventImpl*  
	315, 0,	//168  DOM::MutationEventImpl*  
	319, 0,	//170  DOM::NamedNodeMapImpl*  
	320, 1004, 0,	//172  DOM::Node, long  
	320, 1004, 831, 0,	//175  DOM::Node, long, bool  
	320, 1010, 325, 831, 0,	//179  DOM::Node, unsigned long, DOM::NodeFilter, bool  
	321, 1005, 321, 1005, 0,	//184  DOM::Node&, long&, DOM::Node&, long&  
	330, 0,	//189  DOM::NodeFilterImpl*  
	331, 0,	//191  DOM::NodeImpl*  
	331, 995, 0,	//193  DOM::NodeImpl*, int  
	335, 0,	//196  DOM::NodeIteratorImpl*  
	341, 0,	//198  DOM::NotationImpl*  
	345, 0,	//200  DOM::ProcessingInstructionImpl*  
	35, 0,	//202  DOM::CSSPrimitiveValueImpl*  
	352, 944, 0,	//204  DOM::Range::CompareHow, const DOM::Range&  
	356, 0,	//207  DOM::RangeImpl*  
	360, 0,	//209  DOM::RectImpl*  
	361, 0,	//211  DOM::StyleListImpl*  
	365, 0,	//213  DOM::StyleSheetImpl*  
	369, 0,	//215  DOM::StyleSheetListImpl*  
	375, 0,	//217  DOM::TextImpl*  
	379, 0,	//219  DOM::TreeWalkerImpl*  
	382, 0,	//221  DOM::UIEventImpl*  
	393, 0,	//223  KConfig*  
	393, 831, 0,	//225  KConfig*, bool  
	4, 0,	//228  DOM::AbstractViewImpl*  
	40, 0,	//230  DOM::CSSRuleImpl*  
	423, 736, 0,	//232  KHTMLPart*, QWidget*  
	424, 0,	//235  KHTMLPart::CaretDisplayPolicy  
	425, 0,	//237  KHTMLPart::DNSPrefetch  
	427, 0,	//239  KHTMLPart::FormNotification  
	429, 0,	//241  KHTMLPart::PageSecurity  
	439, 0,	//243  KHTMLSettings::KJavaScriptAdvice  
	44, 0,	//245  DOM::CSSRuleListImpl*  
	442, 0,	//247  KHTMLView*  
	442, 650, 0,	//249  KHTMLView*, QObject*  
	442, 650, 428, 0,	//252  KHTMLView*, QObject*, KHTMLPart::GUIProfile  
	444, 0,	//256  KHTMLView::SmoothScrollingMode  
	450, 0,	//258  KIO::Job*  
	465, 0,	//260  KJob*  
	48, 0,	//262  DOM::CSSStyleDeclarationImpl*  
	490, 0,	//264  KParts::GUIActivateEvent*  
	492, 0,	//266  KParts::PartActivateEvent*  
	494, 0,	//268  KParts::PartManager*  
	497, 0,	//270  KParts::PartSelectEvent*  
	498, 0,	//272  KParts::ReadOnlyPart*  
	498, 987, 0,	//274  KParts::ReadOnlyPart*, const QString&  
	498, 987, 997, 0,	//277  KParts::ReadOnlyPart*, const QString&, khtml::ChildFrame**  
	51, 0,	//281  DOM::CSSStyleRuleImpl*  
	55, 0,	//283  DOM::CSSStyleSheetImpl*  
	551, 0,	//285  QActionEvent*  
	562, 0,	//287  QChildEvent*  
	563, 0,	//289  QCloseEvent*  
	567, 0,	//291  QContextMenuEvent*  
	571, 0,	//293  QDataStream&  
	58, 0,	//295  DOM::CSSUnknownRuleImpl*  
	588, 0,	//297  QDragEnterEvent*  
	589, 0,	//299  QDragLeaveEvent*  
	590, 0,	//301  QDragMoveEvent*  
	591, 0,	//303  QDropEvent*  
	592, 0,	//305  QEvent*  
	600, 0,	//307  QFocusEvent*  
	620, 0,	//309  QHideEvent*  
	625, 0,	//311  QInputMethodEvent*  
	628, 0,	//313  QKeyEvent*  
	63, 0,	//315  DOM::CSSValueImpl*  
	643, 995, 1013, 0,	//317  QMetaObject::Call, int, void**  
	644, 0,	//321  QMouseEvent*  
	645, 0,	//323  QMoveEvent*  
	650, 592, 0,	//325  QObject*, QEvent*  
	654, 0,	//328  QPaintDevice::PaintDeviceMetric  
	66, 0,	//330  DOM::CSSValueListImpl*  
	664, 0,	//332  QPaintEvent*  
	665, 983, 0,	//334  QPainter*, const QRect&  
	665, 983, 995, 0,	//337  QPainter*, const QRect&, int  
	665, 983, 995, 832, 0,	//341  QPainter*, const QRect&, int, bool*  
	675, 0,	//346  QResizeEvent*  
	676, 0,	//348  QShowEvent*  
	688, 0,	//350  QStyle&  
	69, 0,	//352  DOM::CharacterDataImpl*  
	707, 0,	//354  QTabletEvent*  
	724, 0,	//356  QTimerEvent*  
	73, 0,	//358  DOM::CommentImpl*  
	735, 0,	//360  QWheelEvent*  
	736, 0,	//362  QWidget*  
	736, 650, 0,	//364  QWidget*, QObject*  
	736, 650, 428, 0,	//367  QWidget*, QObject*, KHTMLPart::GUIProfile  
	736, 650, 987, 683, 687, 988, 0,	//371  QWidget*, QObject*, const QString&, QString&, QStringList&, const QStringList&  
	736, 979, 0,	//378  QWidget*, const QPoint&  
	736, 995, 995, 0,	//381  QWidget*, int, int  
	77, 0,	//385  DOM::CounterImpl*  
	777, 0,	//387  Qt::InputMethodQuery  
	78, 0,	//389  DOM::CustomNodeFilter*  
	8, 0,	//391  DOM::AttrImpl*  
	802, 0,	//393  Qt::ScrollBarPolicy  
	831, 0,	//395  bool  
	831, 423, 0,	//397  bool, KHTMLPart*  
	832, 0,	//400  bool*  
	834, 0,	//402  const DOM::AbstractView&  
	835, 0,	//404  const DOM::Attr&  
	836, 0,	//406  const DOM::CDATASection&  
	837, 0,	//408  const DOM::CSSCharsetRule&  
	838, 0,	//410  const DOM::CSSException&  
	839, 0,	//412  const DOM::CSSFontFaceRule&  
	840, 0,	//414  const DOM::CSSImportRule&  
	841, 0,	//416  const DOM::CSSMediaRule&  
	842, 0,	//418  const DOM::CSSPageRule&  
	843, 0,	//420  const DOM::CSSPrimitiveValue&  
	844, 0,	//422  const DOM::CSSRule&  
	844, 39, 0,	//424  const DOM::CSSRule&, DOM::CSSRule::RuleType  
	845, 0,	//427  const DOM::CSSRuleList&  
	846, 0,	//429  const DOM::CSSStyleDeclaration&  
	847, 0,	//431  const DOM::CSSStyleRule&  
	848, 0,	//433  const DOM::CSSStyleSheet&  
	849, 0,	//435  const DOM::CSSUnknownRule&  
	85, 0,	//437  DOM::DOMImplementationImpl*  
	850, 0,	//439  const DOM::CSSValue&  
	851, 0,	//441  const DOM::CSSValueList&  
	852, 0,	//443  const DOM::CharacterData&  
	853, 0,	//445  const DOM::Comment&  
	854, 0,	//447  const DOM::Counter&  
	855, 0,	//449  const DOM::CustomNodeFilter&  
	856, 0,	//451  const DOM::DOMException&  
	857, 0,	//453  const DOM::DOMImplementation&  
	858, 0,	//455  const DOM::DOMString&  
	858, 1010, 0,	//457  const DOM::DOMString&, unsigned long  
	858, 125, 831, 0,	//460  const DOM::DOMString&, DOM::EventListener*, bool  
	858, 125, 990, 0,	//464  const DOM::DOMString&, DOM::EventListener*, const bool  
	858, 831, 831, 0,	//468  const DOM::DOMString&, bool, bool  
	858, 831, 831, 834, 1004, 0,	//472  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long  
	858, 831, 831, 834, 1004, 1004, 1004, 1004, 1004, 831, 831, 831, 831, 1012, 936, 0,	//478  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long, long, long, long, long, bool, bool, bool, bool, unsigned short, const DOM::Node&  
	858, 831, 831, 834, 858, 0,	//494  const DOM::DOMString&, bool, bool, const DOM::AbstractView&, const DOM::DOMString&  
	858, 831, 831, 936, 858, 858, 858, 1012, 0,	//500  const DOM::DOMString&, bool, bool, const DOM::Node&, const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&, unsigned short  
	858, 831, 858, 0,	//509  const DOM::DOMString&, bool, const DOM::DOMString&  
	858, 858, 0,	//513  const DOM::DOMString&, const DOM::DOMString&  
	858, 858, 858, 0,	//516  const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&  
	858, 858, 863, 0,	//520  const DOM::DOMString&, const DOM::DOMString&, const DOM::DocumentType&  
	858, 987, 0,	//524  const DOM::DOMString&, const QString&  
	858, 991, 0,	//527  const DOM::DOMString&, const char*  
	859, 0,	//530  const DOM::Document  
	86, 0,	//532  DOM::DOMString  
	86, 1007, 0,	//534  DOM::DOMString, uint  
	86, 831, 831, 1, 86, 1010, 86, 0,	//537  DOM::DOMString, bool, bool, DOM::AbstractView, DOM::DOMString, unsigned long, DOM::DOMString  
	860, 0,	//545  const DOM::Document&  
	861, 0,	//547  const DOM::DocumentFragment&  
	862, 0,	//549  const DOM::DocumentStyle&  
	863, 0,	//551  const DOM::DocumentType&  
	864, 0,	//553  const DOM::DomShared&  
	865, 0,	//555  const DOM::Element&  
	865, 858, 0,	//557  const DOM::Element&, const DOM::DOMString&  
	866, 0,	//560  const DOM::Entity&  
	867, 0,	//562  const DOM::EntityReference&  
	868, 0,	//564  const DOM::Event&  
	869, 0,	//566  const DOM::EventException&  
	870, 0,	//568  const DOM::EventListener&  
	871, 0,	//570  const DOM::HTMLAnchorElement&  
	872, 0,	//572  const DOM::HTMLAppletElement&  
	873, 0,	//574  const DOM::HTMLAreaElement&  
	874, 0,	//576  const DOM::HTMLBRElement&  
	875, 0,	//578  const DOM::HTMLBaseElement&  
	876, 0,	//580  const DOM::HTMLBaseFontElement&  
	877, 0,	//582  const DOM::HTMLBlockquoteElement&  
	878, 0,	//584  const DOM::HTMLBodyElement&  
	879, 0,	//586  const DOM::HTMLButtonElement&  
	880, 0,	//588  const DOM::HTMLCollection&  
	881, 0,	//590  const DOM::HTMLDListElement&  
	882, 0,	//592  const DOM::HTMLDirectoryElement&  
	883, 0,	//594  const DOM::HTMLDivElement&  
	884, 0,	//596  const DOM::HTMLDocument&  
	885, 0,	//598  const DOM::HTMLElement&  
	885, 885, 0,	//600  const DOM::HTMLElement&, const DOM::HTMLElement&  
	886, 0,	//603  const DOM::HTMLFieldSetElement&  
	887, 0,	//605  const DOM::HTMLFontElement&  
	888, 0,	//607  const DOM::HTMLFormCollection&  
	889, 0,	//609  const DOM::HTMLFormElement&  
	89, 0,	//611  DOM::DOMStringImpl*  
	890, 0,	//613  const DOM::HTMLFrameElement&  
	891, 0,	//615  const DOM::HTMLFrameSetElement&  
	892, 0,	//617  const DOM::HTMLHRElement&  
	893, 0,	//619  const DOM::HTMLHeadElement&  
	894, 0,	//621  const DOM::HTMLHeadingElement&  
	895, 0,	//623  const DOM::HTMLHtmlElement&  
	896, 0,	//625  const DOM::HTMLIFrameElement&  
	897, 0,	//627  const DOM::HTMLImageElement&  
	898, 0,	//629  const DOM::HTMLInputElement&  
	899, 0,	//631  const DOM::HTMLIsIndexElement&  
	900, 0,	//633  const DOM::HTMLLIElement&  
	901, 0,	//635  const DOM::HTMLLabelElement&  
	902, 0,	//637  const DOM::HTMLLayerElement&  
	903, 0,	//639  const DOM::HTMLLegendElement&  
	904, 0,	//641  const DOM::HTMLLinkElement&  
	905, 0,	//643  const DOM::HTMLMapElement&  
	906, 0,	//645  const DOM::HTMLMenuElement&  
	907, 0,	//647  const DOM::HTMLMetaElement&  
	908, 0,	//649  const DOM::HTMLModElement&  
	909, 0,	//651  const DOM::HTMLOListElement&  
	910, 0,	//653  const DOM::HTMLObjectElement&  
	911, 0,	//655  const DOM::HTMLOptGroupElement&  
	912, 0,	//657  const DOM::HTMLOptionElement&  
	913, 0,	//659  const DOM::HTMLParagraphElement&  
	914, 0,	//661  const DOM::HTMLParamElement&  
	915, 0,	//663  const DOM::HTMLPreElement&  
	916, 0,	//665  const DOM::HTMLQuoteElement&  
	917, 0,	//667  const DOM::HTMLScriptElement&  
	918, 0,	//669  const DOM::HTMLSelectElement&  
	919, 0,	//671  const DOM::HTMLStyleElement&  
	920, 0,	//673  const DOM::HTMLTableCaptionElement&  
	921, 0,	//675  const DOM::HTMLTableCellElement&  
	922, 0,	//677  const DOM::HTMLTableColElement&  
	923, 0,	//679  const DOM::HTMLTableElement&  
	924, 0,	//681  const DOM::HTMLTableRowElement&  
	925, 0,	//683  const DOM::HTMLTableSectionElement&  
	926, 0,	//685  const DOM::HTMLTextAreaElement&  
	927, 0,	//687  const DOM::HTMLTitleElement&  
	928, 0,	//689  const DOM::HTMLUListElement&  
	929, 0,	//691  const DOM::KeyboardEvent&  
	930, 0,	//693  const DOM::LinkStyle&  
	931, 0,	//695  const DOM::MediaList&  
	932, 0,	//697  const DOM::MouseEvent&  
	933, 0,	//699  const DOM::MutationEvent&  
	934, 0,	//701  const DOM::NamedNodeMap&  
	935, 992, 935, 992, 0,	//703  const DOM::Node, const long, const DOM::Node, const long  
	936, 0,	//708  const DOM::Node&  
	936, 1004, 0,	//710  const DOM::Node&, long  
	936, 831, 0,	//713  const DOM::Node&, bool  
	936, 936, 0,	//716  const DOM::Node&, const DOM::Node&  
	936, 987, 0,	//719  const DOM::Node&, const QString&  
	936, 995, 0,	//722  const DOM::Node&, int  
	937, 0,	//725  const DOM::NodeFilter&  
	938, 0,	//727  const DOM::NodeIterator&  
	939, 0,	//729  const DOM::NodeList&  
	940, 0,	//731  const DOM::NodeListImpl*  
	941, 0,	//733  const DOM::Notation&  
	942, 0,	//735  const DOM::ProcessingInstruction&  
	943, 0,	//737  const DOM::RGBColor&  
	944, 0,	//739  const DOM::Range&  
	945, 0,	//741  const DOM::RangeException&  
	946, 0,	//743  const DOM::Rect&  
	947, 0,	//745  const DOM::StyleSheet&  
	948, 0,	//747  const DOM::StyleSheetList&  
	949, 0,	//749  const DOM::Text&  
	950, 0,	//751  const DOM::TextEvent&  
	951, 0,	//753  const DOM::TreeWalker&  
	952, 0,	//755  const DOM::UIEvent&  
	953, 0,	//757  const KComponentData&  
	953, 831, 0,	//759  const KComponentData&, bool  
	954, 831, 831, 501, 0,	//762  const KConfigGroup&, bool, bool, KPerDomainSettings&  
	955, 0,	//767  const KHTMLSettings&  
	959, 0,	//769  const KUrl&  
	959, 995, 0,	//771  const KUrl&, int  
	959, 995, 995, 0,	//774  const KUrl&, int, int  
	96, 0,	//778  DOM::DocumentFragmentImpl*  
	960, 0,	//780  const QByteArray&  
	961, 0,	//782  const QChar  
	961, 995, 0,	//784  const QChar, int  
	963, 1007, 0,	//787  const QChar*, uint  
	965, 0,	//790  const QCursor&  
	966, 0,	//792  const QDomDocument&  
	966, 831, 0,	//794  const QDomDocument&, bool  
	967, 0,	//797  const QDomElement&  
	968, 0,	//799  const QFont&  
	97, 0,	//801  DOM::DocumentImpl*  
	977, 0,	//803  const QPalette&  
	979, 0,	//805  const QPoint&  
	983, 0,	//807  const QRect&  
	987, 0,	//809  const QString&  
	987, 1004, 0,	//811  const QString&, long  
	987, 1004, 736, 0,	//814  const QString&, long, QWidget*  
	987, 1004, 736, 416, 0,	//818  const QString&, long, QWidget*, KFindDialog*  
	987, 533, 0,	//823  const QString&, KXMLGUIClient::ReverseStateChange  
	987, 683, 440, 440, 0,	//826  const QString&, QString&, KHTMLSettings::KJavaScriptAdvice&, KHTMLSettings::KJavaScriptAdvice&  
	987, 831, 0,	//831  const QString&, bool  
	987, 831, 831, 0,	//834  const QString&, bool, bool  
	987, 979, 0,	//838  const QString&, const QPoint&  
	987, 987, 0,	//841  const QString&, const QString&  
	987, 995, 995, 987, 0,	//844  const QString&, int, int, const QString&  
	987, 995, 995, 987, 958, 0,	//849  const QString&, int, int, const QString&, const KParts::OpenUrlArguments&  
	987, 995, 995, 987, 958, 957, 0,	//855  const QString&, int, int, const QString&, const KParts::OpenUrlArguments&, const KParts::BrowserArguments&  
	991, 0,	//862  const char*  
	991, 1007, 0,	//864  const char*, uint  
	991, 987, 960, 987, 0,	//867  const char*, const QString&, const QByteArray&, const QString&  
	991, 987, 960, 987, 987, 0,	//872  const char*, const QString&, const QByteArray&, const QString&, const QString&  
	991, 987, 960, 987, 987, 987, 0,	//878  const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&  
	991, 995, 0,	//885  const char*, int  
	993, 0,	//888  const unsigned long  
	993, 858, 0,	//890  const unsigned long, const DOM::DOMString&  
	993, 993, 0,	//893  const unsigned long, const unsigned long  
	993, 993, 858, 0,	//896  const unsigned long, const unsigned long, const DOM::DOMString&  
	994, 0,	//900  float  
	995, 0,	//902  int  
	995, 987, 0,	//904  int, const QString&  
	995, 987, 831, 0,	//907  int, const QString&, bool  
	995, 987, 959, 0,	//911  int, const QString&, const KUrl&  
	995, 995, 0,	//915  int, int  
	995, 995, 995, 995, 0,	//918  int, int, int, int  
	995, 995, 996, 996, 0,	//923  int, int, int&, int&  
	996, 0,	//928  int&  
	998, 0,	//930  khtml::DrawContentsEvent*  
};

// Raw list of all methods, using munged names
static const char *khtml_methodNames[] = {
    "",	//0
    "ADDITION",	//1
    "ATTRIBUTE_NODE",	//2
    "AT_TARGET",	//3
    "AbstractView",	//4
    "AbstractView#",	//5
    "AbstractView?",	//6
    "Attr",	//7
    "Attr#",	//8
    "Attr?",	//9
    "BAD_BOUNDARYPOINTS_ERR",	//10
    "BUBBLING_PHASE",	//11
    "Before",	//12
    "BrowserViewGUI",	//13
    "CAPTURING_PHASE",	//14
    "CDATASection",	//15
    "CDATASection#",	//16
    "CDATASection?",	//17
    "CDATA_SECTION_NODE",	//18
    "CHARSET_RULE",	//19
    "COMMENT_NODE",	//20
    "CSSCharsetRule",	//21
    "CSSCharsetRule#",	//22
    "CSSCharsetRule?",	//23
    "CSSException",	//24
    "CSSException#",	//25
    "CSSException$",	//26
    "CSSFontFaceRule",	//27
    "CSSFontFaceRule#",	//28
    "CSSFontFaceRule?",	//29
    "CSSImportRule",	//30
    "CSSImportRule#",	//31
    "CSSImportRule?",	//32
    "CSSMediaRule",	//33
    "CSSMediaRule#",	//34
    "CSSMediaRule?",	//35
    "CSSPageRule",	//36
    "CSSPageRule#",	//37
    "CSSPageRule?",	//38
    "CSSPrimitiveValue",	//39
    "CSSPrimitiveValue#",	//40
    "CSSPrimitiveValue?",	//41
    "CSSRule",	//42
    "CSSRule#",	//43
    "CSSRule?",	//44
    "CSSRuleList",	//45
    "CSSRuleList#",	//46
    "CSSRuleList?",	//47
    "CSSStyleDeclaration",	//48
    "CSSStyleDeclaration#",	//49
    "CSSStyleDeclaration?",	//50
    "CSSStyleRule",	//51
    "CSSStyleRule#",	//52
    "CSSStyleRule?",	//53
    "CSSStyleSheet",	//54
    "CSSStyleSheet#",	//55
    "CSSStyleSheet?",	//56
    "CSSUnknownRule",	//57
    "CSSUnknownRule#",	//58
    "CSSUnknownRule?",	//59
    "CSSValue",	//60
    "CSSValue#",	//61
    "CSSValue?",	//62
    "CSSValueList",	//63
    "CSSValueList#",	//64
    "CSSValueList?",	//65
    "CSS_ATTR",	//66
    "CSS_CM",	//67
    "CSS_COUNTER",	//68
    "CSS_CUSTOM",	//69
    "CSS_DEG",	//70
    "CSS_DIMENSION",	//71
    "CSS_DPCM",	//72
    "CSS_DPI",	//73
    "CSS_EMS",	//74
    "CSS_EXS",	//75
    "CSS_GRAD",	//76
    "CSS_HTML_RELATIVE",	//77
    "CSS_HZ",	//78
    "CSS_IDENT",	//79
    "CSS_IN",	//80
    "CSS_INHERIT",	//81
    "CSS_INITIAL",	//82
    "CSS_KHZ",	//83
    "CSS_MM",	//84
    "CSS_MS",	//85
    "CSS_NUMBER",	//86
    "CSS_PAIR",	//87
    "CSS_PC",	//88
    "CSS_PERCENTAGE",	//89
    "CSS_PRIMITIVE_VALUE",	//90
    "CSS_PT",	//91
    "CSS_PX",	//92
    "CSS_RAD",	//93
    "CSS_RECT",	//94
    "CSS_RGBCOLOR",	//95
    "CSS_S",	//96
    "CSS_STRING",	//97
    "CSS_UNKNOWN",	//98
    "CSS_URI",	//99
    "CSS_VALUE_LIST",	//100
    "CaretBlink",	//101
    "CaretInvisible",	//102
    "CaretVisible",	//103
    "CharacterData",	//104
    "CharacterData#",	//105
    "CharacterData?",	//106
    "Comment",	//107
    "Comment#",	//108
    "Comment?",	//109
    "Counter",	//110
    "Counter#",	//111
    "Counter?",	//112
    "CustomNodeFilter",	//113
    "CustomNodeFilter#",	//114
    "DNSPrefetchDisabled",	//115
    "DNSPrefetchEnabled",	//116
    "DNSPrefetchOnlyWWWAndSLD",	//117
    "DOCUMENT_FRAGMENT_NODE",	//118
    "DOCUMENT_NODE",	//119
    "DOCUMENT_POSITION_CONTAINED_BY",	//120
    "DOCUMENT_POSITION_CONTAINS",	//121
    "DOCUMENT_POSITION_DISCONNECTED",	//122
    "DOCUMENT_POSITION_FOLLOWING",	//123
    "DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC",	//124
    "DOCUMENT_POSITION_PRECEDING",	//125
    "DOCUMENT_TYPE_NODE",	//126
    "DOMException",	//127
    "DOMException#",	//128
    "DOMException$",	//129
    "DOMImplementation",	//130
    "DOMImplementation#",	//131
    "DOMImplementation?",	//132
    "DOMSTRING_SIZE_ERR",	//133
    "DOMString",	//134
    "DOMString#",	//135
    "DOMString#$",	//136
    "DOMString$",	//137
    "DOMString$$",	//138
    "DOMString?",	//139
    "DOM_KEY_LOCATION_LEFT",	//140
    "DOM_KEY_LOCATION_NUMPAD",	//141
    "DOM_KEY_LOCATION_RIGHT",	//142
    "DOM_KEY_LOCATION_STANDARD",	//143
    "DefaultGUI",	//144
    "Document",	//145
    "Document#",	//146
    "Document$",	//147
    "Document?",	//148
    "DocumentFragment",	//149
    "DocumentFragment#",	//150
    "DocumentFragment?",	//151
    "DocumentStyle",	//152
    "DocumentStyle#",	//153
    "DocumentType",	//154
    "DocumentType#",	//155
    "DocumentType?",	//156
    "DomShared",	//157
    "DomShared#",	//158
    "ELEMENT_NODE",	//159
    "END_TO_END",	//160
    "END_TO_START",	//161
    "ENTITY_NODE",	//162
    "ENTITY_REFERENCE_NODE",	//163
    "Element",	//164
    "Element#",	//165
    "Element?",	//166
    "Encrypted",	//167
    "Entity",	//168
    "Entity#",	//169
    "Entity?",	//170
    "EntityReference",	//171
    "EntityReference#",	//172
    "EntityReference?",	//173
    "Event",	//174
    "Event#",	//175
    "Event?",	//176
    "EventException",	//177
    "EventException#",	//178
    "EventException$",	//179
    "EventListener",	//180
    "EventListener#",	//181
    "FILTER_ACCEPT",	//182
    "FILTER_REJECT",	//183
    "FILTER_SKIP",	//184
    "FONT_FACE_RULE",	//185
    "FindLinksOnly",	//186
    "FindNoPopups",	//187
    "HIERARCHY_REQUEST_ERR",	//188
    "HTMLAnchorElement",	//189
    "HTMLAnchorElement#",	//190
    "HTMLAnchorElement?",	//191
    "HTMLAppletElement",	//192
    "HTMLAppletElement#",	//193
    "HTMLAppletElement?",	//194
    "HTMLAreaElement",	//195
    "HTMLAreaElement#",	//196
    "HTMLAreaElement?",	//197
    "HTMLBRElement",	//198
    "HTMLBRElement#",	//199
    "HTMLBRElement?",	//200
    "HTMLBaseElement",	//201
    "HTMLBaseElement#",	//202
    "HTMLBaseElement?",	//203
    "HTMLBaseFontElement",	//204
    "HTMLBaseFontElement#",	//205
    "HTMLBaseFontElement?",	//206
    "HTMLBlockquoteElement",	//207
    "HTMLBlockquoteElement#",	//208
    "HTMLBlockquoteElement?",	//209
    "HTMLBodyElement",	//210
    "HTMLBodyElement#",	//211
    "HTMLBodyElement?",	//212
    "HTMLButtonElement",	//213
    "HTMLButtonElement#",	//214
    "HTMLButtonElement?",	//215
    "HTMLCollection",	//216
    "HTMLCollection#",	//217
    "HTMLCollection?",	//218
    "HTMLCollection?$",	//219
    "HTMLDListElement",	//220
    "HTMLDListElement#",	//221
    "HTMLDListElement?",	//222
    "HTMLDirectoryElement",	//223
    "HTMLDirectoryElement#",	//224
    "HTMLDirectoryElement?",	//225
    "HTMLDivElement",	//226
    "HTMLDivElement#",	//227
    "HTMLDivElement?",	//228
    "HTMLDocument",	//229
    "HTMLDocument#",	//230
    "HTMLDocument?",	//231
    "HTMLElement",	//232
    "HTMLElement#",	//233
    "HTMLElement?",	//234
    "HTMLFieldSetElement",	//235
    "HTMLFieldSetElement#",	//236
    "HTMLFieldSetElement?",	//237
    "HTMLFontElement",	//238
    "HTMLFontElement#",	//239
    "HTMLFontElement?",	//240
    "HTMLFormCollection",	//241
    "HTMLFormCollection#",	//242
    "HTMLFormCollection?",	//243
    "HTMLFormElement",	//244
    "HTMLFormElement#",	//245
    "HTMLFormElement?",	//246
    "HTMLFrameElement",	//247
    "HTMLFrameElement#",	//248
    "HTMLFrameElement?",	//249
    "HTMLFrameSetElement",	//250
    "HTMLFrameSetElement#",	//251
    "HTMLFrameSetElement?",	//252
    "HTMLHRElement",	//253
    "HTMLHRElement#",	//254
    "HTMLHRElement?",	//255
    "HTMLHeadElement",	//256
    "HTMLHeadElement#",	//257
    "HTMLHeadElement?",	//258
    "HTMLHeadingElement",	//259
    "HTMLHeadingElement#",	//260
    "HTMLHeadingElement?",	//261
    "HTMLHtmlElement",	//262
    "HTMLHtmlElement#",	//263
    "HTMLHtmlElement?",	//264
    "HTMLIFrameElement",	//265
    "HTMLIFrameElement#",	//266
    "HTMLIFrameElement?",	//267
    "HTMLImageElement",	//268
    "HTMLImageElement#",	//269
    "HTMLImageElement?",	//270
    "HTMLInputElement",	//271
    "HTMLInputElement#",	//272
    "HTMLInputElement?",	//273
    "HTMLIsIndexElement",	//274
    "HTMLIsIndexElement#",	//275
    "HTMLIsIndexElement?",	//276
    "HTMLLIElement",	//277
    "HTMLLIElement#",	//278
    "HTMLLIElement?",	//279
    "HTMLLabelElement",	//280
    "HTMLLabelElement#",	//281
    "HTMLLabelElement?",	//282
    "HTMLLayerElement",	//283
    "HTMLLayerElement#",	//284
    "HTMLLayerElement?",	//285
    "HTMLLegendElement",	//286
    "HTMLLegendElement#",	//287
    "HTMLLegendElement?",	//288
    "HTMLLinkElement",	//289
    "HTMLLinkElement#",	//290
    "HTMLLinkElement?",	//291
    "HTMLMapElement",	//292
    "HTMLMapElement#",	//293
    "HTMLMapElement?",	//294
    "HTMLMenuElement",	//295
    "HTMLMenuElement#",	//296
    "HTMLMenuElement?",	//297
    "HTMLMetaElement",	//298
    "HTMLMetaElement#",	//299
    "HTMLMetaElement?",	//300
    "HTMLModElement",	//301
    "HTMLModElement#",	//302
    "HTMLModElement?",	//303
    "HTMLOListElement",	//304
    "HTMLOListElement#",	//305
    "HTMLOListElement?",	//306
    "HTMLObjectElement",	//307
    "HTMLObjectElement#",	//308
    "HTMLObjectElement?",	//309
    "HTMLOptGroupElement",	//310
    "HTMLOptGroupElement#",	//311
    "HTMLOptGroupElement?",	//312
    "HTMLOptionElement",	//313
    "HTMLOptionElement#",	//314
    "HTMLOptionElement?",	//315
    "HTMLParagraphElement",	//316
    "HTMLParagraphElement#",	//317
    "HTMLParagraphElement?",	//318
    "HTMLParamElement",	//319
    "HTMLParamElement#",	//320
    "HTMLParamElement?",	//321
    "HTMLPreElement",	//322
    "HTMLPreElement#",	//323
    "HTMLPreElement?",	//324
    "HTMLQuoteElement",	//325
    "HTMLQuoteElement#",	//326
    "HTMLQuoteElement?",	//327
    "HTMLScriptElement",	//328
    "HTMLScriptElement#",	//329
    "HTMLScriptElement?",	//330
    "HTMLSelectElement",	//331
    "HTMLSelectElement#",	//332
    "HTMLSelectElement?",	//333
    "HTMLStyleElement",	//334
    "HTMLStyleElement#",	//335
    "HTMLStyleElement?",	//336
    "HTMLTableCaptionElement",	//337
    "HTMLTableCaptionElement#",	//338
    "HTMLTableCaptionElement?",	//339
    "HTMLTableCellElement",	//340
    "HTMLTableCellElement#",	//341
    "HTMLTableCellElement?",	//342
    "HTMLTableColElement",	//343
    "HTMLTableColElement#",	//344
    "HTMLTableColElement?",	//345
    "HTMLTableElement",	//346
    "HTMLTableElement#",	//347
    "HTMLTableElement?",	//348
    "HTMLTableRowElement",	//349
    "HTMLTableRowElement#",	//350
    "HTMLTableRowElement?",	//351
    "HTMLTableSectionElement",	//352
    "HTMLTableSectionElement#",	//353
    "HTMLTableSectionElement?",	//354
    "HTMLTextAreaElement",	//355
    "HTMLTextAreaElement#",	//356
    "HTMLTextAreaElement?",	//357
    "HTMLTitleElement",	//358
    "HTMLTitleElement#",	//359
    "HTMLTitleElement?",	//360
    "HTMLUListElement",	//361
    "HTMLUListElement#",	//362
    "HTMLUListElement?",	//363
    "IMPORT_RULE",	//364
    "INDEX_SIZE_ERR",	//365
    "INUSE_ATTRIBUTE_ERR",	//366
    "INVALID_ACCESS_ERR",	//367
    "INVALID_CHARACTER_ERR",	//368
    "INVALID_MODIFICATION_ERR",	//369
    "INVALID_NODE_TYPE_ERR",	//370
    "INVALID_STATE_ERR",	//371
    "KAnimationDisabled",	//372
    "KAnimationEnabled",	//373
    "KAnimationLoopOnce",	//374
    "KDNSPrefetchDisabled",	//375
    "KDNSPrefetchEnabled",	//376
    "KDNSPrefetchOnlyWWWAndSLD",	//377
    "KHTMLPart",	//378
    "KHTMLPart#",	//379
    "KHTMLPart##",	//380
    "KHTMLPart##$",	//381
    "KHTMLSettings",	//382
    "KHTMLSettings#",	//383
    "KHTMLView",	//384
    "KHTMLView##",	//385
    "KJSWindowFocusAllow",	//386
    "KJSWindowFocusIgnore",	//387
    "KJSWindowMoveAllow",	//388
    "KJSWindowMoveIgnore",	//389
    "KJSWindowOpenAllow",	//390
    "KJSWindowOpenAsk",	//391
    "KJSWindowOpenDeny",	//392
    "KJSWindowOpenSmart",	//393
    "KJSWindowResizeAllow",	//394
    "KJSWindowResizeIgnore",	//395
    "KJSWindowStatusAllow",	//396
    "KJSWindowStatusIgnore",	//397
    "KJavaScriptAccept",	//398
    "KJavaScriptDunno",	//399
    "KJavaScriptReject",	//400
    "KSmoothScrollingDisabled",	//401
    "KSmoothScrollingEnabled",	//402
    "KSmoothScrollingWhenEfficient",	//403
    "KeyboardEvent",	//404
    "KeyboardEvent#",	//405
    "LinkStyle",	//406
    "LinkStyle#",	//407
    "MEDIA_RULE",	//408
    "MODIFICATION",	//409
    "MediaList",	//410
    "MediaList#",	//411
    "MediaList?",	//412
    "Mixed",	//413
    "MouseEvent",	//414
    "MouseEvent#",	//415
    "MouseEvent?",	//416
    "MutationEvent",	//417
    "MutationEvent#",	//418
    "MutationEvent?",	//419
    "NAMESPACE_ERR",	//420
    "NOTATION_NODE",	//421
    "NOT_FOUND_ERR",	//422
    "NOT_SUPPORTED_ERR",	//423
    "NO_DATA_ALLOWED_ERR",	//424
    "NO_MODIFICATION_ALLOWED_ERR",	//425
    "NamedNodeMap",	//426
    "NamedNodeMap#",	//427
    "NamedNodeMap?",	//428
    "NoNotification",	//429
    "Node",	//430
    "Node#",	//431
    "Node?",	//432
    "NodeFilter",	//433
    "NodeFilter#",	//434
    "NodeFilter?",	//435
    "NodeIterator",	//436
    "NodeIterator#",	//437
    "NodeIterator?",	//438
    "NodeList",	//439
    "NodeList#",	//440
    "NodeList?",	//441
    "NotCrypted",	//442
    "Notation",	//443
    "Notation#",	//444
    "Notation?",	//445
    "Only",	//446
    "PAGE_RULE",	//447
    "PROCESSING_INSTRUCTION_NODE",	//448
    "ProcessingInstruction",	//449
    "ProcessingInstruction#",	//450
    "ProcessingInstruction?",	//451
    "QUIRKS_RULE",	//452
    "REMOVAL",	//453
    "RGBColor",	//454
    "RGBColor#",	//455
    "RGBColor$",	//456
    "Range",	//457
    "Range#",	//458
    "Range#$#$",	//459
    "Range?",	//460
    "RangeException",	//461
    "RangeException#",	//462
    "RangeException$",	//463
    "Rect",	//464
    "Rect#",	//465
    "Rect?",	//466
    "SECURITY_ERR",	//467
    "SHOW_ALL",	//468
    "SHOW_ATTRIBUTE",	//469
    "SHOW_CDATA_SECTION",	//470
    "SHOW_COMMENT",	//471
    "SHOW_DOCUMENT",	//472
    "SHOW_DOCUMENT_FRAGMENT",	//473
    "SHOW_DOCUMENT_TYPE",	//474
    "SHOW_ELEMENT",	//475
    "SHOW_ENTITY",	//476
    "SHOW_ENTITY_REFERENCE",	//477
    "SHOW_NOTATION",	//478
    "SHOW_PROCESSING_INSTRUCTION",	//479
    "SHOW_TEXT",	//480
    "SSMDisabled",	//481
    "SSMEnabled",	//482
    "SSMWhenEfficient",	//483
    "START_TO_END",	//484
    "START_TO_START",	//485
    "STYLE_RULE",	//486
    "SYNTAX_ERR",	//487
    "StyleSheet",	//488
    "StyleSheet#",	//489
    "StyleSheet?",	//490
    "StyleSheetList",	//491
    "StyleSheetList#",	//492
    "StyleSheetList?",	//493
    "TEXT_NODE",	//494
    "TYPE_MISMATCH_ERR",	//495
    "Text",	//496
    "Text#",	//497
    "Text?",	//498
    "TextEvent",	//499
    "TextEvent#",	//500
    "TreeWalker",	//501
    "TreeWalker#",	//502
    "TreeWalker?",	//503
    "UIEvent",	//504
    "UIEvent#",	//505
    "UIEvent?",	//506
    "UNKNOWN_RULE",	//507
    "UNSPECIFIED_EVENT_TYPE_ERR",	//508
    "URL",	//509
    "Unused",	//510
    "VALIDATION_ERR",	//511
    "WRONG_DOCUMENT_ERR",	//512
    "_EXCEPTION_MAX",	//513
    "_EXCEPTION_OFFSET",	//514
    "aLink",	//515
    "abbr",	//516
    "abort",	//517
    "accept",	//518
    "acceptCharset",	//519
    "acceptNode",	//520
    "acceptNode#",	//521
    "accessKey",	//522
    "accessKeysEnabled",	//523
    "action",	//524
    "action#",	//525
    "actionCollection",	//526
    "actionEvent",	//527
    "actionEvent#",	//528
    "activeNode",	//529
    "add",	//530
    "add##",	//531
    "addAdFilter",	//532
    "addAdFilter$",	//533
    "addCSSProperty",	//534
    "addCSSProperty##",	//535
    "addChild",	//536
    "addChild#$$",	//537
    "addEventListener",	//538
    "addEventListener##$",	//539
    "addStyleSheet",	//540
    "addStyleSheet#",	//541
    "adviceToStr",	//542
    "adviceToStr$",	//543
    "align",	//544
    "all",	//545
    "allowTabulation",	//546
    "alt",	//547
    "altKey",	//548
    "anchors",	//549
    "appendChild",	//550
    "appendChild#",	//551
    "appendData",	//552
    "appendData#",	//553
    "appendMedium",	//554
    "appendMedium#",	//555
    "applets",	//556
    "applyChanges",	//557
    "archive",	//558
    "areas",	//559
    "assignOther",	//560
    "assignOther#$",	//561
    "async",	//562
    "attrChange",	//563
    "attrName",	//564
    "attributes",	//565
    "autoLoadImages",	//566
    "autoSpellCheck",	//567
    "autoloadImages",	//568
    "availableFamilies",	//569
    "axis",	//570
    "background",	//571
    "backgroundURL",	//572
    "base",	//573
    "baseColor",	//574
    "baseURL",	//575
    "baseUrl",	//576
    "begin",	//577
    "begin#",	//578
    "begin#$",	//579
    "begin#$$",	//580
    "bgColor",	//581
    "blue",	//582
    "blur",	//583
    "body",	//584
    "border",	//585
    "bottom",	//586
    "boundaryPointsValid",	//587
    "browserExtension",	//588
    "browserHostExtension",	//589
    "bubbles",	//590
    "button",	//591
    "cancelable",	//592
    "caption",	//593
    "caretDisplayPolicyNonFocused",	//594
    "caretPositionChanged",	//595
    "caretPositionChanged#$",	//596
    "cellIndex",	//597
    "cellPadding",	//598
    "cellSpacing",	//599
    "cells",	//600
    "ch",	//601
    "chOff",	//602
    "changeCursor",	//603
    "changeEvent",	//604
    "changeEvent#",	//605
    "charCode",	//606
    "characters",	//607
    "charset",	//608
    "checked",	//609
    "childElementCount",	//610
    "childEvent",	//611
    "childEvent#",	//612
    "childNodes",	//613
    "children",	//614
    "cite",	//615
    "className",	//616
    "clear",	//617
    "cleared",	//618
    "click",	//619
    "clientX",	//620
    "clientY",	//621
    "cloneContents",	//622
    "cloneNode",	//623
    "cloneNode$",	//624
    "cloneRange",	//625
    "close",	//626
    "closeEvent",	//627
    "closeEvent#",	//628
    "closeUrl",	//629
    "code",	//630
    "codeBase",	//631
    "codeType",	//632
    "colSpan",	//633
    "collapse",	//634
    "collapse$",	//635
    "collapsed",	//636
    "color",	//637
    "cols",	//638
    "commonAncestorContainer",	//639
    "compact",	//640
    "compareBoundaryPoints",	//641
    "compareBoundaryPoints$#",	//642
    "compareDocumentPosition",	//643
    "compareDocumentPosition#",	//644
    "completeURL",	//645
    "completeURL#",	//646
    "completeURL$",	//647
    "componentData",	//648
    "configurationChanged",	//649
    "connectNotify",	//650
    "connectNotify$",	//651
    "content",	//652
    "contentDocument",	//653
    "contentEditable",	//654
    "contentsHeight",	//655
    "contentsToViewport",	//656
    "contentsToViewport#",	//657
    "contentsToViewport$$$$",	//658
    "contentsWidth",	//659
    "contentsX",	//660
    "contentsY",	//661
    "contextMenuEvent",	//662
    "contextMenuEvent#",	//663
    "cookie",	//664
    "coords",	//665
    "copy",	//666
    "createAttribute",	//667
    "createAttribute#",	//668
    "createAttributeNS",	//669
    "createAttributeNS##",	//670
    "createCDATASection",	//671
    "createCDATASection#",	//672
    "createCSSStyleSheet",	//673
    "createCSSStyleSheet##",	//674
    "createCaption",	//675
    "createComment",	//676
    "createComment#",	//677
    "createContextualFragment",	//678
    "createContextualFragment#",	//679
    "createCustom",	//680
    "createCustom#",	//681
    "createDocument",	//682
    "createDocument###",	//683
    "createDocumentFragment",	//684
    "createDocumentType",	//685
    "createDocumentType###",	//686
    "createElement",	//687
    "createElement#",	//688
    "createElementNS",	//689
    "createElementNS##",	//690
    "createEntityReference",	//691
    "createEntityReference#",	//692
    "createEvent",	//693
    "createEvent#",	//694
    "createHTMLDocument",	//695
    "createHTMLDocument#",	//696
    "createNodeIterator",	//697
    "createNodeIterator#$#$",	//698
    "createPart",	//699
    "createPart##$$??",	//700
    "createProcessingInstruction",	//701
    "createProcessingInstruction##",	//702
    "createRange",	//703
    "createTFoot",	//704
    "createTHead",	//705
    "createTextNode",	//706
    "createTextNode#",	//707
    "createTreeWalker",	//708
    "createTreeWalker#$#$",	//709
    "cssRules",	//710
    "cssText",	//711
    "cssValueType",	//712
    "ctrlKey",	//713
    "currentFrame",	//714
    "currentNode",	//715
    "currentTarget",	//716
    "cursiveFontName",	//717
    "customEvent",	//718
    "customEvent#",	//719
    "customNodeFilter",	//720
    "customNodeFilterType",	//721
    "data",	//722
    "dateTime",	//723
    "declare",	//724
    "defaultChecked",	//725
    "defaultSelected",	//726
    "defaultValue",	//727
    "defaultView",	//728
    "defer",	//729
    "deleteCaption",	//730
    "deleteCell",	//731
    "deleteCell$",	//732
    "deleteContents",	//733
    "deleteData",	//734
    "deleteData$$",	//735
    "deleteMe",	//736
    "deleteMedium",	//737
    "deleteMedium#",	//738
    "deleteRow",	//739
    "deleteRow$",	//740
    "deleteRule",	//741
    "deleteRule$",	//742
    "deleteTFoot",	//743
    "deleteTHead",	//744
    "deref",	//745
    "designMode",	//746
    "detach",	//747
    "detail",	//748
    "devType",	//749
    "dir",	//750
    "disabled",	//751
    "disconnectNotify",	//752
    "disconnectNotify$",	//753
    "dispatchEvent",	//754
    "dispatchEvent#",	//755
    "displayAccessKeys",	//756
    "dndEnabled",	//757
    "dnsPrefetch",	//758
    "doAutoScroll",	//759
    "doCloseStream",	//760
    "doOpenStream",	//761
    "doOpenStream$",	//762
    "doWriteStream",	//763
    "doWriteStream#",	//764
    "doctype",	//765
    "document",	//766
    "documentElement",	//767
    "documentSource",	//768
    "domDocument",	//769
    "domain",	//770
    "dragEnterEvent",	//771
    "dragEnterEvent#",	//772
    "dragLeaveEvent",	//773
    "dragLeaveEvent#",	//774
    "dragMoveEvent",	//775
    "dragMoveEvent#",	//776
    "dropEvent",	//777
    "dropEvent#",	//778
    "editor",	//779
    "elementId",	//780
    "elements",	//781
    "embed",	//782
    "embed#",	//783
    "enabledChange",	//784
    "enabledChange$",	//785
    "encoding",	//786
    "enctype",	//787
    "end",	//788
    "endContainer",	//789
    "endOffset",	//790
    "endsWith",	//791
    "endsWith#",	//792
    "enterEvent",	//793
    "enterEvent#",	//794
    "entities",	//795
    "event",	//796
    "event#",	//797
    "eventFilter",	//798
    "eventFilter##",	//799
    "eventListenerType",	//800
    "eventPhase",	//801
    "execCommand",	//802
    "execCommand#$#",	//803
    "executeScript",	//804
    "executeScript#$",	//805
    "expandEntityReferences",	//806
    "extractContents",	//807
    "face",	//808
    "fallbackAccessKeysAssignments",	//809
    "fantasyFontName",	//810
    "filter",	//811
    "find",	//812
    "find#",	//813
    "find#$",	//814
    "findAheadActive",	//815
    "findAheadActive$",	//816
    "findFrame",	//817
    "findFrame$",	//818
    "findFrameParent",	//819
    "findFrameParent#$",	//820
    "findFrameParent#$?",	//821
    "findFramePart",	//822
    "findFramePart$",	//823
    "findText",	//824
    "findText$$",	//825
    "findText$$#",	//826
    "findText$$##",	//827
    "findTextBegin",	//828
    "findTextNext",	//829
    "findTextNext$",	//830
    "finishedLayout",	//831
    "firstChild",	//832
    "firstElementChild",	//833
    "firstItem",	//834
    "fixedFontName",	//835
    "focus",	//836
    "focusInEvent",	//837
    "focusInEvent#",	//838
    "focusNextPrevChild",	//839
    "focusNextPrevChild$",	//840
    "focusOutEvent",	//841
    "focusOutEvent#",	//842
    "followSystemColors",	//843
    "fontChange",	//844
    "fontChange#",	//845
    "fontScaleFactor",	//846
    "form",	//847
    "formNotification",	//848
    "formSubmitNotification",	//849
    "formSubmitNotification$$#$$$",	//850
    "forms",	//851
    "frame",	//852
    "frameBorder",	//853
    "frameExists",	//854
    "frameExists$",	//855
    "frameNames",	//856
    "frameWidth",	//857
    "framejScript",	//858
    "framejScript#",	//859
    "frames",	//860
    "getAttribute",	//861
    "getAttribute#",	//862
    "getAttributeNS",	//863
    "getAttributeNS##",	//864
    "getAttributeNode",	//865
    "getAttributeNode#",	//866
    "getAttributeNodeNS",	//867
    "getAttributeNodeNS##",	//868
    "getBorder",	//869
    "getComputedStyle",	//870
    "getComputedStyle##",	//871
    "getCounterValue",	//872
    "getElementById",	//873
    "getElementById#",	//874
    "getElementsByClassName",	//875
    "getElementsByClassName#",	//876
    "getElementsByName",	//877
    "getElementsByName#",	//878
    "getElementsByTagName",	//879
    "getElementsByTagName#",	//880
    "getElementsByTagNameNS",	//881
    "getElementsByTagNameNS##",	//882
    "getFloatValue",	//883
    "getFloatValue$",	//884
    "getHspace",	//885
    "getInterface",	//886
    "getInterface#",	//887
    "getModifierState",	//888
    "getModifierState#",	//889
    "getNamedItem",	//890
    "getNamedItem#",	//891
    "getNamedItemNS",	//892
    "getNamedItemNS##",	//893
    "getOverrideStyle",	//894
    "getOverrideStyle##",	//895
    "getPropertyCSSValue",	//896
    "getPropertyCSSValue#",	//897
    "getPropertyPriority",	//898
    "getPropertyPriority#",	//899
    "getPropertyValue",	//900
    "getPropertyValue#",	//901
    "getRGBColorValue",	//902
    "getRect",	//903
    "getRectValue",	//904
    "getSize",	//905
    "getStringValue",	//906
    "getVspace",	//907
    "gotoAnchor",	//908
    "gotoAnchor$",	//909
    "green",	//910
    "guiActivateEvent",	//911
    "guiActivateEvent#",	//912
    "handleEvent",	//913
    "handleEvent#",	//914
    "hasAttribute",	//915
    "hasAttribute#",	//916
    "hasAttributeNS",	//917
    "hasAttributeNS##",	//918
    "hasAttributes",	//919
    "hasChildNodes",	//920
    "hasFeature",	//921
    "hasFeature##",	//922
    "hasOneRef",	//923
    "hasSelection",	//924
    "headers",	//925
    "height",	//926
    "heightForWidth",	//927
    "heightForWidth$",	//928
    "hide",	//929
    "hideAccessKeys",	//930
    "hideEvent",	//931
    "hideEvent#",	//932
    "hitTest",	//933
    "hitTest##",	//934
    "hoverLink",	//935
    "href",	//936
    "hreflang",	//937
    "hspace",	//938
    "htmlDocument",	//939
    "htmlError",	//940
    "htmlError$$#",	//941
    "htmlFor",	//942
    "httpEquiv",	//943
    "id",	//944
    "identifier",	//945
    "images",	//946
    "implementation",	//947
    "importNode",	//948
    "importNode#$",	//949
    "inProgress",	//950
    "indeterminate",	//951
    "index",	//952
    "init",	//953
    "init#",	//954
    "init#$",	//955
    "initEvent",	//956
    "initEvent#$$",	//957
    "initKeyboardEvent",	//958
    "initKeyboardEvent#$$##$#",	//959
    "initMouseEvent",	//960
    "initMouseEvent#$$#$$$$$$$$$$#",	//961
    "initMutationEvent",	//962
    "initMutationEvent#$$####$",	//963
    "initTextEvent",	//964
    "initTextEvent#$$##",	//965
    "initUIEvent",	//966
    "initUIEvent#$$#$",	//967
    "innerHTML",	//968
    "innerText",	//969
    "inputMethodEvent",	//970
    "inputMethodEvent#",	//971
    "inputMethodQuery",	//972
    "inputMethodQuery$",	//973
    "insert",	//974
    "insert#$",	//975
    "insertBefore",	//976
    "insertBefore##",	//977
    "insertCell",	//978
    "insertCell$",	//979
    "insertData",	//980
    "insertData$#",	//981
    "insertNode",	//982
    "insertNode#",	//983
    "insertRow",	//984
    "insertRow$",	//985
    "insertRule",	//986
    "insertRule#$",	//987
    "internalSubset",	//988
    "isAdFilterEnabled",	//989
    "isAdFiltered",	//990
    "isAdFiltered$",	//991
    "isAutoDelayedActionsEnabled",	//992
    "isBackRightClickEnabled",	//993
    "isCSSPrimitiveValue",	//994
    "isCSSStyleSheet",	//995
    "isCSSValueList",	//996
    "isCaretMode",	//997
    "isContentEditable",	//998
    "isDetached",	//999
    "isEditable",	//1000
    "isEmpty",	//1001
    "isFormCompletionEnabled",	//1002
    "isHTMLDocument",	//1003
    "isHTMLElement",	//1004
    "isHideAdsEnabled",	//1005
    "isJavaEnabled",	//1006
    "isJavaEnabled$",	//1007
    "isJavaScriptDebugEnabled",	//1008
    "isJavaScriptDebugEnabled$",	//1009
    "isJavaScriptEnabled",	//1010
    "isJavaScriptEnabled$",	//1011
    "isJavaScriptErrorReportingEnabled",	//1012
    "isJavaScriptErrorReportingEnabled$",	//1013
    "isMap",	//1014
    "isModified",	//1015
    "isNull",	//1016
    "isOpenMiddleClickEnabled",	//1017
    "isPluginsEnabled",	//1018
    "isPluginsEnabled$",	//1019
    "isPointInsideSelection",	//1020
    "isPointInsideSelection$$",	//1021
    "isSupported",	//1022
    "isSupported##",	//1023
    "item",	//1024
    "item$",	//1025
    "jScriptEnabled",	//1026
    "jScriptInterpreter",	//1027
    "javaEnabled",	//1028
    "jsDefaultStatusBarText",	//1029
    "jsErrorsEnabled",	//1030
    "jsPopupBlockerPassivePopup",	//1031
    "jsStatusBarText",	//1032
    "keyCode",	//1033
    "keyIdentifier",	//1034
    "keyLocation",	//1035
    "keyPressEvent",	//1036
    "keyPressEvent#",	//1037
    "keyReleaseEvent",	//1038
    "keyReleaseEvent#",	//1039
    "khtmlDrawContentsEvent",	//1040
    "khtmlDrawContentsEvent?",	//1041
    "khtmlMalformedPrefix",	//1042
    "khtmlMalformedPrefix#",	//1043
    "khtmlMalformedQualifiedName",	//1044
    "khtmlMalformedQualifiedName#",	//1045
    "khtmlMouseDoubleClickEvent",	//1046
    "khtmlMouseDoubleClickEvent?",	//1047
    "khtmlMouseMoveEvent",	//1048
    "khtmlMouseMoveEvent?",	//1049
    "khtmlMousePressEvent",	//1050
    "khtmlMousePressEvent?",	//1051
    "khtmlMouseReleaseEvent",	//1052
    "khtmlMouseReleaseEvent?",	//1053
    "khtmlValidAttrName",	//1054
    "khtmlValidAttrName#",	//1055
    "khtmlValidPrefix",	//1056
    "khtmlValidPrefix#",	//1057
    "khtmlValidQualifiedName",	//1058
    "khtmlValidQualifiedName#",	//1059
    "label",	//1060
    "lang",	//1061
    "languageChange",	//1062
    "lastChild",	//1063
    "lastElementChild",	//1064
    "lastModified",	//1065
    "layerX",	//1066
    "layerY",	//1067
    "layers",	//1068
    "layout",	//1069
    "leaveEvent",	//1070
    "leaveEvent#",	//1071
    "left",	//1072
    "length",	//1073
    "link",	//1074
    "linkColor",	//1075
    "links",	//1076
    "listStyle",	//1077
    "load",	//1078
    "load#",	//1079
    "loadXML",	//1080
    "loadXML#",	//1081
    "localName",	//1082
    "localXMLFile",	//1083
    "longDesc",	//1084
    "lower",	//1085
    "marginHeight",	//1086
    "marginWidth",	//1087
    "maxFormCompletionItems",	//1088
    "maxLength",	//1089
    "mayPrefetchHostname",	//1090
    "mayPrefetchHostname$",	//1091
    "media",	//1092
    "mediaText",	//1093
    "mediumFontSize",	//1094
    "metaKey",	//1095
    "metaObject",	//1096
    "metaRefreshEnabled",	//1097
    "method",	//1098
    "metric",	//1099
    "metric$",	//1100
    "minFontSize",	//1101
    "minimumSizeHint",	//1102
    "mouseDoubleClickEvent",	//1103
    "mouseDoubleClickEvent#",	//1104
    "mouseMoveEvent",	//1105
    "mouseMoveEvent#",	//1106
    "mousePressEvent",	//1107
    "mousePressEvent#",	//1108
    "mouseReleaseEvent",	//1109
    "mouseReleaseEvent#",	//1110
    "moveEvent",	//1111
    "moveEvent#",	//1112
    "multiple",	//1113
    "name",	//1114
    "namedItem",	//1115
    "namedItem#",	//1116
    "namespaceURI",	//1117
    "newValue",	//1118
    "nextAnchor",	//1119
    "nextElementSibling",	//1120
    "nextItem",	//1121
    "nextNamedItem",	//1122
    "nextNamedItem#",	//1123
    "nextNode",	//1124
    "nextSibling",	//1125
    "noHref",	//1126
    "noResize",	//1127
    "noShade",	//1128
    "noWrap",	//1129
    "nodeActivated",	//1130
    "nodeActivated#",	//1131
    "nodeName",	//1132
    "nodeType",	//1133
    "nodeUnderMouse",	//1134
    "nodeValue",	//1135
    "nonSharedNodeUnderMouse",	//1136
    "normalize",	//1137
    "notationName",	//1138
    "notations",	//1139
    "number",	//1140
    "number$",	//1141
    "object",	//1142
    "onURL",	//1143
    "onURL$",	//1144
    "onlyLocalReferences",	//1145
    "open",	//1146
    "openFile",	//1147
    "openUrl",	//1148
    "openUrl#",	//1149
    "operator!=",	//1150
    "operator!=#",	//1151
    "operator!=##",	//1152
    "operator!=#$",	//1153
    "operator+",	//1154
    "operator+#",	//1155
    "operator+=",	//1156
    "operator+=#",	//1157
    "operator=",	//1158
    "operator=#",	//1159
    "operator==",	//1160
    "operator==#",	//1161
    "operator==##",	//1162
    "operator==#$",	//1163
    "operator[]",	//1164
    "operator[]$",	//1165
    "options",	//1166
    "ownerDocument",	//1167
    "ownerElement",	//1168
    "ownerNode",	//1169
    "ownerRule",	//1170
    "pageReferrer",	//1171
    "pageX",	//1172
    "pageY",	//1173
    "paint",	//1174
    "paint##",	//1175
    "paint##$",	//1176
    "paint##$$",	//1177
    "paintEngine",	//1178
    "paintEvent",	//1179
    "paintEvent#",	//1180
    "paletteChange",	//1181
    "paletteChange#",	//1182
    "parentNode",	//1183
    "parentPart",	//1184
    "parentRule",	//1185
    "parentStyleSheet",	//1186
    "part",	//1187
    "partActivateEvent",	//1188
    "partActivateEvent#",	//1189
    "partManager",	//1190
    "partSelectEvent",	//1191
    "partSelectEvent#",	//1192
    "percentage",	//1193
    "percentage$",	//1194
    "pluginPageQuestionAsked",	//1195
    "pluginPageQuestionAsked$",	//1196
    "pluginsEnabled",	//1197
    "popupMenu",	//1198
    "popupMenu$#",	//1199
    "preferredStylesheetSet",	//1200
    "prefix",	//1201
    "preloadScript",	//1202
    "preloadScript$$",	//1203
    "preloadStyleSheet",	//1204
    "preloadStyleSheet$$",	//1205
    "prevAnchor",	//1206
    "prevValue",	//1207
    "preventDefault",	//1208
    "previousElementSibling",	//1209
    "previousNode",	//1210
    "previousSibling",	//1211
    "primitiveType",	//1212
    "print",	//1213
    "print$",	//1214
    "profile",	//1215
    "prompt",	//1216
    "publicId",	//1217
    "qt_metacall",	//1218
    "qt_metacall$$?",	//1219
    "queryCommandEnabled",	//1220
    "queryCommandEnabled#",	//1221
    "queryCommandIndeterm",	//1222
    "queryCommandIndeterm#",	//1223
    "queryCommandState",	//1224
    "queryCommandState#",	//1225
    "queryCommandSupported",	//1226
    "queryCommandSupported#",	//1227
    "queryCommandValue",	//1228
    "queryCommandValue#",	//1229
    "readDomainSettings",	//1230
    "readDomainSettings#$$?",	//1231
    "readOnly",	//1232
    "red",	//1233
    "ref",	//1234
    "refCount",	//1235
    "referrer",	//1236
    "rel",	//1237
    "relatedNode",	//1238
    "relatedTarget",	//1239
    "remove",	//1240
    "remove$",	//1241
    "remove$$",	//1242
    "removeAttribute",	//1243
    "removeAttribute#",	//1244
    "removeAttributeNS",	//1245
    "removeAttributeNS##",	//1246
    "removeAttributeNode",	//1247
    "removeAttributeNode#",	//1248
    "removeCSSProperty",	//1249
    "removeCSSProperty#",	//1250
    "removeChild",	//1251
    "removeChild#",	//1252
    "removeEventListener",	//1253
    "removeEventListener##$",	//1254
    "removeNamedItem",	//1255
    "removeNamedItem#",	//1256
    "removeNamedItemNS",	//1257
    "removeNamedItemNS##",	//1258
    "removeProperty",	//1259
    "removeProperty#",	//1260
    "removeStyleSheet",	//1261
    "removeStyleSheet#",	//1262
    "repaintAccessKeys",	//1263
    "repaintContents",	//1264
    "repaintContents#",	//1265
    "repaintContents$$$$",	//1266
    "replaceChild",	//1267
    "replaceChild##",	//1268
    "replaceData",	//1269
    "replaceData$$#",	//1270
    "reset",	//1271
    "resizeContents",	//1272
    "resizeContents$$",	//1273
    "resizeEvent",	//1274
    "resizeEvent#",	//1275
    "restoreState",	//1276
    "restoreState#",	//1277
    "restored",	//1278
    "rev",	//1279
    "reverseFind",	//1280
    "reverseFind#",	//1281
    "reverseFind#$",	//1282
    "right",	//1283
    "root",	//1284
    "rowIndex",	//1285
    "rowSpan",	//1286
    "rows",	//1287
    "rules",	//1288
    "sansSerifFontName",	//1289
    "saveState",	//1290
    "saveState#",	//1291
    "scheduleRedirection",	//1292
    "scheduleRedirection$$",	//1293
    "scheduleRedirection$$$",	//1294
    "scheme",	//1295
    "scope",	//1296
    "screenX",	//1297
    "screenY",	//1298
    "scripts",	//1299
    "scrollBy",	//1300
    "scrollBy$$",	//1301
    "scrollContentsBy",	//1302
    "scrollContentsBy$$",	//1303
    "scrolling",	//1304
    "sectionRowIndex",	//1305
    "select",	//1306
    "selectAll",	//1307
    "selectNode",	//1308
    "selectNode#",	//1309
    "selectNodeContents",	//1310
    "selectNodeContents#",	//1311
    "selected",	//1312
    "selectedIndex",	//1313
    "selectedStylesheetSet",	//1314
    "selectedText",	//1315
    "selectedTextAsHTML",	//1316
    "selection",	//1317
    "selection#$#$",	//1318
    "selectionChanged",	//1319
    "selectionEnd",	//1320
    "selectionStart",	//1321
    "selectorText",	//1322
    "separator",	//1323
    "serifFontName",	//1324
    "setALink",	//1325
    "setALink#",	//1326
    "setAbbr",	//1327
    "setAbbr#",	//1328
    "setAccept",	//1329
    "setAccept#",	//1330
    "setAcceptCharset",	//1331
    "setAcceptCharset#",	//1332
    "setAccessKey",	//1333
    "setAccessKey#",	//1334
    "setAction",	//1335
    "setAction#",	//1336
    "setActiveNode",	//1337
    "setActiveNode#",	//1338
    "setAlign",	//1339
    "setAlign#",	//1340
    "setAlt",	//1341
    "setAlt#",	//1342
    "setAlwaysHonourDoctype",	//1343
    "setAlwaysHonourDoctype$",	//1344
    "setArchive",	//1345
    "setArchive#",	//1346
    "setAsync",	//1347
    "setAsync$",	//1348
    "setAttribute",	//1349
    "setAttribute##",	//1350
    "setAttributeNS",	//1351
    "setAttributeNS###",	//1352
    "setAttributeNode",	//1353
    "setAttributeNode#",	//1354
    "setAttributeNodeNS",	//1355
    "setAttributeNodeNS#",	//1356
    "setAutoloadImages",	//1357
    "setAutoloadImages$",	//1358
    "setAxis",	//1359
    "setAxis#",	//1360
    "setBackground",	//1361
    "setBackground#",	//1362
    "setBgColor",	//1363
    "setBgColor#",	//1364
    "setBody",	//1365
    "setBody#",	//1366
    "setBorder",	//1367
    "setBorder#",	//1368
    "setCaption",	//1369
    "setCaption#",	//1370
    "setCaretDisplayPolicyNonFocused",	//1371
    "setCaretDisplayPolicyNonFocused$",	//1372
    "setCaretMode",	//1373
    "setCaretMode$",	//1374
    "setCaretPosition",	//1375
    "setCaretPosition#$",	//1376
    "setCaretPosition#$$",	//1377
    "setCaretVisible",	//1378
    "setCaretVisible$",	//1379
    "setCellIndex",	//1380
    "setCellIndex$",	//1381
    "setCellPadding",	//1382
    "setCellPadding#",	//1383
    "setCellSpacing",	//1384
    "setCellSpacing#",	//1385
    "setCells",	//1386
    "setCells#",	//1387
    "setCh",	//1388
    "setCh#",	//1389
    "setChOff",	//1390
    "setChOff#",	//1391
    "setCharset",	//1392
    "setCharset#",	//1393
    "setChecked",	//1394
    "setChecked$",	//1395
    "setCite",	//1396
    "setCite#",	//1397
    "setClassName",	//1398
    "setClassName#",	//1399
    "setClear",	//1400
    "setClear#",	//1401
    "setCode",	//1402
    "setCode#",	//1403
    "setCode$",	//1404
    "setCodeBase",	//1405
    "setCodeBase#",	//1406
    "setCodeType",	//1407
    "setCodeType#",	//1408
    "setColSpan",	//1409
    "setColSpan$",	//1410
    "setColor",	//1411
    "setColor#",	//1412
    "setCols",	//1413
    "setCols#",	//1414
    "setCols$",	//1415
    "setCompact",	//1416
    "setCompact$",	//1417
    "setComponentData",	//1418
    "setComponentData#",	//1419
    "setComponentData#$",	//1420
    "setContent",	//1421
    "setContent#",	//1422
    "setContentEditable",	//1423
    "setContentEditable#",	//1424
    "setContentsPos",	//1425
    "setContentsPos$$",	//1426
    "setCookie",	//1427
    "setCookie#",	//1428
    "setCoords",	//1429
    "setCoords#",	//1430
    "setCssText",	//1431
    "setCssText#",	//1432
    "setCurrentNode",	//1433
    "setCurrentNode#",	//1434
    "setCustomNodeFilter",	//1435
    "setCustomNodeFilter#",	//1436
    "setDNDEnabled",	//1437
    "setDNDEnabled$",	//1438
    "setDNSPrefetch",	//1439
    "setDNSPrefetch$",	//1440
    "setDOMDocument",	//1441
    "setDOMDocument#",	//1442
    "setDOMDocument#$",	//1443
    "setData",	//1444
    "setData#",	//1445
    "setDateTime",	//1446
    "setDateTime#",	//1447
    "setDeclare",	//1448
    "setDeclare$",	//1449
    "setDefaultChecked",	//1450
    "setDefaultChecked$",	//1451
    "setDefaultSelected",	//1452
    "setDefaultSelected$",	//1453
    "setDefaultValue",	//1454
    "setDefaultValue#",	//1455
    "setDefer",	//1456
    "setDefer$",	//1457
    "setDesignMode",	//1458
    "setDesignMode$",	//1459
    "setDir",	//1460
    "setDir#",	//1461
    "setDisabled",	//1462
    "setDisabled$",	//1463
    "setEditable",	//1464
    "setEditable$",	//1465
    "setEncoding",	//1466
    "setEncoding#",	//1467
    "setEncoding$",	//1468
    "setEncoding$$",	//1469
    "setEnctype",	//1470
    "setEnctype#",	//1471
    "setEnd",	//1472
    "setEnd#$",	//1473
    "setEndAfter",	//1474
    "setEndAfter#",	//1475
    "setEndBefore",	//1476
    "setEndBefore#",	//1477
    "setEvent",	//1478
    "setEvent#",	//1479
    "setFace",	//1480
    "setFace#",	//1481
    "setFixedFont",	//1482
    "setFixedFont$",	//1483
    "setFixedFontName",	//1484
    "setFixedFontName$",	//1485
    "setFloatValue",	//1486
    "setFloatValue$$",	//1487
    "setFontScaleFactor",	//1488
    "setFontScaleFactor$",	//1489
    "setFormNotification",	//1490
    "setFormNotification$",	//1491
    "setFrame",	//1492
    "setFrame#",	//1493
    "setFrameBorder",	//1494
    "setFrameBorder#",	//1495
    "setHeaders",	//1496
    "setHeaders#",	//1497
    "setHeight",	//1498
    "setHeight#",	//1499
    "setHeight$",	//1500
    "setHorizontalScrollBarPolicy",	//1501
    "setHorizontalScrollBarPolicy$",	//1502
    "setHref",	//1503
    "setHref#",	//1504
    "setHreflang",	//1505
    "setHreflang#",	//1506
    "setHspace",	//1507
    "setHspace$",	//1508
    "setHtmlFor",	//1509
    "setHtmlFor#",	//1510
    "setHttpEquiv",	//1511
    "setHttpEquiv#",	//1512
    "setId",	//1513
    "setId#",	//1514
    "setIndeterminate",	//1515
    "setIndeterminate$",	//1516
    "setIndex",	//1517
    "setIndex$",	//1518
    "setInnerHTML",	//1519
    "setInnerHTML#",	//1520
    "setInnerText",	//1521
    "setInnerText#",	//1522
    "setIsMap",	//1523
    "setIsMap$",	//1524
    "setJSDefaultStatusBarText",	//1525
    "setJSDefaultStatusBarText$",	//1526
    "setJSErrorsEnabled",	//1527
    "setJSErrorsEnabled$",	//1528
    "setJSPopupBlockerPassivePopup",	//1529
    "setJSPopupBlockerPassivePopup$",	//1530
    "setJSStatusBarText",	//1531
    "setJSStatusBarText$",	//1532
    "setJScriptEnabled",	//1533
    "setJScriptEnabled$",	//1534
    "setJavaEnabled",	//1535
    "setJavaEnabled$",	//1536
    "setLabel",	//1537
    "setLabel#",	//1538
    "setLang",	//1539
    "setLang#",	//1540
    "setLeft",	//1541
    "setLeft$",	//1542
    "setLink",	//1543
    "setLink#",	//1544
    "setLocalXMLFile",	//1545
    "setLocalXMLFile$",	//1546
    "setLongDesc",	//1547
    "setLongDesc#",	//1548
    "setManager",	//1549
    "setManager#",	//1550
    "setMarginHeight",	//1551
    "setMarginHeight#",	//1552
    "setMarginHeight$",	//1553
    "setMarginWidth",	//1554
    "setMarginWidth#",	//1555
    "setMarginWidth$",	//1556
    "setMaxLength",	//1557
    "setMaxLength$",	//1558
    "setMedia",	//1559
    "setMedia#",	//1560
    "setMediaText",	//1561
    "setMediaText#",	//1562
    "setMetaRefreshEnabled",	//1563
    "setMetaRefreshEnabled$",	//1564
    "setMethod",	//1565
    "setMethod#",	//1566
    "setMultiple",	//1567
    "setMultiple$",	//1568
    "setName",	//1569
    "setName#",	//1570
    "setNamedItem",	//1571
    "setNamedItem#",	//1572
    "setNamedItemNS",	//1573
    "setNamedItemNS#",	//1574
    "setNoHref",	//1575
    "setNoHref$",	//1576
    "setNoResize",	//1577
    "setNoResize$",	//1578
    "setNoShade",	//1579
    "setNoShade$",	//1580
    "setNoWrap",	//1581
    "setNoWrap$",	//1582
    "setNodeValue",	//1583
    "setNodeValue#",	//1584
    "setObject",	//1585
    "setObject#",	//1586
    "setOnlyLocalReferences",	//1587
    "setOnlyLocalReferences$",	//1588
    "setPageSecurity",	//1589
    "setPageSecurity$",	//1590
    "setPluginPageQuestionAsked",	//1591
    "setPluginPageQuestionAsked$",	//1592
    "setPluginsEnabled",	//1593
    "setPluginsEnabled$",	//1594
    "setPrefix",	//1595
    "setPrefix#",	//1596
    "setProfile",	//1597
    "setProfile#",	//1598
    "setPrompt",	//1599
    "setPrompt#",	//1600
    "setProperty",	//1601
    "setProperty###",	//1602
    "setReadOnly",	//1603
    "setReadOnly$",	//1604
    "setRel",	//1605
    "setRel#",	//1606
    "setRev",	//1607
    "setRev#",	//1608
    "setRowIndex",	//1609
    "setRowIndex$",	//1610
    "setRowSpan",	//1611
    "setRowSpan$",	//1612
    "setRows",	//1613
    "setRows#",	//1614
    "setRows$",	//1615
    "setRules",	//1616
    "setRules#",	//1617
    "setScheme",	//1618
    "setScheme#",	//1619
    "setScope",	//1620
    "setScope#",	//1621
    "setScrolling",	//1622
    "setScrolling#",	//1623
    "setSectionRowIndex",	//1624
    "setSectionRowIndex$",	//1625
    "setSelectable",	//1626
    "setSelectable$",	//1627
    "setSelected",	//1628
    "setSelected$",	//1629
    "setSelectedIndex",	//1630
    "setSelectedIndex$",	//1631
    "setSelectedStylesheetSet",	//1632
    "setSelectedStylesheetSet#",	//1633
    "setSelection",	//1634
    "setSelection#",	//1635
    "setSelectionEnd",	//1636
    "setSelectionEnd$",	//1637
    "setSelectionRange",	//1638
    "setSelectionRange$$",	//1639
    "setSelectionStart",	//1640
    "setSelectionStart$",	//1641
    "setSelectorText",	//1642
    "setSelectorText#",	//1643
    "setShape",	//1644
    "setShape#",	//1645
    "setSize",	//1646
    "setSize#",	//1647
    "setSize$",	//1648
    "setSmoothScrollingMode",	//1649
    "setSmoothScrollingMode$",	//1650
    "setSmoothScrollingModeDefault",	//1651
    "setSmoothScrollingModeDefault$",	//1652
    "setSpan",	//1653
    "setSpan$",	//1654
    "setSrc",	//1655
    "setSrc#",	//1656
    "setStandardFont",	//1657
    "setStandardFont$",	//1658
    "setStandby",	//1659
    "setStandby#",	//1660
    "setStart",	//1661
    "setStart#$",	//1662
    "setStart$",	//1663
    "setStartAfter",	//1664
    "setStartAfter#",	//1665
    "setStartBefore",	//1666
    "setStartBefore#",	//1667
    "setStatusMessagesEnabled",	//1668
    "setStatusMessagesEnabled$",	//1669
    "setStdFontName",	//1670
    "setStdFontName$",	//1671
    "setStringValue",	//1672
    "setStringValue$#",	//1673
    "setSummary",	//1674
    "setSummary#",	//1675
    "setSuppressedPopupIndicator",	//1676
    "setSuppressedPopupIndicator$",	//1677
    "setSuppressedPopupIndicator$#",	//1678
    "setTFoot",	//1679
    "setTFoot#",	//1680
    "setTHead",	//1681
    "setTHead#",	//1682
    "setTabIndex",	//1683
    "setTabIndex$",	//1684
    "setTarget",	//1685
    "setTarget#",	//1686
    "setText",	//1687
    "setText#",	//1688
    "setTextContent",	//1689
    "setTextContent#",	//1690
    "setTitle",	//1691
    "setTitle#",	//1692
    "setTop",	//1693
    "setTop$",	//1694
    "setType",	//1695
    "setType#",	//1696
    "setURLCursor",	//1697
    "setURLCursor#",	//1698
    "setUseMap",	//1699
    "setUseMap#",	//1700
    "setUserStyleSheet",	//1701
    "setUserStyleSheet#",	//1702
    "setUserStyleSheet$",	//1703
    "setVAlign",	//1704
    "setVAlign#",	//1705
    "setVLink",	//1706
    "setVLink#",	//1707
    "setValue",	//1708
    "setValue#",	//1709
    "setValue$",	//1710
    "setValueType",	//1711
    "setValueType#",	//1712
    "setVersion",	//1713
    "setVersion#",	//1714
    "setVerticalScrollBarPolicy",	//1715
    "setVerticalScrollBarPolicy$",	//1716
    "setVisibility",	//1717
    "setVisibility#",	//1718
    "setVisible",	//1719
    "setVisible$",	//1720
    "setVspace",	//1721
    "setVspace$",	//1722
    "setWidget",	//1723
    "setWidget#",	//1724
    "setWidth",	//1725
    "setWidth#",	//1726
    "setWidth$",	//1727
    "setXML",	//1728
    "setXML$",	//1729
    "setXML$$",	//1730
    "setXMLFile",	//1731
    "setXMLFile$",	//1732
    "setXMLFile$$",	//1733
    "setXMLFile$$$",	//1734
    "setZoomFactor",	//1735
    "setZoomFactor$",	//1736
    "setZoomLevel",	//1737
    "setZoomLevel$",	//1738
    "settings",	//1739
    "settingsToCSS",	//1740
    "shape",	//1741
    "sheet",	//1742
    "shiftKey",	//1743
    "show",	//1744
    "showAnimations",	//1745
    "showError",	//1746
    "showError#",	//1747
    "showEvent",	//1748
    "showEvent#",	//1749
    "size",	//1750
    "sizeHint",	//1751
    "slotFinished",	//1752
    "slotFinished#",	//1753
    "slotPaletteChanged",	//1754
    "smoothScrolling",	//1755
    "smoothScrollingMode",	//1756
    "span",	//1757
    "specified",	//1758
    "split",	//1759
    "split$",	//1760
    "splitDomainAdvice",	//1761
    "splitDomainAdvice$$$$",	//1762
    "splitText",	//1763
    "splitText$",	//1764
    "src",	//1765
    "standby",	//1766
    "start",	//1767
    "startContainer",	//1768
    "startOffset",	//1769
    "startingJob",	//1770
    "startingJob#",	//1771
    "startsWith",	//1772
    "startsWith#",	//1773
    "stateChanged",	//1774
    "stateChanged$",	//1775
    "stateChanged$$",	//1776
    "staticMetaObject",	//1777
    "statusMessagesEnabled",	//1778
    "stdFontName",	//1779
    "stopAnimations",	//1780
    "stopPropagation",	//1781
    "strToAdvice",	//1782
    "strToAdvice$",	//1783
    "strcasecmp",	//1784
    "strcasecmp##",	//1785
    "strcasecmp#$",	//1786
    "strcmp",	//1787
    "strcmp##",	//1788
    "string",	//1789
    "style",	//1790
    "styleChange",	//1791
    "styleChange#",	//1792
    "styleSheet",	//1793
    "styleSheets",	//1794
    "submit",	//1795
    "submitFormProxy",	//1796
    "submitFormProxy$$#$",	//1797
    "submitFormProxy$$#$$",	//1798
    "submitFormProxy$$#$$$",	//1799
    "substring",	//1800
    "substring$",	//1801
    "substring$$",	//1802
    "substringData",	//1803
    "substringData$$",	//1804
    "summary",	//1805
    "surroundContents",	//1806
    "surroundContents#",	//1807
    "systemId",	//1808
    "tBodies",	//1809
    "tFoot",	//1810
    "tHead",	//1811
    "tabIndex",	//1812
    "tabletEvent",	//1813
    "tabletEvent#",	//1814
    "tagName",	//1815
    "target",	//1816
    "text",	//1817
    "textColor",	//1818
    "textContent",	//1819
    "textLength",	//1820
    "timeStamp",	//1821
    "timerEvent",	//1822
    "timerEvent#",	//1823
    "title",	//1824
    "toFloat",	//1825
    "toFloat$",	//1826
    "toHTML",	//1827
    "toInt",	//1828
    "toInt$",	//1829
    "toString",	//1830
    "top",	//1831
    "toplevelURL",	//1832
    "truncate",	//1833
    "truncate$",	//1834
    "type",	//1835
    "underlineLink",	//1836
    "unfinishedImageFrame",	//1837
    "unicode",	//1838
    "updateContents",	//1839
    "updateContents#",	//1840
    "updateContents$$$$",	//1841
    "updateRendering",	//1842
    "upper",	//1843
    "urlCursor",	//1844
    "urlSelected",	//1845
    "urlSelected$$$$",	//1846
    "urlSelected$$$$#",	//1847
    "urlSelected$$$$##",	//1848
    "useMap",	//1849
    "userStyleSheet",	//1850
    "vAlign",	//1851
    "vLink",	//1852
    "vLinkColor",	//1853
    "value",	//1854
    "valueType",	//1855
    "version",	//1856
    "view",	//1857
    "viewportEvent",	//1858
    "viewportEvent#",	//1859
    "viewportToContents",	//1860
    "viewportToContents#",	//1861
    "viewportToContents$$$$",	//1862
    "visibility",	//1863
    "visibleHeight",	//1864
    "visibleWidth",	//1865
    "vspace",	//1866
    "whatToShow",	//1867
    "wheelEvent",	//1868
    "wheelEvent#",	//1869
    "which",	//1870
    "widget",	//1871
    "widgetEvent",	//1872
    "widgetEvent#",	//1873
    "width",	//1874
    "windowActivationChange",	//1875
    "windowActivationChange$",	//1876
    "windowFocusPolicy",	//1877
    "windowFocusPolicy$",	//1878
    "windowMovePolicy",	//1879
    "windowMovePolicy$",	//1880
    "windowOpenPolicy",	//1881
    "windowOpenPolicy$",	//1882
    "windowResizePolicy",	//1883
    "windowResizePolicy$",	//1884
    "windowStatusPolicy",	//1885
    "windowStatusPolicy$",	//1886
    "write",	//1887
    "write#",	//1888
    "write$",	//1889
    "write$$",	//1890
    "writeln",	//1891
    "writeln#",	//1892
    "x",	//1893
    "xmlFile",	//1894
    "y",	//1895
    "zoomFactor",	//1896
    "zoomLevel",	//1897
    "zoomView",	//1898
    "zoomView$",	//1899
    "~AbstractView",	//1900
    "~Attr",	//1901
    "~CDATASection",	//1902
    "~CSSCharsetRule",	//1903
    "~CSSException",	//1904
    "~CSSFontFaceRule",	//1905
    "~CSSImportRule",	//1906
    "~CSSMediaRule",	//1907
    "~CSSPageRule",	//1908
    "~CSSPrimitiveValue",	//1909
    "~CSSRule",	//1910
    "~CSSRuleList",	//1911
    "~CSSStyleDeclaration",	//1912
    "~CSSStyleRule",	//1913
    "~CSSStyleSheet",	//1914
    "~CSSUnknownRule",	//1915
    "~CSSValue",	//1916
    "~CSSValueList",	//1917
    "~CharacterData",	//1918
    "~Comment",	//1919
    "~Counter",	//1920
    "~CustomNodeFilter",	//1921
    "~DOMException",	//1922
    "~DOMImplementation",	//1923
    "~DOMString",	//1924
    "~Document",	//1925
    "~DocumentFragment",	//1926
    "~DocumentStyle",	//1927
    "~DocumentType",	//1928
    "~DomShared",	//1929
    "~Element",	//1930
    "~Entity",	//1931
    "~EntityReference",	//1932
    "~Event",	//1933
    "~EventException",	//1934
    "~EventListener",	//1935
    "~HTMLAnchorElement",	//1936
    "~HTMLAppletElement",	//1937
    "~HTMLAreaElement",	//1938
    "~HTMLBRElement",	//1939
    "~HTMLBaseElement",	//1940
    "~HTMLBaseFontElement",	//1941
    "~HTMLBlockquoteElement",	//1942
    "~HTMLBodyElement",	//1943
    "~HTMLButtonElement",	//1944
    "~HTMLCollection",	//1945
    "~HTMLDListElement",	//1946
    "~HTMLDirectoryElement",	//1947
    "~HTMLDivElement",	//1948
    "~HTMLDocument",	//1949
    "~HTMLElement",	//1950
    "~HTMLFieldSetElement",	//1951
    "~HTMLFontElement",	//1952
    "~HTMLFormCollection",	//1953
    "~HTMLFormElement",	//1954
    "~HTMLFrameElement",	//1955
    "~HTMLFrameSetElement",	//1956
    "~HTMLHRElement",	//1957
    "~HTMLHeadElement",	//1958
    "~HTMLHeadingElement",	//1959
    "~HTMLHtmlElement",	//1960
    "~HTMLIFrameElement",	//1961
    "~HTMLImageElement",	//1962
    "~HTMLInputElement",	//1963
    "~HTMLIsIndexElement",	//1964
    "~HTMLLIElement",	//1965
    "~HTMLLabelElement",	//1966
    "~HTMLLayerElement",	//1967
    "~HTMLLegendElement",	//1968
    "~HTMLLinkElement",	//1969
    "~HTMLMapElement",	//1970
    "~HTMLMenuElement",	//1971
    "~HTMLMetaElement",	//1972
    "~HTMLModElement",	//1973
    "~HTMLOListElement",	//1974
    "~HTMLObjectElement",	//1975
    "~HTMLOptGroupElement",	//1976
    "~HTMLOptionElement",	//1977
    "~HTMLParagraphElement",	//1978
    "~HTMLParamElement",	//1979
    "~HTMLPreElement",	//1980
    "~HTMLQuoteElement",	//1981
    "~HTMLScriptElement",	//1982
    "~HTMLSelectElement",	//1983
    "~HTMLStyleElement",	//1984
    "~HTMLTableCaptionElement",	//1985
    "~HTMLTableCellElement",	//1986
    "~HTMLTableColElement",	//1987
    "~HTMLTableElement",	//1988
    "~HTMLTableRowElement",	//1989
    "~HTMLTableSectionElement",	//1990
    "~HTMLTextAreaElement",	//1991
    "~HTMLTitleElement",	//1992
    "~HTMLUListElement",	//1993
    "~KHTMLPart",	//1994
    "~KHTMLSettings",	//1995
    "~KHTMLView",	//1996
    "~KeyboardEvent",	//1997
    "~LinkStyle",	//1998
    "~MediaList",	//1999
    "~MouseEvent",	//2000
    "~MutationEvent",	//2001
    "~NamedNodeMap",	//2002
    "~Node",	//2003
    "~NodeFilter",	//2004
    "~NodeIterator",	//2005
    "~NodeList",	//2006
    "~Notation",	//2007
    "~ProcessingInstruction",	//2008
    "~RGBColor",	//2009
    "~Range",	//2010
    "~RangeException",	//2011
    "~Rect",	//2012
    "~StyleSheet",	//2013
    "~StyleSheetList",	//2014
    "~Text",	//2015
    "~TextEvent",	//2016
    "~TreeWalker",	//2017
    "~UIEvent",	//2018
};

// (classId, name (index in methodNames), argumentList index, number of args, method flags, return type (index in types), xcall() index)
static Smoke::Method khtml_methods[] = {
	{1, 1160, 513, 2, Smoke::mf_static, 831, 1},	//0 DOM::operator==(const DOM::DOMString&, const DOM::DOMString&)
	{1, 1160, 524, 2, Smoke::mf_static, 831, 2},	//1 DOM::operator==(const DOM::DOMString&, const QString&)
	{1, 1160, 527, 2, Smoke::mf_static, 831, 3},	//2 DOM::operator==(const DOM::DOMString&, const char*)
	{1, 1150, 513, 2, Smoke::mf_static, 831, 4},	//3 DOM::operator!=(const DOM::DOMString&, const DOM::DOMString&)
	{1, 1150, 524, 2, Smoke::mf_static, 831, 5},	//4 DOM::operator!=(const DOM::DOMString&, const QString&)
	{1, 1150, 527, 2, Smoke::mf_static, 831, 6},	//5 DOM::operator!=(const DOM::DOMString&, const char*)
	{1, 1787, 513, 2, Smoke::mf_static, 831, 7},	//6 DOM::strcmp(const DOM::DOMString&, const DOM::DOMString&)
	{1, 1784, 513, 2, Smoke::mf_static, 831, 8},	//7 DOM::strcasecmp(const DOM::DOMString&, const DOM::DOMString&)
	{1, 1784, 527, 2, Smoke::mf_static, 831, 9},	//8 DOM::strcasecmp(const DOM::DOMString&, const char*)
	{2, 4, 0, 0, Smoke::mf_ctor, 3, 1},	//9 DOM::AbstractView::AbstractView()
	{2, 4, 402, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 3, 2},	//10 DOM::AbstractView::AbstractView(const DOM::AbstractView&)
	{2, 1900, 0, 0, Smoke::mf_dtor, 0, 8},	//11 DOM::AbstractView::~AbstractView()
	{2, 1158, 402, 1, 0, 2, 3},	//12 DOM::AbstractView::operator=(const DOM::AbstractView&)
	{2, 766, 0, 0, Smoke::mf_const, 90, 4},	//13 DOM::AbstractView::document() const
	{2, 870, 557, 2, 0, 45, 5},	//14 DOM::AbstractView::getComputedStyle(const DOM::Element&, const DOM::DOMString&)
	{2, 1016, 0, 0, Smoke::mf_const, 831, 6},	//15 DOM::AbstractView::isNull() const
	{2, 4, 228, 1, Smoke::mf_ctor|Smoke::mf_protected, 3, 7},	//16 DOM::AbstractView::AbstractView(DOM::AbstractViewImpl*)
	{3, 7, 0, 0, Smoke::mf_ctor, 7, 1},	//17 DOM::Attr::Attr()
	{3, 7, 708, 1, Smoke::mf_ctor, 7, 2},	//18 DOM::Attr::Attr(const DOM::Node&)
	{3, 7, 404, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 7, 3},	//19 DOM::Attr::Attr(const DOM::Attr&)
	{3, 1158, 708, 1, 0, 6, 4},	//20 DOM::Attr::operator=(const DOM::Node&)
	{3, 1158, 404, 1, 0, 6, 5},	//21 DOM::Attr::operator=(const DOM::Attr&)
	{3, 1901, 0, 0, Smoke::mf_dtor, 0, 12},	//22 DOM::Attr::~Attr()
	{3, 1114, 0, 0, Smoke::mf_const, 86, 6},	//23 DOM::Attr::name() const
	{3, 1758, 0, 0, Smoke::mf_const, 831, 7},	//24 DOM::Attr::specified() const
	{3, 1854, 0, 0, Smoke::mf_const, 86, 8},	//25 DOM::Attr::value() const
	{3, 1708, 455, 1, 0, 0, 9},	//26 DOM::Attr::setValue(const DOM::DOMString&)
	{3, 1168, 0, 0, Smoke::mf_const, 106, 10},	//27 DOM::Attr::ownerElement() const
	{3, 7, 391, 1, Smoke::mf_ctor|Smoke::mf_protected, 7, 11},	//28 DOM::Attr::Attr(DOM::AttrImpl*)
	{4, 15, 0, 0, Smoke::mf_ctor, 11, 1},	//29 DOM::CDATASection::CDATASection()
	{4, 15, 406, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 11, 2},	//30 DOM::CDATASection::CDATASection(const DOM::CDATASection&)
	{4, 15, 708, 1, Smoke::mf_ctor, 11, 3},	//31 DOM::CDATASection::CDATASection(const DOM::Node&)
	{4, 1158, 708, 1, 0, 10, 4},	//32 DOM::CDATASection::operator=(const DOM::Node&)
	{4, 1158, 406, 1, 0, 10, 5},	//33 DOM::CDATASection::operator=(const DOM::CDATASection&)
	{4, 1902, 0, 0, Smoke::mf_dtor, 0, 7},	//34 DOM::CDATASection::~CDATASection()
	{4, 15, 44, 1, Smoke::mf_ctor|Smoke::mf_protected, 11, 6},	//35 DOM::CDATASection::CDATASection(DOM::CDATASectionImpl*)
	{5, 21, 0, 0, Smoke::mf_ctor, 14, 1},	//36 DOM::CSSCharsetRule::CSSCharsetRule()
	{5, 21, 408, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 14, 2},	//37 DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSCharsetRule&)
	{5, 21, 422, 1, Smoke::mf_ctor, 14, 3},	//38 DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSRule&)
	{5, 21, 62, 1, Smoke::mf_ctor, 14, 4},	//39 DOM::CSSCharsetRule::CSSCharsetRule(DOM::CSSCharsetRuleImpl*)
	{5, 1158, 408, 1, 0, 13, 5},	//40 DOM::CSSCharsetRule::operator=(const DOM::CSSCharsetRule&)
	{5, 1158, 422, 1, 0, 13, 6},	//41 DOM::CSSCharsetRule::operator=(const DOM::CSSRule&)
	{5, 1903, 0, 0, Smoke::mf_dtor, 0, 9},	//42 DOM::CSSCharsetRule::~CSSCharsetRule()
	{5, 786, 0, 0, Smoke::mf_const, 86, 7},	//43 DOM::CSSCharsetRule::encoding() const
	{5, 1466, 455, 1, 0, 0, 8},	//44 DOM::CSSCharsetRule::setEncoding(const DOM::DOMString&)
	{6, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 1},	//45 DOM::CSSException::SYNTAX_ERR (enum)
	{6, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 2},	//46 DOM::CSSException::INVALID_MODIFICATION_ERR (enum)
	{6, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 3},	//47 DOM::CSSException::_EXCEPTION_OFFSET (enum)
	{6, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 18, 4},	//48 DOM::CSSException::_EXCEPTION_MAX (enum)
	{6, 24, 26, 1, Smoke::mf_ctor, 17, 6},	//49 DOM::CSSException::CSSException(unsigned short)
	{6, 24, 410, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 17, 7},	//50 DOM::CSSException::CSSException(const DOM::CSSException&)
	{6, 1158, 410, 1, 0, 16, 8},	//51 DOM::CSSException::operator=(const DOM::CSSException&)
	{6, 1904, 0, 0, Smoke::mf_dtor, 0, 10},	//52 DOM::CSSException::~CSSException()
	{6, 1402, 26, 1, 0, 0, 9},	//53 DOM::CSSException::setCode(unsigned short)
	{6, 630, 0, 0, 0, 1012, 5},	//54 DOM::CSSException::code (var)
	{7, 27, 0, 0, Smoke::mf_ctor, 20, 1},	//55 DOM::CSSFontFaceRule::CSSFontFaceRule()
	{7, 27, 412, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 20, 2},	//56 DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSFontFaceRule&)
	{7, 27, 422, 1, Smoke::mf_ctor, 20, 3},	//57 DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSRule&)
	{7, 27, 100, 1, Smoke::mf_ctor, 20, 4},	//58 DOM::CSSFontFaceRule::CSSFontFaceRule(DOM::CSSFontFaceRuleImpl*)
	{7, 1158, 412, 1, 0, 19, 5},	//59 DOM::CSSFontFaceRule::operator=(const DOM::CSSFontFaceRule&)
	{7, 1158, 422, 1, 0, 19, 6},	//60 DOM::CSSFontFaceRule::operator=(const DOM::CSSRule&)
	{7, 1905, 0, 0, Smoke::mf_dtor, 0, 8},	//61 DOM::CSSFontFaceRule::~CSSFontFaceRule()
	{7, 1790, 0, 0, Smoke::mf_const, 45, 7},	//62 DOM::CSSFontFaceRule::style() const
	{8, 30, 0, 0, Smoke::mf_ctor, 23, 1},	//63 DOM::CSSImportRule::CSSImportRule()
	{8, 30, 414, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 23, 2},	//64 DOM::CSSImportRule::CSSImportRule(const DOM::CSSImportRule&)
	{8, 30, 422, 1, Smoke::mf_ctor, 23, 3},	//65 DOM::CSSImportRule::CSSImportRule(const DOM::CSSRule&)
	{8, 30, 122, 1, Smoke::mf_ctor, 23, 4},	//66 DOM::CSSImportRule::CSSImportRule(DOM::CSSImportRuleImpl*)
	{8, 1158, 414, 1, 0, 22, 5},	//67 DOM::CSSImportRule::operator=(const DOM::CSSImportRule&)
	{8, 1158, 422, 1, 0, 22, 6},	//68 DOM::CSSImportRule::operator=(const DOM::CSSRule&)
	{8, 1906, 0, 0, Smoke::mf_dtor, 0, 10},	//69 DOM::CSSImportRule::~CSSImportRule()
	{8, 936, 0, 0, Smoke::mf_const, 86, 7},	//70 DOM::CSSImportRule::href() const
	{8, 1092, 0, 0, Smoke::mf_const, 305, 8},	//71 DOM::CSSImportRule::media() const
	{8, 1793, 0, 0, Smoke::mf_const, 52, 9},	//72 DOM::CSSImportRule::styleSheet() const
	{9, 33, 0, 0, Smoke::mf_ctor, 26, 1},	//73 DOM::CSSMediaRule::CSSMediaRule()
	{9, 33, 416, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 26, 2},	//74 DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSMediaRule&)
	{9, 33, 422, 1, Smoke::mf_ctor, 26, 3},	//75 DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSRule&)
	{9, 33, 140, 1, Smoke::mf_ctor, 26, 4},	//76 DOM::CSSMediaRule::CSSMediaRule(DOM::CSSMediaRuleImpl*)
	{9, 1158, 416, 1, 0, 25, 5},	//77 DOM::CSSMediaRule::operator=(const DOM::CSSMediaRule&)
	{9, 1158, 422, 1, 0, 25, 6},	//78 DOM::CSSMediaRule::operator=(const DOM::CSSRule&)
	{9, 1907, 0, 0, Smoke::mf_dtor, 0, 11},	//79 DOM::CSSMediaRule::~CSSMediaRule()
	{9, 1092, 0, 0, Smoke::mf_const, 305, 7},	//80 DOM::CSSMediaRule::media() const
	{9, 710, 0, 0, Smoke::mf_const, 41, 8},	//81 DOM::CSSMediaRule::cssRules() const
	{9, 986, 457, 2, 0, 1010, 9},	//82 DOM::CSSMediaRule::insertRule(const DOM::DOMString&, unsigned long)
	{9, 741, 24, 1, 0, 0, 10},	//83 DOM::CSSMediaRule::deleteRule(unsigned long)
	{10, 36, 0, 0, Smoke::mf_ctor, 29, 1},	//84 DOM::CSSPageRule::CSSPageRule()
	{10, 36, 418, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 29, 2},	//85 DOM::CSSPageRule::CSSPageRule(const DOM::CSSPageRule&)
	{10, 36, 422, 1, Smoke::mf_ctor, 29, 3},	//86 DOM::CSSPageRule::CSSPageRule(const DOM::CSSRule&)
	{10, 36, 162, 1, Smoke::mf_ctor, 29, 4},	//87 DOM::CSSPageRule::CSSPageRule(DOM::CSSPageRuleImpl*)
	{10, 1158, 418, 1, 0, 28, 5},	//88 DOM::CSSPageRule::operator=(const DOM::CSSPageRule&)
	{10, 1158, 422, 1, 0, 28, 6},	//89 DOM::CSSPageRule::operator=(const DOM::CSSRule&)
	{10, 1908, 0, 0, Smoke::mf_dtor, 0, 10},	//90 DOM::CSSPageRule::~CSSPageRule()
	{10, 1322, 0, 0, Smoke::mf_const, 86, 7},	//91 DOM::CSSPageRule::selectorText() const
	{10, 1642, 455, 1, 0, 0, 8},	//92 DOM::CSSPageRule::setSelectorText(const DOM::DOMString&)
	{10, 1790, 0, 0, Smoke::mf_const, 45, 9},	//93 DOM::CSSPageRule::style() const
	{11, 98, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 1},	//94 DOM::CSSPrimitiveValue::CSS_UNKNOWN (enum)
	{11, 86, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 2},	//95 DOM::CSSPrimitiveValue::CSS_NUMBER (enum)
	{11, 89, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 3},	//96 DOM::CSSPrimitiveValue::CSS_PERCENTAGE (enum)
	{11, 74, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 4},	//97 DOM::CSSPrimitiveValue::CSS_EMS (enum)
	{11, 75, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 5},	//98 DOM::CSSPrimitiveValue::CSS_EXS (enum)
	{11, 92, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 6},	//99 DOM::CSSPrimitiveValue::CSS_PX (enum)
	{11, 67, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 7},	//100 DOM::CSSPrimitiveValue::CSS_CM (enum)
	{11, 84, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 8},	//101 DOM::CSSPrimitiveValue::CSS_MM (enum)
	{11, 80, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 9},	//102 DOM::CSSPrimitiveValue::CSS_IN (enum)
	{11, 91, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 10},	//103 DOM::CSSPrimitiveValue::CSS_PT (enum)
	{11, 88, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 11},	//104 DOM::CSSPrimitiveValue::CSS_PC (enum)
	{11, 70, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 12},	//105 DOM::CSSPrimitiveValue::CSS_DEG (enum)
	{11, 93, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 13},	//106 DOM::CSSPrimitiveValue::CSS_RAD (enum)
	{11, 76, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 14},	//107 DOM::CSSPrimitiveValue::CSS_GRAD (enum)
	{11, 85, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 15},	//108 DOM::CSSPrimitiveValue::CSS_MS (enum)
	{11, 96, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 16},	//109 DOM::CSSPrimitiveValue::CSS_S (enum)
	{11, 78, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 17},	//110 DOM::CSSPrimitiveValue::CSS_HZ (enum)
	{11, 83, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 18},	//111 DOM::CSSPrimitiveValue::CSS_KHZ (enum)
	{11, 71, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 19},	//112 DOM::CSSPrimitiveValue::CSS_DIMENSION (enum)
	{11, 97, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 20},	//113 DOM::CSSPrimitiveValue::CSS_STRING (enum)
	{11, 99, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 21},	//114 DOM::CSSPrimitiveValue::CSS_URI (enum)
	{11, 79, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 22},	//115 DOM::CSSPrimitiveValue::CSS_IDENT (enum)
	{11, 66, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 23},	//116 DOM::CSSPrimitiveValue::CSS_ATTR (enum)
	{11, 68, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 24},	//117 DOM::CSSPrimitiveValue::CSS_COUNTER (enum)
	{11, 94, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 25},	//118 DOM::CSSPrimitiveValue::CSS_RECT (enum)
	{11, 95, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 26},	//119 DOM::CSSPrimitiveValue::CSS_RGBCOLOR (enum)
	{11, 73, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 27},	//120 DOM::CSSPrimitiveValue::CSS_DPI (enum)
	{11, 72, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 28},	//121 DOM::CSSPrimitiveValue::CSS_DPCM (enum)
	{11, 87, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 29},	//122 DOM::CSSPrimitiveValue::CSS_PAIR (enum)
	{11, 77, 0, 0, Smoke::mf_static|Smoke::mf_enum, 34, 30},	//123 DOM::CSSPrimitiveValue::CSS_HTML_RELATIVE (enum)
	{11, 39, 0, 0, Smoke::mf_ctor, 33, 31},	//124 DOM::CSSPrimitiveValue::CSSPrimitiveValue()
	{11, 39, 420, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 33, 32},	//125 DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSPrimitiveValue&)
	{11, 39, 439, 1, Smoke::mf_ctor, 33, 33},	//126 DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSValue&)
	{11, 39, 202, 1, Smoke::mf_ctor, 33, 34},	//127 DOM::CSSPrimitiveValue::CSSPrimitiveValue(DOM::CSSPrimitiveValueImpl*)
	{11, 1158, 420, 1, 0, 32, 35},	//128 DOM::CSSPrimitiveValue::operator=(const DOM::CSSPrimitiveValue&)
	{11, 1158, 439, 1, 0, 32, 36},	//129 DOM::CSSPrimitiveValue::operator=(const DOM::CSSValue&)
	{11, 1909, 0, 0, Smoke::mf_dtor, 0, 45},	//130 DOM::CSSPrimitiveValue::~CSSPrimitiveValue()
	{11, 1212, 0, 0, Smoke::mf_const, 1012, 37},	//131 DOM::CSSPrimitiveValue::primitiveType() const
	{11, 1486, 31, 2, 0, 0, 38},	//132 DOM::CSSPrimitiveValue::setFloatValue(unsigned short, float)
	{11, 883, 26, 1, Smoke::mf_const, 994, 39},	//133 DOM::CSSPrimitiveValue::getFloatValue(unsigned short) const
	{11, 1672, 28, 2, 0, 0, 40},	//134 DOM::CSSPrimitiveValue::setStringValue(unsigned short, const DOM::DOMString&)
	{11, 906, 0, 0, Smoke::mf_const, 86, 41},	//135 DOM::CSSPrimitiveValue::getStringValue() const
	{11, 872, 0, 0, Smoke::mf_const, 74, 42},	//136 DOM::CSSPrimitiveValue::getCounterValue() const
	{11, 904, 0, 0, Smoke::mf_const, 357, 43},	//137 DOM::CSSPrimitiveValue::getRectValue() const
	{11, 902, 0, 0, Smoke::mf_const, 346, 44},	//138 DOM::CSSPrimitiveValue::getRGBColorValue() const
	{12, 507, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 1},	//139 DOM::CSSRule::UNKNOWN_RULE (enum)
	{12, 486, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 2},	//140 DOM::CSSRule::STYLE_RULE (enum)
	{12, 19, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 3},	//141 DOM::CSSRule::CHARSET_RULE (enum)
	{12, 364, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 4},	//142 DOM::CSSRule::IMPORT_RULE (enum)
	{12, 408, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 5},	//143 DOM::CSSRule::MEDIA_RULE (enum)
	{12, 185, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 6},	//144 DOM::CSSRule::FONT_FACE_RULE (enum)
	{12, 447, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 7},	//145 DOM::CSSRule::PAGE_RULE (enum)
	{12, 452, 0, 0, Smoke::mf_static|Smoke::mf_enum, 39, 8},	//146 DOM::CSSRule::QUIRKS_RULE (enum)
	{12, 42, 0, 0, Smoke::mf_ctor, 38, 9},	//147 DOM::CSSRule::CSSRule()
	{12, 42, 422, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 38, 10},	//148 DOM::CSSRule::CSSRule(const DOM::CSSRule&)
	{12, 42, 230, 1, Smoke::mf_ctor, 38, 11},	//149 DOM::CSSRule::CSSRule(DOM::CSSRuleImpl*)
	{12, 1158, 422, 1, 0, 37, 12},	//150 DOM::CSSRule::operator=(const DOM::CSSRule&)
	{12, 1910, 0, 0, Smoke::mf_dtor, 0, 20},	//151 DOM::CSSRule::~CSSRule()
	{12, 1835, 0, 0, Smoke::mf_const, 1012, 13},	//152 DOM::CSSRule::type() const
	{12, 711, 0, 0, Smoke::mf_const, 86, 14},	//153 DOM::CSSRule::cssText() const
	{12, 1431, 455, 1, 0, 0, 15},	//154 DOM::CSSRule::setCssText(const DOM::DOMString&)
	{12, 1186, 0, 0, Smoke::mf_const, 52, 16},	//155 DOM::CSSRule::parentStyleSheet() const
	{12, 1185, 0, 0, Smoke::mf_const, 36, 17},	//156 DOM::CSSRule::parentRule() const
	{12, 1016, 0, 0, Smoke::mf_const, 831, 18},	//157 DOM::CSSRule::isNull() const
	{12, 560, 424, 2, Smoke::mf_protected, 0, 19},	//158 DOM::CSSRule::assignOther(const DOM::CSSRule&, DOM::CSSRule::RuleType)
	{13, 45, 0, 0, Smoke::mf_ctor, 43, 1},	//159 DOM::CSSRuleList::CSSRuleList()
	{13, 45, 427, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 43, 2},	//160 DOM::CSSRuleList::CSSRuleList(const DOM::CSSRuleList&)
	{13, 45, 245, 1, Smoke::mf_ctor, 43, 3},	//161 DOM::CSSRuleList::CSSRuleList(DOM::CSSRuleListImpl*)
	{13, 45, 211, 1, Smoke::mf_ctor, 43, 4},	//162 DOM::CSSRuleList::CSSRuleList(DOM::StyleListImpl*)
	{13, 1158, 427, 1, 0, 42, 5},	//163 DOM::CSSRuleList::operator=(const DOM::CSSRuleList&)
	{13, 1911, 0, 0, Smoke::mf_dtor, 0, 9},	//164 DOM::CSSRuleList::~CSSRuleList()
	{13, 1073, 0, 0, Smoke::mf_const, 1010, 6},	//165 DOM::CSSRuleList::length() const
	{13, 1024, 24, 1, 0, 36, 7},	//166 DOM::CSSRuleList::item(unsigned long)
	{13, 1016, 0, 0, Smoke::mf_const, 831, 8},	//167 DOM::CSSRuleList::isNull() const
	{14, 48, 0, 0, Smoke::mf_ctor, 47, 1},	//168 DOM::CSSStyleDeclaration::CSSStyleDeclaration()
	{14, 48, 429, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 47, 2},	//169 DOM::CSSStyleDeclaration::CSSStyleDeclaration(const DOM::CSSStyleDeclaration&)
	{14, 48, 262, 1, Smoke::mf_ctor, 47, 3},	//170 DOM::CSSStyleDeclaration::CSSStyleDeclaration(DOM::CSSStyleDeclarationImpl*)
	{14, 1158, 429, 1, 0, 46, 4},	//171 DOM::CSSStyleDeclaration::operator=(const DOM::CSSStyleDeclaration&)
	{14, 1912, 0, 0, Smoke::mf_dtor, 0, 16},	//172 DOM::CSSStyleDeclaration::~CSSStyleDeclaration()
	{14, 711, 0, 0, Smoke::mf_const, 86, 5},	//173 DOM::CSSStyleDeclaration::cssText() const
	{14, 1431, 455, 1, 0, 0, 6},	//174 DOM::CSSStyleDeclaration::setCssText(const DOM::DOMString&)
	{14, 1073, 0, 0, Smoke::mf_const, 1010, 7},	//175 DOM::CSSStyleDeclaration::length() const
	{14, 1185, 0, 0, Smoke::mf_const, 36, 8},	//176 DOM::CSSStyleDeclaration::parentRule() const
	{14, 900, 455, 1, Smoke::mf_const, 86, 9},	//177 DOM::CSSStyleDeclaration::getPropertyValue(const DOM::DOMString&) const
	{14, 896, 455, 1, Smoke::mf_const, 59, 10},	//178 DOM::CSSStyleDeclaration::getPropertyCSSValue(const DOM::DOMString&) const
	{14, 1259, 455, 1, 0, 86, 11},	//179 DOM::CSSStyleDeclaration::removeProperty(const DOM::DOMString&)
	{14, 898, 455, 1, Smoke::mf_const, 86, 12},	//180 DOM::CSSStyleDeclaration::getPropertyPriority(const DOM::DOMString&) const
	{14, 1601, 516, 3, 0, 0, 13},	//181 DOM::CSSStyleDeclaration::setProperty(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
	{14, 1024, 24, 1, 0, 86, 14},	//182 DOM::CSSStyleDeclaration::item(unsigned long)
	{14, 1016, 0, 0, Smoke::mf_const, 831, 15},	//183 DOM::CSSStyleDeclaration::isNull() const
	{15, 51, 0, 0, Smoke::mf_ctor, 50, 1},	//184 DOM::CSSStyleRule::CSSStyleRule()
	{15, 51, 431, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 50, 2},	//185 DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSStyleRule&)
	{15, 51, 422, 1, Smoke::mf_ctor, 50, 3},	//186 DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSRule&)
	{15, 51, 281, 1, Smoke::mf_ctor, 50, 4},	//187 DOM::CSSStyleRule::CSSStyleRule(DOM::CSSStyleRuleImpl*)
	{15, 1158, 431, 1, 0, 49, 5},	//188 DOM::CSSStyleRule::operator=(const DOM::CSSStyleRule&)
	{15, 1158, 422, 1, 0, 49, 6},	//189 DOM::CSSStyleRule::operator=(const DOM::CSSRule&)
	{15, 1913, 0, 0, Smoke::mf_dtor, 0, 10},	//190 DOM::CSSStyleRule::~CSSStyleRule()
	{15, 1322, 0, 0, Smoke::mf_const, 86, 7},	//191 DOM::CSSStyleRule::selectorText() const
	{15, 1642, 455, 1, 0, 0, 8},	//192 DOM::CSSStyleRule::setSelectorText(const DOM::DOMString&)
	{15, 1790, 0, 0, Smoke::mf_const, 45, 9},	//193 DOM::CSSStyleRule::style() const
	{16, 54, 0, 0, Smoke::mf_ctor, 54, 1},	//194 DOM::CSSStyleSheet::CSSStyleSheet()
	{16, 54, 433, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 54, 2},	//195 DOM::CSSStyleSheet::CSSStyleSheet(const DOM::CSSStyleSheet&)
	{16, 54, 745, 1, Smoke::mf_ctor, 54, 3},	//196 DOM::CSSStyleSheet::CSSStyleSheet(const DOM::StyleSheet&)
	{16, 54, 283, 1, Smoke::mf_ctor, 54, 4},	//197 DOM::CSSStyleSheet::CSSStyleSheet(DOM::CSSStyleSheetImpl*)
	{16, 1158, 433, 1, 0, 53, 5},	//198 DOM::CSSStyleSheet::operator=(const DOM::CSSStyleSheet&)
	{16, 1158, 745, 1, 0, 53, 6},	//199 DOM::CSSStyleSheet::operator=(const DOM::StyleSheet&)
	{16, 1914, 0, 0, Smoke::mf_dtor, 0, 12},	//200 DOM::CSSStyleSheet::~CSSStyleSheet()
	{16, 1170, 0, 0, Smoke::mf_const, 36, 7},	//201 DOM::CSSStyleSheet::ownerRule() const
	{16, 710, 0, 0, Smoke::mf_const, 41, 8},	//202 DOM::CSSStyleSheet::cssRules() const
	{16, 986, 457, 2, 0, 1010, 9},	//203 DOM::CSSStyleSheet::insertRule(const DOM::DOMString&, unsigned long)
	{16, 741, 24, 1, 0, 0, 10},	//204 DOM::CSSStyleSheet::deleteRule(unsigned long)
	{16, 608, 0, 0, Smoke::mf_const, 86, 11},	//205 DOM::CSSStyleSheet::charset() const
	{17, 57, 0, 0, Smoke::mf_ctor, 57, 1},	//206 DOM::CSSUnknownRule::CSSUnknownRule()
	{17, 57, 435, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 57, 2},	//207 DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSUnknownRule&)
	{17, 57, 422, 1, Smoke::mf_ctor, 57, 3},	//208 DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSRule&)
	{17, 57, 295, 1, Smoke::mf_ctor, 57, 4},	//209 DOM::CSSUnknownRule::CSSUnknownRule(DOM::CSSUnknownRuleImpl*)
	{17, 1158, 435, 1, 0, 56, 5},	//210 DOM::CSSUnknownRule::operator=(const DOM::CSSUnknownRule&)
	{17, 1158, 422, 1, 0, 56, 6},	//211 DOM::CSSUnknownRule::operator=(const DOM::CSSRule&)
	{17, 1915, 0, 0, Smoke::mf_dtor, 0, 7},	//212 DOM::CSSUnknownRule::~CSSUnknownRule()
	{18, 81, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 1},	//213 DOM::CSSValue::CSS_INHERIT (enum)
	{18, 90, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 2},	//214 DOM::CSSValue::CSS_PRIMITIVE_VALUE (enum)
	{18, 100, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 3},	//215 DOM::CSSValue::CSS_VALUE_LIST (enum)
	{18, 69, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 4},	//216 DOM::CSSValue::CSS_CUSTOM (enum)
	{18, 82, 0, 0, Smoke::mf_static|Smoke::mf_enum, 62, 5},	//217 DOM::CSSValue::CSS_INITIAL (enum)
	{18, 60, 0, 0, Smoke::mf_ctor, 61, 6},	//218 DOM::CSSValue::CSSValue()
	{18, 60, 439, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 61, 7},	//219 DOM::CSSValue::CSSValue(const DOM::CSSValue&)
	{18, 60, 315, 1, Smoke::mf_ctor, 61, 8},	//220 DOM::CSSValue::CSSValue(DOM::CSSValueImpl*)
	{18, 1158, 439, 1, 0, 60, 9},	//221 DOM::CSSValue::operator=(const DOM::CSSValue&)
	{18, 1916, 0, 0, Smoke::mf_dtor, 0, 16},	//222 DOM::CSSValue::~CSSValue()
	{18, 711, 0, 0, Smoke::mf_const, 86, 10},	//223 DOM::CSSValue::cssText() const
	{18, 1431, 455, 1, 0, 0, 11},	//224 DOM::CSSValue::setCssText(const DOM::DOMString&)
	{18, 712, 0, 0, Smoke::mf_const, 1012, 12},	//225 DOM::CSSValue::cssValueType() const
	{18, 996, 0, 0, Smoke::mf_const, 831, 13},	//226 DOM::CSSValue::isCSSValueList() const
	{18, 994, 0, 0, Smoke::mf_const, 831, 14},	//227 DOM::CSSValue::isCSSPrimitiveValue() const
	{18, 1016, 0, 0, Smoke::mf_const, 831, 15},	//228 DOM::CSSValue::isNull() const
	{19, 63, 0, 0, Smoke::mf_ctor, 65, 1},	//229 DOM::CSSValueList::CSSValueList()
	{19, 63, 441, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 65, 2},	//230 DOM::CSSValueList::CSSValueList(const DOM::CSSValueList&)
	{19, 63, 439, 1, Smoke::mf_ctor, 65, 3},	//231 DOM::CSSValueList::CSSValueList(const DOM::CSSValue&)
	{19, 63, 330, 1, Smoke::mf_ctor, 65, 4},	//232 DOM::CSSValueList::CSSValueList(DOM::CSSValueListImpl*)
	{19, 1158, 441, 1, 0, 64, 5},	//233 DOM::CSSValueList::operator=(const DOM::CSSValueList&)
	{19, 1158, 439, 1, 0, 64, 6},	//234 DOM::CSSValueList::operator=(const DOM::CSSValue&)
	{19, 1917, 0, 0, Smoke::mf_dtor, 0, 9},	//235 DOM::CSSValueList::~CSSValueList()
	{19, 1073, 0, 0, Smoke::mf_const, 1010, 7},	//236 DOM::CSSValueList::length() const
	{19, 1024, 24, 1, 0, 59, 8},	//237 DOM::CSSValueList::item(unsigned long)
	{20, 104, 0, 0, Smoke::mf_ctor, 68, 1},	//238 DOM::CharacterData::CharacterData()
	{20, 104, 443, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 68, 2},	//239 DOM::CharacterData::CharacterData(const DOM::CharacterData&)
	{20, 104, 708, 1, Smoke::mf_ctor, 68, 3},	//240 DOM::CharacterData::CharacterData(const DOM::Node&)
	{20, 1158, 708, 1, 0, 67, 4},	//241 DOM::CharacterData::operator=(const DOM::Node&)
	{20, 1158, 443, 1, 0, 67, 5},	//242 DOM::CharacterData::operator=(const DOM::CharacterData&)
	{20, 1918, 0, 0, Smoke::mf_dtor, 0, 15},	//243 DOM::CharacterData::~CharacterData()
	{20, 722, 0, 0, Smoke::mf_const, 86, 6},	//244 DOM::CharacterData::data() const
	{20, 1444, 455, 1, 0, 0, 7},	//245 DOM::CharacterData::setData(const DOM::DOMString&)
	{20, 1073, 0, 0, Smoke::mf_const, 1010, 8},	//246 DOM::CharacterData::length() const
	{20, 1803, 893, 2, 0, 86, 9},	//247 DOM::CharacterData::substringData(const unsigned long, const unsigned long)
	{20, 552, 455, 1, 0, 0, 10},	//248 DOM::CharacterData::appendData(const DOM::DOMString&)
	{20, 980, 890, 2, 0, 0, 11},	//249 DOM::CharacterData::insertData(const unsigned long, const DOM::DOMString&)
	{20, 734, 893, 2, 0, 0, 12},	//250 DOM::CharacterData::deleteData(const unsigned long, const unsigned long)
	{20, 1269, 896, 3, 0, 0, 13},	//251 DOM::CharacterData::replaceData(const unsigned long, const unsigned long, const DOM::DOMString&)
	{20, 104, 352, 1, Smoke::mf_ctor|Smoke::mf_protected, 68, 14},	//252 DOM::CharacterData::CharacterData(DOM::CharacterDataImpl*)
	{21, 107, 0, 0, Smoke::mf_ctor, 72, 1},	//253 DOM::Comment::Comment()
	{21, 107, 445, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 72, 2},	//254 DOM::Comment::Comment(const DOM::Comment&)
	{21, 107, 708, 1, Smoke::mf_ctor, 72, 3},	//255 DOM::Comment::Comment(const DOM::Node&)
	{21, 1158, 708, 1, 0, 71, 4},	//256 DOM::Comment::operator=(const DOM::Node&)
	{21, 1158, 445, 1, 0, 71, 5},	//257 DOM::Comment::operator=(const DOM::Comment&)
	{21, 1919, 0, 0, Smoke::mf_dtor, 0, 7},	//258 DOM::Comment::~Comment()
	{21, 107, 358, 1, Smoke::mf_ctor|Smoke::mf_protected, 72, 6},	//259 DOM::Comment::Comment(DOM::CommentImpl*)
	{22, 110, 0, 0, Smoke::mf_ctor, 76, 1},	//260 DOM::Counter::Counter()
	{22, 110, 447, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 76, 2},	//261 DOM::Counter::Counter(const DOM::Counter&)
	{22, 1158, 447, 1, 0, 75, 3},	//262 DOM::Counter::operator=(const DOM::Counter&)
	{22, 1920, 0, 0, Smoke::mf_dtor, 0, 9},	//263 DOM::Counter::~Counter()
	{22, 945, 0, 0, Smoke::mf_const, 86, 4},	//264 DOM::Counter::identifier() const
	{22, 1077, 0, 0, Smoke::mf_const, 86, 5},	//265 DOM::Counter::listStyle() const
	{22, 1323, 0, 0, Smoke::mf_const, 86, 6},	//266 DOM::Counter::separator() const
	{22, 1016, 0, 0, Smoke::mf_const, 831, 7},	//267 DOM::Counter::isNull() const
	{22, 110, 385, 1, Smoke::mf_ctor|Smoke::mf_protected, 76, 8},	//268 DOM::Counter::Counter(DOM::CounterImpl*)
	{23, 113, 0, 0, Smoke::mf_ctor, 78, 1},	//269 DOM::CustomNodeFilter::CustomNodeFilter()
	{23, 1921, 0, 0, Smoke::mf_dtor, 0, 6},	//270 DOM::CustomNodeFilter::~CustomNodeFilter()
	{23, 520, 708, 1, 0, 1006, 2},	//271 DOM::CustomNodeFilter::acceptNode(const DOM::Node&)
	{23, 1016, 0, 0, 0, 831, 3},	//272 DOM::CustomNodeFilter::isNull()
	{23, 721, 0, 0, 0, 86, 4},	//273 DOM::CustomNodeFilter::customNodeFilterType()
	{23, 113, 449, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 78, 5},	//274 DOM::CustomNodeFilter::CustomNodeFilter(const DOM::CustomNodeFilter&)
	{24, 365, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 1},	//275 DOM::DOMException::INDEX_SIZE_ERR (enum)
	{24, 133, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 2},	//276 DOM::DOMException::DOMSTRING_SIZE_ERR (enum)
	{24, 188, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 3},	//277 DOM::DOMException::HIERARCHY_REQUEST_ERR (enum)
	{24, 512, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 4},	//278 DOM::DOMException::WRONG_DOCUMENT_ERR (enum)
	{24, 368, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 5},	//279 DOM::DOMException::INVALID_CHARACTER_ERR (enum)
	{24, 424, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 6},	//280 DOM::DOMException::NO_DATA_ALLOWED_ERR (enum)
	{24, 425, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 7},	//281 DOM::DOMException::NO_MODIFICATION_ALLOWED_ERR (enum)
	{24, 422, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 8},	//282 DOM::DOMException::NOT_FOUND_ERR (enum)
	{24, 423, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 9},	//283 DOM::DOMException::NOT_SUPPORTED_ERR (enum)
	{24, 366, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 10},	//284 DOM::DOMException::INUSE_ATTRIBUTE_ERR (enum)
	{24, 371, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 11},	//285 DOM::DOMException::INVALID_STATE_ERR (enum)
	{24, 487, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 12},	//286 DOM::DOMException::SYNTAX_ERR (enum)
	{24, 369, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 13},	//287 DOM::DOMException::INVALID_MODIFICATION_ERR (enum)
	{24, 420, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 14},	//288 DOM::DOMException::NAMESPACE_ERR (enum)
	{24, 367, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 15},	//289 DOM::DOMException::INVALID_ACCESS_ERR (enum)
	{24, 511, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 16},	//290 DOM::DOMException::VALIDATION_ERR (enum)
	{24, 495, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 17},	//291 DOM::DOMException::TYPE_MISMATCH_ERR (enum)
	{24, 467, 0, 0, Smoke::mf_static|Smoke::mf_enum, 81, 18},	//292 DOM::DOMException::SECURITY_ERR (enum)
	{24, 127, 26, 1, Smoke::mf_ctor, 80, 20},	//293 DOM::DOMException::DOMException(unsigned short)
	{24, 127, 451, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 80, 21},	//294 DOM::DOMException::DOMException(const DOM::DOMException&)
	{24, 1158, 451, 1, 0, 79, 22},	//295 DOM::DOMException::operator=(const DOM::DOMException&)
	{24, 1922, 0, 0, Smoke::mf_dtor, 0, 24},	//296 DOM::DOMException::~DOMException()
	{24, 1402, 26, 1, 0, 0, 23},	//297 DOM::DOMException::setCode(unsigned short)
	{24, 630, 0, 0, 0, 1012, 19},	//298 DOM::DOMException::code (var)
	{25, 130, 0, 0, Smoke::mf_ctor, 84, 1},	//299 DOM::DOMImplementation::DOMImplementation()
	{25, 130, 453, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 84, 2},	//300 DOM::DOMImplementation::DOMImplementation(const DOM::DOMImplementation&)
	{25, 1158, 453, 1, 0, 83, 3},	//301 DOM::DOMImplementation::operator=(const DOM::DOMImplementation&)
	{25, 1923, 0, 0, Smoke::mf_dtor, 0, 12},	//302 DOM::DOMImplementation::~DOMImplementation()
	{25, 921, 513, 2, 0, 831, 4},	//303 DOM::DOMImplementation::hasFeature(const DOM::DOMString&, const DOM::DOMString&)
	{25, 685, 516, 3, 0, 100, 5},	//304 DOM::DOMImplementation::createDocumentType(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
	{25, 682, 520, 3, 0, 90, 6},	//305 DOM::DOMImplementation::createDocument(const DOM::DOMString&, const DOM::DOMString&, const DOM::DocumentType&)
	{25, 886, 455, 1, Smoke::mf_const, 82, 7},	//306 DOM::DOMImplementation::getInterface(const DOM::DOMString&) const
	{25, 673, 513, 2, 0, 52, 8},	//307 DOM::DOMImplementation::createCSSStyleSheet(const DOM::DOMString&, const DOM::DOMString&)
	{25, 695, 455, 1, 0, 165, 9},	//308 DOM::DOMImplementation::createHTMLDocument(const DOM::DOMString&)
	{25, 1016, 0, 0, Smoke::mf_const, 831, 10},	//309 DOM::DOMImplementation::isNull() const
	{25, 130, 437, 1, Smoke::mf_ctor|Smoke::mf_protected, 84, 11},	//310 DOM::DOMImplementation::DOMImplementation(DOM::DOMImplementationImpl*)
	{26, 134, 0, 0, Smoke::mf_ctor, 88, 1},	//311 DOM::DOMString::DOMString()
	{26, 134, 787, 2, Smoke::mf_ctor, 88, 2},	//312 DOM::DOMString::DOMString(const QChar*, uint)
	{26, 134, 809, 1, Smoke::mf_ctor, 88, 3},	//313 DOM::DOMString::DOMString(const QString&)
	{26, 134, 862, 1, Smoke::mf_ctor, 88, 4},	//314 DOM::DOMString::DOMString(const char*)
	{26, 134, 864, 2, Smoke::mf_ctor, 88, 5},	//315 DOM::DOMString::DOMString(const char*, uint)
	{26, 134, 611, 1, Smoke::mf_ctor, 88, 6},	//316 DOM::DOMString::DOMString(DOM::DOMStringImpl*)
	{26, 1924, 0, 0, Smoke::mf_dtor, 0, 41},	//317 DOM::DOMString::~DOMString()
	{26, 134, 455, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 88, 7},	//318 DOM::DOMString::DOMString(const DOM::DOMString&)
	{26, 1158, 455, 1, 0, 87, 8},	//319 DOM::DOMString::operator=(const DOM::DOMString&)
	{26, 1156, 455, 1, 0, 87, 9},	//320 DOM::DOMString::operator+=(const DOM::DOMString&)
	{26, 1154, 455, 1, 0, 86, 10},	//321 DOM::DOMString::operator+(const DOM::DOMString&)
	{26, 974, 534, 2, 0, 0, 11},	//322 DOM::DOMString::insert(DOM::DOMString, uint)
	{26, 1164, 19, 1, Smoke::mf_const, 962, 12},	//323 DOM::DOMString::operator[](unsigned int) const
	{26, 812, 784, 2, Smoke::mf_const, 995, 13},	//324 DOM::DOMString::find(const QChar, int) const
	{26, 812, 782, 1, Smoke::mf_const, 995, 14},	//325 DOM::DOMString::find(const QChar) const
	{26, 1280, 784, 2, Smoke::mf_const, 995, 15},	//326 DOM::DOMString::reverseFind(const QChar, int) const
	{26, 1280, 782, 1, Smoke::mf_const, 995, 16},	//327 DOM::DOMString::reverseFind(const QChar) const
	{26, 1800, 16, 2, Smoke::mf_const, 86, 17},	//328 DOM::DOMString::substring(unsigned, unsigned) const
	{26, 1800, 14, 1, Smoke::mf_const, 86, 18},	//329 DOM::DOMString::substring(unsigned) const
	{26, 1073, 0, 0, Smoke::mf_const, 1007, 19},	//330 DOM::DOMString::length() const
	{26, 1833, 19, 1, 0, 0, 20},	//331 DOM::DOMString::truncate(unsigned int)
	{26, 1240, 21, 2, 0, 0, 21},	//332 DOM::DOMString::remove(unsigned int, int)
	{26, 1240, 19, 1, 0, 0, 22},	//333 DOM::DOMString::remove(unsigned int)
	{26, 1759, 19, 1, 0, 86, 23},	//334 DOM::DOMString::split(unsigned int)
	{26, 1085, 0, 0, Smoke::mf_const, 86, 24},	//335 DOM::DOMString::lower() const
	{26, 1843, 0, 0, Smoke::mf_const, 86, 25},	//336 DOM::DOMString::upper() const
	{26, 1838, 0, 0, Smoke::mf_const, 554, 26},	//337 DOM::DOMString::unicode() const
	{26, 607, 0, 0, Smoke::mf_const, 554, 27},	//338 DOM::DOMString::characters() const
	{26, 1789, 0, 0, Smoke::mf_const, 682, 28},	//339 DOM::DOMString::string() const
	{26, 1828, 0, 0, Smoke::mf_const, 995, 29},	//340 DOM::DOMString::toInt() const
	{26, 1828, 400, 1, Smoke::mf_const, 995, 30},	//341 DOM::DOMString::toInt(bool*) const
	{26, 1825, 400, 1, Smoke::mf_const, 994, 31},	//342 DOM::DOMString::toFloat(bool*) const
	{26, 1825, 0, 0, Smoke::mf_const, 994, 32},	//343 DOM::DOMString::toFloat() const
	{26, 1193, 928, 1, Smoke::mf_const, 831, 33},	//344 DOM::DOMString::percentage(int&) const
	{26, 666, 0, 0, Smoke::mf_const, 86, 34},	//345 DOM::DOMString::copy() const
	{26, 1016, 0, 0, Smoke::mf_const, 831, 35},	//346 DOM::DOMString::isNull() const
	{26, 1001, 0, 0, Smoke::mf_const, 831, 36},	//347 DOM::DOMString::isEmpty() const
	{26, 791, 455, 1, Smoke::mf_const, 831, 37},	//348 DOM::DOMString::endsWith(const DOM::DOMString&) const
	{26, 1772, 455, 1, Smoke::mf_const, 831, 38},	//349 DOM::DOMString::startsWith(const DOM::DOMString&) const
	{26, 947, 0, 0, Smoke::mf_const, 89, 39},	//350 DOM::DOMString::implementation() const
	{26, 1140, 900, 1, Smoke::mf_static, 86, 40},	//351 DOM::DOMString::number(float)
	{27, 145, 0, 0, Smoke::mf_ctor, 92, 1},	//352 DOM::Document::Document()
	{27, 145, 395, 1, Smoke::mf_ctor, 92, 2},	//353 DOM::Document::Document(bool)
	{27, 145, 545, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 92, 3},	//354 DOM::Document::Document(const DOM::Document&)
	{27, 145, 708, 1, Smoke::mf_ctor, 92, 4},	//355 DOM::Document::Document(const DOM::Node&)
	{27, 1158, 708, 1, 0, 91, 5},	//356 DOM::Document::operator=(const DOM::Node&)
	{27, 1158, 545, 1, 0, 91, 6},	//357 DOM::Document::operator=(const DOM::Document&)
	{27, 1925, 0, 0, Smoke::mf_dtor, 0, 56},	//358 DOM::Document::~Document()
	{27, 765, 0, 0, Smoke::mf_const, 100, 7},	//359 DOM::Document::doctype() const
	{27, 947, 0, 0, Smoke::mf_const, 82, 8},	//360 DOM::Document::implementation() const
	{27, 767, 0, 0, Smoke::mf_const, 106, 9},	//361 DOM::Document::documentElement() const
	{27, 687, 455, 1, 0, 106, 10},	//362 DOM::Document::createElement(const DOM::DOMString&)
	{27, 689, 513, 2, 0, 106, 11},	//363 DOM::Document::createElementNS(const DOM::DOMString&, const DOM::DOMString&)
	{27, 684, 0, 0, 0, 93, 12},	//364 DOM::Document::createDocumentFragment()
	{27, 706, 455, 1, 0, 370, 13},	//365 DOM::Document::createTextNode(const DOM::DOMString&)
	{27, 676, 455, 1, 0, 70, 14},	//366 DOM::Document::createComment(const DOM::DOMString&)
	{27, 671, 455, 1, 0, 9, 15},	//367 DOM::Document::createCDATASection(const DOM::DOMString&)
	{27, 701, 513, 2, 0, 342, 16},	//368 DOM::Document::createProcessingInstruction(const DOM::DOMString&, const DOM::DOMString&)
	{27, 667, 455, 1, 0, 5, 17},	//369 DOM::Document::createAttribute(const DOM::DOMString&)
	{27, 669, 513, 2, 0, 5, 18},	//370 DOM::Document::createAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
	{27, 691, 455, 1, 0, 113, 19},	//371 DOM::Document::createEntityReference(const DOM::DOMString&)
	{27, 873, 455, 1, Smoke::mf_const, 106, 20},	//372 DOM::Document::getElementById(const DOM::DOMString&) const
	{27, 879, 455, 1, 0, 336, 21},	//373 DOM::Document::getElementsByTagName(const DOM::DOMString&)
	{27, 881, 513, 2, 0, 336, 22},	//374 DOM::Document::getElementsByTagNameNS(const DOM::DOMString&, const DOM::DOMString&)
	{27, 875, 455, 1, 0, 336, 23},	//375 DOM::Document::getElementsByClassName(const DOM::DOMString&)
	{27, 948, 713, 2, 0, 320, 24},	//376 DOM::Document::importNode(const DOM::Node&, bool)
	{27, 1003, 0, 0, Smoke::mf_const, 831, 25},	//377 DOM::Document::isHTMLDocument() const
	{27, 703, 0, 0, 0, 349, 26},	//378 DOM::Document::createRange()
	{27, 697, 179, 4, 0, 332, 27},	//379 DOM::Document::createNodeIterator(DOM::Node, unsigned long, DOM::NodeFilter, bool)
	{27, 708, 179, 4, 0, 376, 28},	//380 DOM::Document::createTreeWalker(DOM::Node, unsigned long, DOM::NodeFilter, bool)
	{27, 693, 455, 1, 0, 117, 29},	//381 DOM::Document::createEvent(const DOM::DOMString&)
	{27, 728, 0, 0, Smoke::mf_const, 1, 30},	//382 DOM::Document::defaultView() const
	{27, 1794, 0, 0, Smoke::mf_const, 366, 31},	//383 DOM::Document::styleSheets() const
	{27, 1200, 0, 0, 0, 86, 32},	//384 DOM::Document::preferredStylesheetSet()
	{27, 1314, 0, 0, 0, 86, 33},	//385 DOM::Document::selectedStylesheetSet()
	{27, 1632, 455, 1, 0, 0, 34},	//386 DOM::Document::setSelectedStylesheetSet(const DOM::DOMString&)
	{27, 540, 745, 1, 0, 0, 35},	//387 DOM::Document::addStyleSheet(const DOM::StyleSheet&)
	{27, 1261, 745, 1, 0, 0, 36},	//388 DOM::Document::removeStyleSheet(const DOM::StyleSheet&)
	{27, 1857, 0, 0, Smoke::mf_const, 442, 37},	//389 DOM::Document::view() const
	{27, 894, 557, 2, 0, 45, 38},	//390 DOM::Document::getOverrideStyle(const DOM::Element&, const DOM::DOMString&)
	{27, 562, 0, 0, Smoke::mf_const, 831, 39},	//391 DOM::Document::async() const
	{27, 1347, 395, 1, 0, 0, 40},	//392 DOM::Document::setAsync(bool)
	{27, 517, 0, 0, 0, 0, 41},	//393 DOM::Document::abort()
	{27, 1078, 455, 1, 0, 0, 42},	//394 DOM::Document::load(const DOM::DOMString&)
	{27, 1080, 455, 1, 0, 0, 43},	//395 DOM::Document::loadXML(const DOM::DOMString&)
	{27, 746, 0, 0, Smoke::mf_const, 831, 44},	//396 DOM::Document::designMode() const
	{27, 1458, 395, 1, 0, 0, 45},	//397 DOM::Document::setDesignMode(bool)
	{27, 645, 455, 1, 0, 86, 46},	//398 DOM::Document::completeURL(const DOM::DOMString&)
	{27, 1830, 0, 0, Smoke::mf_const, 86, 47},	//399 DOM::Document::toString() const
	{27, 802, 509, 3, 0, 831, 48},	//400 DOM::Document::execCommand(const DOM::DOMString&, bool, const DOM::DOMString&)
	{27, 1220, 455, 1, 0, 831, 49},	//401 DOM::Document::queryCommandEnabled(const DOM::DOMString&)
	{27, 1222, 455, 1, 0, 831, 50},	//402 DOM::Document::queryCommandIndeterm(const DOM::DOMString&)
	{27, 1224, 455, 1, 0, 831, 51},	//403 DOM::Document::queryCommandState(const DOM::DOMString&)
	{27, 1226, 455, 1, 0, 831, 52},	//404 DOM::Document::queryCommandSupported(const DOM::DOMString&)
	{27, 1228, 455, 1, 0, 86, 53},	//405 DOM::Document::queryCommandValue(const DOM::DOMString&)
	{27, 1842, 0, 0, 0, 0, 54},	//406 DOM::Document::updateRendering()
	{27, 145, 801, 1, Smoke::mf_ctor, 92, 55},	//407 DOM::Document::Document(DOM::DocumentImpl*)
	{28, 149, 0, 0, Smoke::mf_ctor, 95, 1},	//408 DOM::DocumentFragment::DocumentFragment()
	{28, 149, 547, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 95, 2},	//409 DOM::DocumentFragment::DocumentFragment(const DOM::DocumentFragment&)
	{28, 149, 708, 1, Smoke::mf_ctor, 95, 3},	//410 DOM::DocumentFragment::DocumentFragment(const DOM::Node&)
	{28, 1158, 708, 1, 0, 94, 4},	//411 DOM::DocumentFragment::operator=(const DOM::Node&)
	{28, 1158, 547, 1, 0, 94, 5},	//412 DOM::DocumentFragment::operator=(const DOM::DocumentFragment&)
	{28, 1926, 0, 0, Smoke::mf_dtor, 0, 7},	//413 DOM::DocumentFragment::~DocumentFragment()
	{28, 149, 778, 1, Smoke::mf_ctor|Smoke::mf_protected, 95, 6},	//414 DOM::DocumentFragment::DocumentFragment(DOM::DocumentFragmentImpl*)
	{29, 152, 0, 0, Smoke::mf_ctor, 99, 1},	//415 DOM::DocumentStyle::DocumentStyle()
	{29, 152, 549, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 99, 2},	//416 DOM::DocumentStyle::DocumentStyle(const DOM::DocumentStyle&)
	{29, 1158, 549, 1, 0, 98, 3},	//417 DOM::DocumentStyle::operator=(const DOM::DocumentStyle&)
	{29, 1158, 545, 1, 0, 98, 4},	//418 DOM::DocumentStyle::operator=(const DOM::Document&)
	{29, 1927, 0, 0, Smoke::mf_dtor, 0, 10},	//419 DOM::DocumentStyle::~DocumentStyle()
	{29, 1794, 0, 0, Smoke::mf_const, 366, 5},	//420 DOM::DocumentStyle::styleSheets() const
	{29, 1200, 0, 0, Smoke::mf_const, 86, 6},	//421 DOM::DocumentStyle::preferredStylesheetSet() const
	{29, 1314, 0, 0, Smoke::mf_const, 86, 7},	//422 DOM::DocumentStyle::selectedStylesheetSet() const
	{29, 1632, 455, 1, 0, 0, 8},	//423 DOM::DocumentStyle::setSelectedStylesheetSet(const DOM::DOMString&)
	{29, 1016, 0, 0, Smoke::mf_const, 831, 9},	//424 DOM::DocumentStyle::isNull() const
	{30, 154, 0, 0, Smoke::mf_ctor, 102, 1},	//425 DOM::DocumentType::DocumentType()
	{30, 154, 551, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 102, 2},	//426 DOM::DocumentType::DocumentType(const DOM::DocumentType&)
	{30, 154, 708, 1, Smoke::mf_ctor, 102, 3},	//427 DOM::DocumentType::DocumentType(const DOM::Node&)
	{30, 1158, 708, 1, 0, 101, 4},	//428 DOM::DocumentType::operator=(const DOM::Node&)
	{30, 1158, 551, 1, 0, 101, 5},	//429 DOM::DocumentType::operator=(const DOM::DocumentType&)
	{30, 1928, 0, 0, Smoke::mf_dtor, 0, 13},	//430 DOM::DocumentType::~DocumentType()
	{30, 1114, 0, 0, Smoke::mf_const, 86, 6},	//431 DOM::DocumentType::name() const
	{30, 795, 0, 0, Smoke::mf_const, 316, 7},	//432 DOM::DocumentType::entities() const
	{30, 1139, 0, 0, Smoke::mf_const, 316, 8},	//433 DOM::DocumentType::notations() const
	{30, 1217, 0, 0, Smoke::mf_const, 86, 9},	//434 DOM::DocumentType::publicId() const
	{30, 1808, 0, 0, Smoke::mf_const, 86, 10},	//435 DOM::DocumentType::systemId() const
	{30, 988, 0, 0, Smoke::mf_const, 86, 11},	//436 DOM::DocumentType::internalSubset() const
	{30, 154, 34, 1, Smoke::mf_ctor|Smoke::mf_protected, 102, 12},	//437 DOM::DocumentType::DocumentType(DOM::DocumentTypeImpl*)
	{31, 157, 0, 0, Smoke::mf_ctor, 104, 1},	//438 DOM::DomShared::DomShared()
	{31, 1929, 0, 0, Smoke::mf_dtor, 0, 8},	//439 DOM::DomShared::~DomShared()
	{31, 736, 0, 0, 0, 831, 2},	//440 DOM::DomShared::deleteMe()
	{31, 1234, 0, 0, 0, 0, 3},	//441 DOM::DomShared::ref()
	{31, 745, 0, 0, 0, 0, 4},	//442 DOM::DomShared::deref()
	{31, 923, 0, 0, Smoke::mf_const, 831, 5},	//443 DOM::DomShared::hasOneRef() const
	{31, 1235, 0, 0, Smoke::mf_const, 1009, 6},	//444 DOM::DomShared::refCount() const
	{31, 157, 553, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 104, 7},	//445 DOM::DomShared::DomShared(const DOM::DomShared&)
	{32, 164, 0, 0, Smoke::mf_ctor, 108, 1},	//446 DOM::Element::Element()
	{32, 164, 708, 1, Smoke::mf_ctor, 108, 2},	//447 DOM::Element::Element(const DOM::Node&)
	{32, 164, 555, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 108, 3},	//448 DOM::Element::Element(const DOM::Element&)
	{32, 1158, 708, 1, 0, 107, 4},	//449 DOM::Element::operator=(const DOM::Node&)
	{32, 1158, 555, 1, 0, 107, 5},	//450 DOM::Element::operator=(const DOM::Element&)
	{32, 1930, 0, 0, Smoke::mf_dtor, 0, 37},	//451 DOM::Element::~Element()
	{32, 1815, 0, 0, Smoke::mf_const, 86, 6},	//452 DOM::Element::tagName() const
	{32, 861, 455, 1, 0, 86, 7},	//453 DOM::Element::getAttribute(const DOM::DOMString&)
	{32, 1349, 513, 2, 0, 0, 8},	//454 DOM::Element::setAttribute(const DOM::DOMString&, const DOM::DOMString&)
	{32, 1243, 455, 1, 0, 0, 9},	//455 DOM::Element::removeAttribute(const DOM::DOMString&)
	{32, 865, 455, 1, 0, 5, 10},	//456 DOM::Element::getAttributeNode(const DOM::DOMString&)
	{32, 1353, 404, 1, 0, 5, 11},	//457 DOM::Element::setAttributeNode(const DOM::Attr&)
	{32, 1247, 404, 1, 0, 5, 12},	//458 DOM::Element::removeAttributeNode(const DOM::Attr&)
	{32, 879, 455, 1, 0, 336, 13},	//459 DOM::Element::getElementsByTagName(const DOM::DOMString&)
	{32, 881, 513, 2, 0, 336, 14},	//460 DOM::Element::getElementsByTagNameNS(const DOM::DOMString&, const DOM::DOMString&)
	{32, 875, 455, 1, 0, 336, 15},	//461 DOM::Element::getElementsByClassName(const DOM::DOMString&)
	{32, 863, 513, 2, 0, 86, 16},	//462 DOM::Element::getAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
	{32, 1351, 516, 3, 0, 0, 17},	//463 DOM::Element::setAttributeNS(const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&)
	{32, 1245, 513, 2, 0, 0, 18},	//464 DOM::Element::removeAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
	{32, 867, 513, 2, 0, 5, 19},	//465 DOM::Element::getAttributeNodeNS(const DOM::DOMString&, const DOM::DOMString&)
	{32, 1355, 404, 1, 0, 5, 20},	//466 DOM::Element::setAttributeNodeNS(const DOM::Attr&)
	{32, 915, 455, 1, 0, 831, 21},	//467 DOM::Element::hasAttribute(const DOM::DOMString&)
	{32, 917, 513, 2, 0, 831, 22},	//468 DOM::Element::hasAttributeNS(const DOM::DOMString&, const DOM::DOMString&)
	{32, 1790, 0, 0, 0, 45, 23},	//469 DOM::Element::style()
	{32, 833, 0, 0, Smoke::mf_const, 106, 24},	//470 DOM::Element::firstElementChild() const
	{32, 1064, 0, 0, Smoke::mf_const, 106, 25},	//471 DOM::Element::lastElementChild() const
	{32, 1209, 0, 0, Smoke::mf_const, 106, 26},	//472 DOM::Element::previousElementSibling() const
	{32, 1120, 0, 0, Smoke::mf_const, 106, 27},	//473 DOM::Element::nextElementSibling() const
	{32, 610, 0, 0, Smoke::mf_const, 1010, 28},	//474 DOM::Element::childElementCount() const
	{32, 1004, 0, 0, Smoke::mf_const, 831, 29},	//475 DOM::Element::isHTMLElement() const
	{32, 847, 0, 0, Smoke::mf_const, 106, 30},	//476 DOM::Element::form() const
	{32, 1054, 455, 1, Smoke::mf_static, 831, 31},	//477 DOM::Element::khtmlValidAttrName(const DOM::DOMString&)
	{32, 1056, 455, 1, Smoke::mf_static, 831, 32},	//478 DOM::Element::khtmlValidPrefix(const DOM::DOMString&)
	{32, 1058, 455, 1, Smoke::mf_static, 831, 33},	//479 DOM::Element::khtmlValidQualifiedName(const DOM::DOMString&)
	{32, 1044, 455, 1, Smoke::mf_static, 831, 34},	//480 DOM::Element::khtmlMalformedQualifiedName(const DOM::DOMString&)
	{32, 1042, 455, 1, Smoke::mf_static, 831, 35},	//481 DOM::Element::khtmlMalformedPrefix(const DOM::DOMString&)
	{32, 164, 36, 1, Smoke::mf_ctor|Smoke::mf_protected, 108, 36},	//482 DOM::Element::Element(DOM::ElementImpl*)
	{33, 168, 0, 0, Smoke::mf_ctor, 111, 1},	//483 DOM::Entity::Entity()
	{33, 168, 560, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 111, 2},	//484 DOM::Entity::Entity(const DOM::Entity&)
	{33, 168, 708, 1, Smoke::mf_ctor, 111, 3},	//485 DOM::Entity::Entity(const DOM::Node&)
	{33, 1158, 708, 1, 0, 110, 4},	//486 DOM::Entity::operator=(const DOM::Node&)
	{33, 1158, 560, 1, 0, 110, 5},	//487 DOM::Entity::operator=(const DOM::Entity&)
	{33, 1931, 0, 0, Smoke::mf_dtor, 0, 10},	//488 DOM::Entity::~Entity()
	{33, 1217, 0, 0, Smoke::mf_const, 86, 6},	//489 DOM::Entity::publicId() const
	{33, 1808, 0, 0, Smoke::mf_const, 86, 7},	//490 DOM::Entity::systemId() const
	{33, 1138, 0, 0, Smoke::mf_const, 86, 8},	//491 DOM::Entity::notationName() const
	{33, 168, 38, 1, Smoke::mf_ctor|Smoke::mf_protected, 111, 9},	//492 DOM::Entity::Entity(DOM::EntityImpl*)
	{34, 171, 0, 0, Smoke::mf_ctor, 115, 1},	//493 DOM::EntityReference::EntityReference()
	{34, 171, 562, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 115, 2},	//494 DOM::EntityReference::EntityReference(const DOM::EntityReference&)
	{34, 171, 708, 1, Smoke::mf_ctor, 115, 3},	//495 DOM::EntityReference::EntityReference(const DOM::Node&)
	{34, 1158, 708, 1, 0, 114, 4},	//496 DOM::EntityReference::operator=(const DOM::Node&)
	{34, 1158, 562, 1, 0, 114, 5},	//497 DOM::EntityReference::operator=(const DOM::EntityReference&)
	{34, 1932, 0, 0, Smoke::mf_dtor, 0, 7},	//498 DOM::EntityReference::~EntityReference()
	{34, 171, 40, 1, Smoke::mf_ctor|Smoke::mf_protected, 115, 6},	//499 DOM::EntityReference::EntityReference(DOM::EntityReferenceImpl*)
	{35, 14, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 1},	//500 DOM::Event::CAPTURING_PHASE (enum)
	{35, 3, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 2},	//501 DOM::Event::AT_TARGET (enum)
	{35, 11, 0, 0, Smoke::mf_static|Smoke::mf_enum, 120, 3},	//502 DOM::Event::BUBBLING_PHASE (enum)
	{35, 174, 0, 0, Smoke::mf_ctor, 119, 4},	//503 DOM::Event::Event()
	{35, 174, 564, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 119, 5},	//504 DOM::Event::Event(const DOM::Event&)
	{35, 1933, 0, 0, Smoke::mf_dtor, 0, 19},	//505 DOM::Event::~Event()
	{35, 1158, 564, 1, 0, 118, 6},	//506 DOM::Event::operator=(const DOM::Event&)
	{35, 1835, 0, 0, Smoke::mf_const, 86, 7},	//507 DOM::Event::type() const
	{35, 1816, 0, 0, Smoke::mf_const, 320, 8},	//508 DOM::Event::target() const
	{35, 716, 0, 0, Smoke::mf_const, 320, 9},	//509 DOM::Event::currentTarget() const
	{35, 801, 0, 0, Smoke::mf_const, 1012, 10},	//510 DOM::Event::eventPhase() const
	{35, 590, 0, 0, Smoke::mf_const, 831, 11},	//511 DOM::Event::bubbles() const
	{35, 592, 0, 0, Smoke::mf_const, 831, 12},	//512 DOM::Event::cancelable() const
	{35, 1821, 0, 0, Smoke::mf_const, 1011, 13},	//513 DOM::Event::timeStamp() const
	{35, 1781, 0, 0, 0, 0, 14},	//514 DOM::Event::stopPropagation()
	{35, 1208, 0, 0, 0, 0, 15},	//515 DOM::Event::preventDefault()
	{35, 956, 468, 3, 0, 0, 16},	//516 DOM::Event::initEvent(const DOM::DOMString&, bool, bool)
	{35, 1016, 0, 0, Smoke::mf_const, 831, 17},	//517 DOM::Event::isNull() const
	{35, 174, 46, 1, Smoke::mf_ctor|Smoke::mf_protected, 119, 18},	//518 DOM::Event::Event(DOM::EventImpl*)
	{36, 508, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 1},	//519 DOM::EventException::UNSPECIFIED_EVENT_TYPE_ERR (enum)
	{36, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 2},	//520 DOM::EventException::_EXCEPTION_OFFSET (enum)
	{36, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 123, 3},	//521 DOM::EventException::_EXCEPTION_MAX (enum)
	{36, 177, 26, 1, Smoke::mf_ctor, 122, 5},	//522 DOM::EventException::EventException(unsigned short)
	{36, 177, 566, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 122, 6},	//523 DOM::EventException::EventException(const DOM::EventException&)
	{36, 1158, 566, 1, 0, 121, 7},	//524 DOM::EventException::operator=(const DOM::EventException&)
	{36, 1934, 0, 0, Smoke::mf_dtor, 0, 9},	//525 DOM::EventException::~EventException()
	{36, 1402, 26, 1, 0, 0, 8},	//526 DOM::EventException::setCode(unsigned short)
	{36, 630, 0, 0, 0, 1012, 4},	//527 DOM::EventException::code (var)
	{37, 180, 0, 0, Smoke::mf_ctor, 125, 1},	//528 DOM::EventListener::EventListener()
	{37, 1935, 0, 0, Smoke::mf_dtor, 0, 5},	//529 DOM::EventListener::~EventListener()
	{37, 913, 42, 1, 0, 0, 2},	//530 DOM::EventListener::handleEvent(DOM::Event&)
	{37, 800, 0, 0, 0, 86, 3},	//531 DOM::EventListener::eventListenerType()
	{37, 180, 568, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 125, 4},	//532 DOM::EventListener::EventListener(const DOM::EventListener&)
	{38, 189, 0, 0, Smoke::mf_ctor, 127, 1},	//533 DOM::HTMLAnchorElement::HTMLAnchorElement()
	{38, 189, 570, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 127, 2},	//534 DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::HTMLAnchorElement&)
	{38, 189, 708, 1, Smoke::mf_ctor, 127, 3},	//535 DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::Node&)
	{38, 1158, 570, 1, 0, 126, 4},	//536 DOM::HTMLAnchorElement::operator=(const DOM::HTMLAnchorElement&)
	{38, 1158, 708, 1, 0, 126, 5},	//537 DOM::HTMLAnchorElement::operator=(const DOM::Node&)
	{38, 1936, 0, 0, Smoke::mf_dtor, 0, 33},	//538 DOM::HTMLAnchorElement::~HTMLAnchorElement()
	{38, 522, 0, 0, Smoke::mf_const, 86, 6},	//539 DOM::HTMLAnchorElement::accessKey() const
	{38, 1333, 455, 1, 0, 0, 7},	//540 DOM::HTMLAnchorElement::setAccessKey(const DOM::DOMString&)
	{38, 608, 0, 0, Smoke::mf_const, 86, 8},	//541 DOM::HTMLAnchorElement::charset() const
	{38, 1392, 455, 1, 0, 0, 9},	//542 DOM::HTMLAnchorElement::setCharset(const DOM::DOMString&)
	{38, 665, 0, 0, Smoke::mf_const, 86, 10},	//543 DOM::HTMLAnchorElement::coords() const
	{38, 1429, 455, 1, 0, 0, 11},	//544 DOM::HTMLAnchorElement::setCoords(const DOM::DOMString&)
	{38, 936, 0, 0, Smoke::mf_const, 86, 12},	//545 DOM::HTMLAnchorElement::href() const
	{38, 1503, 455, 1, 0, 0, 13},	//546 DOM::HTMLAnchorElement::setHref(const DOM::DOMString&)
	{38, 937, 0, 0, Smoke::mf_const, 86, 14},	//547 DOM::HTMLAnchorElement::hreflang() const
	{38, 1505, 455, 1, 0, 0, 15},	//548 DOM::HTMLAnchorElement::setHreflang(const DOM::DOMString&)
	{38, 1114, 0, 0, Smoke::mf_const, 86, 16},	//549 DOM::HTMLAnchorElement::name() const
	{38, 1569, 455, 1, 0, 0, 17},	//550 DOM::HTMLAnchorElement::setName(const DOM::DOMString&)
	{38, 1237, 0, 0, Smoke::mf_const, 86, 18},	//551 DOM::HTMLAnchorElement::rel() const
	{38, 1605, 455, 1, 0, 0, 19},	//552 DOM::HTMLAnchorElement::setRel(const DOM::DOMString&)
	{38, 1279, 0, 0, Smoke::mf_const, 86, 20},	//553 DOM::HTMLAnchorElement::rev() const
	{38, 1607, 455, 1, 0, 0, 21},	//554 DOM::HTMLAnchorElement::setRev(const DOM::DOMString&)
	{38, 1741, 0, 0, Smoke::mf_const, 86, 22},	//555 DOM::HTMLAnchorElement::shape() const
	{38, 1644, 455, 1, 0, 0, 23},	//556 DOM::HTMLAnchorElement::setShape(const DOM::DOMString&)
	{38, 1812, 0, 0, Smoke::mf_const, 1004, 24},	//557 DOM::HTMLAnchorElement::tabIndex() const
	{38, 1683, 9, 1, 0, 0, 25},	//558 DOM::HTMLAnchorElement::setTabIndex(long)
	{38, 1816, 0, 0, Smoke::mf_const, 86, 26},	//559 DOM::HTMLAnchorElement::target() const
	{38, 1685, 455, 1, 0, 0, 27},	//560 DOM::HTMLAnchorElement::setTarget(const DOM::DOMString&)
	{38, 1835, 0, 0, Smoke::mf_const, 86, 28},	//561 DOM::HTMLAnchorElement::type() const
	{38, 1695, 455, 1, 0, 0, 29},	//562 DOM::HTMLAnchorElement::setType(const DOM::DOMString&)
	{38, 583, 0, 0, 0, 0, 30},	//563 DOM::HTMLAnchorElement::blur()
	{38, 836, 0, 0, 0, 0, 31},	//564 DOM::HTMLAnchorElement::focus()
	{38, 189, 48, 1, Smoke::mf_ctor|Smoke::mf_protected, 127, 32},	//565 DOM::HTMLAnchorElement::HTMLAnchorElement(DOM::HTMLAnchorElementImpl*)
	{39, 192, 0, 0, Smoke::mf_ctor, 130, 1},	//566 DOM::HTMLAppletElement::HTMLAppletElement()
	{39, 192, 572, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 130, 2},	//567 DOM::HTMLAppletElement::HTMLAppletElement(const DOM::HTMLAppletElement&)
	{39, 192, 708, 1, Smoke::mf_ctor, 130, 3},	//568 DOM::HTMLAppletElement::HTMLAppletElement(const DOM::Node&)
	{39, 1158, 572, 1, 0, 129, 4},	//569 DOM::HTMLAppletElement::operator=(const DOM::HTMLAppletElement&)
	{39, 1158, 708, 1, 0, 129, 5},	//570 DOM::HTMLAppletElement::operator=(const DOM::Node&)
	{39, 1937, 0, 0, Smoke::mf_dtor, 0, 29},	//571 DOM::HTMLAppletElement::~HTMLAppletElement()
	{39, 544, 0, 0, Smoke::mf_const, 86, 6},	//572 DOM::HTMLAppletElement::align() const
	{39, 1339, 455, 1, 0, 0, 7},	//573 DOM::HTMLAppletElement::setAlign(const DOM::DOMString&)
	{39, 547, 0, 0, Smoke::mf_const, 86, 8},	//574 DOM::HTMLAppletElement::alt() const
	{39, 1341, 455, 1, 0, 0, 9},	//575 DOM::HTMLAppletElement::setAlt(const DOM::DOMString&)
	{39, 558, 0, 0, Smoke::mf_const, 86, 10},	//576 DOM::HTMLAppletElement::archive() const
	{39, 1345, 455, 1, 0, 0, 11},	//577 DOM::HTMLAppletElement::setArchive(const DOM::DOMString&)
	{39, 630, 0, 0, Smoke::mf_const, 86, 12},	//578 DOM::HTMLAppletElement::code() const
	{39, 1402, 455, 1, 0, 0, 13},	//579 DOM::HTMLAppletElement::setCode(const DOM::DOMString&)
	{39, 631, 0, 0, Smoke::mf_const, 86, 14},	//580 DOM::HTMLAppletElement::codeBase() const
	{39, 1405, 455, 1, 0, 0, 15},	//581 DOM::HTMLAppletElement::setCodeBase(const DOM::DOMString&)
	{39, 926, 0, 0, Smoke::mf_const, 86, 16},	//582 DOM::HTMLAppletElement::height() const
	{39, 1498, 455, 1, 0, 0, 17},	//583 DOM::HTMLAppletElement::setHeight(const DOM::DOMString&)
	{39, 885, 0, 0, Smoke::mf_const, 1004, 18},	//584 DOM::HTMLAppletElement::getHspace() const
	{39, 1507, 9, 1, 0, 0, 19},	//585 DOM::HTMLAppletElement::setHspace(long)
	{39, 1114, 0, 0, Smoke::mf_const, 86, 20},	//586 DOM::HTMLAppletElement::name() const
	{39, 1569, 455, 1, 0, 0, 21},	//587 DOM::HTMLAppletElement::setName(const DOM::DOMString&)
	{39, 1142, 0, 0, Smoke::mf_const, 86, 22},	//588 DOM::HTMLAppletElement::object() const
	{39, 1585, 455, 1, 0, 0, 23},	//589 DOM::HTMLAppletElement::setObject(const DOM::DOMString&)
	{39, 907, 0, 0, Smoke::mf_const, 1004, 24},	//590 DOM::HTMLAppletElement::getVspace() const
	{39, 1721, 9, 1, 0, 0, 25},	//591 DOM::HTMLAppletElement::setVspace(long)
	{39, 1874, 0, 0, Smoke::mf_const, 86, 26},	//592 DOM::HTMLAppletElement::width() const
	{39, 1725, 455, 1, 0, 0, 27},	//593 DOM::HTMLAppletElement::setWidth(const DOM::DOMString&)
	{39, 192, 50, 1, Smoke::mf_ctor|Smoke::mf_protected, 130, 28},	//594 DOM::HTMLAppletElement::HTMLAppletElement(DOM::HTMLAppletElementImpl*)
	{40, 195, 0, 0, Smoke::mf_ctor, 133, 1},	//595 DOM::HTMLAreaElement::HTMLAreaElement()
	{40, 195, 574, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 133, 2},	//596 DOM::HTMLAreaElement::HTMLAreaElement(const DOM::HTMLAreaElement&)
	{40, 195, 708, 1, Smoke::mf_ctor, 133, 3},	//597 DOM::HTMLAreaElement::HTMLAreaElement(const DOM::Node&)
	{40, 1158, 574, 1, 0, 132, 4},	//598 DOM::HTMLAreaElement::operator=(const DOM::HTMLAreaElement&)
	{40, 1158, 708, 1, 0, 132, 5},	//599 DOM::HTMLAreaElement::operator=(const DOM::Node&)
	{40, 1938, 0, 0, Smoke::mf_dtor, 0, 23},	//600 DOM::HTMLAreaElement::~HTMLAreaElement()
	{40, 522, 0, 0, Smoke::mf_const, 86, 6},	//601 DOM::HTMLAreaElement::accessKey() const
	{40, 1333, 455, 1, 0, 0, 7},	//602 DOM::HTMLAreaElement::setAccessKey(const DOM::DOMString&)
	{40, 547, 0, 0, Smoke::mf_const, 86, 8},	//603 DOM::HTMLAreaElement::alt() const
	{40, 1341, 455, 1, 0, 0, 9},	//604 DOM::HTMLAreaElement::setAlt(const DOM::DOMString&)
	{40, 665, 0, 0, Smoke::mf_const, 86, 10},	//605 DOM::HTMLAreaElement::coords() const
	{40, 1429, 455, 1, 0, 0, 11},	//606 DOM::HTMLAreaElement::setCoords(const DOM::DOMString&)
	{40, 936, 0, 0, Smoke::mf_const, 86, 12},	//607 DOM::HTMLAreaElement::href() const
	{40, 1503, 455, 1, 0, 0, 13},	//608 DOM::HTMLAreaElement::setHref(const DOM::DOMString&)
	{40, 1126, 0, 0, Smoke::mf_const, 831, 14},	//609 DOM::HTMLAreaElement::noHref() const
	{40, 1575, 395, 1, 0, 0, 15},	//610 DOM::HTMLAreaElement::setNoHref(bool)
	{40, 1741, 0, 0, Smoke::mf_const, 86, 16},	//611 DOM::HTMLAreaElement::shape() const
	{40, 1644, 455, 1, 0, 0, 17},	//612 DOM::HTMLAreaElement::setShape(const DOM::DOMString&)
	{40, 1812, 0, 0, Smoke::mf_const, 1004, 18},	//613 DOM::HTMLAreaElement::tabIndex() const
	{40, 1683, 9, 1, 0, 0, 19},	//614 DOM::HTMLAreaElement::setTabIndex(long)
	{40, 1816, 0, 0, Smoke::mf_const, 86, 20},	//615 DOM::HTMLAreaElement::target() const
	{40, 1685, 455, 1, 0, 0, 21},	//616 DOM::HTMLAreaElement::setTarget(const DOM::DOMString&)
	{40, 195, 52, 1, Smoke::mf_ctor|Smoke::mf_protected, 133, 22},	//617 DOM::HTMLAreaElement::HTMLAreaElement(DOM::HTMLAreaElementImpl*)
	{41, 198, 0, 0, Smoke::mf_ctor, 136, 1},	//618 DOM::HTMLBRElement::HTMLBRElement()
	{41, 198, 576, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 136, 2},	//619 DOM::HTMLBRElement::HTMLBRElement(const DOM::HTMLBRElement&)
	{41, 198, 708, 1, Smoke::mf_ctor, 136, 3},	//620 DOM::HTMLBRElement::HTMLBRElement(const DOM::Node&)
	{41, 1158, 576, 1, 0, 135, 4},	//621 DOM::HTMLBRElement::operator=(const DOM::HTMLBRElement&)
	{41, 1158, 708, 1, 0, 135, 5},	//622 DOM::HTMLBRElement::operator=(const DOM::Node&)
	{41, 1939, 0, 0, Smoke::mf_dtor, 0, 9},	//623 DOM::HTMLBRElement::~HTMLBRElement()
	{41, 617, 0, 0, Smoke::mf_const, 86, 6},	//624 DOM::HTMLBRElement::clear() const
	{41, 1400, 455, 1, 0, 0, 7},	//625 DOM::HTMLBRElement::setClear(const DOM::DOMString&)
	{41, 198, 54, 1, Smoke::mf_ctor|Smoke::mf_protected, 136, 8},	//626 DOM::HTMLBRElement::HTMLBRElement(DOM::HTMLBRElementImpl*)
	{42, 201, 0, 0, Smoke::mf_ctor, 139, 1},	//627 DOM::HTMLBaseElement::HTMLBaseElement()
	{42, 201, 578, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 139, 2},	//628 DOM::HTMLBaseElement::HTMLBaseElement(const DOM::HTMLBaseElement&)
	{42, 201, 708, 1, Smoke::mf_ctor, 139, 3},	//629 DOM::HTMLBaseElement::HTMLBaseElement(const DOM::Node&)
	{42, 1158, 578, 1, 0, 138, 4},	//630 DOM::HTMLBaseElement::operator=(const DOM::HTMLBaseElement&)
	{42, 1158, 708, 1, 0, 138, 5},	//631 DOM::HTMLBaseElement::operator=(const DOM::Node&)
	{42, 1940, 0, 0, Smoke::mf_dtor, 0, 11},	//632 DOM::HTMLBaseElement::~HTMLBaseElement()
	{42, 936, 0, 0, Smoke::mf_const, 86, 6},	//633 DOM::HTMLBaseElement::href() const
	{42, 1503, 455, 1, 0, 0, 7},	//634 DOM::HTMLBaseElement::setHref(const DOM::DOMString&)
	{42, 1816, 0, 0, Smoke::mf_const, 86, 8},	//635 DOM::HTMLBaseElement::target() const
	{42, 1685, 455, 1, 0, 0, 9},	//636 DOM::HTMLBaseElement::setTarget(const DOM::DOMString&)
	{42, 201, 56, 1, Smoke::mf_ctor|Smoke::mf_protected, 139, 10},	//637 DOM::HTMLBaseElement::HTMLBaseElement(DOM::HTMLBaseElementImpl*)
	{43, 204, 0, 0, Smoke::mf_ctor, 142, 1},	//638 DOM::HTMLBaseFontElement::HTMLBaseFontElement()
	{43, 204, 580, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 142, 2},	//639 DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::HTMLBaseFontElement&)
	{43, 204, 708, 1, Smoke::mf_ctor, 142, 3},	//640 DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::Node&)
	{43, 1158, 580, 1, 0, 141, 4},	//641 DOM::HTMLBaseFontElement::operator=(const DOM::HTMLBaseFontElement&)
	{43, 1158, 708, 1, 0, 141, 5},	//642 DOM::HTMLBaseFontElement::operator=(const DOM::Node&)
	{43, 1941, 0, 0, Smoke::mf_dtor, 0, 13},	//643 DOM::HTMLBaseFontElement::~HTMLBaseFontElement()
	{43, 637, 0, 0, Smoke::mf_const, 86, 6},	//644 DOM::HTMLBaseFontElement::color() const
	{43, 1411, 455, 1, 0, 0, 7},	//645 DOM::HTMLBaseFontElement::setColor(const DOM::DOMString&)
	{43, 808, 0, 0, Smoke::mf_const, 86, 8},	//646 DOM::HTMLBaseFontElement::face() const
	{43, 1480, 455, 1, 0, 0, 9},	//647 DOM::HTMLBaseFontElement::setFace(const DOM::DOMString&)
	{43, 905, 0, 0, Smoke::mf_const, 1004, 10},	//648 DOM::HTMLBaseFontElement::getSize() const
	{43, 1646, 9, 1, 0, 0, 11},	//649 DOM::HTMLBaseFontElement::setSize(long)
	{43, 204, 58, 1, Smoke::mf_ctor|Smoke::mf_protected, 142, 12},	//650 DOM::HTMLBaseFontElement::HTMLBaseFontElement(DOM::HTMLBaseFontElementImpl*)
	{44, 207, 0, 0, Smoke::mf_ctor, 145, 1},	//651 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement()
	{44, 207, 582, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 145, 2},	//652 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::HTMLBlockquoteElement&)
	{44, 207, 708, 1, Smoke::mf_ctor, 145, 3},	//653 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::Node&)
	{44, 1158, 582, 1, 0, 144, 4},	//654 DOM::HTMLBlockquoteElement::operator=(const DOM::HTMLBlockquoteElement&)
	{44, 1158, 708, 1, 0, 144, 5},	//655 DOM::HTMLBlockquoteElement::operator=(const DOM::Node&)
	{44, 1942, 0, 0, Smoke::mf_dtor, 0, 9},	//656 DOM::HTMLBlockquoteElement::~HTMLBlockquoteElement()
	{44, 615, 0, 0, Smoke::mf_const, 86, 6},	//657 DOM::HTMLBlockquoteElement::cite() const
	{44, 1396, 455, 1, 0, 0, 7},	//658 DOM::HTMLBlockquoteElement::setCite(const DOM::DOMString&)
	{44, 207, 76, 1, Smoke::mf_ctor|Smoke::mf_protected, 145, 8},	//659 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(DOM::HTMLElementImpl*)
	{45, 210, 0, 0, Smoke::mf_ctor, 147, 1},	//660 DOM::HTMLBodyElement::HTMLBodyElement()
	{45, 210, 584, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 147, 2},	//661 DOM::HTMLBodyElement::HTMLBodyElement(const DOM::HTMLBodyElement&)
	{45, 210, 708, 1, Smoke::mf_ctor, 147, 3},	//662 DOM::HTMLBodyElement::HTMLBodyElement(const DOM::Node&)
	{45, 1158, 584, 1, 0, 146, 4},	//663 DOM::HTMLBodyElement::operator=(const DOM::HTMLBodyElement&)
	{45, 1158, 708, 1, 0, 146, 5},	//664 DOM::HTMLBodyElement::operator=(const DOM::Node&)
	{45, 1943, 0, 0, Smoke::mf_dtor, 0, 19},	//665 DOM::HTMLBodyElement::~HTMLBodyElement()
	{45, 515, 0, 0, Smoke::mf_const, 86, 6},	//666 DOM::HTMLBodyElement::aLink() const
	{45, 1325, 455, 1, 0, 0, 7},	//667 DOM::HTMLBodyElement::setALink(const DOM::DOMString&)
	{45, 571, 0, 0, Smoke::mf_const, 86, 8},	//668 DOM::HTMLBodyElement::background() const
	{45, 1361, 455, 1, 0, 0, 9},	//669 DOM::HTMLBodyElement::setBackground(const DOM::DOMString&)
	{45, 581, 0, 0, Smoke::mf_const, 86, 10},	//670 DOM::HTMLBodyElement::bgColor() const
	{45, 1363, 455, 1, 0, 0, 11},	//671 DOM::HTMLBodyElement::setBgColor(const DOM::DOMString&)
	{45, 1074, 0, 0, Smoke::mf_const, 86, 12},	//672 DOM::HTMLBodyElement::link() const
	{45, 1543, 455, 1, 0, 0, 13},	//673 DOM::HTMLBodyElement::setLink(const DOM::DOMString&)
	{45, 1817, 0, 0, Smoke::mf_const, 86, 14},	//674 DOM::HTMLBodyElement::text() const
	{45, 1687, 455, 1, 0, 0, 15},	//675 DOM::HTMLBodyElement::setText(const DOM::DOMString&)
	{45, 1852, 0, 0, Smoke::mf_const, 86, 16},	//676 DOM::HTMLBodyElement::vLink() const
	{45, 1706, 455, 1, 0, 0, 17},	//677 DOM::HTMLBodyElement::setVLink(const DOM::DOMString&)
	{45, 210, 60, 1, Smoke::mf_ctor|Smoke::mf_protected, 147, 18},	//678 DOM::HTMLBodyElement::HTMLBodyElement(DOM::HTMLBodyElementImpl*)
	{46, 213, 0, 0, Smoke::mf_ctor, 150, 1},	//679 DOM::HTMLButtonElement::HTMLButtonElement()
	{46, 213, 586, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 150, 2},	//680 DOM::HTMLButtonElement::HTMLButtonElement(const DOM::HTMLButtonElement&)
	{46, 213, 708, 1, Smoke::mf_ctor, 150, 3},	//681 DOM::HTMLButtonElement::HTMLButtonElement(const DOM::Node&)
	{46, 1158, 586, 1, 0, 149, 4},	//682 DOM::HTMLButtonElement::operator=(const DOM::HTMLButtonElement&)
	{46, 1158, 708, 1, 0, 149, 5},	//683 DOM::HTMLButtonElement::operator=(const DOM::Node&)
	{46, 1944, 0, 0, Smoke::mf_dtor, 0, 21},	//684 DOM::HTMLButtonElement::~HTMLButtonElement()
	{46, 847, 0, 0, Smoke::mf_const, 180, 6},	//685 DOM::HTMLButtonElement::form() const
	{46, 522, 0, 0, Smoke::mf_const, 86, 7},	//686 DOM::HTMLButtonElement::accessKey() const
	{46, 1333, 455, 1, 0, 0, 8},	//687 DOM::HTMLButtonElement::setAccessKey(const DOM::DOMString&)
	{46, 751, 0, 0, Smoke::mf_const, 831, 9},	//688 DOM::HTMLButtonElement::disabled() const
	{46, 1462, 395, 1, 0, 0, 10},	//689 DOM::HTMLButtonElement::setDisabled(bool)
	{46, 1114, 0, 0, Smoke::mf_const, 86, 11},	//690 DOM::HTMLButtonElement::name() const
	{46, 1569, 455, 1, 0, 0, 12},	//691 DOM::HTMLButtonElement::setName(const DOM::DOMString&)
	{46, 1812, 0, 0, Smoke::mf_const, 1004, 13},	//692 DOM::HTMLButtonElement::tabIndex() const
	{46, 1683, 9, 1, 0, 0, 14},	//693 DOM::HTMLButtonElement::setTabIndex(long)
	{46, 1835, 0, 0, Smoke::mf_const, 86, 15},	//694 DOM::HTMLButtonElement::type() const
	{46, 1854, 0, 0, Smoke::mf_const, 86, 16},	//695 DOM::HTMLButtonElement::value() const
	{46, 1708, 455, 1, 0, 0, 17},	//696 DOM::HTMLButtonElement::setValue(const DOM::DOMString&)
	{46, 583, 0, 0, 0, 0, 18},	//697 DOM::HTMLButtonElement::blur()
	{46, 836, 0, 0, 0, 0, 19},	//698 DOM::HTMLButtonElement::focus()
	{46, 213, 64, 1, Smoke::mf_ctor|Smoke::mf_protected, 150, 20},	//699 DOM::HTMLButtonElement::HTMLButtonElement(DOM::HTMLButtonElementImpl*)
	{47, 216, 0, 0, Smoke::mf_ctor, 154, 1},	//700 DOM::HTMLCollection::HTMLCollection()
	{47, 216, 588, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 154, 2},	//701 DOM::HTMLCollection::HTMLCollection(const DOM::HTMLCollection&)
	{47, 1158, 588, 1, 0, 153, 3},	//702 DOM::HTMLCollection::operator=(const DOM::HTMLCollection&)
	{47, 1945, 0, 0, Smoke::mf_dtor, 0, 14},	//703 DOM::HTMLCollection::~HTMLCollection()
	{47, 1073, 0, 0, Smoke::mf_const, 1010, 4},	//704 DOM::HTMLCollection::length() const
	{47, 1024, 24, 1, Smoke::mf_const, 320, 5},	//705 DOM::HTMLCollection::item(unsigned long) const
	{47, 1115, 455, 1, Smoke::mf_const, 320, 6},	//706 DOM::HTMLCollection::namedItem(const DOM::DOMString&) const
	{47, 573, 0, 0, Smoke::mf_const, 320, 7},	//707 DOM::HTMLCollection::base() const
	{47, 1016, 0, 0, Smoke::mf_const, 831, 8},	//708 DOM::HTMLCollection::isNull() const
	{47, 834, 0, 0, Smoke::mf_const, 320, 9},	//709 DOM::HTMLCollection::firstItem() const
	{47, 1121, 0, 0, Smoke::mf_const, 320, 10},	//710 DOM::HTMLCollection::nextItem() const
	{47, 1122, 455, 1, Smoke::mf_const, 320, 11},	//711 DOM::HTMLCollection::nextNamedItem(const DOM::DOMString&) const
	{47, 216, 66, 1, Smoke::mf_ctor|Smoke::mf_protected, 154, 12},	//712 DOM::HTMLCollection::HTMLCollection(DOM::HTMLCollectionImpl*)
	{47, 216, 193, 2, Smoke::mf_ctor|Smoke::mf_protected, 154, 13},	//713 DOM::HTMLCollection::HTMLCollection(DOM::NodeImpl*, int)
	{48, 220, 0, 0, Smoke::mf_ctor, 157, 1},	//714 DOM::HTMLDListElement::HTMLDListElement()
	{48, 220, 590, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 157, 2},	//715 DOM::HTMLDListElement::HTMLDListElement(const DOM::HTMLDListElement&)
	{48, 220, 708, 1, Smoke::mf_ctor, 157, 3},	//716 DOM::HTMLDListElement::HTMLDListElement(const DOM::Node&)
	{48, 1158, 590, 1, 0, 156, 4},	//717 DOM::HTMLDListElement::operator=(const DOM::HTMLDListElement&)
	{48, 1158, 708, 1, 0, 156, 5},	//718 DOM::HTMLDListElement::operator=(const DOM::Node&)
	{48, 1946, 0, 0, Smoke::mf_dtor, 0, 9},	//719 DOM::HTMLDListElement::~HTMLDListElement()
	{48, 640, 0, 0, Smoke::mf_const, 831, 6},	//720 DOM::HTMLDListElement::compact() const
	{48, 1416, 395, 1, 0, 0, 7},	//721 DOM::HTMLDListElement::setCompact(bool)
	{48, 220, 68, 1, Smoke::mf_ctor|Smoke::mf_protected, 157, 8},	//722 DOM::HTMLDListElement::HTMLDListElement(DOM::HTMLDListElementImpl*)
	{49, 223, 0, 0, Smoke::mf_ctor, 160, 1},	//723 DOM::HTMLDirectoryElement::HTMLDirectoryElement()
	{49, 223, 592, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 160, 2},	//724 DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::HTMLDirectoryElement&)
	{49, 223, 708, 1, Smoke::mf_ctor, 160, 3},	//725 DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::Node&)
	{49, 1158, 592, 1, 0, 159, 4},	//726 DOM::HTMLDirectoryElement::operator=(const DOM::HTMLDirectoryElement&)
	{49, 1158, 708, 1, 0, 159, 5},	//727 DOM::HTMLDirectoryElement::operator=(const DOM::Node&)
	{49, 1947, 0, 0, Smoke::mf_dtor, 0, 9},	//728 DOM::HTMLDirectoryElement::~HTMLDirectoryElement()
	{49, 640, 0, 0, Smoke::mf_const, 831, 6},	//729 DOM::HTMLDirectoryElement::compact() const
	{49, 1416, 395, 1, 0, 0, 7},	//730 DOM::HTMLDirectoryElement::setCompact(bool)
	{49, 223, 70, 1, Smoke::mf_ctor|Smoke::mf_protected, 160, 8},	//731 DOM::HTMLDirectoryElement::HTMLDirectoryElement(DOM::HTMLDirectoryElementImpl*)
	{50, 226, 0, 0, Smoke::mf_ctor, 163, 1},	//732 DOM::HTMLDivElement::HTMLDivElement()
	{50, 226, 594, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 163, 2},	//733 DOM::HTMLDivElement::HTMLDivElement(const DOM::HTMLDivElement&)
	{50, 226, 708, 1, Smoke::mf_ctor, 163, 3},	//734 DOM::HTMLDivElement::HTMLDivElement(const DOM::Node&)
	{50, 1158, 594, 1, 0, 162, 4},	//735 DOM::HTMLDivElement::operator=(const DOM::HTMLDivElement&)
	{50, 1158, 708, 1, 0, 162, 5},	//736 DOM::HTMLDivElement::operator=(const DOM::Node&)
	{50, 1948, 0, 0, Smoke::mf_dtor, 0, 9},	//737 DOM::HTMLDivElement::~HTMLDivElement()
	{50, 544, 0, 0, Smoke::mf_const, 86, 6},	//738 DOM::HTMLDivElement::align() const
	{50, 1339, 455, 1, 0, 0, 7},	//739 DOM::HTMLDivElement::setAlign(const DOM::DOMString&)
	{50, 226, 72, 1, Smoke::mf_ctor|Smoke::mf_protected, 163, 8},	//740 DOM::HTMLDivElement::HTMLDivElement(DOM::HTMLDivElementImpl*)
	{51, 229, 0, 0, Smoke::mf_ctor, 167, 1},	//741 DOM::HTMLDocument::HTMLDocument()
	{51, 229, 247, 1, Smoke::mf_ctor, 167, 2},	//742 DOM::HTMLDocument::HTMLDocument(KHTMLView*)
	{51, 229, 596, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 167, 3},	//743 DOM::HTMLDocument::HTMLDocument(const DOM::HTMLDocument&)
	{51, 229, 708, 1, Smoke::mf_ctor, 167, 4},	//744 DOM::HTMLDocument::HTMLDocument(const DOM::Node&)
	{51, 1158, 596, 1, 0, 166, 5},	//745 DOM::HTMLDocument::operator=(const DOM::HTMLDocument&)
	{51, 1158, 708, 1, 0, 166, 6},	//746 DOM::HTMLDocument::operator=(const DOM::Node&)
	{51, 1949, 0, 0, Smoke::mf_dtor, 0, 32},	//747 DOM::HTMLDocument::~HTMLDocument()
	{51, 1824, 0, 0, Smoke::mf_const, 86, 7},	//748 DOM::HTMLDocument::title() const
	{51, 1691, 455, 1, 0, 0, 8},	//749 DOM::HTMLDocument::setTitle(const DOM::DOMString&)
	{51, 1236, 0, 0, Smoke::mf_const, 86, 9},	//750 DOM::HTMLDocument::referrer() const
	{51, 770, 0, 0, Smoke::mf_const, 86, 10},	//751 DOM::HTMLDocument::domain() const
	{51, 509, 0, 0, Smoke::mf_const, 86, 11},	//752 DOM::HTMLDocument::URL() const
	{51, 584, 0, 0, Smoke::mf_const, 169, 12},	//753 DOM::HTMLDocument::body() const
	{51, 1365, 598, 1, 0, 0, 13},	//754 DOM::HTMLDocument::setBody(const DOM::HTMLElement&)
	{51, 946, 0, 0, Smoke::mf_const, 152, 14},	//755 DOM::HTMLDocument::images() const
	{51, 556, 0, 0, Smoke::mf_const, 152, 15},	//756 DOM::HTMLDocument::applets() const
	{51, 1076, 0, 0, Smoke::mf_const, 152, 16},	//757 DOM::HTMLDocument::links() const
	{51, 851, 0, 0, Smoke::mf_const, 152, 17},	//758 DOM::HTMLDocument::forms() const
	{51, 1068, 0, 0, Smoke::mf_const, 152, 18},	//759 DOM::HTMLDocument::layers() const
	{51, 1299, 0, 0, Smoke::mf_const, 152, 19},	//760 DOM::HTMLDocument::scripts() const
	{51, 549, 0, 0, Smoke::mf_const, 152, 20},	//761 DOM::HTMLDocument::anchors() const
	{51, 664, 0, 0, Smoke::mf_const, 86, 21},	//762 DOM::HTMLDocument::cookie() const
	{51, 1427, 455, 1, 0, 0, 22},	//763 DOM::HTMLDocument::setCookie(const DOM::DOMString&)
	{51, 1146, 0, 0, 0, 0, 23},	//764 DOM::HTMLDocument::open()
	{51, 626, 0, 0, 0, 0, 24},	//765 DOM::HTMLDocument::close()
	{51, 1887, 455, 1, 0, 0, 25},	//766 DOM::HTMLDocument::write(const DOM::DOMString&)
	{51, 1891, 455, 1, 0, 0, 26},	//767 DOM::HTMLDocument::writeln(const DOM::DOMString&)
	{51, 877, 455, 1, 0, 336, 27},	//768 DOM::HTMLDocument::getElementsByName(const DOM::DOMString&)
	{51, 645, 455, 1, Smoke::mf_const, 86, 28},	//769 DOM::HTMLDocument::completeURL(const DOM::DOMString&) const
	{51, 1065, 0, 0, Smoke::mf_const, 86, 29},	//770 DOM::HTMLDocument::lastModified() const
	{51, 545, 0, 0, Smoke::mf_const, 152, 30},	//771 DOM::HTMLDocument::all() const
	{51, 229, 74, 1, Smoke::mf_ctor|Smoke::mf_protected, 167, 31},	//772 DOM::HTMLDocument::HTMLDocument(DOM::HTMLDocumentImpl*)
	{52, 232, 0, 0, Smoke::mf_ctor, 171, 1},	//773 DOM::HTMLElement::HTMLElement()
	{52, 232, 598, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 171, 2},	//774 DOM::HTMLElement::HTMLElement(const DOM::HTMLElement&)
	{52, 232, 708, 1, Smoke::mf_ctor, 171, 3},	//775 DOM::HTMLElement::HTMLElement(const DOM::Node&)
	{52, 1158, 598, 1, 0, 170, 4},	//776 DOM::HTMLElement::operator=(const DOM::HTMLElement&)
	{52, 1158, 708, 1, 0, 170, 5},	//777 DOM::HTMLElement::operator=(const DOM::Node&)
	{52, 1950, 0, 0, Smoke::mf_dtor, 0, 29},	//778 DOM::HTMLElement::~HTMLElement()
	{52, 944, 0, 0, Smoke::mf_const, 86, 6},	//779 DOM::HTMLElement::id() const
	{52, 1513, 455, 1, 0, 0, 7},	//780 DOM::HTMLElement::setId(const DOM::DOMString&)
	{52, 1824, 0, 0, Smoke::mf_const, 86, 8},	//781 DOM::HTMLElement::title() const
	{52, 1691, 455, 1, 0, 0, 9},	//782 DOM::HTMLElement::setTitle(const DOM::DOMString&)
	{52, 1061, 0, 0, Smoke::mf_const, 86, 10},	//783 DOM::HTMLElement::lang() const
	{52, 1539, 455, 1, 0, 0, 11},	//784 DOM::HTMLElement::setLang(const DOM::DOMString&)
	{52, 750, 0, 0, Smoke::mf_const, 86, 12},	//785 DOM::HTMLElement::dir() const
	{52, 1460, 455, 1, 0, 0, 13},	//786 DOM::HTMLElement::setDir(const DOM::DOMString&)
	{52, 616, 0, 0, Smoke::mf_const, 86, 14},	//787 DOM::HTMLElement::className() const
	{52, 1398, 455, 1, 0, 0, 15},	//788 DOM::HTMLElement::setClassName(const DOM::DOMString&)
	{52, 968, 0, 0, Smoke::mf_const, 86, 16},	//789 DOM::HTMLElement::innerHTML() const
	{52, 1519, 455, 1, 0, 0, 17},	//790 DOM::HTMLElement::setInnerHTML(const DOM::DOMString&)
	{52, 969, 0, 0, Smoke::mf_const, 86, 18},	//791 DOM::HTMLElement::innerText() const
	{52, 1521, 455, 1, 0, 0, 19},	//792 DOM::HTMLElement::setInnerText(const DOM::DOMString&)
	{52, 614, 0, 0, Smoke::mf_const, 152, 20},	//793 DOM::HTMLElement::children() const
	{52, 545, 0, 0, Smoke::mf_const, 152, 21},	//794 DOM::HTMLElement::all() const
	{52, 998, 0, 0, Smoke::mf_const, 831, 22},	//795 DOM::HTMLElement::isContentEditable() const
	{52, 654, 0, 0, Smoke::mf_const, 86, 23},	//796 DOM::HTMLElement::contentEditable() const
	{52, 1423, 455, 1, 0, 0, 24},	//797 DOM::HTMLElement::setContentEditable(const DOM::DOMString&)
	{52, 1249, 455, 1, 0, 0, 25},	//798 DOM::HTMLElement::removeCSSProperty(const DOM::DOMString&)
	{52, 534, 513, 2, 0, 0, 26},	//799 DOM::HTMLElement::addCSSProperty(const DOM::DOMString&, const DOM::DOMString&)
	{52, 232, 76, 1, Smoke::mf_ctor|Smoke::mf_protected, 171, 27},	//800 DOM::HTMLElement::HTMLElement(DOM::HTMLElementImpl*)
	{52, 560, 722, 2, Smoke::mf_protected, 0, 28},	//801 DOM::HTMLElement::assignOther(const DOM::Node&, int)
	{53, 235, 0, 0, Smoke::mf_ctor, 174, 1},	//802 DOM::HTMLFieldSetElement::HTMLFieldSetElement()
	{53, 235, 603, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 174, 2},	//803 DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::HTMLFieldSetElement&)
	{53, 235, 708, 1, Smoke::mf_ctor, 174, 3},	//804 DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::Node&)
	{53, 1158, 603, 1, 0, 173, 4},	//805 DOM::HTMLFieldSetElement::operator=(const DOM::HTMLFieldSetElement&)
	{53, 1158, 708, 1, 0, 173, 5},	//806 DOM::HTMLFieldSetElement::operator=(const DOM::Node&)
	{53, 1951, 0, 0, Smoke::mf_dtor, 0, 8},	//807 DOM::HTMLFieldSetElement::~HTMLFieldSetElement()
	{53, 847, 0, 0, Smoke::mf_const, 180, 6},	//808 DOM::HTMLFieldSetElement::form() const
	{53, 235, 78, 1, Smoke::mf_ctor|Smoke::mf_protected, 174, 7},	//809 DOM::HTMLFieldSetElement::HTMLFieldSetElement(DOM::HTMLFieldSetElementImpl*)
	{54, 238, 0, 0, Smoke::mf_ctor, 177, 1},	//810 DOM::HTMLFontElement::HTMLFontElement()
	{54, 238, 605, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 177, 2},	//811 DOM::HTMLFontElement::HTMLFontElement(const DOM::HTMLFontElement&)
	{54, 238, 708, 1, Smoke::mf_ctor, 177, 3},	//812 DOM::HTMLFontElement::HTMLFontElement(const DOM::Node&)
	{54, 1158, 605, 1, 0, 176, 4},	//813 DOM::HTMLFontElement::operator=(const DOM::HTMLFontElement&)
	{54, 1158, 708, 1, 0, 176, 5},	//814 DOM::HTMLFontElement::operator=(const DOM::Node&)
	{54, 1952, 0, 0, Smoke::mf_dtor, 0, 13},	//815 DOM::HTMLFontElement::~HTMLFontElement()
	{54, 637, 0, 0, Smoke::mf_const, 86, 6},	//816 DOM::HTMLFontElement::color() const
	{54, 1411, 455, 1, 0, 0, 7},	//817 DOM::HTMLFontElement::setColor(const DOM::DOMString&)
	{54, 808, 0, 0, Smoke::mf_const, 86, 8},	//818 DOM::HTMLFontElement::face() const
	{54, 1480, 455, 1, 0, 0, 9},	//819 DOM::HTMLFontElement::setFace(const DOM::DOMString&)
	{54, 1750, 0, 0, Smoke::mf_const, 86, 10},	//820 DOM::HTMLFontElement::size() const
	{54, 1646, 455, 1, 0, 0, 11},	//821 DOM::HTMLFontElement::setSize(const DOM::DOMString&)
	{54, 238, 80, 1, Smoke::mf_ctor|Smoke::mf_protected, 177, 12},	//822 DOM::HTMLFontElement::HTMLFontElement(DOM::HTMLFontElementImpl*)
	{55, 1953, 0, 0, Smoke::mf_dtor, 0, 3},	//823 DOM::HTMLFormCollection::~HTMLFormCollection()
	{55, 241, 607, 1, Smoke::mf_copyctor|Smoke::mf_internal|Smoke::mf_ctor, 179, 1},	//824 DOM::HTMLFormCollection::HTMLFormCollection(const DOM::HTMLFormCollection&)
	{55, 241, 191, 1, Smoke::mf_ctor|Smoke::mf_protected, 179, 2},	//825 DOM::HTMLFormCollection::HTMLFormCollection(DOM::NodeImpl*)
	{56, 244, 0, 0, Smoke::mf_ctor, 182, 1},	//826 DOM::HTMLFormElement::HTMLFormElement()
	{56, 244, 609, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 182, 2},	//827 DOM::HTMLFormElement::HTMLFormElement(const DOM::HTMLFormElement&)
	{56, 244, 708, 1, Smoke::mf_ctor, 182, 3},	//828 DOM::HTMLFormElement::HTMLFormElement(const DOM::Node&)
	{56, 1158, 609, 1, 0, 181, 4},	//829 DOM::HTMLFormElement::operator=(const DOM::HTMLFormElement&)
	{56, 1158, 708, 1, 0, 181, 5},	//830 DOM::HTMLFormElement::operator=(const DOM::Node&)
	{56, 1954, 0, 0, Smoke::mf_dtor, 0, 23},	//831 DOM::HTMLFormElement::~HTMLFormElement()
	{56, 781, 0, 0, Smoke::mf_const, 152, 6},	//832 DOM::HTMLFormElement::elements() const
	{56, 1073, 0, 0, Smoke::mf_const, 1004, 7},	//833 DOM::HTMLFormElement::length() const
	{56, 1114, 0, 0, Smoke::mf_const, 86, 8},	//834 DOM::HTMLFormElement::name() const
	{56, 1569, 455, 1, 0, 0, 9},	//835 DOM::HTMLFormElement::setName(const DOM::DOMString&)
	{56, 519, 0, 0, Smoke::mf_const, 86, 10},	//836 DOM::HTMLFormElement::acceptCharset() const
	{56, 1331, 455, 1, 0, 0, 11},	//837 DOM::HTMLFormElement::setAcceptCharset(const DOM::DOMString&)
	{56, 524, 0, 0, Smoke::mf_const, 86, 12},	//838 DOM::HTMLFormElement::action() const
	{56, 1335, 455, 1, 0, 0, 13},	//839 DOM::HTMLFormElement::setAction(const DOM::DOMString&)
	{56, 787, 0, 0, Smoke::mf_const, 86, 14},	//840 DOM::HTMLFormElement::enctype() const
	{56, 1470, 455, 1, 0, 0, 15},	//841 DOM::HTMLFormElement::setEnctype(const DOM::DOMString&)
	{56, 1098, 0, 0, Smoke::mf_const, 86, 16},	//842 DOM::HTMLFormElement::method() const
	{56, 1565, 455, 1, 0, 0, 17},	//843 DOM::HTMLFormElement::setMethod(const DOM::DOMString&)
	{56, 1816, 0, 0, Smoke::mf_const, 86, 18},	//844 DOM::HTMLFormElement::target() const
	{56, 1685, 455, 1, 0, 0, 19},	//845 DOM::HTMLFormElement::setTarget(const DOM::DOMString&)
	{56, 1795, 0, 0, 0, 0, 20},	//846 DOM::HTMLFormElement::submit()
	{56, 1271, 0, 0, 0, 0, 21},	//847 DOM::HTMLFormElement::reset()
	{56, 244, 82, 1, Smoke::mf_ctor|Smoke::mf_protected, 182, 22},	//848 DOM::HTMLFormElement::HTMLFormElement(DOM::HTMLFormElementImpl*)
	{57, 247, 0, 0, Smoke::mf_ctor, 185, 1},	//849 DOM::HTMLFrameElement::HTMLFrameElement()
	{57, 247, 613, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 185, 2},	//850 DOM::HTMLFrameElement::HTMLFrameElement(const DOM::HTMLFrameElement&)
	{57, 247, 708, 1, Smoke::mf_ctor, 185, 3},	//851 DOM::HTMLFrameElement::HTMLFrameElement(const DOM::Node&)
	{57, 1158, 613, 1, 0, 184, 4},	//852 DOM::HTMLFrameElement::operator=(const DOM::HTMLFrameElement&)
	{57, 1158, 708, 1, 0, 184, 5},	//853 DOM::HTMLFrameElement::operator=(const DOM::Node&)
	{57, 1955, 0, 0, Smoke::mf_dtor, 0, 24},	//854 DOM::HTMLFrameElement::~HTMLFrameElement()
	{57, 853, 0, 0, Smoke::mf_const, 86, 6},	//855 DOM::HTMLFrameElement::frameBorder() const
	{57, 1494, 455, 1, 0, 0, 7},	//856 DOM::HTMLFrameElement::setFrameBorder(const DOM::DOMString&)
	{57, 1084, 0, 0, Smoke::mf_const, 86, 8},	//857 DOM::HTMLFrameElement::longDesc() const
	{57, 1547, 455, 1, 0, 0, 9},	//858 DOM::HTMLFrameElement::setLongDesc(const DOM::DOMString&)
	{57, 1086, 0, 0, Smoke::mf_const, 86, 10},	//859 DOM::HTMLFrameElement::marginHeight() const
	{57, 1551, 455, 1, 0, 0, 11},	//860 DOM::HTMLFrameElement::setMarginHeight(const DOM::DOMString&)
	{57, 1087, 0, 0, Smoke::mf_const, 86, 12},	//861 DOM::HTMLFrameElement::marginWidth() const
	{57, 1554, 455, 1, 0, 0, 13},	//862 DOM::HTMLFrameElement::setMarginWidth(const DOM::DOMString&)
	{57, 1114, 0, 0, Smoke::mf_const, 86, 14},	//863 DOM::HTMLFrameElement::name() const
	{57, 1569, 455, 1, 0, 0, 15},	//864 DOM::HTMLFrameElement::setName(const DOM::DOMString&)
	{57, 1127, 0, 0, Smoke::mf_const, 831, 16},	//865 DOM::HTMLFrameElement::noResize() const
	{57, 1577, 395, 1, 0, 0, 17},	//866 DOM::HTMLFrameElement::setNoResize(bool)
	{57, 1304, 0, 0, Smoke::mf_const, 86, 18},	//867 DOM::HTMLFrameElement::scrolling() const
	{57, 1622, 455, 1, 0, 0, 19},	//868 DOM::HTMLFrameElement::setScrolling(const DOM::DOMString&)
	{57, 1765, 0, 0, Smoke::mf_const, 86, 20},	//869 DOM::HTMLFrameElement::src() const
	{57, 1655, 455, 1, 0, 0, 21},	//870 DOM::HTMLFrameElement::setSrc(const DOM::DOMString&)
	{57, 653, 0, 0, Smoke::mf_const, 90, 22},	//871 DOM::HTMLFrameElement::contentDocument() const
	{57, 247, 84, 1, Smoke::mf_ctor|Smoke::mf_protected, 185, 23},	//872 DOM::HTMLFrameElement::HTMLFrameElement(DOM::HTMLFrameElementImpl*)
	{58, 250, 0, 0, Smoke::mf_ctor, 188, 1},	//873 DOM::HTMLFrameSetElement::HTMLFrameSetElement()
	{58, 250, 615, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 188, 2},	//874 DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::HTMLFrameSetElement&)
	{58, 250, 708, 1, Smoke::mf_ctor, 188, 3},	//875 DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::Node&)
	{58, 1158, 615, 1, 0, 187, 4},	//876 DOM::HTMLFrameSetElement::operator=(const DOM::HTMLFrameSetElement&)
	{58, 1158, 708, 1, 0, 187, 5},	//877 DOM::HTMLFrameSetElement::operator=(const DOM::Node&)
	{58, 1956, 0, 0, Smoke::mf_dtor, 0, 11},	//878 DOM::HTMLFrameSetElement::~HTMLFrameSetElement()
	{58, 638, 0, 0, Smoke::mf_const, 86, 6},	//879 DOM::HTMLFrameSetElement::cols() const
	{58, 1413, 455, 1, 0, 0, 7},	//880 DOM::HTMLFrameSetElement::setCols(const DOM::DOMString&)
	{58, 1287, 0, 0, Smoke::mf_const, 86, 8},	//881 DOM::HTMLFrameSetElement::rows() const
	{58, 1613, 455, 1, 0, 0, 9},	//882 DOM::HTMLFrameSetElement::setRows(const DOM::DOMString&)
	{58, 250, 86, 1, Smoke::mf_ctor|Smoke::mf_protected, 188, 10},	//883 DOM::HTMLFrameSetElement::HTMLFrameSetElement(DOM::HTMLFrameSetElementImpl*)
	{59, 253, 0, 0, Smoke::mf_ctor, 192, 1},	//884 DOM::HTMLHRElement::HTMLHRElement()
	{59, 253, 617, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 192, 2},	//885 DOM::HTMLHRElement::HTMLHRElement(const DOM::HTMLHRElement&)
	{59, 253, 708, 1, Smoke::mf_ctor, 192, 3},	//886 DOM::HTMLHRElement::HTMLHRElement(const DOM::Node&)
	{59, 1158, 617, 1, 0, 191, 4},	//887 DOM::HTMLHRElement::operator=(const DOM::HTMLHRElement&)
	{59, 1158, 708, 1, 0, 191, 5},	//888 DOM::HTMLHRElement::operator=(const DOM::Node&)
	{59, 1957, 0, 0, Smoke::mf_dtor, 0, 15},	//889 DOM::HTMLHRElement::~HTMLHRElement()
	{59, 544, 0, 0, Smoke::mf_const, 86, 6},	//890 DOM::HTMLHRElement::align() const
	{59, 1339, 455, 1, 0, 0, 7},	//891 DOM::HTMLHRElement::setAlign(const DOM::DOMString&)
	{59, 1128, 0, 0, Smoke::mf_const, 831, 8},	//892 DOM::HTMLHRElement::noShade() const
	{59, 1579, 395, 1, 0, 0, 9},	//893 DOM::HTMLHRElement::setNoShade(bool)
	{59, 1750, 0, 0, Smoke::mf_const, 86, 10},	//894 DOM::HTMLHRElement::size() const
	{59, 1646, 455, 1, 0, 0, 11},	//895 DOM::HTMLHRElement::setSize(const DOM::DOMString&)
	{59, 1874, 0, 0, Smoke::mf_const, 86, 12},	//896 DOM::HTMLHRElement::width() const
	{59, 1725, 455, 1, 0, 0, 13},	//897 DOM::HTMLHRElement::setWidth(const DOM::DOMString&)
	{59, 253, 90, 1, Smoke::mf_ctor|Smoke::mf_protected, 192, 14},	//898 DOM::HTMLHRElement::HTMLHRElement(DOM::HTMLHRElementImpl*)
	{60, 256, 0, 0, Smoke::mf_ctor, 195, 1},	//899 DOM::HTMLHeadElement::HTMLHeadElement()
	{60, 256, 619, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 195, 2},	//900 DOM::HTMLHeadElement::HTMLHeadElement(const DOM::HTMLHeadElement&)
	{60, 256, 708, 1, Smoke::mf_ctor, 195, 3},	//901 DOM::HTMLHeadElement::HTMLHeadElement(const DOM::Node&)
	{60, 1158, 619, 1, 0, 194, 4},	//902 DOM::HTMLHeadElement::operator=(const DOM::HTMLHeadElement&)
	{60, 1158, 708, 1, 0, 194, 5},	//903 DOM::HTMLHeadElement::operator=(const DOM::Node&)
	{60, 1958, 0, 0, Smoke::mf_dtor, 0, 9},	//904 DOM::HTMLHeadElement::~HTMLHeadElement()
	{60, 1215, 0, 0, Smoke::mf_const, 86, 6},	//905 DOM::HTMLHeadElement::profile() const
	{60, 1597, 455, 1, 0, 0, 7},	//906 DOM::HTMLHeadElement::setProfile(const DOM::DOMString&)
	{60, 256, 92, 1, Smoke::mf_ctor|Smoke::mf_protected, 195, 8},	//907 DOM::HTMLHeadElement::HTMLHeadElement(DOM::HTMLHeadElementImpl*)
	{61, 259, 0, 0, Smoke::mf_ctor, 198, 1},	//908 DOM::HTMLHeadingElement::HTMLHeadingElement()
	{61, 259, 621, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 198, 2},	//909 DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::HTMLHeadingElement&)
	{61, 259, 708, 1, Smoke::mf_ctor, 198, 3},	//910 DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::Node&)
	{61, 1158, 621, 1, 0, 197, 4},	//911 DOM::HTMLHeadingElement::operator=(const DOM::HTMLHeadingElement&)
	{61, 1158, 708, 1, 0, 197, 5},	//912 DOM::HTMLHeadingElement::operator=(const DOM::Node&)
	{61, 1959, 0, 0, Smoke::mf_dtor, 0, 9},	//913 DOM::HTMLHeadingElement::~HTMLHeadingElement()
	{61, 544, 0, 0, Smoke::mf_const, 86, 6},	//914 DOM::HTMLHeadingElement::align() const
	{61, 1339, 455, 1, 0, 0, 7},	//915 DOM::HTMLHeadingElement::setAlign(const DOM::DOMString&)
	{61, 259, 76, 1, Smoke::mf_ctor|Smoke::mf_protected, 198, 8},	//916 DOM::HTMLHeadingElement::HTMLHeadingElement(DOM::HTMLElementImpl*)
	{62, 262, 0, 0, Smoke::mf_ctor, 200, 1},	//917 DOM::HTMLHtmlElement::HTMLHtmlElement()
	{62, 262, 623, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 200, 2},	//918 DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::HTMLHtmlElement&)
	{62, 262, 708, 1, Smoke::mf_ctor, 200, 3},	//919 DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::Node&)
	{62, 1158, 623, 1, 0, 199, 4},	//920 DOM::HTMLHtmlElement::operator=(const DOM::HTMLHtmlElement&)
	{62, 1158, 708, 1, 0, 199, 5},	//921 DOM::HTMLHtmlElement::operator=(const DOM::Node&)
	{62, 1960, 0, 0, Smoke::mf_dtor, 0, 9},	//922 DOM::HTMLHtmlElement::~HTMLHtmlElement()
	{62, 1856, 0, 0, Smoke::mf_const, 86, 6},	//923 DOM::HTMLHtmlElement::version() const
	{62, 1713, 455, 1, 0, 0, 7},	//924 DOM::HTMLHtmlElement::setVersion(const DOM::DOMString&)
	{62, 262, 94, 1, Smoke::mf_ctor|Smoke::mf_protected, 200, 8},	//925 DOM::HTMLHtmlElement::HTMLHtmlElement(DOM::HTMLHtmlElementImpl*)
	{63, 265, 0, 0, Smoke::mf_ctor, 203, 1},	//926 DOM::HTMLIFrameElement::HTMLIFrameElement()
	{63, 265, 625, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 203, 2},	//927 DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::HTMLIFrameElement&)
	{63, 265, 708, 1, Smoke::mf_ctor, 203, 3},	//928 DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::Node&)
	{63, 1158, 625, 1, 0, 202, 4},	//929 DOM::HTMLIFrameElement::operator=(const DOM::HTMLIFrameElement&)
	{63, 1158, 708, 1, 0, 202, 5},	//930 DOM::HTMLIFrameElement::operator=(const DOM::Node&)
	{63, 1961, 0, 0, Smoke::mf_dtor, 0, 28},	//931 DOM::HTMLIFrameElement::~HTMLIFrameElement()
	{63, 544, 0, 0, Smoke::mf_const, 86, 6},	//932 DOM::HTMLIFrameElement::align() const
	{63, 1339, 455, 1, 0, 0, 7},	//933 DOM::HTMLIFrameElement::setAlign(const DOM::DOMString&)
	{63, 853, 0, 0, Smoke::mf_const, 86, 8},	//934 DOM::HTMLIFrameElement::frameBorder() const
	{63, 1494, 455, 1, 0, 0, 9},	//935 DOM::HTMLIFrameElement::setFrameBorder(const DOM::DOMString&)
	{63, 926, 0, 0, Smoke::mf_const, 86, 10},	//936 DOM::HTMLIFrameElement::height() const
	{63, 1498, 455, 1, 0, 0, 11},	//937 DOM::HTMLIFrameElement::setHeight(const DOM::DOMString&)
	{63, 1084, 0, 0, Smoke::mf_const, 86, 12},	//938 DOM::HTMLIFrameElement::longDesc() const
	{63, 1547, 455, 1, 0, 0, 13},	//939 DOM::HTMLIFrameElement::setLongDesc(const DOM::DOMString&)
	{63, 1086, 0, 0, Smoke::mf_const, 86, 14},	//940 DOM::HTMLIFrameElement::marginHeight() const
	{63, 1551, 455, 1, 0, 0, 15},	//941 DOM::HTMLIFrameElement::setMarginHeight(const DOM::DOMString&)
	{63, 1087, 0, 0, Smoke::mf_const, 86, 16},	//942 DOM::HTMLIFrameElement::marginWidth() const
	{63, 1554, 455, 1, 0, 0, 17},	//943 DOM::HTMLIFrameElement::setMarginWidth(const DOM::DOMString&)
	{63, 1114, 0, 0, Smoke::mf_const, 86, 18},	//944 DOM::HTMLIFrameElement::name() const
	{63, 1569, 455, 1, 0, 0, 19},	//945 DOM::HTMLIFrameElement::setName(const DOM::DOMString&)
	{63, 1304, 0, 0, Smoke::mf_const, 86, 20},	//946 DOM::HTMLIFrameElement::scrolling() const
	{63, 1622, 455, 1, 0, 0, 21},	//947 DOM::HTMLIFrameElement::setScrolling(const DOM::DOMString&)
	{63, 1765, 0, 0, Smoke::mf_const, 86, 22},	//948 DOM::HTMLIFrameElement::src() const
	{63, 1655, 455, 1, 0, 0, 23},	//949 DOM::HTMLIFrameElement::setSrc(const DOM::DOMString&)
	{63, 1874, 0, 0, Smoke::mf_const, 86, 24},	//950 DOM::HTMLIFrameElement::width() const
	{63, 1725, 455, 1, 0, 0, 25},	//951 DOM::HTMLIFrameElement::setWidth(const DOM::DOMString&)
	{63, 653, 0, 0, Smoke::mf_const, 90, 26},	//952 DOM::HTMLIFrameElement::contentDocument() const
	{63, 265, 96, 1, Smoke::mf_ctor|Smoke::mf_protected, 203, 27},	//953 DOM::HTMLIFrameElement::HTMLIFrameElement(DOM::HTMLIFrameElementImpl*)
	{64, 268, 0, 0, Smoke::mf_ctor, 206, 1},	//954 DOM::HTMLImageElement::HTMLImageElement()
	{64, 268, 627, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 206, 2},	//955 DOM::HTMLImageElement::HTMLImageElement(const DOM::HTMLImageElement&)
	{64, 268, 708, 1, Smoke::mf_ctor, 206, 3},	//956 DOM::HTMLImageElement::HTMLImageElement(const DOM::Node&)
	{64, 1158, 627, 1, 0, 205, 4},	//957 DOM::HTMLImageElement::operator=(const DOM::HTMLImageElement&)
	{64, 1158, 708, 1, 0, 205, 5},	//958 DOM::HTMLImageElement::operator=(const DOM::Node&)
	{64, 1962, 0, 0, Smoke::mf_dtor, 0, 33},	//959 DOM::HTMLImageElement::~HTMLImageElement()
	{64, 1114, 0, 0, Smoke::mf_const, 86, 6},	//960 DOM::HTMLImageElement::name() const
	{64, 1569, 455, 1, 0, 0, 7},	//961 DOM::HTMLImageElement::setName(const DOM::DOMString&)
	{64, 544, 0, 0, Smoke::mf_const, 86, 8},	//962 DOM::HTMLImageElement::align() const
	{64, 1339, 455, 1, 0, 0, 9},	//963 DOM::HTMLImageElement::setAlign(const DOM::DOMString&)
	{64, 547, 0, 0, Smoke::mf_const, 86, 10},	//964 DOM::HTMLImageElement::alt() const
	{64, 1341, 455, 1, 0, 0, 11},	//965 DOM::HTMLImageElement::setAlt(const DOM::DOMString&)
	{64, 869, 0, 0, Smoke::mf_const, 86, 12},	//966 DOM::HTMLImageElement::getBorder() const
	{64, 1367, 455, 1, 0, 0, 13},	//967 DOM::HTMLImageElement::setBorder(const DOM::DOMString&)
	{64, 926, 0, 0, Smoke::mf_const, 1004, 14},	//968 DOM::HTMLImageElement::height() const
	{64, 1498, 9, 1, 0, 0, 15},	//969 DOM::HTMLImageElement::setHeight(long)
	{64, 938, 0, 0, Smoke::mf_const, 1004, 16},	//970 DOM::HTMLImageElement::hspace() const
	{64, 1507, 9, 1, 0, 0, 17},	//971 DOM::HTMLImageElement::setHspace(long)
	{64, 1014, 0, 0, Smoke::mf_const, 831, 18},	//972 DOM::HTMLImageElement::isMap() const
	{64, 1523, 395, 1, 0, 0, 19},	//973 DOM::HTMLImageElement::setIsMap(bool)
	{64, 1084, 0, 0, Smoke::mf_const, 86, 20},	//974 DOM::HTMLImageElement::longDesc() const
	{64, 1547, 455, 1, 0, 0, 21},	//975 DOM::HTMLImageElement::setLongDesc(const DOM::DOMString&)
	{64, 1765, 0, 0, Smoke::mf_const, 86, 22},	//976 DOM::HTMLImageElement::src() const
	{64, 1655, 455, 1, 0, 0, 23},	//977 DOM::HTMLImageElement::setSrc(const DOM::DOMString&)
	{64, 1849, 0, 0, Smoke::mf_const, 86, 24},	//978 DOM::HTMLImageElement::useMap() const
	{64, 1699, 455, 1, 0, 0, 25},	//979 DOM::HTMLImageElement::setUseMap(const DOM::DOMString&)
	{64, 1866, 0, 0, Smoke::mf_const, 1004, 26},	//980 DOM::HTMLImageElement::vspace() const
	{64, 1721, 9, 1, 0, 0, 27},	//981 DOM::HTMLImageElement::setVspace(long)
	{64, 1874, 0, 0, Smoke::mf_const, 1004, 28},	//982 DOM::HTMLImageElement::width() const
	{64, 1725, 9, 1, 0, 0, 29},	//983 DOM::HTMLImageElement::setWidth(long)
	{64, 1893, 0, 0, Smoke::mf_const, 1004, 30},	//984 DOM::HTMLImageElement::x() const
	{64, 1895, 0, 0, Smoke::mf_const, 1004, 31},	//985 DOM::HTMLImageElement::y() const
	{64, 268, 98, 1, Smoke::mf_ctor|Smoke::mf_protected, 206, 32},	//986 DOM::HTMLImageElement::HTMLImageElement(DOM::HTMLImageElementImpl*)
	{65, 271, 0, 0, Smoke::mf_ctor, 209, 1},	//987 DOM::HTMLInputElement::HTMLInputElement()
	{65, 271, 629, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 209, 2},	//988 DOM::HTMLInputElement::HTMLInputElement(const DOM::HTMLInputElement&)
	{65, 271, 708, 1, Smoke::mf_ctor, 209, 3},	//989 DOM::HTMLInputElement::HTMLInputElement(const DOM::Node&)
	{65, 1158, 629, 1, 0, 208, 4},	//990 DOM::HTMLInputElement::operator=(const DOM::HTMLInputElement&)
	{65, 1158, 708, 1, 0, 208, 5},	//991 DOM::HTMLInputElement::operator=(const DOM::Node&)
	{65, 1963, 0, 0, Smoke::mf_dtor, 0, 53},	//992 DOM::HTMLInputElement::~HTMLInputElement()
	{65, 727, 0, 0, Smoke::mf_const, 86, 6},	//993 DOM::HTMLInputElement::defaultValue() const
	{65, 1454, 455, 1, 0, 0, 7},	//994 DOM::HTMLInputElement::setDefaultValue(const DOM::DOMString&)
	{65, 725, 0, 0, Smoke::mf_const, 831, 8},	//995 DOM::HTMLInputElement::defaultChecked() const
	{65, 1450, 395, 1, 0, 0, 9},	//996 DOM::HTMLInputElement::setDefaultChecked(bool)
	{65, 847, 0, 0, Smoke::mf_const, 180, 10},	//997 DOM::HTMLInputElement::form() const
	{65, 518, 0, 0, Smoke::mf_const, 86, 11},	//998 DOM::HTMLInputElement::accept() const
	{65, 1329, 455, 1, 0, 0, 12},	//999 DOM::HTMLInputElement::setAccept(const DOM::DOMString&)
	{65, 522, 0, 0, Smoke::mf_const, 86, 13},	//1000 DOM::HTMLInputElement::accessKey() const
	{65, 1333, 455, 1, 0, 0, 14},	//1001 DOM::HTMLInputElement::setAccessKey(const DOM::DOMString&)
	{65, 544, 0, 0, Smoke::mf_const, 86, 15},	//1002 DOM::HTMLInputElement::align() const
	{65, 1339, 455, 1, 0, 0, 16},	//1003 DOM::HTMLInputElement::setAlign(const DOM::DOMString&)
	{65, 547, 0, 0, Smoke::mf_const, 86, 17},	//1004 DOM::HTMLInputElement::alt() const
	{65, 1341, 455, 1, 0, 0, 18},	//1005 DOM::HTMLInputElement::setAlt(const DOM::DOMString&)
	{65, 609, 0, 0, Smoke::mf_const, 831, 19},	//1006 DOM::HTMLInputElement::checked() const
	{65, 1394, 395, 1, 0, 0, 20},	//1007 DOM::HTMLInputElement::setChecked(bool)
	{65, 951, 0, 0, Smoke::mf_const, 831, 21},	//1008 DOM::HTMLInputElement::indeterminate() const
	{65, 1515, 395, 1, 0, 0, 22},	//1009 DOM::HTMLInputElement::setIndeterminate(bool)
	{65, 751, 0, 0, Smoke::mf_const, 831, 23},	//1010 DOM::HTMLInputElement::disabled() const
	{65, 1462, 395, 1, 0, 0, 24},	//1011 DOM::HTMLInputElement::setDisabled(bool)
	{65, 1089, 0, 0, Smoke::mf_const, 1004, 25},	//1012 DOM::HTMLInputElement::maxLength() const
	{65, 1557, 9, 1, 0, 0, 26},	//1013 DOM::HTMLInputElement::setMaxLength(long)
	{65, 1114, 0, 0, Smoke::mf_const, 86, 27},	//1014 DOM::HTMLInputElement::name() const
	{65, 1569, 455, 1, 0, 0, 28},	//1015 DOM::HTMLInputElement::setName(const DOM::DOMString&)
	{65, 1232, 0, 0, Smoke::mf_const, 831, 29},	//1016 DOM::HTMLInputElement::readOnly() const
	{65, 1603, 395, 1, 0, 0, 30},	//1017 DOM::HTMLInputElement::setReadOnly(bool)
	{65, 905, 0, 0, Smoke::mf_const, 1004, 31},	//1018 DOM::HTMLInputElement::getSize() const
	{65, 1646, 9, 1, 0, 0, 32},	//1019 DOM::HTMLInputElement::setSize(long)
	{65, 1765, 0, 0, Smoke::mf_const, 86, 33},	//1020 DOM::HTMLInputElement::src() const
	{65, 1655, 455, 1, 0, 0, 34},	//1021 DOM::HTMLInputElement::setSrc(const DOM::DOMString&)
	{65, 1812, 0, 0, Smoke::mf_const, 1004, 35},	//1022 DOM::HTMLInputElement::tabIndex() const
	{65, 1683, 9, 1, 0, 0, 36},	//1023 DOM::HTMLInputElement::setTabIndex(long)
	{65, 1835, 0, 0, Smoke::mf_const, 86, 37},	//1024 DOM::HTMLInputElement::type() const
	{65, 1695, 455, 1, 0, 0, 38},	//1025 DOM::HTMLInputElement::setType(const DOM::DOMString&)
	{65, 1849, 0, 0, Smoke::mf_const, 86, 39},	//1026 DOM::HTMLInputElement::useMap() const
	{65, 1699, 455, 1, 0, 0, 40},	//1027 DOM::HTMLInputElement::setUseMap(const DOM::DOMString&)
	{65, 1854, 0, 0, Smoke::mf_const, 86, 41},	//1028 DOM::HTMLInputElement::value() const
	{65, 1708, 455, 1, 0, 0, 42},	//1029 DOM::HTMLInputElement::setValue(const DOM::DOMString&)
	{65, 583, 0, 0, 0, 0, 43},	//1030 DOM::HTMLInputElement::blur()
	{65, 836, 0, 0, 0, 0, 44},	//1031 DOM::HTMLInputElement::focus()
	{65, 1306, 0, 0, 0, 0, 45},	//1032 DOM::HTMLInputElement::select()
	{65, 619, 0, 0, 0, 0, 46},	//1033 DOM::HTMLInputElement::click()
	{65, 1321, 0, 0, 0, 1004, 47},	//1034 DOM::HTMLInputElement::selectionStart()
	{65, 1640, 9, 1, 0, 0, 48},	//1035 DOM::HTMLInputElement::setSelectionStart(long)
	{65, 1320, 0, 0, 0, 1004, 49},	//1036 DOM::HTMLInputElement::selectionEnd()
	{65, 1636, 9, 1, 0, 0, 50},	//1037 DOM::HTMLInputElement::setSelectionEnd(long)
	{65, 1638, 11, 2, 0, 0, 51},	//1038 DOM::HTMLInputElement::setSelectionRange(long, long)
	{65, 271, 102, 1, Smoke::mf_ctor|Smoke::mf_protected, 209, 52},	//1039 DOM::HTMLInputElement::HTMLInputElement(DOM::HTMLInputElementImpl*)
	{66, 274, 0, 0, Smoke::mf_ctor, 212, 1},	//1040 DOM::HTMLIsIndexElement::HTMLIsIndexElement()
	{66, 274, 631, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 212, 2},	//1041 DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::HTMLIsIndexElement&)
	{66, 274, 708, 1, Smoke::mf_ctor, 212, 3},	//1042 DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::Node&)
	{66, 1158, 631, 1, 0, 211, 4},	//1043 DOM::HTMLIsIndexElement::operator=(const DOM::HTMLIsIndexElement&)
	{66, 1158, 708, 1, 0, 211, 5},	//1044 DOM::HTMLIsIndexElement::operator=(const DOM::Node&)
	{66, 1964, 0, 0, Smoke::mf_dtor, 0, 10},	//1045 DOM::HTMLIsIndexElement::~HTMLIsIndexElement()
	{66, 847, 0, 0, Smoke::mf_const, 180, 6},	//1046 DOM::HTMLIsIndexElement::form() const
	{66, 1216, 0, 0, Smoke::mf_const, 86, 7},	//1047 DOM::HTMLIsIndexElement::prompt() const
	{66, 1599, 455, 1, 0, 0, 8},	//1048 DOM::HTMLIsIndexElement::setPrompt(const DOM::DOMString&)
	{66, 274, 104, 1, Smoke::mf_ctor|Smoke::mf_protected, 212, 9},	//1049 DOM::HTMLIsIndexElement::HTMLIsIndexElement(DOM::HTMLIsIndexElementImpl*)
	{67, 277, 0, 0, Smoke::mf_ctor, 215, 1},	//1050 DOM::HTMLLIElement::HTMLLIElement()
	{67, 277, 633, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 215, 2},	//1051 DOM::HTMLLIElement::HTMLLIElement(const DOM::HTMLLIElement&)
	{67, 277, 708, 1, Smoke::mf_ctor, 215, 3},	//1052 DOM::HTMLLIElement::HTMLLIElement(const DOM::Node&)
	{67, 1158, 633, 1, 0, 214, 4},	//1053 DOM::HTMLLIElement::operator=(const DOM::HTMLLIElement&)
	{67, 1158, 708, 1, 0, 214, 5},	//1054 DOM::HTMLLIElement::operator=(const DOM::Node&)
	{67, 1965, 0, 0, Smoke::mf_dtor, 0, 11},	//1055 DOM::HTMLLIElement::~HTMLLIElement()
	{67, 1835, 0, 0, Smoke::mf_const, 86, 6},	//1056 DOM::HTMLLIElement::type() const
	{67, 1695, 455, 1, 0, 0, 7},	//1057 DOM::HTMLLIElement::setType(const DOM::DOMString&)
	{67, 1854, 0, 0, Smoke::mf_const, 1004, 8},	//1058 DOM::HTMLLIElement::value() const
	{67, 1708, 9, 1, 0, 0, 9},	//1059 DOM::HTMLLIElement::setValue(long)
	{67, 277, 106, 1, Smoke::mf_ctor|Smoke::mf_protected, 215, 10},	//1060 DOM::HTMLLIElement::HTMLLIElement(DOM::HTMLLIElementImpl*)
	{68, 280, 0, 0, Smoke::mf_ctor, 218, 1},	//1061 DOM::HTMLLabelElement::HTMLLabelElement()
	{68, 280, 635, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 218, 2},	//1062 DOM::HTMLLabelElement::HTMLLabelElement(const DOM::HTMLLabelElement&)
	{68, 280, 708, 1, Smoke::mf_ctor, 218, 3},	//1063 DOM::HTMLLabelElement::HTMLLabelElement(const DOM::Node&)
	{68, 1158, 635, 1, 0, 217, 4},	//1064 DOM::HTMLLabelElement::operator=(const DOM::HTMLLabelElement&)
	{68, 1158, 708, 1, 0, 217, 5},	//1065 DOM::HTMLLabelElement::operator=(const DOM::Node&)
	{68, 1966, 0, 0, Smoke::mf_dtor, 0, 11},	//1066 DOM::HTMLLabelElement::~HTMLLabelElement()
	{68, 522, 0, 0, Smoke::mf_const, 86, 6},	//1067 DOM::HTMLLabelElement::accessKey() const
	{68, 1333, 455, 1, 0, 0, 7},	//1068 DOM::HTMLLabelElement::setAccessKey(const DOM::DOMString&)
	{68, 942, 0, 0, Smoke::mf_const, 86, 8},	//1069 DOM::HTMLLabelElement::htmlFor() const
	{68, 1509, 455, 1, 0, 0, 9},	//1070 DOM::HTMLLabelElement::setHtmlFor(const DOM::DOMString&)
	{68, 280, 108, 1, Smoke::mf_ctor|Smoke::mf_protected, 218, 10},	//1071 DOM::HTMLLabelElement::HTMLLabelElement(DOM::HTMLLabelElementImpl*)
	{69, 283, 0, 0, Smoke::mf_ctor, 221, 1},	//1072 DOM::HTMLLayerElement::HTMLLayerElement()
	{69, 283, 637, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 221, 2},	//1073 DOM::HTMLLayerElement::HTMLLayerElement(const DOM::HTMLLayerElement&)
	{69, 283, 708, 1, Smoke::mf_ctor, 221, 3},	//1074 DOM::HTMLLayerElement::HTMLLayerElement(const DOM::Node&)
	{69, 1158, 637, 1, 0, 220, 4},	//1075 DOM::HTMLLayerElement::operator=(const DOM::HTMLLayerElement&)
	{69, 1158, 708, 1, 0, 220, 5},	//1076 DOM::HTMLLayerElement::operator=(const DOM::Node&)
	{69, 1967, 0, 0, Smoke::mf_dtor, 0, 16},	//1077 DOM::HTMLLayerElement::~HTMLLayerElement()
	{69, 1831, 0, 0, Smoke::mf_const, 1004, 6},	//1078 DOM::HTMLLayerElement::top() const
	{69, 1693, 9, 1, 0, 0, 7},	//1079 DOM::HTMLLayerElement::setTop(long)
	{69, 1072, 0, 0, Smoke::mf_const, 1004, 8},	//1080 DOM::HTMLLayerElement::left() const
	{69, 1541, 9, 1, 0, 0, 9},	//1081 DOM::HTMLLayerElement::setLeft(long)
	{69, 1863, 0, 0, Smoke::mf_const, 86, 10},	//1082 DOM::HTMLLayerElement::visibility() const
	{69, 1717, 455, 1, 0, 0, 11},	//1083 DOM::HTMLLayerElement::setVisibility(const DOM::DOMString&)
	{69, 581, 0, 0, Smoke::mf_const, 86, 12},	//1084 DOM::HTMLLayerElement::bgColor() const
	{69, 1363, 455, 1, 0, 0, 13},	//1085 DOM::HTMLLayerElement::setBgColor(const DOM::DOMString&)
	{69, 1068, 0, 0, Smoke::mf_const, 152, 14},	//1086 DOM::HTMLLayerElement::layers() const
	{69, 283, 110, 1, Smoke::mf_ctor|Smoke::mf_protected, 221, 15},	//1087 DOM::HTMLLayerElement::HTMLLayerElement(DOM::HTMLLayerElementImpl*)
	{70, 286, 0, 0, Smoke::mf_ctor, 224, 1},	//1088 DOM::HTMLLegendElement::HTMLLegendElement()
	{70, 286, 639, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 224, 2},	//1089 DOM::HTMLLegendElement::HTMLLegendElement(const DOM::HTMLLegendElement&)
	{70, 286, 708, 1, Smoke::mf_ctor, 224, 3},	//1090 DOM::HTMLLegendElement::HTMLLegendElement(const DOM::Node&)
	{70, 1158, 639, 1, 0, 223, 4},	//1091 DOM::HTMLLegendElement::operator=(const DOM::HTMLLegendElement&)
	{70, 1158, 708, 1, 0, 223, 5},	//1092 DOM::HTMLLegendElement::operator=(const DOM::Node&)
	{70, 1968, 0, 0, Smoke::mf_dtor, 0, 12},	//1093 DOM::HTMLLegendElement::~HTMLLegendElement()
	{70, 847, 0, 0, Smoke::mf_const, 180, 6},	//1094 DOM::HTMLLegendElement::form() const
	{70, 522, 0, 0, Smoke::mf_const, 86, 7},	//1095 DOM::HTMLLegendElement::accessKey() const
	{70, 1333, 455, 1, 0, 0, 8},	//1096 DOM::HTMLLegendElement::setAccessKey(const DOM::DOMString&)
	{70, 544, 0, 0, Smoke::mf_const, 86, 9},	//1097 DOM::HTMLLegendElement::align() const
	{70, 1339, 455, 1, 0, 0, 10},	//1098 DOM::HTMLLegendElement::setAlign(const DOM::DOMString&)
	{70, 286, 112, 1, Smoke::mf_ctor|Smoke::mf_protected, 224, 11},	//1099 DOM::HTMLLegendElement::HTMLLegendElement(DOM::HTMLLegendElementImpl*)
	{71, 289, 0, 0, Smoke::mf_ctor, 227, 1},	//1100 DOM::HTMLLinkElement::HTMLLinkElement()
	{71, 289, 641, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 227, 2},	//1101 DOM::HTMLLinkElement::HTMLLinkElement(const DOM::HTMLLinkElement&)
	{71, 289, 708, 1, Smoke::mf_ctor, 227, 3},	//1102 DOM::HTMLLinkElement::HTMLLinkElement(const DOM::Node&)
	{71, 1158, 641, 1, 0, 226, 4},	//1103 DOM::HTMLLinkElement::operator=(const DOM::HTMLLinkElement&)
	{71, 1158, 708, 1, 0, 226, 5},	//1104 DOM::HTMLLinkElement::operator=(const DOM::Node&)
	{71, 1969, 0, 0, Smoke::mf_dtor, 0, 26},	//1105 DOM::HTMLLinkElement::~HTMLLinkElement()
	{71, 751, 0, 0, Smoke::mf_const, 831, 6},	//1106 DOM::HTMLLinkElement::disabled() const
	{71, 1462, 395, 1, 0, 0, 7},	//1107 DOM::HTMLLinkElement::setDisabled(bool)
	{71, 608, 0, 0, Smoke::mf_const, 86, 8},	//1108 DOM::HTMLLinkElement::charset() const
	{71, 1392, 455, 1, 0, 0, 9},	//1109 DOM::HTMLLinkElement::setCharset(const DOM::DOMString&)
	{71, 936, 0, 0, Smoke::mf_const, 86, 10},	//1110 DOM::HTMLLinkElement::href() const
	{71, 1503, 455, 1, 0, 0, 11},	//1111 DOM::HTMLLinkElement::setHref(const DOM::DOMString&)
	{71, 937, 0, 0, Smoke::mf_const, 86, 12},	//1112 DOM::HTMLLinkElement::hreflang() const
	{71, 1505, 455, 1, 0, 0, 13},	//1113 DOM::HTMLLinkElement::setHreflang(const DOM::DOMString&)
	{71, 1092, 0, 0, Smoke::mf_const, 86, 14},	//1114 DOM::HTMLLinkElement::media() const
	{71, 1559, 455, 1, 0, 0, 15},	//1115 DOM::HTMLLinkElement::setMedia(const DOM::DOMString&)
	{71, 1237, 0, 0, Smoke::mf_const, 86, 16},	//1116 DOM::HTMLLinkElement::rel() const
	{71, 1605, 455, 1, 0, 0, 17},	//1117 DOM::HTMLLinkElement::setRel(const DOM::DOMString&)
	{71, 1279, 0, 0, Smoke::mf_const, 86, 18},	//1118 DOM::HTMLLinkElement::rev() const
	{71, 1607, 455, 1, 0, 0, 19},	//1119 DOM::HTMLLinkElement::setRev(const DOM::DOMString&)
	{71, 1816, 0, 0, Smoke::mf_const, 86, 20},	//1120 DOM::HTMLLinkElement::target() const
	{71, 1685, 455, 1, 0, 0, 21},	//1121 DOM::HTMLLinkElement::setTarget(const DOM::DOMString&)
	{71, 1835, 0, 0, Smoke::mf_const, 86, 22},	//1122 DOM::HTMLLinkElement::type() const
	{71, 1695, 455, 1, 0, 0, 23},	//1123 DOM::HTMLLinkElement::setType(const DOM::DOMString&)
	{71, 1742, 0, 0, Smoke::mf_const, 362, 24},	//1124 DOM::HTMLLinkElement::sheet() const
	{71, 289, 114, 1, Smoke::mf_ctor|Smoke::mf_protected, 227, 25},	//1125 DOM::HTMLLinkElement::HTMLLinkElement(DOM::HTMLLinkElementImpl*)
	{72, 292, 0, 0, Smoke::mf_ctor, 230, 1},	//1126 DOM::HTMLMapElement::HTMLMapElement()
	{72, 292, 643, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 230, 2},	//1127 DOM::HTMLMapElement::HTMLMapElement(const DOM::HTMLMapElement&)
	{72, 292, 708, 1, Smoke::mf_ctor, 230, 3},	//1128 DOM::HTMLMapElement::HTMLMapElement(const DOM::Node&)
	{72, 1158, 643, 1, 0, 229, 4},	//1129 DOM::HTMLMapElement::operator=(const DOM::HTMLMapElement&)
	{72, 1158, 708, 1, 0, 229, 5},	//1130 DOM::HTMLMapElement::operator=(const DOM::Node&)
	{72, 1970, 0, 0, Smoke::mf_dtor, 0, 10},	//1131 DOM::HTMLMapElement::~HTMLMapElement()
	{72, 559, 0, 0, Smoke::mf_const, 152, 6},	//1132 DOM::HTMLMapElement::areas() const
	{72, 1114, 0, 0, Smoke::mf_const, 86, 7},	//1133 DOM::HTMLMapElement::name() const
	{72, 1569, 455, 1, 0, 0, 8},	//1134 DOM::HTMLMapElement::setName(const DOM::DOMString&)
	{72, 292, 116, 1, Smoke::mf_ctor|Smoke::mf_protected, 230, 9},	//1135 DOM::HTMLMapElement::HTMLMapElement(DOM::HTMLMapElementImpl*)
	{73, 295, 0, 0, Smoke::mf_ctor, 233, 1},	//1136 DOM::HTMLMenuElement::HTMLMenuElement()
	{73, 295, 645, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 233, 2},	//1137 DOM::HTMLMenuElement::HTMLMenuElement(const DOM::HTMLMenuElement&)
	{73, 295, 708, 1, Smoke::mf_ctor, 233, 3},	//1138 DOM::HTMLMenuElement::HTMLMenuElement(const DOM::Node&)
	{73, 1158, 645, 1, 0, 232, 4},	//1139 DOM::HTMLMenuElement::operator=(const DOM::HTMLMenuElement&)
	{73, 1158, 708, 1, 0, 232, 5},	//1140 DOM::HTMLMenuElement::operator=(const DOM::Node&)
	{73, 1971, 0, 0, Smoke::mf_dtor, 0, 9},	//1141 DOM::HTMLMenuElement::~HTMLMenuElement()
	{73, 640, 0, 0, Smoke::mf_const, 831, 6},	//1142 DOM::HTMLMenuElement::compact() const
	{73, 1416, 395, 1, 0, 0, 7},	//1143 DOM::HTMLMenuElement::setCompact(bool)
	{73, 295, 118, 1, Smoke::mf_ctor|Smoke::mf_protected, 233, 8},	//1144 DOM::HTMLMenuElement::HTMLMenuElement(DOM::HTMLMenuElementImpl*)
	{74, 298, 0, 0, Smoke::mf_ctor, 236, 1},	//1145 DOM::HTMLMetaElement::HTMLMetaElement()
	{74, 298, 647, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 236, 2},	//1146 DOM::HTMLMetaElement::HTMLMetaElement(const DOM::HTMLMetaElement&)
	{74, 298, 708, 1, Smoke::mf_ctor, 236, 3},	//1147 DOM::HTMLMetaElement::HTMLMetaElement(const DOM::Node&)
	{74, 1158, 647, 1, 0, 235, 4},	//1148 DOM::HTMLMetaElement::operator=(const DOM::HTMLMetaElement&)
	{74, 1158, 708, 1, 0, 235, 5},	//1149 DOM::HTMLMetaElement::operator=(const DOM::Node&)
	{74, 1972, 0, 0, Smoke::mf_dtor, 0, 15},	//1150 DOM::HTMLMetaElement::~HTMLMetaElement()
	{74, 652, 0, 0, Smoke::mf_const, 86, 6},	//1151 DOM::HTMLMetaElement::content() const
	{74, 1421, 455, 1, 0, 0, 7},	//1152 DOM::HTMLMetaElement::setContent(const DOM::DOMString&)
	{74, 943, 0, 0, Smoke::mf_const, 86, 8},	//1153 DOM::HTMLMetaElement::httpEquiv() const
	{74, 1511, 455, 1, 0, 0, 9},	//1154 DOM::HTMLMetaElement::setHttpEquiv(const DOM::DOMString&)
	{74, 1114, 0, 0, Smoke::mf_const, 86, 10},	//1155 DOM::HTMLMetaElement::name() const
	{74, 1569, 455, 1, 0, 0, 11},	//1156 DOM::HTMLMetaElement::setName(const DOM::DOMString&)
	{74, 1295, 0, 0, Smoke::mf_const, 86, 12},	//1157 DOM::HTMLMetaElement::scheme() const
	{74, 1618, 455, 1, 0, 0, 13},	//1158 DOM::HTMLMetaElement::setScheme(const DOM::DOMString&)
	{74, 298, 120, 1, Smoke::mf_ctor|Smoke::mf_protected, 236, 14},	//1159 DOM::HTMLMetaElement::HTMLMetaElement(DOM::HTMLMetaElementImpl*)
	{75, 301, 0, 0, Smoke::mf_ctor, 239, 1},	//1160 DOM::HTMLModElement::HTMLModElement()
	{75, 301, 649, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 239, 2},	//1161 DOM::HTMLModElement::HTMLModElement(const DOM::HTMLModElement&)
	{75, 301, 708, 1, Smoke::mf_ctor, 239, 3},	//1162 DOM::HTMLModElement::HTMLModElement(const DOM::Node&)
	{75, 1158, 649, 1, 0, 238, 4},	//1163 DOM::HTMLModElement::operator=(const DOM::HTMLModElement&)
	{75, 1158, 708, 1, 0, 238, 5},	//1164 DOM::HTMLModElement::operator=(const DOM::Node&)
	{75, 1973, 0, 0, Smoke::mf_dtor, 0, 11},	//1165 DOM::HTMLModElement::~HTMLModElement()
	{75, 615, 0, 0, Smoke::mf_const, 86, 6},	//1166 DOM::HTMLModElement::cite() const
	{75, 1396, 455, 1, 0, 0, 7},	//1167 DOM::HTMLModElement::setCite(const DOM::DOMString&)
	{75, 723, 0, 0, Smoke::mf_const, 86, 8},	//1168 DOM::HTMLModElement::dateTime() const
	{75, 1446, 455, 1, 0, 0, 9},	//1169 DOM::HTMLModElement::setDateTime(const DOM::DOMString&)
	{75, 301, 76, 1, Smoke::mf_ctor|Smoke::mf_protected, 239, 10},	//1170 DOM::HTMLModElement::HTMLModElement(DOM::HTMLElementImpl*)
	{76, 304, 0, 0, Smoke::mf_ctor, 241, 1},	//1171 DOM::HTMLOListElement::HTMLOListElement()
	{76, 304, 651, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 241, 2},	//1172 DOM::HTMLOListElement::HTMLOListElement(const DOM::HTMLOListElement&)
	{76, 304, 708, 1, Smoke::mf_ctor, 241, 3},	//1173 DOM::HTMLOListElement::HTMLOListElement(const DOM::Node&)
	{76, 1158, 651, 1, 0, 240, 4},	//1174 DOM::HTMLOListElement::operator=(const DOM::HTMLOListElement&)
	{76, 1158, 708, 1, 0, 240, 5},	//1175 DOM::HTMLOListElement::operator=(const DOM::Node&)
	{76, 1974, 0, 0, Smoke::mf_dtor, 0, 13},	//1176 DOM::HTMLOListElement::~HTMLOListElement()
	{76, 640, 0, 0, Smoke::mf_const, 831, 6},	//1177 DOM::HTMLOListElement::compact() const
	{76, 1416, 395, 1, 0, 0, 7},	//1178 DOM::HTMLOListElement::setCompact(bool)
	{76, 1767, 0, 0, Smoke::mf_const, 1004, 8},	//1179 DOM::HTMLOListElement::start() const
	{76, 1661, 9, 1, 0, 0, 9},	//1180 DOM::HTMLOListElement::setStart(long)
	{76, 1835, 0, 0, Smoke::mf_const, 86, 10},	//1181 DOM::HTMLOListElement::type() const
	{76, 1695, 455, 1, 0, 0, 11},	//1182 DOM::HTMLOListElement::setType(const DOM::DOMString&)
	{76, 304, 124, 1, Smoke::mf_ctor|Smoke::mf_protected, 241, 12},	//1183 DOM::HTMLOListElement::HTMLOListElement(DOM::HTMLOListElementImpl*)
	{77, 307, 0, 0, Smoke::mf_ctor, 244, 1},	//1184 DOM::HTMLObjectElement::HTMLObjectElement()
	{77, 307, 653, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 244, 2},	//1185 DOM::HTMLObjectElement::HTMLObjectElement(const DOM::HTMLObjectElement&)
	{77, 307, 708, 1, Smoke::mf_ctor, 244, 3},	//1186 DOM::HTMLObjectElement::HTMLObjectElement(const DOM::Node&)
	{77, 1158, 653, 1, 0, 243, 4},	//1187 DOM::HTMLObjectElement::operator=(const DOM::HTMLObjectElement&)
	{77, 1158, 708, 1, 0, 243, 5},	//1188 DOM::HTMLObjectElement::operator=(const DOM::Node&)
	{77, 1975, 0, 0, Smoke::mf_dtor, 0, 43},	//1189 DOM::HTMLObjectElement::~HTMLObjectElement()
	{77, 847, 0, 0, Smoke::mf_const, 180, 6},	//1190 DOM::HTMLObjectElement::form() const
	{77, 630, 0, 0, Smoke::mf_const, 86, 7},	//1191 DOM::HTMLObjectElement::code() const
	{77, 1402, 455, 1, 0, 0, 8},	//1192 DOM::HTMLObjectElement::setCode(const DOM::DOMString&)
	{77, 544, 0, 0, Smoke::mf_const, 86, 9},	//1193 DOM::HTMLObjectElement::align() const
	{77, 1339, 455, 1, 0, 0, 10},	//1194 DOM::HTMLObjectElement::setAlign(const DOM::DOMString&)
	{77, 558, 0, 0, Smoke::mf_const, 86, 11},	//1195 DOM::HTMLObjectElement::archive() const
	{77, 1345, 455, 1, 0, 0, 12},	//1196 DOM::HTMLObjectElement::setArchive(const DOM::DOMString&)
	{77, 585, 0, 0, Smoke::mf_const, 86, 13},	//1197 DOM::HTMLObjectElement::border() const
	{77, 1367, 455, 1, 0, 0, 14},	//1198 DOM::HTMLObjectElement::setBorder(const DOM::DOMString&)
	{77, 631, 0, 0, Smoke::mf_const, 86, 15},	//1199 DOM::HTMLObjectElement::codeBase() const
	{77, 1405, 455, 1, 0, 0, 16},	//1200 DOM::HTMLObjectElement::setCodeBase(const DOM::DOMString&)
	{77, 632, 0, 0, Smoke::mf_const, 86, 17},	//1201 DOM::HTMLObjectElement::codeType() const
	{77, 1407, 455, 1, 0, 0, 18},	//1202 DOM::HTMLObjectElement::setCodeType(const DOM::DOMString&)
	{77, 722, 0, 0, Smoke::mf_const, 86, 19},	//1203 DOM::HTMLObjectElement::data() const
	{77, 1444, 455, 1, 0, 0, 20},	//1204 DOM::HTMLObjectElement::setData(const DOM::DOMString&)
	{77, 724, 0, 0, Smoke::mf_const, 831, 21},	//1205 DOM::HTMLObjectElement::declare() const
	{77, 1448, 395, 1, 0, 0, 22},	//1206 DOM::HTMLObjectElement::setDeclare(bool)
	{77, 926, 0, 0, Smoke::mf_const, 86, 23},	//1207 DOM::HTMLObjectElement::height() const
	{77, 1498, 455, 1, 0, 0, 24},	//1208 DOM::HTMLObjectElement::setHeight(const DOM::DOMString&)
	{77, 885, 0, 0, Smoke::mf_const, 1004, 25},	//1209 DOM::HTMLObjectElement::getHspace() const
	{77, 1507, 9, 1, 0, 0, 26},	//1210 DOM::HTMLObjectElement::setHspace(long)
	{77, 1114, 0, 0, Smoke::mf_const, 86, 27},	//1211 DOM::HTMLObjectElement::name() const
	{77, 1569, 455, 1, 0, 0, 28},	//1212 DOM::HTMLObjectElement::setName(const DOM::DOMString&)
	{77, 1766, 0, 0, Smoke::mf_const, 86, 29},	//1213 DOM::HTMLObjectElement::standby() const
	{77, 1659, 455, 1, 0, 0, 30},	//1214 DOM::HTMLObjectElement::setStandby(const DOM::DOMString&)
	{77, 1812, 0, 0, Smoke::mf_const, 1004, 31},	//1215 DOM::HTMLObjectElement::tabIndex() const
	{77, 1683, 9, 1, 0, 0, 32},	//1216 DOM::HTMLObjectElement::setTabIndex(long)
	{77, 1835, 0, 0, Smoke::mf_const, 86, 33},	//1217 DOM::HTMLObjectElement::type() const
	{77, 1695, 455, 1, 0, 0, 34},	//1218 DOM::HTMLObjectElement::setType(const DOM::DOMString&)
	{77, 1849, 0, 0, Smoke::mf_const, 86, 35},	//1219 DOM::HTMLObjectElement::useMap() const
	{77, 1699, 455, 1, 0, 0, 36},	//1220 DOM::HTMLObjectElement::setUseMap(const DOM::DOMString&)
	{77, 907, 0, 0, Smoke::mf_const, 1004, 37},	//1221 DOM::HTMLObjectElement::getVspace() const
	{77, 1721, 9, 1, 0, 0, 38},	//1222 DOM::HTMLObjectElement::setVspace(long)
	{77, 1874, 0, 0, Smoke::mf_const, 86, 39},	//1223 DOM::HTMLObjectElement::width() const
	{77, 1725, 455, 1, 0, 0, 40},	//1224 DOM::HTMLObjectElement::setWidth(const DOM::DOMString&)
	{77, 653, 0, 0, Smoke::mf_const, 90, 41},	//1225 DOM::HTMLObjectElement::contentDocument() const
	{77, 307, 126, 1, Smoke::mf_ctor|Smoke::mf_protected, 244, 42},	//1226 DOM::HTMLObjectElement::HTMLObjectElement(DOM::HTMLObjectElementImpl*)
	{78, 310, 0, 0, Smoke::mf_ctor, 247, 1},	//1227 DOM::HTMLOptGroupElement::HTMLOptGroupElement()
	{78, 310, 655, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 247, 2},	//1228 DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::HTMLOptGroupElement&)
	{78, 310, 708, 1, Smoke::mf_ctor, 247, 3},	//1229 DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::Node&)
	{78, 1158, 655, 1, 0, 246, 4},	//1230 DOM::HTMLOptGroupElement::operator=(const DOM::HTMLOptGroupElement&)
	{78, 1158, 708, 1, 0, 246, 5},	//1231 DOM::HTMLOptGroupElement::operator=(const DOM::Node&)
	{78, 1976, 0, 0, Smoke::mf_dtor, 0, 11},	//1232 DOM::HTMLOptGroupElement::~HTMLOptGroupElement()
	{78, 751, 0, 0, Smoke::mf_const, 831, 6},	//1233 DOM::HTMLOptGroupElement::disabled() const
	{78, 1462, 395, 1, 0, 0, 7},	//1234 DOM::HTMLOptGroupElement::setDisabled(bool)
	{78, 1060, 0, 0, Smoke::mf_const, 86, 8},	//1235 DOM::HTMLOptGroupElement::label() const
	{78, 1537, 455, 1, 0, 0, 9},	//1236 DOM::HTMLOptGroupElement::setLabel(const DOM::DOMString&)
	{78, 310, 128, 1, Smoke::mf_ctor|Smoke::mf_protected, 247, 10},	//1237 DOM::HTMLOptGroupElement::HTMLOptGroupElement(DOM::HTMLOptGroupElementImpl*)
	{79, 313, 0, 0, Smoke::mf_ctor, 250, 1},	//1238 DOM::HTMLOptionElement::HTMLOptionElement()
	{79, 313, 657, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 250, 2},	//1239 DOM::HTMLOptionElement::HTMLOptionElement(const DOM::HTMLOptionElement&)
	{79, 313, 708, 1, Smoke::mf_ctor, 250, 3},	//1240 DOM::HTMLOptionElement::HTMLOptionElement(const DOM::Node&)
	{79, 1158, 657, 1, 0, 249, 4},	//1241 DOM::HTMLOptionElement::operator=(const DOM::HTMLOptionElement&)
	{79, 1158, 708, 1, 0, 249, 5},	//1242 DOM::HTMLOptionElement::operator=(const DOM::Node&)
	{79, 1977, 0, 0, Smoke::mf_dtor, 0, 21},	//1243 DOM::HTMLOptionElement::~HTMLOptionElement()
	{79, 847, 0, 0, Smoke::mf_const, 180, 6},	//1244 DOM::HTMLOptionElement::form() const
	{79, 726, 0, 0, Smoke::mf_const, 831, 7},	//1245 DOM::HTMLOptionElement::defaultSelected() const
	{79, 1452, 395, 1, 0, 0, 8},	//1246 DOM::HTMLOptionElement::setDefaultSelected(bool)
	{79, 1817, 0, 0, Smoke::mf_const, 86, 9},	//1247 DOM::HTMLOptionElement::text() const
	{79, 952, 0, 0, Smoke::mf_const, 1004, 10},	//1248 DOM::HTMLOptionElement::index() const
	{79, 1517, 9, 1, 0, 0, 11},	//1249 DOM::HTMLOptionElement::setIndex(long)
	{79, 751, 0, 0, Smoke::mf_const, 831, 12},	//1250 DOM::HTMLOptionElement::disabled() const
	{79, 1462, 395, 1, 0, 0, 13},	//1251 DOM::HTMLOptionElement::setDisabled(bool)
	{79, 1060, 0, 0, Smoke::mf_const, 86, 14},	//1252 DOM::HTMLOptionElement::label() const
	{79, 1537, 455, 1, 0, 0, 15},	//1253 DOM::HTMLOptionElement::setLabel(const DOM::DOMString&)
	{79, 1312, 0, 0, Smoke::mf_const, 831, 16},	//1254 DOM::HTMLOptionElement::selected() const
	{79, 1628, 395, 1, 0, 0, 17},	//1255 DOM::HTMLOptionElement::setSelected(bool)
	{79, 1854, 0, 0, Smoke::mf_const, 86, 18},	//1256 DOM::HTMLOptionElement::value() const
	{79, 1708, 455, 1, 0, 0, 19},	//1257 DOM::HTMLOptionElement::setValue(const DOM::DOMString&)
	{79, 313, 130, 1, Smoke::mf_ctor|Smoke::mf_protected, 250, 20},	//1258 DOM::HTMLOptionElement::HTMLOptionElement(DOM::HTMLOptionElementImpl*)
	{80, 316, 0, 0, Smoke::mf_ctor, 253, 1},	//1259 DOM::HTMLParagraphElement::HTMLParagraphElement()
	{80, 316, 659, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 253, 2},	//1260 DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::HTMLParagraphElement&)
	{80, 316, 708, 1, Smoke::mf_ctor, 253, 3},	//1261 DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::Node&)
	{80, 1158, 659, 1, 0, 252, 4},	//1262 DOM::HTMLParagraphElement::operator=(const DOM::HTMLParagraphElement&)
	{80, 1158, 708, 1, 0, 252, 5},	//1263 DOM::HTMLParagraphElement::operator=(const DOM::Node&)
	{80, 1978, 0, 0, Smoke::mf_dtor, 0, 9},	//1264 DOM::HTMLParagraphElement::~HTMLParagraphElement()
	{80, 544, 0, 0, Smoke::mf_const, 86, 6},	//1265 DOM::HTMLParagraphElement::align() const
	{80, 1339, 455, 1, 0, 0, 7},	//1266 DOM::HTMLParagraphElement::setAlign(const DOM::DOMString&)
	{80, 316, 76, 1, Smoke::mf_ctor|Smoke::mf_protected, 253, 8},	//1267 DOM::HTMLParagraphElement::HTMLParagraphElement(DOM::HTMLElementImpl*)
	{81, 319, 0, 0, Smoke::mf_ctor, 255, 1},	//1268 DOM::HTMLParamElement::HTMLParamElement()
	{81, 319, 661, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 255, 2},	//1269 DOM::HTMLParamElement::HTMLParamElement(const DOM::HTMLParamElement&)
	{81, 319, 708, 1, Smoke::mf_ctor, 255, 3},	//1270 DOM::HTMLParamElement::HTMLParamElement(const DOM::Node&)
	{81, 1158, 661, 1, 0, 254, 4},	//1271 DOM::HTMLParamElement::operator=(const DOM::HTMLParamElement&)
	{81, 1158, 708, 1, 0, 254, 5},	//1272 DOM::HTMLParamElement::operator=(const DOM::Node&)
	{81, 1979, 0, 0, Smoke::mf_dtor, 0, 15},	//1273 DOM::HTMLParamElement::~HTMLParamElement()
	{81, 1114, 0, 0, Smoke::mf_const, 86, 6},	//1274 DOM::HTMLParamElement::name() const
	{81, 1569, 455, 1, 0, 0, 7},	//1275 DOM::HTMLParamElement::setName(const DOM::DOMString&)
	{81, 1835, 0, 0, Smoke::mf_const, 86, 8},	//1276 DOM::HTMLParamElement::type() const
	{81, 1695, 455, 1, 0, 0, 9},	//1277 DOM::HTMLParamElement::setType(const DOM::DOMString&)
	{81, 1854, 0, 0, Smoke::mf_const, 86, 10},	//1278 DOM::HTMLParamElement::value() const
	{81, 1708, 455, 1, 0, 0, 11},	//1279 DOM::HTMLParamElement::setValue(const DOM::DOMString&)
	{81, 1855, 0, 0, Smoke::mf_const, 86, 12},	//1280 DOM::HTMLParamElement::valueType() const
	{81, 1711, 455, 1, 0, 0, 13},	//1281 DOM::HTMLParamElement::setValueType(const DOM::DOMString&)
	{81, 319, 132, 1, Smoke::mf_ctor|Smoke::mf_protected, 255, 14},	//1282 DOM::HTMLParamElement::HTMLParamElement(DOM::HTMLParamElementImpl*)
	{82, 322, 0, 0, Smoke::mf_ctor, 258, 1},	//1283 DOM::HTMLPreElement::HTMLPreElement()
	{82, 322, 663, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 258, 2},	//1284 DOM::HTMLPreElement::HTMLPreElement(const DOM::HTMLPreElement&)
	{82, 322, 708, 1, Smoke::mf_ctor, 258, 3},	//1285 DOM::HTMLPreElement::HTMLPreElement(const DOM::Node&)
	{82, 1158, 663, 1, 0, 257, 4},	//1286 DOM::HTMLPreElement::operator=(const DOM::HTMLPreElement&)
	{82, 1158, 708, 1, 0, 257, 5},	//1287 DOM::HTMLPreElement::operator=(const DOM::Node&)
	{82, 1980, 0, 0, Smoke::mf_dtor, 0, 9},	//1288 DOM::HTMLPreElement::~HTMLPreElement()
	{82, 1874, 0, 0, Smoke::mf_const, 1004, 6},	//1289 DOM::HTMLPreElement::width() const
	{82, 1725, 9, 1, 0, 0, 7},	//1290 DOM::HTMLPreElement::setWidth(long)
	{82, 322, 134, 1, Smoke::mf_ctor|Smoke::mf_protected, 258, 8},	//1291 DOM::HTMLPreElement::HTMLPreElement(DOM::HTMLPreElementImpl*)
	{83, 325, 0, 0, Smoke::mf_ctor, 261, 1},	//1292 DOM::HTMLQuoteElement::HTMLQuoteElement()
	{83, 325, 665, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 261, 2},	//1293 DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::HTMLQuoteElement&)
	{83, 325, 708, 1, Smoke::mf_ctor, 261, 3},	//1294 DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::Node&)
	{83, 1158, 665, 1, 0, 260, 4},	//1295 DOM::HTMLQuoteElement::operator=(const DOM::HTMLQuoteElement&)
	{83, 1158, 708, 1, 0, 260, 5},	//1296 DOM::HTMLQuoteElement::operator=(const DOM::Node&)
	{83, 1981, 0, 0, Smoke::mf_dtor, 0, 9},	//1297 DOM::HTMLQuoteElement::~HTMLQuoteElement()
	{83, 615, 0, 0, Smoke::mf_const, 86, 6},	//1298 DOM::HTMLQuoteElement::cite() const
	{83, 1396, 455, 1, 0, 0, 7},	//1299 DOM::HTMLQuoteElement::setCite(const DOM::DOMString&)
	{83, 325, 88, 1, Smoke::mf_ctor|Smoke::mf_protected, 261, 8},	//1300 DOM::HTMLQuoteElement::HTMLQuoteElement(DOM::HTMLGenericElementImpl*)
	{84, 328, 0, 0, Smoke::mf_ctor, 263, 1},	//1301 DOM::HTMLScriptElement::HTMLScriptElement()
	{84, 328, 667, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 263, 2},	//1302 DOM::HTMLScriptElement::HTMLScriptElement(const DOM::HTMLScriptElement&)
	{84, 328, 708, 1, Smoke::mf_ctor, 263, 3},	//1303 DOM::HTMLScriptElement::HTMLScriptElement(const DOM::Node&)
	{84, 1158, 667, 1, 0, 262, 4},	//1304 DOM::HTMLScriptElement::operator=(const DOM::HTMLScriptElement&)
	{84, 1158, 708, 1, 0, 262, 5},	//1305 DOM::HTMLScriptElement::operator=(const DOM::Node&)
	{84, 1982, 0, 0, Smoke::mf_dtor, 0, 21},	//1306 DOM::HTMLScriptElement::~HTMLScriptElement()
	{84, 1817, 0, 0, Smoke::mf_const, 86, 6},	//1307 DOM::HTMLScriptElement::text() const
	{84, 1687, 455, 1, 0, 0, 7},	//1308 DOM::HTMLScriptElement::setText(const DOM::DOMString&)
	{84, 942, 0, 0, Smoke::mf_const, 86, 8},	//1309 DOM::HTMLScriptElement::htmlFor() const
	{84, 1509, 455, 1, 0, 0, 9},	//1310 DOM::HTMLScriptElement::setHtmlFor(const DOM::DOMString&)
	{84, 796, 0, 0, Smoke::mf_const, 86, 10},	//1311 DOM::HTMLScriptElement::event() const
	{84, 1478, 455, 1, 0, 0, 11},	//1312 DOM::HTMLScriptElement::setEvent(const DOM::DOMString&)
	{84, 608, 0, 0, Smoke::mf_const, 86, 12},	//1313 DOM::HTMLScriptElement::charset() const
	{84, 1392, 455, 1, 0, 0, 13},	//1314 DOM::HTMLScriptElement::setCharset(const DOM::DOMString&)
	{84, 729, 0, 0, Smoke::mf_const, 831, 14},	//1315 DOM::HTMLScriptElement::defer() const
	{84, 1456, 395, 1, 0, 0, 15},	//1316 DOM::HTMLScriptElement::setDefer(bool)
	{84, 1765, 0, 0, Smoke::mf_const, 86, 16},	//1317 DOM::HTMLScriptElement::src() const
	{84, 1655, 455, 1, 0, 0, 17},	//1318 DOM::HTMLScriptElement::setSrc(const DOM::DOMString&)
	{84, 1835, 0, 0, Smoke::mf_const, 86, 18},	//1319 DOM::HTMLScriptElement::type() const
	{84, 1695, 455, 1, 0, 0, 19},	//1320 DOM::HTMLScriptElement::setType(const DOM::DOMString&)
	{84, 328, 136, 1, Smoke::mf_ctor|Smoke::mf_protected, 263, 20},	//1321 DOM::HTMLScriptElement::HTMLScriptElement(DOM::HTMLScriptElementImpl*)
	{85, 331, 0, 0, Smoke::mf_ctor, 266, 1},	//1322 DOM::HTMLSelectElement::HTMLSelectElement()
	{85, 331, 669, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 266, 2},	//1323 DOM::HTMLSelectElement::HTMLSelectElement(const DOM::HTMLSelectElement&)
	{85, 331, 708, 1, Smoke::mf_ctor, 266, 3},	//1324 DOM::HTMLSelectElement::HTMLSelectElement(const DOM::Node&)
	{85, 1158, 669, 1, 0, 265, 4},	//1325 DOM::HTMLSelectElement::operator=(const DOM::HTMLSelectElement&)
	{85, 1158, 708, 1, 0, 265, 5},	//1326 DOM::HTMLSelectElement::operator=(const DOM::Node&)
	{85, 1983, 0, 0, Smoke::mf_dtor, 0, 29},	//1327 DOM::HTMLSelectElement::~HTMLSelectElement()
	{85, 1835, 0, 0, Smoke::mf_const, 86, 6},	//1328 DOM::HTMLSelectElement::type() const
	{85, 1313, 0, 0, Smoke::mf_const, 1004, 7},	//1329 DOM::HTMLSelectElement::selectedIndex() const
	{85, 1630, 9, 1, 0, 0, 8},	//1330 DOM::HTMLSelectElement::setSelectedIndex(long)
	{85, 1854, 0, 0, Smoke::mf_const, 86, 9},	//1331 DOM::HTMLSelectElement::value() const
	{85, 1708, 455, 1, 0, 0, 10},	//1332 DOM::HTMLSelectElement::setValue(const DOM::DOMString&)
	{85, 1073, 0, 0, Smoke::mf_const, 1004, 11},	//1333 DOM::HTMLSelectElement::length() const
	{85, 847, 0, 0, Smoke::mf_const, 180, 12},	//1334 DOM::HTMLSelectElement::form() const
	{85, 1166, 0, 0, Smoke::mf_const, 152, 13},	//1335 DOM::HTMLSelectElement::options() const
	{85, 751, 0, 0, Smoke::mf_const, 831, 14},	//1336 DOM::HTMLSelectElement::disabled() const
	{85, 1462, 395, 1, 0, 0, 15},	//1337 DOM::HTMLSelectElement::setDisabled(bool)
	{85, 1113, 0, 0, Smoke::mf_const, 831, 16},	//1338 DOM::HTMLSelectElement::multiple() const
	{85, 1567, 395, 1, 0, 0, 17},	//1339 DOM::HTMLSelectElement::setMultiple(bool)
	{85, 1114, 0, 0, Smoke::mf_const, 86, 18},	//1340 DOM::HTMLSelectElement::name() const
	{85, 1569, 455, 1, 0, 0, 19},	//1341 DOM::HTMLSelectElement::setName(const DOM::DOMString&)
	{85, 1750, 0, 0, Smoke::mf_const, 1004, 20},	//1342 DOM::HTMLSelectElement::size() const
	{85, 1646, 9, 1, 0, 0, 21},	//1343 DOM::HTMLSelectElement::setSize(long)
	{85, 1812, 0, 0, Smoke::mf_const, 1004, 22},	//1344 DOM::HTMLSelectElement::tabIndex() const
	{85, 1683, 9, 1, 0, 0, 23},	//1345 DOM::HTMLSelectElement::setTabIndex(long)
	{85, 530, 600, 2, 0, 0, 24},	//1346 DOM::HTMLSelectElement::add(const DOM::HTMLElement&, const DOM::HTMLElement&)
	{85, 1240, 9, 1, 0, 0, 25},	//1347 DOM::HTMLSelectElement::remove(long)
	{85, 583, 0, 0, 0, 0, 26},	//1348 DOM::HTMLSelectElement::blur()
	{85, 836, 0, 0, 0, 0, 27},	//1349 DOM::HTMLSelectElement::focus()
	{85, 331, 138, 1, Smoke::mf_ctor|Smoke::mf_protected, 266, 28},	//1350 DOM::HTMLSelectElement::HTMLSelectElement(DOM::HTMLSelectElementImpl*)
	{86, 334, 0, 0, Smoke::mf_ctor, 269, 1},	//1351 DOM::HTMLStyleElement::HTMLStyleElement()
	{86, 334, 671, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 269, 2},	//1352 DOM::HTMLStyleElement::HTMLStyleElement(const DOM::HTMLStyleElement&)
	{86, 334, 708, 1, Smoke::mf_ctor, 269, 3},	//1353 DOM::HTMLStyleElement::HTMLStyleElement(const DOM::Node&)
	{86, 1158, 671, 1, 0, 268, 4},	//1354 DOM::HTMLStyleElement::operator=(const DOM::HTMLStyleElement&)
	{86, 1158, 708, 1, 0, 268, 5},	//1355 DOM::HTMLStyleElement::operator=(const DOM::Node&)
	{86, 1984, 0, 0, Smoke::mf_dtor, 0, 14},	//1356 DOM::HTMLStyleElement::~HTMLStyleElement()
	{86, 751, 0, 0, Smoke::mf_const, 831, 6},	//1357 DOM::HTMLStyleElement::disabled() const
	{86, 1462, 395, 1, 0, 0, 7},	//1358 DOM::HTMLStyleElement::setDisabled(bool)
	{86, 1092, 0, 0, Smoke::mf_const, 86, 8},	//1359 DOM::HTMLStyleElement::media() const
	{86, 1559, 455, 1, 0, 0, 9},	//1360 DOM::HTMLStyleElement::setMedia(const DOM::DOMString&)
	{86, 1835, 0, 0, Smoke::mf_const, 86, 10},	//1361 DOM::HTMLStyleElement::type() const
	{86, 1695, 455, 1, 0, 0, 11},	//1362 DOM::HTMLStyleElement::setType(const DOM::DOMString&)
	{86, 1742, 0, 0, Smoke::mf_const, 362, 12},	//1363 DOM::HTMLStyleElement::sheet() const
	{86, 334, 142, 1, Smoke::mf_ctor|Smoke::mf_protected, 269, 13},	//1364 DOM::HTMLStyleElement::HTMLStyleElement(DOM::HTMLStyleElementImpl*)
	{87, 337, 0, 0, Smoke::mf_ctor, 273, 1},	//1365 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement()
	{87, 337, 673, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 273, 2},	//1366 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::HTMLTableCaptionElement&)
	{87, 337, 708, 1, Smoke::mf_ctor, 273, 3},	//1367 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::Node&)
	{87, 1158, 673, 1, 0, 272, 4},	//1368 DOM::HTMLTableCaptionElement::operator=(const DOM::HTMLTableCaptionElement&)
	{87, 1158, 708, 1, 0, 272, 5},	//1369 DOM::HTMLTableCaptionElement::operator=(const DOM::Node&)
	{87, 1985, 0, 0, Smoke::mf_dtor, 0, 9},	//1370 DOM::HTMLTableCaptionElement::~HTMLTableCaptionElement()
	{87, 544, 0, 0, Smoke::mf_const, 86, 6},	//1371 DOM::HTMLTableCaptionElement::align() const
	{87, 1339, 455, 1, 0, 0, 7},	//1372 DOM::HTMLTableCaptionElement::setAlign(const DOM::DOMString&)
	{87, 337, 144, 1, Smoke::mf_ctor|Smoke::mf_protected, 273, 8},	//1373 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(DOM::HTMLTableCaptionElementImpl*)
	{88, 340, 0, 0, Smoke::mf_ctor, 276, 1},	//1374 DOM::HTMLTableCellElement::HTMLTableCellElement()
	{88, 340, 675, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 276, 2},	//1375 DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::HTMLTableCellElement&)
	{88, 340, 708, 1, Smoke::mf_ctor, 276, 3},	//1376 DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::Node&)
	{88, 1158, 675, 1, 0, 275, 4},	//1377 DOM::HTMLTableCellElement::operator=(const DOM::HTMLTableCellElement&)
	{88, 1158, 708, 1, 0, 275, 5},	//1378 DOM::HTMLTableCellElement::operator=(const DOM::Node&)
	{88, 1986, 0, 0, Smoke::mf_dtor, 0, 37},	//1379 DOM::HTMLTableCellElement::~HTMLTableCellElement()
	{88, 597, 0, 0, Smoke::mf_const, 1004, 6},	//1380 DOM::HTMLTableCellElement::cellIndex() const
	{88, 1380, 9, 1, 0, 0, 7},	//1381 DOM::HTMLTableCellElement::setCellIndex(long)
	{88, 516, 0, 0, Smoke::mf_const, 86, 8},	//1382 DOM::HTMLTableCellElement::abbr() const
	{88, 1327, 455, 1, 0, 0, 9},	//1383 DOM::HTMLTableCellElement::setAbbr(const DOM::DOMString&)
	{88, 544, 0, 0, Smoke::mf_const, 86, 10},	//1384 DOM::HTMLTableCellElement::align() const
	{88, 1339, 455, 1, 0, 0, 11},	//1385 DOM::HTMLTableCellElement::setAlign(const DOM::DOMString&)
	{88, 570, 0, 0, Smoke::mf_const, 86, 12},	//1386 DOM::HTMLTableCellElement::axis() const
	{88, 1359, 455, 1, 0, 0, 13},	//1387 DOM::HTMLTableCellElement::setAxis(const DOM::DOMString&)
	{88, 581, 0, 0, Smoke::mf_const, 86, 14},	//1388 DOM::HTMLTableCellElement::bgColor() const
	{88, 1363, 455, 1, 0, 0, 15},	//1389 DOM::HTMLTableCellElement::setBgColor(const DOM::DOMString&)
	{88, 601, 0, 0, Smoke::mf_const, 86, 16},	//1390 DOM::HTMLTableCellElement::ch() const
	{88, 1388, 455, 1, 0, 0, 17},	//1391 DOM::HTMLTableCellElement::setCh(const DOM::DOMString&)
	{88, 602, 0, 0, Smoke::mf_const, 86, 18},	//1392 DOM::HTMLTableCellElement::chOff() const
	{88, 1390, 455, 1, 0, 0, 19},	//1393 DOM::HTMLTableCellElement::setChOff(const DOM::DOMString&)
	{88, 633, 0, 0, Smoke::mf_const, 1004, 20},	//1394 DOM::HTMLTableCellElement::colSpan() const
	{88, 1409, 9, 1, 0, 0, 21},	//1395 DOM::HTMLTableCellElement::setColSpan(long)
	{88, 925, 0, 0, Smoke::mf_const, 86, 22},	//1396 DOM::HTMLTableCellElement::headers() const
	{88, 1496, 455, 1, 0, 0, 23},	//1397 DOM::HTMLTableCellElement::setHeaders(const DOM::DOMString&)
	{88, 926, 0, 0, Smoke::mf_const, 86, 24},	//1398 DOM::HTMLTableCellElement::height() const
	{88, 1498, 455, 1, 0, 0, 25},	//1399 DOM::HTMLTableCellElement::setHeight(const DOM::DOMString&)
	{88, 1129, 0, 0, Smoke::mf_const, 831, 26},	//1400 DOM::HTMLTableCellElement::noWrap() const
	{88, 1581, 395, 1, 0, 0, 27},	//1401 DOM::HTMLTableCellElement::setNoWrap(bool)
	{88, 1286, 0, 0, Smoke::mf_const, 1004, 28},	//1402 DOM::HTMLTableCellElement::rowSpan() const
	{88, 1611, 9, 1, 0, 0, 29},	//1403 DOM::HTMLTableCellElement::setRowSpan(long)
	{88, 1296, 0, 0, Smoke::mf_const, 86, 30},	//1404 DOM::HTMLTableCellElement::scope() const
	{88, 1620, 455, 1, 0, 0, 31},	//1405 DOM::HTMLTableCellElement::setScope(const DOM::DOMString&)
	{88, 1851, 0, 0, Smoke::mf_const, 86, 32},	//1406 DOM::HTMLTableCellElement::vAlign() const
	{88, 1704, 455, 1, 0, 0, 33},	//1407 DOM::HTMLTableCellElement::setVAlign(const DOM::DOMString&)
	{88, 1874, 0, 0, Smoke::mf_const, 86, 34},	//1408 DOM::HTMLTableCellElement::width() const
	{88, 1725, 455, 1, 0, 0, 35},	//1409 DOM::HTMLTableCellElement::setWidth(const DOM::DOMString&)
	{88, 340, 146, 1, Smoke::mf_ctor|Smoke::mf_protected, 276, 36},	//1410 DOM::HTMLTableCellElement::HTMLTableCellElement(DOM::HTMLTableCellElementImpl*)
	{89, 343, 0, 0, Smoke::mf_ctor, 279, 1},	//1411 DOM::HTMLTableColElement::HTMLTableColElement()
	{89, 343, 677, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 279, 2},	//1412 DOM::HTMLTableColElement::HTMLTableColElement(const DOM::HTMLTableColElement&)
	{89, 343, 708, 1, Smoke::mf_ctor, 279, 3},	//1413 DOM::HTMLTableColElement::HTMLTableColElement(const DOM::Node&)
	{89, 1158, 677, 1, 0, 278, 4},	//1414 DOM::HTMLTableColElement::operator=(const DOM::HTMLTableColElement&)
	{89, 1158, 708, 1, 0, 278, 5},	//1415 DOM::HTMLTableColElement::operator=(const DOM::Node&)
	{89, 1987, 0, 0, Smoke::mf_dtor, 0, 19},	//1416 DOM::HTMLTableColElement::~HTMLTableColElement()
	{89, 544, 0, 0, Smoke::mf_const, 86, 6},	//1417 DOM::HTMLTableColElement::align() const
	{89, 1339, 455, 1, 0, 0, 7},	//1418 DOM::HTMLTableColElement::setAlign(const DOM::DOMString&)
	{89, 601, 0, 0, Smoke::mf_const, 86, 8},	//1419 DOM::HTMLTableColElement::ch() const
	{89, 1388, 455, 1, 0, 0, 9},	//1420 DOM::HTMLTableColElement::setCh(const DOM::DOMString&)
	{89, 602, 0, 0, Smoke::mf_const, 86, 10},	//1421 DOM::HTMLTableColElement::chOff() const
	{89, 1390, 455, 1, 0, 0, 11},	//1422 DOM::HTMLTableColElement::setChOff(const DOM::DOMString&)
	{89, 1757, 0, 0, Smoke::mf_const, 1004, 12},	//1423 DOM::HTMLTableColElement::span() const
	{89, 1653, 9, 1, 0, 0, 13},	//1424 DOM::HTMLTableColElement::setSpan(long)
	{89, 1851, 0, 0, Smoke::mf_const, 86, 14},	//1425 DOM::HTMLTableColElement::vAlign() const
	{89, 1704, 455, 1, 0, 0, 15},	//1426 DOM::HTMLTableColElement::setVAlign(const DOM::DOMString&)
	{89, 1874, 0, 0, Smoke::mf_const, 86, 16},	//1427 DOM::HTMLTableColElement::width() const
	{89, 1725, 455, 1, 0, 0, 17},	//1428 DOM::HTMLTableColElement::setWidth(const DOM::DOMString&)
	{89, 343, 148, 1, Smoke::mf_ctor|Smoke::mf_protected, 279, 18},	//1429 DOM::HTMLTableColElement::HTMLTableColElement(DOM::HTMLTableColElementImpl*)
	{90, 346, 0, 0, Smoke::mf_ctor, 282, 1},	//1430 DOM::HTMLTableElement::HTMLTableElement()
	{90, 346, 679, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 282, 2},	//1431 DOM::HTMLTableElement::HTMLTableElement(const DOM::HTMLTableElement&)
	{90, 346, 708, 1, Smoke::mf_ctor, 282, 3},	//1432 DOM::HTMLTableElement::HTMLTableElement(const DOM::Node&)
	{90, 1158, 679, 1, 0, 281, 4},	//1433 DOM::HTMLTableElement::operator=(const DOM::HTMLTableElement&)
	{90, 1158, 708, 1, 0, 281, 5},	//1434 DOM::HTMLTableElement::operator=(const DOM::Node&)
	{90, 1988, 0, 0, Smoke::mf_dtor, 0, 41},	//1435 DOM::HTMLTableElement::~HTMLTableElement()
	{90, 593, 0, 0, Smoke::mf_const, 271, 6},	//1436 DOM::HTMLTableElement::caption() const
	{90, 1369, 673, 1, 0, 0, 7},	//1437 DOM::HTMLTableElement::setCaption(const DOM::HTMLTableCaptionElement&)
	{90, 1811, 0, 0, Smoke::mf_const, 287, 8},	//1438 DOM::HTMLTableElement::tHead() const
	{90, 1681, 683, 1, 0, 0, 9},	//1439 DOM::HTMLTableElement::setTHead(const DOM::HTMLTableSectionElement&)
	{90, 1810, 0, 0, Smoke::mf_const, 287, 10},	//1440 DOM::HTMLTableElement::tFoot() const
	{90, 1679, 683, 1, 0, 0, 11},	//1441 DOM::HTMLTableElement::setTFoot(const DOM::HTMLTableSectionElement&)
	{90, 1287, 0, 0, Smoke::mf_const, 152, 12},	//1442 DOM::HTMLTableElement::rows() const
	{90, 1809, 0, 0, Smoke::mf_const, 152, 13},	//1443 DOM::HTMLTableElement::tBodies() const
	{90, 544, 0, 0, Smoke::mf_const, 86, 14},	//1444 DOM::HTMLTableElement::align() const
	{90, 1339, 455, 1, 0, 0, 15},	//1445 DOM::HTMLTableElement::setAlign(const DOM::DOMString&)
	{90, 581, 0, 0, Smoke::mf_const, 86, 16},	//1446 DOM::HTMLTableElement::bgColor() const
	{90, 1363, 455, 1, 0, 0, 17},	//1447 DOM::HTMLTableElement::setBgColor(const DOM::DOMString&)
	{90, 585, 0, 0, Smoke::mf_const, 86, 18},	//1448 DOM::HTMLTableElement::border() const
	{90, 1367, 455, 1, 0, 0, 19},	//1449 DOM::HTMLTableElement::setBorder(const DOM::DOMString&)
	{90, 598, 0, 0, Smoke::mf_const, 86, 20},	//1450 DOM::HTMLTableElement::cellPadding() const
	{90, 1382, 455, 1, 0, 0, 21},	//1451 DOM::HTMLTableElement::setCellPadding(const DOM::DOMString&)
	{90, 599, 0, 0, Smoke::mf_const, 86, 22},	//1452 DOM::HTMLTableElement::cellSpacing() const
	{90, 1384, 455, 1, 0, 0, 23},	//1453 DOM::HTMLTableElement::setCellSpacing(const DOM::DOMString&)
	{90, 852, 0, 0, Smoke::mf_const, 86, 24},	//1454 DOM::HTMLTableElement::frame() const
	{90, 1492, 455, 1, 0, 0, 25},	//1455 DOM::HTMLTableElement::setFrame(const DOM::DOMString&)
	{90, 1288, 0, 0, Smoke::mf_const, 86, 26},	//1456 DOM::HTMLTableElement::rules() const
	{90, 1616, 455, 1, 0, 0, 27},	//1457 DOM::HTMLTableElement::setRules(const DOM::DOMString&)
	{90, 1805, 0, 0, Smoke::mf_const, 86, 28},	//1458 DOM::HTMLTableElement::summary() const
	{90, 1674, 455, 1, 0, 0, 29},	//1459 DOM::HTMLTableElement::setSummary(const DOM::DOMString&)
	{90, 1874, 0, 0, Smoke::mf_const, 86, 30},	//1460 DOM::HTMLTableElement::width() const
	{90, 1725, 455, 1, 0, 0, 31},	//1461 DOM::HTMLTableElement::setWidth(const DOM::DOMString&)
	{90, 705, 0, 0, 0, 169, 32},	//1462 DOM::HTMLTableElement::createTHead()
	{90, 744, 0, 0, 0, 0, 33},	//1463 DOM::HTMLTableElement::deleteTHead()
	{90, 704, 0, 0, 0, 169, 34},	//1464 DOM::HTMLTableElement::createTFoot()
	{90, 743, 0, 0, 0, 0, 35},	//1465 DOM::HTMLTableElement::deleteTFoot()
	{90, 675, 0, 0, 0, 169, 36},	//1466 DOM::HTMLTableElement::createCaption()
	{90, 730, 0, 0, 0, 0, 37},	//1467 DOM::HTMLTableElement::deleteCaption()
	{90, 984, 9, 1, 0, 169, 38},	//1468 DOM::HTMLTableElement::insertRow(long)
	{90, 739, 9, 1, 0, 0, 39},	//1469 DOM::HTMLTableElement::deleteRow(long)
	{90, 346, 150, 1, Smoke::mf_ctor|Smoke::mf_protected, 282, 40},	//1470 DOM::HTMLTableElement::HTMLTableElement(DOM::HTMLTableElementImpl*)
	{91, 349, 0, 0, Smoke::mf_ctor, 285, 1},	//1471 DOM::HTMLTableRowElement::HTMLTableRowElement()
	{91, 349, 681, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 285, 2},	//1472 DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::HTMLTableRowElement&)
	{91, 349, 708, 1, Smoke::mf_ctor, 285, 3},	//1473 DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::Node&)
	{91, 1158, 681, 1, 0, 284, 4},	//1474 DOM::HTMLTableRowElement::operator=(const DOM::HTMLTableRowElement&)
	{91, 1158, 708, 1, 0, 284, 5},	//1475 DOM::HTMLTableRowElement::operator=(const DOM::Node&)
	{91, 1989, 0, 0, Smoke::mf_dtor, 0, 25},	//1476 DOM::HTMLTableRowElement::~HTMLTableRowElement()
	{91, 1285, 0, 0, Smoke::mf_const, 1004, 6},	//1477 DOM::HTMLTableRowElement::rowIndex() const
	{91, 1609, 9, 1, 0, 0, 7},	//1478 DOM::HTMLTableRowElement::setRowIndex(long)
	{91, 1305, 0, 0, Smoke::mf_const, 1004, 8},	//1479 DOM::HTMLTableRowElement::sectionRowIndex() const
	{91, 1624, 9, 1, 0, 0, 9},	//1480 DOM::HTMLTableRowElement::setSectionRowIndex(long)
	{91, 600, 0, 0, Smoke::mf_const, 152, 10},	//1481 DOM::HTMLTableRowElement::cells() const
	{91, 1386, 588, 1, 0, 0, 11},	//1482 DOM::HTMLTableRowElement::setCells(const DOM::HTMLCollection&)
	{91, 544, 0, 0, Smoke::mf_const, 86, 12},	//1483 DOM::HTMLTableRowElement::align() const
	{91, 1339, 455, 1, 0, 0, 13},	//1484 DOM::HTMLTableRowElement::setAlign(const DOM::DOMString&)
	{91, 581, 0, 0, Smoke::mf_const, 86, 14},	//1485 DOM::HTMLTableRowElement::bgColor() const
	{91, 1363, 455, 1, 0, 0, 15},	//1486 DOM::HTMLTableRowElement::setBgColor(const DOM::DOMString&)
	{91, 601, 0, 0, Smoke::mf_const, 86, 16},	//1487 DOM::HTMLTableRowElement::ch() const
	{91, 1388, 455, 1, 0, 0, 17},	//1488 DOM::HTMLTableRowElement::setCh(const DOM::DOMString&)
	{91, 602, 0, 0, Smoke::mf_const, 86, 18},	//1489 DOM::HTMLTableRowElement::chOff() const
	{91, 1390, 455, 1, 0, 0, 19},	//1490 DOM::HTMLTableRowElement::setChOff(const DOM::DOMString&)
	{91, 1851, 0, 0, Smoke::mf_const, 86, 20},	//1491 DOM::HTMLTableRowElement::vAlign() const
	{91, 1704, 455, 1, 0, 0, 21},	//1492 DOM::HTMLTableRowElement::setVAlign(const DOM::DOMString&)
	{91, 978, 9, 1, 0, 169, 22},	//1493 DOM::HTMLTableRowElement::insertCell(long)
	{91, 731, 9, 1, 0, 0, 23},	//1494 DOM::HTMLTableRowElement::deleteCell(long)
	{91, 349, 152, 1, Smoke::mf_ctor|Smoke::mf_protected, 285, 24},	//1495 DOM::HTMLTableRowElement::HTMLTableRowElement(DOM::HTMLTableRowElementImpl*)
	{92, 352, 0, 0, Smoke::mf_ctor, 289, 1},	//1496 DOM::HTMLTableSectionElement::HTMLTableSectionElement()
	{92, 352, 683, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 289, 2},	//1497 DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::HTMLTableSectionElement&)
	{92, 352, 708, 1, Smoke::mf_ctor, 289, 3},	//1498 DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::Node&)
	{92, 1158, 683, 1, 0, 288, 4},	//1499 DOM::HTMLTableSectionElement::operator=(const DOM::HTMLTableSectionElement&)
	{92, 1158, 708, 1, 0, 288, 5},	//1500 DOM::HTMLTableSectionElement::operator=(const DOM::Node&)
	{92, 1990, 0, 0, Smoke::mf_dtor, 0, 18},	//1501 DOM::HTMLTableSectionElement::~HTMLTableSectionElement()
	{92, 544, 0, 0, Smoke::mf_const, 86, 6},	//1502 DOM::HTMLTableSectionElement::align() const
	{92, 1339, 455, 1, 0, 0, 7},	//1503 DOM::HTMLTableSectionElement::setAlign(const DOM::DOMString&)
	{92, 601, 0, 0, Smoke::mf_const, 86, 8},	//1504 DOM::HTMLTableSectionElement::ch() const
	{92, 1388, 455, 1, 0, 0, 9},	//1505 DOM::HTMLTableSectionElement::setCh(const DOM::DOMString&)
	{92, 602, 0, 0, Smoke::mf_const, 86, 10},	//1506 DOM::HTMLTableSectionElement::chOff() const
	{92, 1390, 455, 1, 0, 0, 11},	//1507 DOM::HTMLTableSectionElement::setChOff(const DOM::DOMString&)
	{92, 1851, 0, 0, Smoke::mf_const, 86, 12},	//1508 DOM::HTMLTableSectionElement::vAlign() const
	{92, 1704, 455, 1, 0, 0, 13},	//1509 DOM::HTMLTableSectionElement::setVAlign(const DOM::DOMString&)
	{92, 1287, 0, 0, Smoke::mf_const, 152, 14},	//1510 DOM::HTMLTableSectionElement::rows() const
	{92, 984, 9, 1, 0, 169, 15},	//1511 DOM::HTMLTableSectionElement::insertRow(long)
	{92, 739, 9, 1, 0, 0, 16},	//1512 DOM::HTMLTableSectionElement::deleteRow(long)
	{92, 352, 154, 1, Smoke::mf_ctor|Smoke::mf_protected, 289, 17},	//1513 DOM::HTMLTableSectionElement::HTMLTableSectionElement(DOM::HTMLTableSectionElementImpl*)
	{93, 355, 0, 0, Smoke::mf_ctor, 292, 1},	//1514 DOM::HTMLTextAreaElement::HTMLTextAreaElement()
	{93, 355, 685, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 292, 2},	//1515 DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::HTMLTextAreaElement&)
	{93, 355, 708, 1, Smoke::mf_ctor, 292, 3},	//1516 DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::Node&)
	{93, 1158, 685, 1, 0, 291, 4},	//1517 DOM::HTMLTextAreaElement::operator=(const DOM::HTMLTextAreaElement&)
	{93, 1158, 708, 1, 0, 291, 5},	//1518 DOM::HTMLTextAreaElement::operator=(const DOM::Node&)
	{93, 1991, 0, 0, Smoke::mf_dtor, 0, 36},	//1519 DOM::HTMLTextAreaElement::~HTMLTextAreaElement()
	{93, 727, 0, 0, Smoke::mf_const, 86, 6},	//1520 DOM::HTMLTextAreaElement::defaultValue() const
	{93, 1454, 455, 1, 0, 0, 7},	//1521 DOM::HTMLTextAreaElement::setDefaultValue(const DOM::DOMString&)
	{93, 847, 0, 0, Smoke::mf_const, 180, 8},	//1522 DOM::HTMLTextAreaElement::form() const
	{93, 522, 0, 0, Smoke::mf_const, 86, 9},	//1523 DOM::HTMLTextAreaElement::accessKey() const
	{93, 1333, 455, 1, 0, 0, 10},	//1524 DOM::HTMLTextAreaElement::setAccessKey(const DOM::DOMString&)
	{93, 638, 0, 0, Smoke::mf_const, 1004, 11},	//1525 DOM::HTMLTextAreaElement::cols() const
	{93, 1413, 9, 1, 0, 0, 12},	//1526 DOM::HTMLTextAreaElement::setCols(long)
	{93, 751, 0, 0, Smoke::mf_const, 831, 13},	//1527 DOM::HTMLTextAreaElement::disabled() const
	{93, 1462, 395, 1, 0, 0, 14},	//1528 DOM::HTMLTextAreaElement::setDisabled(bool)
	{93, 1114, 0, 0, Smoke::mf_const, 86, 15},	//1529 DOM::HTMLTextAreaElement::name() const
	{93, 1569, 455, 1, 0, 0, 16},	//1530 DOM::HTMLTextAreaElement::setName(const DOM::DOMString&)
	{93, 1232, 0, 0, Smoke::mf_const, 831, 17},	//1531 DOM::HTMLTextAreaElement::readOnly() const
	{93, 1603, 395, 1, 0, 0, 18},	//1532 DOM::HTMLTextAreaElement::setReadOnly(bool)
	{93, 1287, 0, 0, Smoke::mf_const, 1004, 19},	//1533 DOM::HTMLTextAreaElement::rows() const
	{93, 1613, 9, 1, 0, 0, 20},	//1534 DOM::HTMLTextAreaElement::setRows(long)
	{93, 1812, 0, 0, Smoke::mf_const, 1004, 21},	//1535 DOM::HTMLTextAreaElement::tabIndex() const
	{93, 1683, 9, 1, 0, 0, 22},	//1536 DOM::HTMLTextAreaElement::setTabIndex(long)
	{93, 1835, 0, 0, Smoke::mf_const, 86, 23},	//1537 DOM::HTMLTextAreaElement::type() const
	{93, 1854, 0, 0, Smoke::mf_const, 86, 24},	//1538 DOM::HTMLTextAreaElement::value() const
	{93, 1708, 455, 1, 0, 0, 25},	//1539 DOM::HTMLTextAreaElement::setValue(const DOM::DOMString&)
	{93, 583, 0, 0, 0, 0, 26},	//1540 DOM::HTMLTextAreaElement::blur()
	{93, 836, 0, 0, 0, 0, 27},	//1541 DOM::HTMLTextAreaElement::focus()
	{93, 1306, 0, 0, 0, 0, 28},	//1542 DOM::HTMLTextAreaElement::select()
	{93, 1321, 0, 0, 0, 1004, 29},	//1543 DOM::HTMLTextAreaElement::selectionStart()
	{93, 1640, 9, 1, 0, 0, 30},	//1544 DOM::HTMLTextAreaElement::setSelectionStart(long)
	{93, 1320, 0, 0, 0, 1004, 31},	//1545 DOM::HTMLTextAreaElement::selectionEnd()
	{93, 1636, 9, 1, 0, 0, 32},	//1546 DOM::HTMLTextAreaElement::setSelectionEnd(long)
	{93, 1638, 11, 2, 0, 0, 33},	//1547 DOM::HTMLTextAreaElement::setSelectionRange(long, long)
	{93, 1820, 0, 0, 0, 1004, 34},	//1548 DOM::HTMLTextAreaElement::textLength()
	{93, 355, 156, 1, Smoke::mf_ctor|Smoke::mf_protected, 292, 35},	//1549 DOM::HTMLTextAreaElement::HTMLTextAreaElement(DOM::HTMLTextAreaElementImpl*)
	{94, 358, 0, 0, Smoke::mf_ctor, 295, 1},	//1550 DOM::HTMLTitleElement::HTMLTitleElement()
	{94, 358, 687, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 295, 2},	//1551 DOM::HTMLTitleElement::HTMLTitleElement(const DOM::HTMLTitleElement&)
	{94, 358, 708, 1, Smoke::mf_ctor, 295, 3},	//1552 DOM::HTMLTitleElement::HTMLTitleElement(const DOM::Node&)
	{94, 1158, 687, 1, 0, 294, 4},	//1553 DOM::HTMLTitleElement::operator=(const DOM::HTMLTitleElement&)
	{94, 1158, 708, 1, 0, 294, 5},	//1554 DOM::HTMLTitleElement::operator=(const DOM::Node&)
	{94, 1992, 0, 0, Smoke::mf_dtor, 0, 9},	//1555 DOM::HTMLTitleElement::~HTMLTitleElement()
	{94, 1817, 0, 0, Smoke::mf_const, 86, 6},	//1556 DOM::HTMLTitleElement::text() const
	{94, 1687, 455, 1, 0, 0, 7},	//1557 DOM::HTMLTitleElement::setText(const DOM::DOMString&)
	{94, 358, 158, 1, Smoke::mf_ctor|Smoke::mf_protected, 295, 8},	//1558 DOM::HTMLTitleElement::HTMLTitleElement(DOM::HTMLTitleElementImpl*)
	{95, 361, 0, 0, Smoke::mf_ctor, 298, 1},	//1559 DOM::HTMLUListElement::HTMLUListElement()
	{95, 361, 689, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 298, 2},	//1560 DOM::HTMLUListElement::HTMLUListElement(const DOM::HTMLUListElement&)
	{95, 361, 708, 1, Smoke::mf_ctor, 298, 3},	//1561 DOM::HTMLUListElement::HTMLUListElement(const DOM::Node&)
	{95, 1158, 689, 1, 0, 297, 4},	//1562 DOM::HTMLUListElement::operator=(const DOM::HTMLUListElement&)
	{95, 1158, 708, 1, 0, 297, 5},	//1563 DOM::HTMLUListElement::operator=(const DOM::Node&)
	{95, 1993, 0, 0, Smoke::mf_dtor, 0, 11},	//1564 DOM::HTMLUListElement::~HTMLUListElement()
	{95, 640, 0, 0, Smoke::mf_const, 831, 6},	//1565 DOM::HTMLUListElement::compact() const
	{95, 1416, 395, 1, 0, 0, 7},	//1566 DOM::HTMLUListElement::setCompact(bool)
	{95, 1835, 0, 0, Smoke::mf_const, 86, 8},	//1567 DOM::HTMLUListElement::type() const
	{95, 1695, 455, 1, 0, 0, 9},	//1568 DOM::HTMLUListElement::setType(const DOM::DOMString&)
	{95, 361, 160, 1, Smoke::mf_ctor|Smoke::mf_protected, 298, 10},	//1569 DOM::HTMLUListElement::HTMLUListElement(DOM::HTMLUListElementImpl*)
	{96, 143, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 1},	//1570 DOM::KeyboardEvent::DOM_KEY_LOCATION_STANDARD (enum)
	{96, 140, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 2},	//1571 DOM::KeyboardEvent::DOM_KEY_LOCATION_LEFT (enum)
	{96, 142, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 3},	//1572 DOM::KeyboardEvent::DOM_KEY_LOCATION_RIGHT (enum)
	{96, 141, 0, 0, Smoke::mf_static|Smoke::mf_enum, 302, 4},	//1573 DOM::KeyboardEvent::DOM_KEY_LOCATION_NUMPAD (enum)
	{96, 404, 0, 0, Smoke::mf_ctor, 301, 5},	//1574 DOM::KeyboardEvent::KeyboardEvent()
	{96, 404, 691, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 301, 6},	//1575 DOM::KeyboardEvent::KeyboardEvent(const DOM::KeyboardEvent&)
	{96, 404, 564, 1, Smoke::mf_ctor, 301, 7},	//1576 DOM::KeyboardEvent::KeyboardEvent(const DOM::Event&)
	{96, 1158, 691, 1, 0, 300, 8},	//1577 DOM::KeyboardEvent::operator=(const DOM::KeyboardEvent&)
	{96, 1158, 564, 1, 0, 300, 9},	//1578 DOM::KeyboardEvent::operator=(const DOM::Event&)
	{96, 1997, 0, 0, Smoke::mf_dtor, 0, 18},	//1579 DOM::KeyboardEvent::~KeyboardEvent()
	{96, 1034, 0, 0, Smoke::mf_const, 86, 10},	//1580 DOM::KeyboardEvent::keyIdentifier() const
	{96, 1035, 0, 0, Smoke::mf_const, 1010, 11},	//1581 DOM::KeyboardEvent::keyLocation() const
	{96, 713, 0, 0, Smoke::mf_const, 831, 12},	//1582 DOM::KeyboardEvent::ctrlKey() const
	{96, 1743, 0, 0, Smoke::mf_const, 831, 13},	//1583 DOM::KeyboardEvent::shiftKey() const
	{96, 548, 0, 0, Smoke::mf_const, 831, 14},	//1584 DOM::KeyboardEvent::altKey() const
	{96, 1095, 0, 0, Smoke::mf_const, 831, 15},	//1585 DOM::KeyboardEvent::metaKey() const
	{96, 888, 532, 1, Smoke::mf_const, 831, 16},	//1586 DOM::KeyboardEvent::getModifierState(DOM::DOMString) const
	{96, 958, 537, 7, 0, 0, 17},	//1587 DOM::KeyboardEvent::initKeyboardEvent(DOM::DOMString, bool, bool, DOM::AbstractView, DOM::DOMString, unsigned long, DOM::DOMString)
	{97, 406, 0, 0, Smoke::mf_ctor, 304, 1},	//1588 DOM::LinkStyle::LinkStyle()
	{97, 406, 693, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 304, 2},	//1589 DOM::LinkStyle::LinkStyle(const DOM::LinkStyle&)
	{97, 1158, 693, 1, 0, 303, 3},	//1590 DOM::LinkStyle::operator=(const DOM::LinkStyle&)
	{97, 1158, 708, 1, 0, 303, 4},	//1591 DOM::LinkStyle::operator=(const DOM::Node&)
	{97, 1998, 0, 0, Smoke::mf_dtor, 0, 7},	//1592 DOM::LinkStyle::~LinkStyle()
	{97, 1742, 0, 0, 0, 362, 5},	//1593 DOM::LinkStyle::sheet()
	{97, 1016, 0, 0, Smoke::mf_const, 831, 6},	//1594 DOM::LinkStyle::isNull() const
	{98, 410, 0, 0, Smoke::mf_ctor, 307, 1},	//1595 DOM::MediaList::MediaList()
	{98, 410, 695, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 307, 2},	//1596 DOM::MediaList::MediaList(const DOM::MediaList&)
	{98, 410, 164, 1, Smoke::mf_ctor, 307, 3},	//1597 DOM::MediaList::MediaList(DOM::MediaListImpl*)
	{98, 1158, 695, 1, 0, 306, 4},	//1598 DOM::MediaList::operator=(const DOM::MediaList&)
	{98, 1999, 0, 0, Smoke::mf_dtor, 0, 12},	//1599 DOM::MediaList::~MediaList()
	{98, 1093, 0, 0, Smoke::mf_const, 86, 5},	//1600 DOM::MediaList::mediaText() const
	{98, 1561, 455, 1, 0, 0, 6},	//1601 DOM::MediaList::setMediaText(const DOM::DOMString&)
	{98, 1073, 0, 0, Smoke::mf_const, 1010, 7},	//1602 DOM::MediaList::length() const
	{98, 1024, 24, 1, Smoke::mf_const, 86, 8},	//1603 DOM::MediaList::item(unsigned long) const
	{98, 737, 455, 1, 0, 0, 9},	//1604 DOM::MediaList::deleteMedium(const DOM::DOMString&)
	{98, 554, 455, 1, 0, 0, 10},	//1605 DOM::MediaList::appendMedium(const DOM::DOMString&)
	{98, 1016, 0, 0, Smoke::mf_const, 831, 11},	//1606 DOM::MediaList::isNull() const
	{99, 414, 0, 0, Smoke::mf_ctor, 310, 1},	//1607 DOM::MouseEvent::MouseEvent()
	{99, 414, 697, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 310, 2},	//1608 DOM::MouseEvent::MouseEvent(const DOM::MouseEvent&)
	{99, 414, 564, 1, Smoke::mf_ctor, 310, 3},	//1609 DOM::MouseEvent::MouseEvent(const DOM::Event&)
	{99, 1158, 697, 1, 0, 309, 4},	//1610 DOM::MouseEvent::operator=(const DOM::MouseEvent&)
	{99, 1158, 564, 1, 0, 309, 5},	//1611 DOM::MouseEvent::operator=(const DOM::Event&)
	{99, 2000, 0, 0, Smoke::mf_dtor, 0, 18},	//1612 DOM::MouseEvent::~MouseEvent()
	{99, 1297, 0, 0, Smoke::mf_const, 1004, 6},	//1613 DOM::MouseEvent::screenX() const
	{99, 1298, 0, 0, Smoke::mf_const, 1004, 7},	//1614 DOM::MouseEvent::screenY() const
	{99, 620, 0, 0, Smoke::mf_const, 1004, 8},	//1615 DOM::MouseEvent::clientX() const
	{99, 621, 0, 0, Smoke::mf_const, 1004, 9},	//1616 DOM::MouseEvent::clientY() const
	{99, 713, 0, 0, Smoke::mf_const, 831, 10},	//1617 DOM::MouseEvent::ctrlKey() const
	{99, 1743, 0, 0, Smoke::mf_const, 831, 11},	//1618 DOM::MouseEvent::shiftKey() const
	{99, 548, 0, 0, Smoke::mf_const, 831, 12},	//1619 DOM::MouseEvent::altKey() const
	{99, 1095, 0, 0, Smoke::mf_const, 831, 13},	//1620 DOM::MouseEvent::metaKey() const
	{99, 591, 0, 0, Smoke::mf_const, 1012, 14},	//1621 DOM::MouseEvent::button() const
	{99, 1239, 0, 0, Smoke::mf_const, 320, 15},	//1622 DOM::MouseEvent::relatedTarget() const
	{99, 960, 478, 15, 0, 0, 16},	//1623 DOM::MouseEvent::initMouseEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long, long, long, long, long, bool, bool, bool, bool, unsigned short, const DOM::Node&)
	{99, 414, 166, 1, Smoke::mf_ctor|Smoke::mf_protected, 310, 17},	//1624 DOM::MouseEvent::MouseEvent(DOM::MouseEventImpl*)
	{100, 409, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 1},	//1625 DOM::MutationEvent::MODIFICATION (enum)
	{100, 1, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 2},	//1626 DOM::MutationEvent::ADDITION (enum)
	{100, 453, 0, 0, Smoke::mf_static|Smoke::mf_enum, 314, 3},	//1627 DOM::MutationEvent::REMOVAL (enum)
	{100, 417, 0, 0, Smoke::mf_ctor, 313, 4},	//1628 DOM::MutationEvent::MutationEvent()
	{100, 417, 699, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 313, 5},	//1629 DOM::MutationEvent::MutationEvent(const DOM::MutationEvent&)
	{100, 417, 564, 1, Smoke::mf_ctor, 313, 6},	//1630 DOM::MutationEvent::MutationEvent(const DOM::Event&)
	{100, 1158, 699, 1, 0, 312, 7},	//1631 DOM::MutationEvent::operator=(const DOM::MutationEvent&)
	{100, 1158, 564, 1, 0, 312, 8},	//1632 DOM::MutationEvent::operator=(const DOM::Event&)
	{100, 2001, 0, 0, Smoke::mf_dtor, 0, 16},	//1633 DOM::MutationEvent::~MutationEvent()
	{100, 1238, 0, 0, Smoke::mf_const, 320, 9},	//1634 DOM::MutationEvent::relatedNode() const
	{100, 1207, 0, 0, Smoke::mf_const, 86, 10},	//1635 DOM::MutationEvent::prevValue() const
	{100, 1118, 0, 0, Smoke::mf_const, 86, 11},	//1636 DOM::MutationEvent::newValue() const
	{100, 564, 0, 0, Smoke::mf_const, 86, 12},	//1637 DOM::MutationEvent::attrName() const
	{100, 563, 0, 0, Smoke::mf_const, 1012, 13},	//1638 DOM::MutationEvent::attrChange() const
	{100, 962, 500, 8, 0, 0, 14},	//1639 DOM::MutationEvent::initMutationEvent(const DOM::DOMString&, bool, bool, const DOM::Node&, const DOM::DOMString&, const DOM::DOMString&, const DOM::DOMString&, unsigned short)
	{100, 417, 168, 1, Smoke::mf_ctor|Smoke::mf_protected, 313, 15},	//1640 DOM::MutationEvent::MutationEvent(DOM::MutationEventImpl*)
	{101, 426, 0, 0, Smoke::mf_ctor, 318, 1},	//1641 DOM::NamedNodeMap::NamedNodeMap()
	{101, 426, 701, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 318, 2},	//1642 DOM::NamedNodeMap::NamedNodeMap(const DOM::NamedNodeMap&)
	{101, 1158, 701, 1, 0, 317, 3},	//1643 DOM::NamedNodeMap::operator=(const DOM::NamedNodeMap&)
	{101, 2002, 0, 0, Smoke::mf_dtor, 0, 14},	//1644 DOM::NamedNodeMap::~NamedNodeMap()
	{101, 1073, 0, 0, Smoke::mf_const, 1010, 4},	//1645 DOM::NamedNodeMap::length() const
	{101, 890, 455, 1, Smoke::mf_const, 320, 5},	//1646 DOM::NamedNodeMap::getNamedItem(const DOM::DOMString&) const
	{101, 1571, 708, 1, 0, 320, 6},	//1647 DOM::NamedNodeMap::setNamedItem(const DOM::Node&)
	{101, 1255, 455, 1, 0, 320, 7},	//1648 DOM::NamedNodeMap::removeNamedItem(const DOM::DOMString&)
	{101, 1024, 24, 1, Smoke::mf_const, 320, 8},	//1649 DOM::NamedNodeMap::item(unsigned long) const
	{101, 892, 513, 2, Smoke::mf_const, 320, 9},	//1650 DOM::NamedNodeMap::getNamedItemNS(const DOM::DOMString&, const DOM::DOMString&) const
	{101, 1573, 708, 1, 0, 320, 10},	//1651 DOM::NamedNodeMap::setNamedItemNS(const DOM::Node&)
	{101, 1257, 513, 2, 0, 320, 11},	//1652 DOM::NamedNodeMap::removeNamedItemNS(const DOM::DOMString&, const DOM::DOMString&)
	{101, 1016, 0, 0, Smoke::mf_const, 831, 12},	//1653 DOM::NamedNodeMap::isNull() const
	{101, 426, 170, 1, Smoke::mf_ctor|Smoke::mf_protected, 318, 13},	//1654 DOM::NamedNodeMap::NamedNodeMap(DOM::NamedNodeMapImpl*)
	{102, 159, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 1},	//1655 DOM::Node::ELEMENT_NODE (enum)
	{102, 2, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 2},	//1656 DOM::Node::ATTRIBUTE_NODE (enum)
	{102, 494, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 3},	//1657 DOM::Node::TEXT_NODE (enum)
	{102, 18, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 4},	//1658 DOM::Node::CDATA_SECTION_NODE (enum)
	{102, 163, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 5},	//1659 DOM::Node::ENTITY_REFERENCE_NODE (enum)
	{102, 162, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 6},	//1660 DOM::Node::ENTITY_NODE (enum)
	{102, 448, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 7},	//1661 DOM::Node::PROCESSING_INSTRUCTION_NODE (enum)
	{102, 20, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 8},	//1662 DOM::Node::COMMENT_NODE (enum)
	{102, 119, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 9},	//1663 DOM::Node::DOCUMENT_NODE (enum)
	{102, 126, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 10},	//1664 DOM::Node::DOCUMENT_TYPE_NODE (enum)
	{102, 118, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 11},	//1665 DOM::Node::DOCUMENT_FRAGMENT_NODE (enum)
	{102, 421, 0, 0, Smoke::mf_static|Smoke::mf_enum, 324, 12},	//1666 DOM::Node::NOTATION_NODE (enum)
	{102, 122, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 13},	//1667 DOM::Node::DOCUMENT_POSITION_DISCONNECTED (enum)
	{102, 125, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 14},	//1668 DOM::Node::DOCUMENT_POSITION_PRECEDING (enum)
	{102, 123, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 15},	//1669 DOM::Node::DOCUMENT_POSITION_FOLLOWING (enum)
	{102, 121, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 16},	//1670 DOM::Node::DOCUMENT_POSITION_CONTAINS (enum)
	{102, 120, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 17},	//1671 DOM::Node::DOCUMENT_POSITION_CONTAINED_BY (enum)
	{102, 124, 0, 0, Smoke::mf_static|Smoke::mf_enum, 323, 18},	//1672 DOM::Node::DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC (enum)
	{102, 430, 0, 0, Smoke::mf_ctor, 322, 19},	//1673 DOM::Node::Node()
	{102, 430, 708, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 322, 20},	//1674 DOM::Node::Node(const DOM::Node&)
	{102, 430, 191, 1, Smoke::mf_ctor, 322, 21},	//1675 DOM::Node::Node(DOM::NodeImpl*)
	{102, 1158, 708, 1, 0, 321, 22},	//1676 DOM::Node::operator=(const DOM::Node&)
	{102, 1160, 708, 1, Smoke::mf_const, 831, 23},	//1677 DOM::Node::operator==(const DOM::Node&) const
	{102, 1150, 708, 1, Smoke::mf_const, 831, 24},	//1678 DOM::Node::operator!=(const DOM::Node&) const
	{102, 2003, 0, 0, Smoke::mf_dtor, 0, 61},	//1679 DOM::Node::~Node()
	{102, 1132, 0, 0, Smoke::mf_const, 86, 25},	//1680 DOM::Node::nodeName() const
	{102, 1135, 0, 0, Smoke::mf_const, 86, 26},	//1681 DOM::Node::nodeValue() const
	{102, 1583, 455, 1, 0, 0, 27},	//1682 DOM::Node::setNodeValue(const DOM::DOMString&)
	{102, 1133, 0, 0, Smoke::mf_const, 1012, 28},	//1683 DOM::Node::nodeType() const
	{102, 1183, 0, 0, Smoke::mf_const, 320, 29},	//1684 DOM::Node::parentNode() const
	{102, 613, 0, 0, Smoke::mf_const, 336, 30},	//1685 DOM::Node::childNodes() const
	{102, 832, 0, 0, Smoke::mf_const, 320, 31},	//1686 DOM::Node::firstChild() const
	{102, 1063, 0, 0, Smoke::mf_const, 320, 32},	//1687 DOM::Node::lastChild() const
	{102, 1211, 0, 0, Smoke::mf_const, 320, 33},	//1688 DOM::Node::previousSibling() const
	{102, 1125, 0, 0, Smoke::mf_const, 320, 34},	//1689 DOM::Node::nextSibling() const
	{102, 565, 0, 0, Smoke::mf_const, 316, 35},	//1690 DOM::Node::attributes() const
	{102, 1167, 0, 0, Smoke::mf_const, 90, 36},	//1691 DOM::Node::ownerDocument() const
	{102, 976, 716, 2, 0, 320, 37},	//1692 DOM::Node::insertBefore(const DOM::Node&, const DOM::Node&)
	{102, 1267, 716, 2, 0, 320, 38},	//1693 DOM::Node::replaceChild(const DOM::Node&, const DOM::Node&)
	{102, 1251, 708, 1, 0, 320, 39},	//1694 DOM::Node::removeChild(const DOM::Node&)
	{102, 550, 708, 1, 0, 320, 40},	//1695 DOM::Node::appendChild(const DOM::Node&)
	{102, 920, 0, 0, 0, 831, 41},	//1696 DOM::Node::hasChildNodes()
	{102, 623, 395, 1, 0, 320, 42},	//1697 DOM::Node::cloneNode(bool)
	{102, 1137, 0, 0, 0, 0, 43},	//1698 DOM::Node::normalize()
	{102, 1022, 513, 2, Smoke::mf_const, 831, 44},	//1699 DOM::Node::isSupported(const DOM::DOMString&, const DOM::DOMString&) const
	{102, 1117, 0, 0, Smoke::mf_const, 86, 45},	//1700 DOM::Node::namespaceURI() const
	{102, 1201, 0, 0, Smoke::mf_const, 86, 46},	//1701 DOM::Node::prefix() const
	{102, 1595, 455, 1, 0, 0, 47},	//1702 DOM::Node::setPrefix(const DOM::DOMString&)
	{102, 1082, 0, 0, Smoke::mf_const, 86, 48},	//1703 DOM::Node::localName() const
	{102, 919, 0, 0, 0, 831, 49},	//1704 DOM::Node::hasAttributes()
	{102, 538, 464, 3, 0, 0, 50},	//1705 DOM::Node::addEventListener(const DOM::DOMString&, DOM::EventListener*, const bool)
	{102, 1253, 460, 3, 0, 0, 51},	//1706 DOM::Node::removeEventListener(const DOM::DOMString&, DOM::EventListener*, bool)
	{102, 754, 564, 1, 0, 831, 52},	//1707 DOM::Node::dispatchEvent(const DOM::Event&)
	{102, 1819, 0, 0, Smoke::mf_const, 86, 53},	//1708 DOM::Node::textContent() const
	{102, 1689, 455, 1, 0, 0, 54},	//1709 DOM::Node::setTextContent(const DOM::DOMString&)
	{102, 643, 708, 1, 0, 1008, 55},	//1710 DOM::Node::compareDocumentPosition(const DOM::Node&)
	{102, 780, 0, 0, Smoke::mf_const, 1009, 56},	//1711 DOM::Node::elementId() const
	{102, 1016, 0, 0, Smoke::mf_const, 831, 57},	//1712 DOM::Node::isNull() const
	{102, 952, 0, 0, Smoke::mf_const, 1010, 58},	//1713 DOM::Node::index() const
	{102, 557, 0, 0, 0, 0, 59},	//1714 DOM::Node::applyChanges()
	{102, 903, 0, 0, 0, 674, 60},	//1715 DOM::Node::getRect()
	{103, 182, 0, 0, Smoke::mf_static|Smoke::mf_enum, 328, 1},	//1716 DOM::NodeFilter::FILTER_ACCEPT (enum)
	{103, 183, 0, 0, Smoke::mf_static|Smoke::mf_enum, 328, 2},	//1717 DOM::NodeFilter::FILTER_REJECT (enum)
	{103, 184, 0, 0, Smoke::mf_static|Smoke::mf_enum, 328, 3},	//1718 DOM::NodeFilter::FILTER_SKIP (enum)
	{103, 468, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 4},	//1719 DOM::NodeFilter::SHOW_ALL (enum)
	{103, 475, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 5},	//1720 DOM::NodeFilter::SHOW_ELEMENT (enum)
	{103, 469, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 6},	//1721 DOM::NodeFilter::SHOW_ATTRIBUTE (enum)
	{103, 480, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 7},	//1722 DOM::NodeFilter::SHOW_TEXT (enum)
	{103, 470, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 8},	//1723 DOM::NodeFilter::SHOW_CDATA_SECTION (enum)
	{103, 477, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 9},	//1724 DOM::NodeFilter::SHOW_ENTITY_REFERENCE (enum)
	{103, 476, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 10},	//1725 DOM::NodeFilter::SHOW_ENTITY (enum)
	{103, 479, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 11},	//1726 DOM::NodeFilter::SHOW_PROCESSING_INSTRUCTION (enum)
	{103, 471, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 12},	//1727 DOM::NodeFilter::SHOW_COMMENT (enum)
	{103, 472, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 13},	//1728 DOM::NodeFilter::SHOW_DOCUMENT (enum)
	{103, 474, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 14},	//1729 DOM::NodeFilter::SHOW_DOCUMENT_TYPE (enum)
	{103, 473, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 15},	//1730 DOM::NodeFilter::SHOW_DOCUMENT_FRAGMENT (enum)
	{103, 478, 0, 0, Smoke::mf_static|Smoke::mf_enum, 329, 16},	//1731 DOM::NodeFilter::SHOW_NOTATION (enum)
	{103, 433, 0, 0, Smoke::mf_ctor, 327, 17},	//1732 DOM::NodeFilter::NodeFilter()
	{103, 433, 725, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 327, 18},	//1733 DOM::NodeFilter::NodeFilter(const DOM::NodeFilter&)
	{103, 433, 189, 1, Smoke::mf_ctor, 327, 19},	//1734 DOM::NodeFilter::NodeFilter(DOM::NodeFilterImpl*)
	{103, 1158, 725, 1, 0, 326, 20},	//1735 DOM::NodeFilter::operator=(const DOM::NodeFilter&)
	{103, 2004, 0, 0, Smoke::mf_dtor, 0, 26},	//1736 DOM::NodeFilter::~NodeFilter()
	{103, 520, 708, 1, 0, 1006, 21},	//1737 DOM::NodeFilter::acceptNode(const DOM::Node&)
	{103, 1016, 0, 0, Smoke::mf_const, 831, 22},	//1738 DOM::NodeFilter::isNull() const
	{103, 1435, 389, 1, 0, 0, 23},	//1739 DOM::NodeFilter::setCustomNodeFilter(DOM::CustomNodeFilter*)
	{103, 720, 0, 0, 0, 78, 24},	//1740 DOM::NodeFilter::customNodeFilter()
	{103, 680, 389, 1, Smoke::mf_static, 325, 25},	//1741 DOM::NodeFilter::createCustom(DOM::CustomNodeFilter*)
	{104, 436, 0, 0, Smoke::mf_ctor, 334, 1},	//1742 DOM::NodeIterator::NodeIterator()
	{104, 436, 727, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 334, 2},	//1743 DOM::NodeIterator::NodeIterator(const DOM::NodeIterator&)
	{104, 1158, 727, 1, 0, 333, 3},	//1744 DOM::NodeIterator::operator=(const DOM::NodeIterator&)
	{104, 2005, 0, 0, Smoke::mf_dtor, 0, 13},	//1745 DOM::NodeIterator::~NodeIterator()
	{104, 1284, 0, 0, 0, 320, 4},	//1746 DOM::NodeIterator::root()
	{104, 1867, 0, 0, 0, 1010, 5},	//1747 DOM::NodeIterator::whatToShow()
	{104, 811, 0, 0, 0, 325, 6},	//1748 DOM::NodeIterator::filter()
	{104, 806, 0, 0, 0, 831, 7},	//1749 DOM::NodeIterator::expandEntityReferences()
	{104, 1124, 0, 0, 0, 320, 8},	//1750 DOM::NodeIterator::nextNode()
	{104, 1210, 0, 0, 0, 320, 9},	//1751 DOM::NodeIterator::previousNode()
	{104, 747, 0, 0, 0, 0, 10},	//1752 DOM::NodeIterator::detach()
	{104, 1016, 0, 0, Smoke::mf_const, 831, 11},	//1753 DOM::NodeIterator::isNull() const
	{104, 436, 196, 1, Smoke::mf_ctor|Smoke::mf_protected, 334, 12},	//1754 DOM::NodeIterator::NodeIterator(DOM::NodeIteratorImpl*)
	{105, 439, 0, 0, Smoke::mf_ctor, 338, 1},	//1755 DOM::NodeList::NodeList()
	{105, 439, 729, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 338, 2},	//1756 DOM::NodeList::NodeList(const DOM::NodeList&)
	{105, 1158, 729, 1, 0, 337, 3},	//1757 DOM::NodeList::operator=(const DOM::NodeList&)
	{105, 2006, 0, 0, Smoke::mf_dtor, 0, 8},	//1758 DOM::NodeList::~NodeList()
	{105, 1073, 0, 0, Smoke::mf_const, 1010, 4},	//1759 DOM::NodeList::length() const
	{105, 1024, 24, 1, Smoke::mf_const, 320, 5},	//1760 DOM::NodeList::item(unsigned long) const
	{105, 1016, 0, 0, Smoke::mf_const, 831, 6},	//1761 DOM::NodeList::isNull() const
	{105, 439, 731, 1, Smoke::mf_ctor|Smoke::mf_protected, 338, 7},	//1762 DOM::NodeList::NodeList(const DOM::NodeListImpl*)
	{106, 443, 0, 0, Smoke::mf_ctor, 340, 1},	//1763 DOM::Notation::Notation()
	{106, 443, 733, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 340, 2},	//1764 DOM::Notation::Notation(const DOM::Notation&)
	{106, 443, 708, 1, Smoke::mf_ctor, 340, 3},	//1765 DOM::Notation::Notation(const DOM::Node&)
	{106, 1158, 708, 1, 0, 339, 4},	//1766 DOM::Notation::operator=(const DOM::Node&)
	{106, 1158, 733, 1, 0, 339, 5},	//1767 DOM::Notation::operator=(const DOM::Notation&)
	{106, 2007, 0, 0, Smoke::mf_dtor, 0, 9},	//1768 DOM::Notation::~Notation()
	{106, 1217, 0, 0, Smoke::mf_const, 86, 6},	//1769 DOM::Notation::publicId() const
	{106, 1808, 0, 0, Smoke::mf_const, 86, 7},	//1770 DOM::Notation::systemId() const
	{106, 443, 198, 1, Smoke::mf_ctor|Smoke::mf_protected, 340, 8},	//1771 DOM::Notation::Notation(DOM::NotationImpl*)
	{107, 449, 0, 0, Smoke::mf_ctor, 344, 1},	//1772 DOM::ProcessingInstruction::ProcessingInstruction()
	{107, 449, 735, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 344, 2},	//1773 DOM::ProcessingInstruction::ProcessingInstruction(const DOM::ProcessingInstruction&)
	{107, 449, 708, 1, Smoke::mf_ctor, 344, 3},	//1774 DOM::ProcessingInstruction::ProcessingInstruction(const DOM::Node&)
	{107, 1158, 708, 1, 0, 343, 4},	//1775 DOM::ProcessingInstruction::operator=(const DOM::Node&)
	{107, 1158, 735, 1, 0, 343, 5},	//1776 DOM::ProcessingInstruction::operator=(const DOM::ProcessingInstruction&)
	{107, 2008, 0, 0, Smoke::mf_dtor, 0, 11},	//1777 DOM::ProcessingInstruction::~ProcessingInstruction()
	{107, 1816, 0, 0, Smoke::mf_const, 86, 6},	//1778 DOM::ProcessingInstruction::target() const
	{107, 722, 0, 0, Smoke::mf_const, 86, 7},	//1779 DOM::ProcessingInstruction::data() const
	{107, 1444, 455, 1, 0, 0, 8},	//1780 DOM::ProcessingInstruction::setData(const DOM::DOMString&)
	{107, 1742, 0, 0, Smoke::mf_const, 362, 9},	//1781 DOM::ProcessingInstruction::sheet() const
	{107, 449, 200, 1, Smoke::mf_ctor|Smoke::mf_protected, 344, 10},	//1782 DOM::ProcessingInstruction::ProcessingInstruction(DOM::ProcessingInstructionImpl*)
	{108, 454, 0, 0, Smoke::mf_ctor, 348, 1},	//1783 DOM::RGBColor::RGBColor()
	{108, 454, 19, 1, Smoke::mf_ctor, 348, 2},	//1784 DOM::RGBColor::RGBColor(unsigned int)
	{108, 454, 737, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 348, 3},	//1785 DOM::RGBColor::RGBColor(const DOM::RGBColor&)
	{108, 1158, 737, 1, 0, 347, 4},	//1786 DOM::RGBColor::operator=(const DOM::RGBColor&)
	{108, 2009, 0, 0, Smoke::mf_dtor, 0, 9},	//1787 DOM::RGBColor::~RGBColor()
	{108, 1233, 0, 0, Smoke::mf_const, 31, 5},	//1788 DOM::RGBColor::red() const
	{108, 910, 0, 0, Smoke::mf_const, 31, 6},	//1789 DOM::RGBColor::green() const
	{108, 582, 0, 0, Smoke::mf_const, 31, 7},	//1790 DOM::RGBColor::blue() const
	{108, 637, 0, 0, Smoke::mf_const, 1009, 8},	//1791 DOM::RGBColor::color() const
	{109, 485, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 1},	//1792 DOM::Range::START_TO_START (enum)
	{109, 484, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 2},	//1793 DOM::Range::START_TO_END (enum)
	{109, 160, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 3},	//1794 DOM::Range::END_TO_END (enum)
	{109, 161, 0, 0, Smoke::mf_static|Smoke::mf_enum, 352, 4},	//1795 DOM::Range::END_TO_START (enum)
	{109, 457, 0, 0, Smoke::mf_ctor, 351, 5},	//1796 DOM::Range::Range()
	{109, 457, 530, 1, Smoke::mf_ctor, 351, 6},	//1797 DOM::Range::Range(const DOM::Document)
	{109, 457, 739, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 351, 7},	//1798 DOM::Range::Range(const DOM::Range&)
	{109, 457, 703, 4, Smoke::mf_ctor, 351, 8},	//1799 DOM::Range::Range(const DOM::Node, const long, const DOM::Node, const long)
	{109, 1158, 739, 1, 0, 350, 9},	//1800 DOM::Range::operator=(const DOM::Range&)
	{109, 2010, 0, 0, Smoke::mf_dtor, 0, 40},	//1801 DOM::Range::~Range()
	{109, 1768, 0, 0, Smoke::mf_const, 320, 10},	//1802 DOM::Range::startContainer() const
	{109, 1769, 0, 0, Smoke::mf_const, 1004, 11},	//1803 DOM::Range::startOffset() const
	{109, 789, 0, 0, Smoke::mf_const, 320, 12},	//1804 DOM::Range::endContainer() const
	{109, 790, 0, 0, Smoke::mf_const, 1004, 13},	//1805 DOM::Range::endOffset() const
	{109, 636, 0, 0, Smoke::mf_const, 831, 14},	//1806 DOM::Range::collapsed() const
	{109, 639, 0, 0, 0, 320, 15},	//1807 DOM::Range::commonAncestorContainer()
	{109, 1661, 710, 2, 0, 0, 16},	//1808 DOM::Range::setStart(const DOM::Node&, long)
	{109, 1472, 710, 2, 0, 0, 17},	//1809 DOM::Range::setEnd(const DOM::Node&, long)
	{109, 1666, 708, 1, 0, 0, 18},	//1810 DOM::Range::setStartBefore(const DOM::Node&)
	{109, 1664, 708, 1, 0, 0, 19},	//1811 DOM::Range::setStartAfter(const DOM::Node&)
	{109, 1476, 708, 1, 0, 0, 20},	//1812 DOM::Range::setEndBefore(const DOM::Node&)
	{109, 1474, 708, 1, 0, 0, 21},	//1813 DOM::Range::setEndAfter(const DOM::Node&)
	{109, 634, 395, 1, 0, 0, 22},	//1814 DOM::Range::collapse(bool)
	{109, 1308, 708, 1, 0, 0, 23},	//1815 DOM::Range::selectNode(const DOM::Node&)
	{109, 1310, 708, 1, 0, 0, 24},	//1816 DOM::Range::selectNodeContents(const DOM::Node&)
	{109, 641, 204, 2, 0, 1006, 25},	//1817 DOM::Range::compareBoundaryPoints(DOM::Range::CompareHow, const DOM::Range&)
	{109, 587, 0, 0, 0, 831, 26},	//1818 DOM::Range::boundaryPointsValid()
	{109, 733, 0, 0, 0, 0, 27},	//1819 DOM::Range::deleteContents()
	{109, 807, 0, 0, 0, 93, 28},	//1820 DOM::Range::extractContents()
	{109, 622, 0, 0, 0, 93, 29},	//1821 DOM::Range::cloneContents()
	{109, 982, 708, 1, 0, 0, 30},	//1822 DOM::Range::insertNode(const DOM::Node&)
	{109, 1806, 708, 1, 0, 0, 31},	//1823 DOM::Range::surroundContents(const DOM::Node&)
	{109, 625, 0, 0, 0, 349, 32},	//1824 DOM::Range::cloneRange()
	{109, 1830, 0, 0, 0, 86, 33},	//1825 DOM::Range::toString()
	{109, 1827, 0, 0, 0, 86, 34},	//1826 DOM::Range::toHTML()
	{109, 678, 455, 1, 0, 93, 35},	//1827 DOM::Range::createContextualFragment(const DOM::DOMString&)
	{109, 747, 0, 0, 0, 0, 36},	//1828 DOM::Range::detach()
	{109, 999, 0, 0, Smoke::mf_const, 831, 37},	//1829 DOM::Range::isDetached() const
	{109, 1016, 0, 0, Smoke::mf_const, 831, 38},	//1830 DOM::Range::isNull() const
	{109, 457, 207, 1, Smoke::mf_ctor, 351, 39},	//1831 DOM::Range::Range(DOM::RangeImpl*)
	{110, 10, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 1},	//1832 DOM::RangeException::BAD_BOUNDARYPOINTS_ERR (enum)
	{110, 370, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 2},	//1833 DOM::RangeException::INVALID_NODE_TYPE_ERR (enum)
	{110, 514, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 3},	//1834 DOM::RangeException::_EXCEPTION_OFFSET (enum)
	{110, 513, 0, 0, Smoke::mf_static|Smoke::mf_enum, 355, 4},	//1835 DOM::RangeException::_EXCEPTION_MAX (enum)
	{110, 461, 26, 1, Smoke::mf_ctor, 354, 6},	//1836 DOM::RangeException::RangeException(unsigned short)
	{110, 461, 741, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 354, 7},	//1837 DOM::RangeException::RangeException(const DOM::RangeException&)
	{110, 1158, 741, 1, 0, 353, 8},	//1838 DOM::RangeException::operator=(const DOM::RangeException&)
	{110, 2011, 0, 0, Smoke::mf_dtor, 0, 10},	//1839 DOM::RangeException::~RangeException()
	{110, 1402, 26, 1, 0, 0, 9},	//1840 DOM::RangeException::setCode(unsigned short)
	{110, 630, 0, 0, 0, 1012, 5},	//1841 DOM::RangeException::code (var)
	{111, 464, 0, 0, Smoke::mf_ctor, 359, 1},	//1842 DOM::Rect::Rect()
	{111, 464, 743, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 359, 2},	//1843 DOM::Rect::Rect(const DOM::Rect&)
	{111, 1158, 743, 1, 0, 358, 3},	//1844 DOM::Rect::operator=(const DOM::Rect&)
	{111, 2012, 0, 0, Smoke::mf_dtor, 0, 10},	//1845 DOM::Rect::~Rect()
	{111, 1831, 0, 0, Smoke::mf_const, 31, 4},	//1846 DOM::Rect::top() const
	{111, 1283, 0, 0, Smoke::mf_const, 31, 5},	//1847 DOM::Rect::right() const
	{111, 586, 0, 0, Smoke::mf_const, 31, 6},	//1848 DOM::Rect::bottom() const
	{111, 1072, 0, 0, Smoke::mf_const, 31, 7},	//1849 DOM::Rect::left() const
	{111, 1016, 0, 0, Smoke::mf_const, 831, 8},	//1850 DOM::Rect::isNull() const
	{111, 464, 209, 1, Smoke::mf_ctor|Smoke::mf_protected, 359, 9},	//1851 DOM::Rect::Rect(DOM::RectImpl*)
	{112, 488, 0, 0, Smoke::mf_ctor, 364, 1},	//1852 DOM::StyleSheet::StyleSheet()
	{112, 488, 745, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 364, 2},	//1853 DOM::StyleSheet::StyleSheet(const DOM::StyleSheet&)
	{112, 488, 213, 1, Smoke::mf_ctor, 364, 3},	//1854 DOM::StyleSheet::StyleSheet(DOM::StyleSheetImpl*)
	{112, 1158, 745, 1, 0, 363, 4},	//1855 DOM::StyleSheet::operator=(const DOM::StyleSheet&)
	{112, 2013, 0, 0, Smoke::mf_dtor, 0, 16},	//1856 DOM::StyleSheet::~StyleSheet()
	{112, 1835, 0, 0, Smoke::mf_const, 86, 5},	//1857 DOM::StyleSheet::type() const
	{112, 751, 0, 0, Smoke::mf_const, 831, 6},	//1858 DOM::StyleSheet::disabled() const
	{112, 1462, 395, 1, 0, 0, 7},	//1859 DOM::StyleSheet::setDisabled(bool)
	{112, 1169, 0, 0, Smoke::mf_const, 320, 8},	//1860 DOM::StyleSheet::ownerNode() const
	{112, 1186, 0, 0, Smoke::mf_const, 362, 9},	//1861 DOM::StyleSheet::parentStyleSheet() const
	{112, 936, 0, 0, Smoke::mf_const, 86, 10},	//1862 DOM::StyleSheet::href() const
	{112, 1824, 0, 0, Smoke::mf_const, 86, 11},	//1863 DOM::StyleSheet::title() const
	{112, 1092, 0, 0, Smoke::mf_const, 305, 12},	//1864 DOM::StyleSheet::media() const
	{112, 576, 0, 0, 0, 514, 13},	//1865 DOM::StyleSheet::baseUrl()
	{112, 995, 0, 0, Smoke::mf_const, 831, 14},	//1866 DOM::StyleSheet::isCSSStyleSheet() const
	{112, 1016, 0, 0, Smoke::mf_const, 831, 15},	//1867 DOM::StyleSheet::isNull() const
	{113, 491, 0, 0, Smoke::mf_ctor, 368, 1},	//1868 DOM::StyleSheetList::StyleSheetList()
	{113, 491, 747, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 368, 2},	//1869 DOM::StyleSheetList::StyleSheetList(const DOM::StyleSheetList&)
	{113, 491, 215, 1, Smoke::mf_ctor, 368, 3},	//1870 DOM::StyleSheetList::StyleSheetList(DOM::StyleSheetListImpl*)
	{113, 1158, 747, 1, 0, 367, 4},	//1871 DOM::StyleSheetList::operator=(const DOM::StyleSheetList&)
	{113, 2014, 0, 0, Smoke::mf_dtor, 0, 8},	//1872 DOM::StyleSheetList::~StyleSheetList()
	{113, 1073, 0, 0, Smoke::mf_const, 1010, 5},	//1873 DOM::StyleSheetList::length() const
	{113, 1024, 24, 1, 0, 362, 6},	//1874 DOM::StyleSheetList::item(unsigned long)
	{113, 1016, 0, 0, Smoke::mf_const, 831, 7},	//1875 DOM::StyleSheetList::isNull() const
	{114, 496, 0, 0, Smoke::mf_ctor, 372, 1},	//1876 DOM::Text::Text()
	{114, 496, 749, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 372, 2},	//1877 DOM::Text::Text(const DOM::Text&)
	{114, 496, 708, 1, Smoke::mf_ctor, 372, 3},	//1878 DOM::Text::Text(const DOM::Node&)
	{114, 1158, 708, 1, 0, 371, 4},	//1879 DOM::Text::operator=(const DOM::Node&)
	{114, 1158, 749, 1, 0, 371, 5},	//1880 DOM::Text::operator=(const DOM::Text&)
	{114, 2015, 0, 0, Smoke::mf_dtor, 0, 8},	//1881 DOM::Text::~Text()
	{114, 1763, 888, 1, 0, 370, 6},	//1882 DOM::Text::splitText(const unsigned long)
	{114, 496, 217, 1, Smoke::mf_ctor|Smoke::mf_protected, 372, 7},	//1883 DOM::Text::Text(DOM::TextImpl*)
	{115, 499, 0, 0, Smoke::mf_ctor, 374, 1},	//1884 DOM::TextEvent::TextEvent()
	{115, 499, 751, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 374, 2},	//1885 DOM::TextEvent::TextEvent(const DOM::TextEvent&)
	{115, 499, 564, 1, Smoke::mf_ctor, 374, 3},	//1886 DOM::TextEvent::TextEvent(const DOM::Event&)
	{115, 1158, 751, 1, 0, 373, 4},	//1887 DOM::TextEvent::operator=(const DOM::TextEvent&)
	{115, 1158, 564, 1, 0, 373, 5},	//1888 DOM::TextEvent::operator=(const DOM::Event&)
	{115, 2016, 0, 0, Smoke::mf_dtor, 0, 7},	//1889 DOM::TextEvent::~TextEvent()
	{115, 964, 494, 5, 0, 0, 6},	//1890 DOM::TextEvent::initTextEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, const DOM::DOMString&)
	{116, 501, 0, 0, Smoke::mf_ctor, 378, 1},	//1891 DOM::TreeWalker::TreeWalker()
	{116, 501, 753, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 378, 2},	//1892 DOM::TreeWalker::TreeWalker(const DOM::TreeWalker&)
	{116, 1158, 753, 1, 0, 377, 3},	//1893 DOM::TreeWalker::operator=(const DOM::TreeWalker&)
	{116, 2017, 0, 0, Smoke::mf_dtor, 0, 19},	//1894 DOM::TreeWalker::~TreeWalker()
	{116, 1284, 0, 0, 0, 320, 4},	//1895 DOM::TreeWalker::root()
	{116, 1867, 0, 0, 0, 1010, 5},	//1896 DOM::TreeWalker::whatToShow()
	{116, 811, 0, 0, 0, 325, 6},	//1897 DOM::TreeWalker::filter()
	{116, 806, 0, 0, 0, 831, 7},	//1898 DOM::TreeWalker::expandEntityReferences()
	{116, 715, 0, 0, 0, 320, 8},	//1899 DOM::TreeWalker::currentNode()
	{116, 1433, 708, 1, 0, 0, 9},	//1900 DOM::TreeWalker::setCurrentNode(const DOM::Node&)
	{116, 1183, 0, 0, 0, 320, 10},	//1901 DOM::TreeWalker::parentNode()
	{116, 832, 0, 0, 0, 320, 11},	//1902 DOM::TreeWalker::firstChild()
	{116, 1063, 0, 0, 0, 320, 12},	//1903 DOM::TreeWalker::lastChild()
	{116, 1211, 0, 0, 0, 320, 13},	//1904 DOM::TreeWalker::previousSibling()
	{116, 1125, 0, 0, 0, 320, 14},	//1905 DOM::TreeWalker::nextSibling()
	{116, 1210, 0, 0, 0, 320, 15},	//1906 DOM::TreeWalker::previousNode()
	{116, 1124, 0, 0, 0, 320, 16},	//1907 DOM::TreeWalker::nextNode()
	{116, 1016, 0, 0, Smoke::mf_const, 831, 17},	//1908 DOM::TreeWalker::isNull() const
	{116, 501, 219, 1, Smoke::mf_ctor|Smoke::mf_protected, 378, 18},	//1909 DOM::TreeWalker::TreeWalker(DOM::TreeWalkerImpl*)
	{117, 504, 0, 0, Smoke::mf_ctor, 381, 1},	//1910 DOM::UIEvent::UIEvent()
	{117, 504, 755, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 381, 2},	//1911 DOM::UIEvent::UIEvent(const DOM::UIEvent&)
	{117, 504, 564, 1, Smoke::mf_ctor, 381, 3},	//1912 DOM::UIEvent::UIEvent(const DOM::Event&)
	{117, 1158, 755, 1, 0, 380, 4},	//1913 DOM::UIEvent::operator=(const DOM::UIEvent&)
	{117, 1158, 564, 1, 0, 380, 5},	//1914 DOM::UIEvent::operator=(const DOM::Event&)
	{117, 2018, 0, 0, Smoke::mf_dtor, 0, 17},	//1915 DOM::UIEvent::~UIEvent()
	{117, 1857, 0, 0, Smoke::mf_const, 1, 6},	//1916 DOM::UIEvent::view() const
	{117, 748, 0, 0, Smoke::mf_const, 1004, 7},	//1917 DOM::UIEvent::detail() const
	{117, 1033, 0, 0, Smoke::mf_const, 995, 8},	//1918 DOM::UIEvent::keyCode() const
	{117, 606, 0, 0, Smoke::mf_const, 995, 9},	//1919 DOM::UIEvent::charCode() const
	{117, 1172, 0, 0, Smoke::mf_const, 995, 10},	//1920 DOM::UIEvent::pageX() const
	{117, 1173, 0, 0, Smoke::mf_const, 995, 11},	//1921 DOM::UIEvent::pageY() const
	{117, 1066, 0, 0, Smoke::mf_const, 995, 12},	//1922 DOM::UIEvent::layerX() const
	{117, 1067, 0, 0, Smoke::mf_const, 995, 13},	//1923 DOM::UIEvent::layerY() const
	{117, 1870, 0, 0, Smoke::mf_const, 995, 14},	//1924 DOM::UIEvent::which() const
	{117, 966, 472, 5, 0, 0, 15},	//1925 DOM::UIEvent::initUIEvent(const DOM::DOMString&, bool, bool, const DOM::AbstractView&, long)
	{117, 504, 221, 1, Smoke::mf_ctor|Smoke::mf_protected, 381, 16},	//1926 DOM::UIEvent::UIEvent(DOM::UIEventImpl*)
	{123, 144, 0, 0, Smoke::mf_static|Smoke::mf_enum, 428, 1},	//1927 KHTMLPart::DefaultGUI (enum)
	{123, 13, 0, 0, Smoke::mf_static|Smoke::mf_enum, 428, 2},	//1928 KHTMLPart::BrowserViewGUI (enum)
	{123, 115, 0, 0, Smoke::mf_static|Smoke::mf_enum, 425, 3},	//1929 KHTMLPart::DNSPrefetchDisabled (enum)
	{123, 116, 0, 0, Smoke::mf_static|Smoke::mf_enum, 425, 4},	//1930 KHTMLPart::DNSPrefetchEnabled (enum)
	{123, 117, 0, 0, Smoke::mf_static|Smoke::mf_enum, 425, 5},	//1931 KHTMLPart::DNSPrefetchOnlyWWWAndSLD (enum)
	{123, 103, 0, 0, Smoke::mf_static|Smoke::mf_enum, 424, 6},	//1932 KHTMLPart::CaretVisible (enum)
	{123, 102, 0, 0, Smoke::mf_static|Smoke::mf_enum, 424, 7},	//1933 KHTMLPart::CaretInvisible (enum)
	{123, 101, 0, 0, Smoke::mf_static|Smoke::mf_enum, 424, 8},	//1934 KHTMLPart::CaretBlink (enum)
	{123, 186, 0, 0, Smoke::mf_static|Smoke::mf_enum, 426, 9},	//1935 KHTMLPart::FindLinksOnly (enum)
	{123, 187, 0, 0, Smoke::mf_static|Smoke::mf_enum, 426, 10},	//1936 KHTMLPart::FindNoPopups (enum)
	{123, 429, 0, 0, Smoke::mf_static|Smoke::mf_enum, 427, 11},	//1937 KHTMLPart::NoNotification (enum)
	{123, 12, 0, 0, Smoke::mf_static|Smoke::mf_enum, 427, 12},	//1938 KHTMLPart::Before (enum)
	{123, 446, 0, 0, Smoke::mf_static|Smoke::mf_enum, 427, 13},	//1939 KHTMLPart::Only (enum)
	{123, 510, 0, 0, Smoke::mf_static|Smoke::mf_enum, 427, 14},	//1940 KHTMLPart::Unused (enum)
	{123, 1096, 0, 0, Smoke::mf_const, 974, 19},	//1941 KHTMLPart::metaObject() const
	{123, 1218, 317, 3, 0, 995, 20},	//1942 KHTMLPart::qt_metacall(QMetaObject::Call, int, void**)
	{123, 378, 367, 3, Smoke::mf_ctor, 423, 21},	//1943 KHTMLPart::KHTMLPart(QWidget*, QObject*, KHTMLPart::GUIProfile)
	{123, 378, 364, 2, Smoke::mf_ctor, 423, 22},	//1944 KHTMLPart::KHTMLPart(QWidget*, QObject*)
	{123, 378, 362, 1, Smoke::mf_ctor, 423, 23},	//1945 KHTMLPart::KHTMLPart(QWidget*)
	{123, 378, 0, 0, Smoke::mf_ctor, 423, 24},	//1946 KHTMLPart::KHTMLPart()
	{123, 378, 252, 3, Smoke::mf_ctor, 423, 25},	//1947 KHTMLPart::KHTMLPart(KHTMLView*, QObject*, KHTMLPart::GUIProfile)
	{123, 378, 249, 2, Smoke::mf_ctor, 423, 26},	//1948 KHTMLPart::KHTMLPart(KHTMLView*, QObject*)
	{123, 378, 247, 1, Smoke::mf_ctor, 423, 27},	//1949 KHTMLPart::KHTMLPart(KHTMLView*)
	{123, 1994, 0, 0, Smoke::mf_dtor, 0, 187},	//1950 KHTMLPart::~KHTMLPart()
	{123, 1148, 769, 1, 0, 831, 28},	//1951 KHTMLPart::openUrl(const KUrl&)
	{123, 629, 0, 0, 0, 831, 29},	//1952 KHTMLPart::closeUrl()
	{123, 1746, 260, 1, 0, 0, 30},	//1953 KHTMLPart::showError(KJob*)
	{123, 939, 0, 0, Smoke::mf_const, 165, 31},	//1954 KHTMLPart::htmlDocument() const
	{123, 766, 0, 0, Smoke::mf_const, 90, 32},	//1955 KHTMLPart::document() const
	{123, 768, 0, 0, Smoke::mf_const, 682, 33},	//1956 KHTMLPart::documentSource() const
	{123, 529, 0, 0, Smoke::mf_const, 320, 34},	//1957 KHTMLPart::activeNode() const
	{123, 588, 0, 0, Smoke::mf_const, 485, 35},	//1958 KHTMLPart::browserExtension() const
	{123, 589, 0, 0, Smoke::mf_const, 489, 36},	//1959 KHTMLPart::browserHostExtension() const
	{123, 1857, 0, 0, Smoke::mf_const, 442, 37},	//1960 KHTMLPart::view() const
	{123, 1533, 395, 1, 0, 0, 38},	//1961 KHTMLPart::setJScriptEnabled(bool)
	{123, 1026, 0, 0, Smoke::mf_const, 831, 39},	//1962 KHTMLPart::jScriptEnabled() const
	{123, 1027, 0, 0, 0, 463, 40},	//1963 KHTMLPart::jScriptInterpreter()
	{123, 1668, 395, 1, 0, 0, 41},	//1964 KHTMLPart::setStatusMessagesEnabled(bool)
	{123, 1778, 0, 0, Smoke::mf_const, 831, 42},	//1965 KHTMLPart::statusMessagesEnabled() const
	{123, 1563, 395, 1, 0, 0, 43},	//1966 KHTMLPart::setMetaRefreshEnabled(bool)
	{123, 1097, 0, 0, Smoke::mf_const, 831, 44},	//1967 KHTMLPart::metaRefreshEnabled() const
	{123, 804, 719, 2, 0, 731, 45},	//1968 KHTMLPart::executeScript(const DOM::Node&, const QString&)
	{123, 1437, 395, 1, 0, 0, 46},	//1969 KHTMLPart::setDNDEnabled(bool)
	{123, 757, 0, 0, Smoke::mf_const, 831, 47},	//1970 KHTMLPart::dndEnabled() const
	{123, 1535, 395, 1, 0, 0, 48},	//1971 KHTMLPart::setJavaEnabled(bool)
	{123, 1028, 0, 0, Smoke::mf_const, 831, 49},	//1972 KHTMLPart::javaEnabled() const
	{123, 1593, 395, 1, 0, 0, 50},	//1973 KHTMLPart::setPluginsEnabled(bool)
	{123, 1197, 0, 0, Smoke::mf_const, 831, 51},	//1974 KHTMLPart::pluginsEnabled() const
	{123, 1357, 395, 1, 0, 0, 52},	//1975 KHTMLPart::setAutoloadImages(bool)
	{123, 568, 0, 0, Smoke::mf_const, 831, 53},	//1976 KHTMLPart::autoloadImages() const
	{123, 1587, 395, 1, 0, 0, 54},	//1977 KHTMLPart::setOnlyLocalReferences(bool)
	{123, 1439, 237, 1, 0, 0, 55},	//1978 KHTMLPart::setDNSPrefetch(KHTMLPart::DNSPrefetch)
	{123, 758, 0, 0, Smoke::mf_const, 425, 56},	//1979 KHTMLPart::dnsPrefetch() const
	{123, 1145, 0, 0, Smoke::mf_const, 831, 57},	//1980 KHTMLPart::onlyLocalReferences() const
	{123, 997, 0, 0, Smoke::mf_const, 831, 58},	//1981 KHTMLPart::isCaretMode() const
	{123, 1000, 0, 0, Smoke::mf_const, 831, 59},	//1982 KHTMLPart::isEditable() const
	{123, 1375, 175, 3, 0, 0, 60},	//1983 KHTMLPart::setCaretPosition(DOM::Node, long, bool)
	{123, 1375, 172, 2, 0, 0, 61},	//1984 KHTMLPart::setCaretPosition(DOM::Node, long)
	{123, 594, 0, 0, Smoke::mf_const, 424, 62},	//1985 KHTMLPart::caretDisplayPolicyNonFocused() const
	{123, 1371, 235, 1, 0, 0, 63},	//1986 KHTMLPart::setCaretDisplayPolicyNonFocused(KHTMLPart::CaretDisplayPolicy)
	{123, 575, 0, 0, Smoke::mf_const, 514, 64},	//1987 KHTMLPart::baseURL() const
	{123, 572, 0, 0, Smoke::mf_const, 514, 65},	//1988 KHTMLPart::backgroundURL() const
	{123, 1292, 907, 3, 0, 0, 66},	//1989 KHTMLPart::scheduleRedirection(int, const QString&, bool)
	{123, 1292, 904, 2, 0, 0, 67},	//1990 KHTMLPart::scheduleRedirection(int, const QString&)
	{123, 577, 774, 3, 0, 0, 68},	//1991 KHTMLPart::begin(const KUrl&, int, int)
	{123, 577, 771, 2, 0, 0, 69},	//1992 KHTMLPart::begin(const KUrl&, int)
	{123, 577, 769, 1, 0, 0, 70},	//1993 KHTMLPart::begin(const KUrl&)
	{123, 577, 0, 0, 0, 0, 71},	//1994 KHTMLPart::begin()
	{123, 1887, 885, 2, 0, 0, 72},	//1995 KHTMLPart::write(const char*, int)
	{123, 1887, 862, 1, 0, 0, 73},	//1996 KHTMLPart::write(const char*)
	{123, 1887, 809, 1, 0, 0, 74},	//1997 KHTMLPart::write(const QString&)
	{123, 788, 0, 0, 0, 0, 75},	//1998 KHTMLPart::end()
	{123, 1174, 341, 4, 0, 0, 76},	//1999 KHTMLPart::paint(QPainter*, const QRect&, int, bool*)
	{123, 1174, 337, 3, 0, 0, 77},	//2000 KHTMLPart::paint(QPainter*, const QRect&, int)
	{123, 1174, 334, 2, 0, 0, 78},	//2001 KHTMLPart::paint(QPainter*, const QRect&)
	{123, 1466, 831, 2, 0, 831, 79},	//2002 KHTMLPart::setEncoding(const QString&, bool)
	{123, 1466, 809, 1, 0, 831, 80},	//2003 KHTMLPart::setEncoding(const QString&)
	{123, 786, 0, 0, Smoke::mf_const, 682, 81},	//2004 KHTMLPart::encoding() const
	{123, 1701, 769, 1, 0, 0, 82},	//2005 KHTMLPart::setUserStyleSheet(const KUrl&)
	{123, 1701, 809, 1, 0, 0, 83},	//2006 KHTMLPart::setUserStyleSheet(const QString&)
	{123, 1657, 809, 1, 0, 0, 84},	//2007 KHTMLPart::setStandardFont(const QString&)
	{123, 1482, 809, 1, 0, 0, 85},	//2008 KHTMLPart::setFixedFont(const QString&)
	{123, 908, 809, 1, 0, 831, 86},	//2009 KHTMLPart::gotoAnchor(const QString&)
	{123, 1119, 0, 0, 0, 831, 87},	//2010 KHTMLPart::nextAnchor()
	{123, 1206, 0, 0, 0, 831, 88},	//2011 KHTMLPart::prevAnchor()
	{123, 1697, 790, 1, 0, 0, 89},	//2012 KHTMLPart::setURLCursor(const QCursor&)
	{123, 1844, 0, 0, Smoke::mf_const, 568, 90},	//2013 KHTMLPart::urlCursor() const
	{123, 824, 0, 0, 0, 0, 91},	//2014 KHTMLPart::findText()
	{123, 824, 818, 4, 0, 0, 92},	//2015 KHTMLPart::findText(const QString&, long, QWidget*, KFindDialog*)
	{123, 824, 814, 3, 0, 0, 93},	//2016 KHTMLPart::findText(const QString&, long, QWidget*)
	{123, 824, 811, 2, 0, 0, 94},	//2017 KHTMLPart::findText(const QString&, long)
	{123, 828, 0, 0, 0, 0, 95},	//2018 KHTMLPart::findTextBegin()
	{123, 829, 395, 1, 0, 831, 96},	//2019 KHTMLPart::findTextNext(bool)
	{123, 829, 0, 0, 0, 831, 97},	//2020 KHTMLPart::findTextNext()
	{123, 1735, 902, 1, 0, 0, 98},	//2021 KHTMLPart::setZoomFactor(int)
	{123, 1896, 0, 0, Smoke::mf_const, 995, 99},	//2022 KHTMLPart::zoomFactor() const
	{123, 1488, 902, 1, 0, 0, 100},	//2023 KHTMLPart::setFontScaleFactor(int)
	{123, 846, 0, 0, Smoke::mf_const, 995, 101},	//2024 KHTMLPart::fontScaleFactor() const
	{123, 1315, 0, 0, Smoke::mf_const, 682, 102},	//2025 KHTMLPart::selectedText() const
	{123, 1316, 0, 0, Smoke::mf_const, 682, 103},	//2026 KHTMLPart::selectedTextAsHTML() const
	{123, 1317, 0, 0, Smoke::mf_const, 349, 104},	//2027 KHTMLPart::selection() const
	{123, 1317, 184, 4, Smoke::mf_const, 0, 105},	//2028 KHTMLPart::selection(DOM::Node&, long&, DOM::Node&, long&) const
	{123, 1634, 739, 1, 0, 0, 106},	//2029 KHTMLPart::setSelection(const DOM::Range&)
	{123, 924, 0, 0, Smoke::mf_const, 831, 107},	//2030 KHTMLPart::hasSelection() const
	{123, 779, 0, 0, Smoke::mf_const, 105, 108},	//2031 KHTMLPart::editor() const
	{123, 1307, 0, 0, 0, 0, 109},	//2032 KHTMLPart::selectAll()
	{123, 1744, 0, 0, 0, 0, 110},	//2033 KHTMLPart::show()
	{123, 929, 0, 0, 0, 0, 111},	//2034 KHTMLPart::hide()
	{123, 1190, 0, 0, 0, 494, 112},	//2035 KHTMLPart::partManager()
	{123, 1290, 293, 1, 0, 0, 113},	//2036 KHTMLPart::saveState(QDataStream&)
	{123, 1276, 293, 1, 0, 0, 114},	//2037 KHTMLPart::restoreState(QDataStream&)
	{123, 1134, 0, 0, Smoke::mf_const, 320, 115},	//2038 KHTMLPart::nodeUnderMouse() const
	{123, 1136, 0, 0, Smoke::mf_const, 320, 116},	//2039 KHTMLPart::nonSharedNodeUnderMouse() const
	{123, 1739, 0, 0, Smoke::mf_const, 956, 117},	//2040 KHTMLPart::settings() const
	{123, 1184, 0, 0, 0, 423, 118},	//2041 KHTMLPart::parentPart()
	{123, 856, 0, 0, Smoke::mf_const, 686, 119},	//2042 KHTMLPart::frameNames() const
	{123, 860, 0, 0, Smoke::mf_const, 631, 120},	//2043 KHTMLPart::frames() const
	{123, 817, 809, 1, 0, 423, 121},	//2044 KHTMLPart::findFrame(const QString&)
	{123, 819, 277, 3, 0, 423, 122},	//2045 KHTMLPart::findFrameParent(KParts::ReadOnlyPart*, const QString&, khtml::ChildFrame**)
	{123, 819, 274, 2, 0, 423, 123},	//2046 KHTMLPart::findFrameParent(KParts::ReadOnlyPart*, const QString&)
	{123, 714, 0, 0, Smoke::mf_const, 498, 124},	//2047 KHTMLPart::currentFrame() const
	{123, 854, 809, 1, 0, 831, 125},	//2048 KHTMLPart::frameExists(const QString&)
	{123, 858, 272, 1, 0, 464, 126},	//2049 KHTMLPart::framejScript(KParts::ReadOnlyPart*)
	{123, 822, 809, 1, 0, 498, 127},	//2050 KHTMLPart::findFramePart(const QString&)
	{123, 1531, 809, 1, 0, 0, 128},	//2051 KHTMLPart::setJSStatusBarText(const QString&)
	{123, 1525, 809, 1, 0, 0, 129},	//2052 KHTMLPart::setJSDefaultStatusBarText(const QString&)
	{123, 1032, 0, 0, Smoke::mf_const, 682, 130},	//2053 KHTMLPart::jsStatusBarText() const
	{123, 1029, 0, 0, Smoke::mf_const, 682, 131},	//2054 KHTMLPart::jsDefaultStatusBarText() const
	{123, 1236, 0, 0, Smoke::mf_const, 682, 132},	//2055 KHTMLPart::referrer() const
	{123, 1171, 0, 0, Smoke::mf_const, 682, 133},	//2056 KHTMLPart::pageReferrer() const
	{123, 1065, 0, 0, Smoke::mf_const, 682, 134},	//2057 KHTMLPart::lastModified() const
	{123, 1204, 841, 2, 0, 0, 135},	//2058 KHTMLPart::preloadStyleSheet(const QString&, const QString&)
	{123, 1202, 841, 2, 0, 0, 136},	//2059 KHTMLPart::preloadScript(const QString&, const QString&)
	{123, 1020, 915, 2, 0, 831, 137},	//2060 KHTMLPart::isPointInsideSelection(int, int)
	{123, 1278, 0, 0, Smoke::mf_const, 831, 138},	//2061 KHTMLPart::restored() const
	{123, 1343, 395, 1, 0, 0, 139},	//2062 KHTMLPart::setAlwaysHonourDoctype(bool)
	{123, 1343, 0, 0, 0, 0, 140},	//2063 KHTMLPart::setAlwaysHonourDoctype()
	{123, 1490, 239, 1, 0, 0, 141},	//2064 KHTMLPart::setFormNotification(KHTMLPart::FormNotification)
	{123, 848, 0, 0, Smoke::mf_const, 427, 142},	//2065 KHTMLPart::formNotification() const
	{123, 1832, 0, 0, 0, 514, 143},	//2066 KHTMLPart::toplevelURL()
	{123, 1015, 0, 0, Smoke::mf_const, 831, 144},	//2067 KHTMLPart::isModified() const
	{123, 1676, 397, 2, 0, 0, 145},	//2068 KHTMLPart::setSuppressedPopupIndicator(bool, KHTMLPart*)
	{123, 1676, 395, 1, 0, 0, 146},	//2069 KHTMLPart::setSuppressedPopupIndicator(bool)
	{123, 950, 0, 0, Smoke::mf_const, 831, 147},	//2070 KHTMLPart::inProgress() const
	{123, 1337, 708, 1, 0, 0, 148},	//2071 KHTMLPart::setActiveNode(const DOM::Node&)
	{123, 1780, 0, 0, 0, 0, 149},	//2072 KHTMLPart::stopAnimations()
	{123, 1373, 395, 1, 0, 0, 150},	//2073 KHTMLPart::setCaretMode(bool)
	{123, 1464, 395, 1, 0, 0, 151},	//2074 KHTMLPart::setEditable(bool)
	{123, 1378, 395, 1, 0, 0, 152},	//2075 KHTMLPart::setCaretVisible(bool)
	{123, 1796, 878, 6, 0, 0, 153},	//2076 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&)
	{123, 1796, 872, 5, 0, 0, 154},	//2077 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&, const QString&)
	{123, 1796, 867, 4, 0, 0, 155},	//2078 KHTMLPart::submitFormProxy(const char*, const QString&, const QByteArray&, const QString&)
	{123, 1143, 809, 1, 0, 0, 156},	//2079 KHTMLPart::onURL(const QString&)
	{123, 1198, 838, 2, 0, 0, 157},	//2080 KHTMLPart::popupMenu(const QString&, const QPoint&)
	{123, 1319, 0, 0, 0, 0, 158},	//2081 KHTMLPart::selectionChanged()
	{123, 1130, 708, 1, 0, 0, 159},	//2082 KHTMLPart::nodeActivated(const DOM::Node&)
	{123, 595, 710, 2, 0, 0, 160},	//2083 KHTMLPart::caretPositionChanged(const DOM::Node&, long)
	{123, 849, 878, 6, 0, 0, 161},	//2084 KHTMLPart::formSubmitNotification(const char*, const QString&, const QByteArray&, const QString&, const QString&, const QString&)
	{123, 649, 0, 0, 0, 0, 162},	//2085 KHTMLPart::configurationChanged()
	{123, 1777, 0, 0, Smoke::mf_static, 973, 18},	//2086 KHTMLPart::staticMetaObject (static var)
	{123, 442, 0, 0, Smoke::mf_static|Smoke::mf_enum, 429, 15},	//2087 KHTMLPart::NotCrypted (enum)
	{123, 167, 0, 0, Smoke::mf_static|Smoke::mf_enum, 429, 16},	//2088 KHTMLPart::Encrypted (enum)
	{123, 413, 0, 0, Smoke::mf_static|Smoke::mf_enum, 429, 17},	//2089 KHTMLPart::Mixed (enum)
	{123, 645, 809, 1, Smoke::mf_protected, 514, 163},	//2090 KHTMLPart::completeURL(const QString&)
	{123, 940, 911, 3, Smoke::mf_protected, 0, 164},	//2091 KHTMLPart::htmlError(int, const QString&, const KUrl&)
	{123, 718, 305, 1, Smoke::mf_protected, 0, 165},	//2092 KHTMLPart::customEvent(QEvent*)
	{123, 1050, 5, 1, Smoke::mf_protected, 0, 166},	//2093 KHTMLPart::khtmlMousePressEvent(khtml::MousePressEvent*)
	{123, 1046, 1, 1, Smoke::mf_protected, 0, 167},	//2094 KHTMLPart::khtmlMouseDoubleClickEvent(khtml::MouseDoubleClickEvent*)
	{123, 1048, 3, 1, Smoke::mf_protected, 0, 168},	//2095 KHTMLPart::khtmlMouseMoveEvent(khtml::MouseMoveEvent*)
	{123, 1052, 7, 1, Smoke::mf_protected, 0, 169},	//2096 KHTMLPart::khtmlMouseReleaseEvent(khtml::MouseReleaseEvent*)
	{123, 1040, 930, 1, Smoke::mf_protected, 0, 170},	//2097 KHTMLPart::khtmlDrawContentsEvent(khtml::DrawContentsEvent*)
	{123, 911, 264, 1, Smoke::mf_protected, 0, 171},	//2098 KHTMLPart::guiActivateEvent(KParts::GUIActivateEvent*)
	{123, 1147, 0, 0, Smoke::mf_protected, 831, 172},	//2099 KHTMLPart::openFile()
	{123, 1845, 855, 6, Smoke::mf_protected, 831, 173},	//2100 KHTMLPart::urlSelected(const QString&, int, int, const QString&, const KParts::OpenUrlArguments&, const KParts::BrowserArguments&)
	{123, 1845, 849, 5, Smoke::mf_protected, 831, 174},	//2101 KHTMLPart::urlSelected(const QString&, int, int, const QString&, const KParts::OpenUrlArguments&)
	{123, 1845, 844, 4, Smoke::mf_protected, 831, 175},	//2102 KHTMLPart::urlSelected(const QString&, int, int, const QString&)
	{123, 699, 371, 6, Smoke::mf_protected, 498, 176},	//2103 KHTMLPart::createPart(QWidget*, QObject*, const QString&, QString&, QStringList&, const QStringList&)
	{123, 1195, 809, 1, Smoke::mf_const|Smoke::mf_protected, 831, 177},	//2104 KHTMLPart::pluginPageQuestionAsked(const QString&) const
	{123, 1591, 809, 1, Smoke::mf_protected, 0, 178},	//2105 KHTMLPart::setPluginPageQuestionAsked(const QString&)
	{123, 1589, 241, 1, Smoke::mf_protected, 0, 179},	//2106 KHTMLPart::setPageSecurity(KHTMLPart::PageSecurity)
	{123, 761, 809, 1, Smoke::mf_protected, 831, 180},	//2107 KHTMLPart::doOpenStream(const QString&)
	{123, 763, 780, 1, Smoke::mf_protected, 831, 181},	//2108 KHTMLPart::doWriteStream(const QByteArray&)
	{123, 760, 0, 0, Smoke::mf_protected, 831, 182},	//2109 KHTMLPart::doCloseStream()
	{123, 1822, 356, 1, Smoke::mf_protected, 0, 183},	//2110 KHTMLPart::timerEvent(QTimerEvent*)
	{123, 1090, 809, 1, Smoke::mf_protected, 831, 184},	//2111 KHTMLPart::mayPrefetchHostname(const QString&)
	{123, 1770, 258, 1, Smoke::mf_protected, 0, 185},	//2112 KHTMLPart::startingJob(KIO::Job*)
	{123, 1752, 260, 1, Smoke::mf_protected, 0, 186},	//2113 KHTMLPart::slotFinished(KJob*)
	{124, 399, 0, 0, Smoke::mf_static|Smoke::mf_enum, 439, 1},	//2114 KHTMLSettings::KJavaScriptDunno (enum)
	{124, 398, 0, 0, Smoke::mf_static|Smoke::mf_enum, 439, 2},	//2115 KHTMLSettings::KJavaScriptAccept (enum)
	{124, 400, 0, 0, Smoke::mf_static|Smoke::mf_enum, 439, 3},	//2116 KHTMLSettings::KJavaScriptReject (enum)
	{124, 372, 0, 0, Smoke::mf_static|Smoke::mf_enum, 432, 4},	//2117 KHTMLSettings::KAnimationDisabled (enum)
	{124, 374, 0, 0, Smoke::mf_static|Smoke::mf_enum, 432, 5},	//2118 KHTMLSettings::KAnimationLoopOnce (enum)
	{124, 373, 0, 0, Smoke::mf_static|Smoke::mf_enum, 432, 6},	//2119 KHTMLSettings::KAnimationEnabled (enum)
	{124, 401, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 7},	//2120 KHTMLSettings::KSmoothScrollingDisabled (enum)
	{124, 403, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 8},	//2121 KHTMLSettings::KSmoothScrollingWhenEfficient (enum)
	{124, 402, 0, 0, Smoke::mf_static|Smoke::mf_enum, 441, 9},	//2122 KHTMLSettings::KSmoothScrollingEnabled (enum)
	{124, 375, 0, 0, Smoke::mf_static|Smoke::mf_enum, 433, 10},	//2123 KHTMLSettings::KDNSPrefetchDisabled (enum)
	{124, 377, 0, 0, Smoke::mf_static|Smoke::mf_enum, 433, 11},	//2124 KHTMLSettings::KDNSPrefetchOnlyWWWAndSLD (enum)
	{124, 376, 0, 0, Smoke::mf_static|Smoke::mf_enum, 433, 12},	//2125 KHTMLSettings::KDNSPrefetchEnabled (enum)
	{124, 390, 0, 0, Smoke::mf_static|Smoke::mf_enum, 436, 13},	//2126 KHTMLSettings::KJSWindowOpenAllow (enum)
	{124, 391, 0, 0, Smoke::mf_static|Smoke::mf_enum, 436, 14},	//2127 KHTMLSettings::KJSWindowOpenAsk (enum)
	{124, 392, 0, 0, Smoke::mf_static|Smoke::mf_enum, 436, 15},	//2128 KHTMLSettings::KJSWindowOpenDeny (enum)
	{124, 393, 0, 0, Smoke::mf_static|Smoke::mf_enum, 436, 16},	//2129 KHTMLSettings::KJSWindowOpenSmart (enum)
	{124, 396, 0, 0, Smoke::mf_static|Smoke::mf_enum, 438, 17},	//2130 KHTMLSettings::KJSWindowStatusAllow (enum)
	{124, 397, 0, 0, Smoke::mf_static|Smoke::mf_enum, 438, 18},	//2131 KHTMLSettings::KJSWindowStatusIgnore (enum)
	{124, 388, 0, 0, Smoke::mf_static|Smoke::mf_enum, 435, 19},	//2132 KHTMLSettings::KJSWindowMoveAllow (enum)
	{124, 389, 0, 0, Smoke::mf_static|Smoke::mf_enum, 435, 20},	//2133 KHTMLSettings::KJSWindowMoveIgnore (enum)
	{124, 394, 0, 0, Smoke::mf_static|Smoke::mf_enum, 437, 21},	//2134 KHTMLSettings::KJSWindowResizeAllow (enum)
	{124, 395, 0, 0, Smoke::mf_static|Smoke::mf_enum, 437, 22},	//2135 KHTMLSettings::KJSWindowResizeIgnore (enum)
	{124, 386, 0, 0, Smoke::mf_static|Smoke::mf_enum, 434, 23},	//2136 KHTMLSettings::KJSWindowFocusAllow (enum)
	{124, 387, 0, 0, Smoke::mf_static|Smoke::mf_enum, 434, 24},	//2137 KHTMLSettings::KJSWindowFocusIgnore (enum)
	{124, 382, 0, 0, Smoke::mf_ctor, 431, 25},	//2138 KHTMLSettings::KHTMLSettings()
	{124, 382, 767, 1, Smoke::mf_copyctor|Smoke::mf_ctor, 431, 26},	//2139 KHTMLSettings::KHTMLSettings(const KHTMLSettings&)
	{124, 953, 0, 0, 0, 0, 27},	//2140 KHTMLSettings::init()
	{124, 953, 225, 2, 0, 0, 28},	//2141 KHTMLSettings::init(KConfig*, bool)
	{124, 953, 223, 1, 0, 0, 29},	//2142 KHTMLSettings::init(KConfig*)
	{124, 1995, 0, 0, Smoke::mf_dtor, 0, 98},	//2143 KHTMLSettings::~KHTMLSettings()
	{124, 603, 0, 0, Smoke::mf_const, 831, 30},	//2144 KHTMLSettings::changeCursor() const
	{124, 1836, 0, 0, Smoke::mf_const, 831, 31},	//2145 KHTMLSettings::underlineLink() const
	{124, 935, 0, 0, Smoke::mf_const, 831, 32},	//2146 KHTMLSettings::hoverLink() const
	{124, 546, 0, 0, Smoke::mf_const, 831, 33},	//2147 KHTMLSettings::allowTabulation() const
	{124, 567, 0, 0, Smoke::mf_const, 831, 34},	//2148 KHTMLSettings::autoSpellCheck() const
	{124, 1745, 0, 0, Smoke::mf_const, 432, 35},	//2149 KHTMLSettings::showAnimations() const
	{124, 1755, 0, 0, Smoke::mf_const, 441, 36},	//2150 KHTMLSettings::smoothScrolling() const
	{124, 758, 0, 0, Smoke::mf_const, 433, 37},	//2151 KHTMLSettings::dnsPrefetch() const
	{124, 1779, 0, 0, Smoke::mf_const, 682, 38},	//2152 KHTMLSettings::stdFontName() const
	{124, 835, 0, 0, Smoke::mf_const, 682, 39},	//2153 KHTMLSettings::fixedFontName() const
	{124, 1324, 0, 0, Smoke::mf_const, 682, 40},	//2154 KHTMLSettings::serifFontName() const
	{124, 1289, 0, 0, Smoke::mf_const, 682, 41},	//2155 KHTMLSettings::sansSerifFontName() const
	{124, 717, 0, 0, Smoke::mf_const, 682, 42},	//2156 KHTMLSettings::cursiveFontName() const
	{124, 810, 0, 0, Smoke::mf_const, 682, 43},	//2157 KHTMLSettings::fantasyFontName() const
	{124, 1670, 809, 1, 0, 0, 44},	//2158 KHTMLSettings::setStdFontName(const QString&)
	{124, 1484, 809, 1, 0, 0, 45},	//2159 KHTMLSettings::setFixedFontName(const QString&)
	{124, 1101, 0, 0, Smoke::mf_const, 995, 46},	//2160 KHTMLSettings::minFontSize() const
	{124, 1094, 0, 0, Smoke::mf_const, 995, 47},	//2161 KHTMLSettings::mediumFontSize() const
	{124, 1030, 0, 0, Smoke::mf_const, 831, 48},	//2162 KHTMLSettings::jsErrorsEnabled() const
	{124, 1527, 395, 1, 0, 0, 49},	//2163 KHTMLSettings::setJSErrorsEnabled(bool)
	{124, 786, 0, 0, Smoke::mf_const, 987, 50},	//2164 KHTMLSettings::encoding() const
	{124, 843, 0, 0, Smoke::mf_const, 831, 51},	//2165 KHTMLSettings::followSystemColors() const
	{124, 1818, 0, 0, Smoke::mf_const, 964, 52},	//2166 KHTMLSettings::textColor() const
	{124, 574, 0, 0, Smoke::mf_const, 964, 53},	//2167 KHTMLSettings::baseColor() const
	{124, 1075, 0, 0, Smoke::mf_const, 964, 54},	//2168 KHTMLSettings::linkColor() const
	{124, 1853, 0, 0, Smoke::mf_const, 964, 55},	//2169 KHTMLSettings::vLinkColor() const
	{124, 566, 0, 0, Smoke::mf_const, 831, 56},	//2170 KHTMLSettings::autoLoadImages() const
	{124, 1837, 0, 0, Smoke::mf_const, 831, 57},	//2171 KHTMLSettings::unfinishedImageFrame() const
	{124, 1017, 0, 0, 0, 831, 58},	//2172 KHTMLSettings::isOpenMiddleClickEnabled()
	{124, 993, 0, 0, 0, 831, 59},	//2173 KHTMLSettings::isBackRightClickEnabled()
	{124, 1006, 809, 1, Smoke::mf_const, 831, 60},	//2174 KHTMLSettings::isJavaEnabled(const QString&) const
	{124, 1006, 0, 0, Smoke::mf_const, 831, 61},	//2175 KHTMLSettings::isJavaEnabled() const
	{124, 1010, 809, 1, Smoke::mf_const, 831, 62},	//2176 KHTMLSettings::isJavaScriptEnabled(const QString&) const
	{124, 1010, 0, 0, Smoke::mf_const, 831, 63},	//2177 KHTMLSettings::isJavaScriptEnabled() const
	{124, 1008, 809, 1, Smoke::mf_const, 831, 64},	//2178 KHTMLSettings::isJavaScriptDebugEnabled(const QString&) const
	{124, 1008, 0, 0, Smoke::mf_const, 831, 65},	//2179 KHTMLSettings::isJavaScriptDebugEnabled() const
	{124, 1012, 809, 1, Smoke::mf_const, 831, 66},	//2180 KHTMLSettings::isJavaScriptErrorReportingEnabled(const QString&) const
	{124, 1012, 0, 0, Smoke::mf_const, 831, 67},	//2181 KHTMLSettings::isJavaScriptErrorReportingEnabled() const
	{124, 1018, 809, 1, Smoke::mf_const, 831, 68},	//2182 KHTMLSettings::isPluginsEnabled(const QString&) const
	{124, 1018, 0, 0, Smoke::mf_const, 831, 69},	//2183 KHTMLSettings::isPluginsEnabled() const
	{124, 990, 809, 1, Smoke::mf_const, 831, 70},	//2184 KHTMLSettings::isAdFiltered(const QString&) const
	{124, 989, 0, 0, Smoke::mf_const, 831, 71},	//2185 KHTMLSettings::isAdFilterEnabled() const
	{124, 1005, 0, 0, Smoke::mf_const, 831, 72},	//2186 KHTMLSettings::isHideAdsEnabled() const
	{124, 532, 809, 1, 0, 0, 73},	//2187 KHTMLSettings::addAdFilter(const QString&)
	{124, 523, 0, 0, Smoke::mf_const, 831, 74},	//2188 KHTMLSettings::accessKeysEnabled() const
	{124, 1881, 809, 1, Smoke::mf_const, 436, 75},	//2189 KHTMLSettings::windowOpenPolicy(const QString&) const
	{124, 1881, 0, 0, Smoke::mf_const, 436, 76},	//2190 KHTMLSettings::windowOpenPolicy() const
	{124, 1879, 809, 1, Smoke::mf_const, 435, 77},	//2191 KHTMLSettings::windowMovePolicy(const QString&) const
	{124, 1879, 0, 0, Smoke::mf_const, 435, 78},	//2192 KHTMLSettings::windowMovePolicy() const
	{124, 1883, 809, 1, Smoke::mf_const, 437, 79},	//2193 KHTMLSettings::windowResizePolicy(const QString&) const
	{124, 1883, 0, 0, Smoke::mf_const, 437, 80},	//2194 KHTMLSettings::windowResizePolicy() const
	{124, 1885, 809, 1, Smoke::mf_const, 438, 81},	//2195 KHTMLSettings::windowStatusPolicy(const QString&) const
	{124, 1885, 0, 0, Smoke::mf_const, 438, 82},	//2196 KHTMLSettings::windowStatusPolicy() const
	{124, 1877, 809, 1, Smoke::mf_const, 434, 83},	//2197 KHTMLSettings::windowFocusPolicy(const QString&) const
	{124, 1877, 0, 0, Smoke::mf_const, 434, 84},	//2198 KHTMLSettings::windowFocusPolicy() const
	{124, 1230, 762, 4, 0, 0, 85},	//2199 KHTMLSettings::readDomainSettings(const KConfigGroup&, bool, bool, KPerDomainSettings&)
	{124, 1740, 0, 0, Smoke::mf_const, 682, 86},	//2200 KHTMLSettings::settingsToCSS() const
	{124, 1850, 0, 0, Smoke::mf_const, 682, 87},	//2201 KHTMLSettings::userStyleSheet() const
	{124, 1002, 0, 0, Smoke::mf_const, 831, 88},	//2202 KHTMLSettings::isFormCompletionEnabled() const
	{124, 1088, 0, 0, Smoke::mf_const, 995, 89},	//2203 KHTMLSettings::maxFormCompletionItems() const
	{124, 992, 0, 0, Smoke::mf_const, 831, 90},	//2204 KHTMLSettings::isAutoDelayedActionsEnabled() const
	{124, 809, 0, 0, Smoke::mf_const, 632, 91},	//2205 KHTMLSettings::fallbackAccessKeysAssignments() const
	{124, 1529, 395, 1, 0, 0, 92},	//2206 KHTMLSettings::setJSPopupBlockerPassivePopup(bool)
	{124, 1031, 0, 0, Smoke::mf_const, 831, 93},	//2207 KHTMLSettings::jsPopupBlockerPassivePopup() const
	{124, 1782, 809, 1, Smoke::mf_static, 439, 94},	//2208 KHTMLSettings::strToAdvice(const QString&)
	{124, 1761, 826, 4, Smoke::mf_static, 0, 95},	//2209 KHTMLSettings::splitDomainAdvice(const QString&, QString&, KHTMLSettings::KJavaScriptAdvice&, KHTMLSettings::KJavaScriptAdvice&)
	{124, 542, 243, 1, Smoke::mf_static, 991, 96},	//2210 KHTMLSettings::adviceToStr(KHTMLSettings::KJavaScriptAdvice)
	{124, 569, 0, 0, Smoke::mf_static, 987, 97},	//2211 KHTMLSettings::availableFamilies()
	{125, 481, 0, 0, Smoke::mf_static|Smoke::mf_enum, 444, 1},	//2212 KHTMLView::SSMDisabled (enum)
	{125, 483, 0, 0, Smoke::mf_static|Smoke::mf_enum, 444, 2},	//2213 KHTMLView::SSMWhenEfficient (enum)
	{125, 482, 0, 0, Smoke::mf_static|Smoke::mf_enum, 444, 3},	//2214 KHTMLView::SSMEnabled (enum)
	{125, 1096, 0, 0, Smoke::mf_const, 974, 5},	//2215 KHTMLView::metaObject() const
	{125, 1218, 317, 3, 0, 995, 6},	//2216 KHTMLView::qt_metacall(QMetaObject::Call, int, void**)
	{125, 384, 232, 2, Smoke::mf_ctor, 442, 7},	//2217 KHTMLView::KHTMLView(KHTMLPart*, QWidget*)
	{125, 1996, 0, 0, Smoke::mf_dtor, 0, 75},	//2218 KHTMLView::~KHTMLView()
	{125, 1187, 0, 0, Smoke::mf_const, 423, 8},	//2219 KHTMLView::part() const
	{125, 857, 0, 0, Smoke::mf_const, 995, 9},	//2220 KHTMLView::frameWidth() const
	{125, 1554, 902, 1, 0, 0, 10},	//2221 KHTMLView::setMarginWidth(int)
	{125, 1087, 0, 0, Smoke::mf_const, 995, 11},	//2222 KHTMLView::marginWidth() const
	{125, 1551, 902, 1, 0, 0, 12},	//2223 KHTMLView::setMarginHeight(int)
	{125, 1086, 0, 0, 0, 995, 13},	//2224 KHTMLView::marginHeight()
	{125, 1715, 393, 1, 0, 0, 14},	//2225 KHTMLView::setVerticalScrollBarPolicy(Qt::ScrollBarPolicy)
	{125, 1501, 393, 1, 0, 0, 15},	//2226 KHTMLView::setHorizontalScrollBarPolicy(Qt::ScrollBarPolicy)
	{125, 1213, 395, 1, 0, 0, 16},	//2227 KHTMLView::print(bool)
	{125, 1213, 0, 0, 0, 0, 17},	//2228 KHTMLView::print()
	{125, 756, 0, 0, 0, 0, 18},	//2229 KHTMLView::displayAccessKeys()
	{125, 659, 0, 0, Smoke::mf_const, 995, 19},	//2230 KHTMLView::contentsWidth() const
	{125, 655, 0, 0, Smoke::mf_const, 995, 20},	//2231 KHTMLView::contentsHeight() const
	{125, 660, 0, 0, Smoke::mf_const, 995, 21},	//2232 KHTMLView::contentsX() const
	{125, 661, 0, 0, Smoke::mf_const, 995, 22},	//2233 KHTMLView::contentsY() const
	{125, 1865, 0, 0, Smoke::mf_const, 995, 23},	//2234 KHTMLView::visibleWidth() const
	{125, 1864, 0, 0, Smoke::mf_const, 995, 24},	//2235 KHTMLView::visibleHeight() const
	{125, 1425, 915, 2, 0, 0, 25},	//2236 KHTMLView::setContentsPos(int, int)
	{125, 656, 805, 1, Smoke::mf_const, 672, 26},	//2237 KHTMLView::contentsToViewport(const QPoint&) const
	{125, 1860, 805, 1, Smoke::mf_const, 672, 27},	//2238 KHTMLView::viewportToContents(const QPoint&) const
	{125, 1860, 923, 4, Smoke::mf_const, 0, 28},	//2239 KHTMLView::viewportToContents(int, int, int&, int&) const
	{125, 656, 923, 4, Smoke::mf_const, 0, 29},	//2240 KHTMLView::contentsToViewport(int, int, int&, int&) const
	{125, 1300, 915, 2, 0, 0, 30},	//2241 KHTMLView::scrollBy(int, int)
	{125, 1839, 807, 1, 0, 0, 31},	//2242 KHTMLView::updateContents(const QRect&)
	{125, 1839, 918, 4, 0, 0, 32},	//2243 KHTMLView::updateContents(int, int, int, int)
	{125, 536, 381, 3, 0, 0, 33},	//2244 KHTMLView::addChild(QWidget*, int, int)
	{125, 1264, 807, 1, 0, 0, 34},	//2245 KHTMLView::repaintContents(const QRect&)
	{125, 1264, 918, 4, 0, 0, 35},	//2246 KHTMLView::repaintContents(int, int, int, int)
	{125, 1737, 902, 1, 0, 0, 36},	//2247 KHTMLView::setZoomLevel(int)
	{125, 1897, 0, 0, Smoke::mf_const, 995, 37},	//2248 KHTMLView::zoomLevel() const
	{125, 1649, 256, 1, 0, 0, 38},	//2249 KHTMLView::setSmoothScrollingMode(KHTMLView::SmoothScrollingMode)
	{125, 1756, 0, 0, Smoke::mf_const, 444, 39},	//2250 KHTMLView::smoothScrollingMode() const
	{125, 1272, 915, 2, 0, 0, 40},	//2251 KHTMLView::resizeContents(int, int)
	{125, 1069, 0, 0, 0, 0, 41},	//2252 KHTMLView::layout()
	{125, 831, 0, 0, 0, 0, 42},	//2253 KHTMLView::finishedLayout()
	{125, 618, 0, 0, 0, 0, 43},	//2254 KHTMLView::cleared()
	{125, 1898, 902, 1, 0, 0, 44},	//2255 KHTMLView::zoomView(int)
	{125, 930, 0, 0, 0, 0, 45},	//2256 KHTMLView::hideAccessKeys()
	{125, 1263, 0, 0, 0, 0, 46},	//2257 KHTMLView::repaintAccessKeys()
	{125, 815, 395, 1, 0, 0, 47},	//2258 KHTMLView::findAheadActive(bool)
	{125, 1777, 0, 0, Smoke::mf_static, 973, 4},	//2259 KHTMLView::staticMetaObject (static var)
	{125, 617, 0, 0, Smoke::mf_protected, 0, 48},	//2260 KHTMLView::clear()
	{125, 796, 305, 1, Smoke::mf_protected, 831, 49},	//2261 KHTMLView::event(QEvent*)
	{125, 1179, 332, 1, Smoke::mf_protected, 0, 50},	//2262 KHTMLView::paintEvent(QPaintEvent*)
	{125, 1274, 346, 1, Smoke::mf_protected, 0, 51},	//2263 KHTMLView::resizeEvent(QResizeEvent*)
	{125, 1748, 348, 1, Smoke::mf_protected, 0, 52},	//2264 KHTMLView::showEvent(QShowEvent*)
	{125, 931, 309, 1, Smoke::mf_protected, 0, 53},	//2265 KHTMLView::hideEvent(QHideEvent*)
	{125, 839, 395, 1, Smoke::mf_protected, 831, 54},	//2266 KHTMLView::focusNextPrevChild(bool)
	{125, 1107, 321, 1, Smoke::mf_protected, 0, 55},	//2267 KHTMLView::mousePressEvent(QMouseEvent*)
	{125, 837, 307, 1, Smoke::mf_protected, 0, 56},	//2268 KHTMLView::focusInEvent(QFocusEvent*)
	{125, 841, 307, 1, Smoke::mf_protected, 0, 57},	//2269 KHTMLView::focusOutEvent(QFocusEvent*)
	{125, 1103, 321, 1, Smoke::mf_protected, 0, 58},	//2270 KHTMLView::mouseDoubleClickEvent(QMouseEvent*)
	{125, 1105, 321, 1, Smoke::mf_protected, 0, 59},	//2271 KHTMLView::mouseMoveEvent(QMouseEvent*)
	{125, 1109, 321, 1, Smoke::mf_protected, 0, 60},	//2272 KHTMLView::mouseReleaseEvent(QMouseEvent*)
	{125, 1868, 360, 1, Smoke::mf_protected, 0, 61},	//2273 KHTMLView::wheelEvent(QWheelEvent*)
	{125, 771, 297, 1, Smoke::mf_protected, 0, 62},	//2274 KHTMLView::dragEnterEvent(QDragEnterEvent*)
	{125, 777, 303, 1, Smoke::mf_protected, 0, 63},	//2275 KHTMLView::dropEvent(QDropEvent*)
	{125, 627, 289, 1, Smoke::mf_protected, 0, 64},	//2276 KHTMLView::closeEvent(QCloseEvent*)
	{125, 1872, 305, 1, Smoke::mf_protected, 831, 65},	//2277 KHTMLView::widgetEvent(QEvent*)
	{125, 1858, 305, 1, Smoke::mf_protected, 831, 66},	//2278 KHTMLView::viewportEvent(QEvent*)
	{125, 798, 325, 2, Smoke::mf_protected, 831, 67},	//2279 KHTMLView::eventFilter(QObject*, QEvent*)
	{125, 1302, 915, 2, Smoke::mf_protected, 0, 68},	//2280 KHTMLView::scrollContentsBy(int, int)
	{125, 1036, 313, 1, Smoke::mf_protected, 0, 69},	//2281 KHTMLView::keyPressEvent(QKeyEvent*)
	{125, 1038, 313, 1, Smoke::mf_protected, 0, 70},	//2282 KHTMLView::keyReleaseEvent(QKeyEvent*)
	{125, 759, 0, 0, Smoke::mf_protected, 0, 71},	//2283 KHTMLView::doAutoScroll()
	{125, 1822, 356, 1, Smoke::mf_protected, 0, 72},	//2284 KHTMLView::timerEvent(QTimerEvent*)
	{125, 1651, 256, 1, Smoke::mf_protected, 0, 73},	//2285 KHTMLView::setSmoothScrollingModeDefault(KHTMLView::SmoothScrollingMode)
	{125, 1754, 0, 0, Smoke::mf_protected, 0, 74},	//2286 KHTMLView::slotPaletteChanged()
	{136, 1096, 0, 0, Smoke::mf_const, 974, 2},	//2287 KParts::Part::metaObject() const
	{136, 1218, 317, 3, 0, 995, 3},	//2288 KParts::Part::qt_metacall(QMetaObject::Call, int, void**)
	{136, 782, 362, 1, 0, 0, 6},	//2289 KParts::Part::embed(QWidget*)
	{136, 1871, 0, 0, 0, 736, 7},	//2290 KParts::Part::widget()
	{136, 1549, 268, 1, 0, 0, 8},	//2291 KParts::Part::setManager(KParts::PartManager*)
	{136, 933, 378, 2, 0, 491, 12},	//2292 KParts::Part::hitTest(QWidget*, const QPoint&)
	{136, 1626, 395, 1, 0, 0, 13},	//2293 KParts::Part::setSelectable(bool)
	{136, 1723, 362, 1, Smoke::mf_protected, 0, 18},	//2294 KParts::Part::setWidget(QWidget*)
	{136, 718, 305, 1, Smoke::mf_protected, 0, 19},	//2295 KParts::Part::customEvent(QEvent*)
	{136, 1188, 266, 1, Smoke::mf_protected, 0, 20},	//2296 KParts::Part::partActivateEvent(KParts::PartActivateEvent*)
	{136, 1191, 270, 1, Smoke::mf_protected, 0, 21},	//2297 KParts::Part::partSelectEvent(KParts::PartSelectEvent*)
	{136, 911, 264, 1, Smoke::mf_protected, 0, 22},	//2298 KParts::Part::guiActivateEvent(KParts::GUIActivateEvent*)
	{138, 1418, 757, 1, Smoke::mf_protected, 0, 7},	//2299 KParts::PartBase::setComponentData(const KComponentData&)
	{138, 1418, 759, 2, Smoke::mf_protected, 0, 8},	//2300 KParts::PartBase::setComponentData(const KComponentData&, bool)
	{141, 1096, 0, 0, Smoke::mf_const, 974, 2},	//2301 KParts::ReadOnlyPart::metaObject() const
	{141, 1218, 317, 3, 0, 995, 3},	//2302 KParts::ReadOnlyPart::qt_metacall(QMetaObject::Call, int, void**)
	{141, 629, 0, 0, 0, 831, 10},	//2303 KParts::ReadOnlyPart::closeUrl()
	{141, 1148, 769, 1, 0, 831, 17},	//2304 KParts::ReadOnlyPart::openUrl(const KUrl&)
	{141, 1147, 0, 0, Smoke::mf_protected, 831, 22},	//2305 KParts::ReadOnlyPart::openFile() [pure virtual]
	{141, 911, 264, 1, Smoke::mf_protected, 0, 24},	//2306 KParts::ReadOnlyPart::guiActivateEvent(KParts::GUIActivateEvent*)
	{143, 524, 797, 1, Smoke::mf_const, 548, 6},	//2307 KXMLGUIClient::action(const QDomElement&) const
	{143, 526, 0, 0, Smoke::mf_const, 385, 7},	//2308 KXMLGUIClient::actionCollection() const
	{143, 648, 0, 0, Smoke::mf_const, 392, 8},	//2309 KXMLGUIClient::componentData() const
	{143, 769, 0, 0, Smoke::mf_const, 587, 9},	//2310 KXMLGUIClient::domDocument() const
	{143, 1894, 0, 0, Smoke::mf_const, 682, 10},	//2311 KXMLGUIClient::xmlFile() const
	{143, 1083, 0, 0, Smoke::mf_const, 682, 11},	//2312 KXMLGUIClient::localXMLFile() const
	{143, 1418, 757, 1, Smoke::mf_protected, 0, 33},	//2313 KXMLGUIClient::setComponentData(const KComponentData&)
	{143, 1731, 834, 3, Smoke::mf_protected, 0, 34},	//2314 KXMLGUIClient::setXMLFile(const QString&, bool, bool)
	{143, 1731, 831, 2, Smoke::mf_protected, 0, 35},	//2315 KXMLGUIClient::setXMLFile(const QString&, bool)
	{143, 1731, 809, 1, Smoke::mf_protected, 0, 36},	//2316 KXMLGUIClient::setXMLFile(const QString&)
	{143, 1545, 809, 1, Smoke::mf_protected, 0, 37},	//2317 KXMLGUIClient::setLocalXMLFile(const QString&)
	{143, 1728, 831, 2, Smoke::mf_protected, 0, 38},	//2318 KXMLGUIClient::setXML(const QString&, bool)
	{143, 1728, 809, 1, Smoke::mf_protected, 0, 39},	//2319 KXMLGUIClient::setXML(const QString&)
	{143, 1441, 794, 2, Smoke::mf_protected, 0, 40},	//2320 KXMLGUIClient::setDOMDocument(const QDomDocument&, bool)
	{143, 1441, 792, 1, Smoke::mf_protected, 0, 41},	//2321 KXMLGUIClient::setDOMDocument(const QDomDocument&)
	{143, 1774, 823, 2, Smoke::mf_protected, 0, 42},	//2322 KXMLGUIClient::stateChanged(const QString&, KXMLGUIClient::ReverseStateChange)
	{143, 1774, 809, 1, Smoke::mf_protected, 0, 43},	//2323 KXMLGUIClient::stateChanged(const QString&)
	{144, 1096, 0, 0, Smoke::mf_const, 974, 2},	//2324 QAbstractScrollArea::metaObject() const
	{144, 1218, 317, 3, 0, 995, 3},	//2325 QAbstractScrollArea::qt_metacall(QMetaObject::Call, int, void**)
	{144, 1858, 305, 1, Smoke::mf_protected, 831, 27},	//2326 QAbstractScrollArea::viewportEvent(QEvent*)
	{144, 1302, 915, 2, Smoke::mf_protected, 0, 41},	//2327 QAbstractScrollArea::scrollContentsBy(int, int)
	{164, 1096, 0, 0, Smoke::mf_const, 974, 14},	//2328 QFrame::metaObject() const
	{164, 1218, 317, 3, 0, 995, 15},	//2329 QFrame::qt_metacall(QMetaObject::Call, int, void**)
	{174, 1096, 0, 0, Smoke::mf_const, 974, 2},	//2330 QObject::metaObject() const
	{174, 1218, 317, 3, 0, 995, 3},	//2331 QObject::qt_metacall(QMetaObject::Call, int, void**)
	{174, 796, 305, 1, 0, 831, 6},	//2332 QObject::event(QEvent*)
	{174, 798, 325, 2, 0, 831, 7},	//2333 QObject::eventFilter(QObject*, QEvent*)
	{174, 1822, 356, 1, Smoke::mf_protected, 0, 49},	//2334 QObject::timerEvent(QTimerEvent*)
	{174, 611, 287, 1, Smoke::mf_protected, 0, 50},	//2335 QObject::childEvent(QChildEvent*)
	{174, 718, 305, 1, Smoke::mf_protected, 0, 51},	//2336 QObject::customEvent(QEvent*)
	{174, 650, 862, 1, Smoke::mf_protected, 0, 52},	//2337 QObject::connectNotify(const char*)
	{174, 752, 862, 1, Smoke::mf_protected, 0, 53},	//2338 QObject::disconnectNotify(const char*)
	{175, 749, 0, 0, Smoke::mf_const, 995, 11},	//2339 QPaintDevice::devType() const
	{175, 1178, 0, 0, Smoke::mf_const, 655, 13},	//2340 QPaintDevice::paintEngine() const [pure virtual]
	{175, 1099, 328, 1, Smoke::mf_const|Smoke::mf_protected, 995, 25},	//2341 QPaintDevice::metric(QPaintDevice::PaintDeviceMetric) const
	{188, 1096, 0, 0, Smoke::mf_const, 974, 2},	//2342 QScrollArea::metaObject() const
	{188, 1218, 317, 3, 0, 995, 3},	//2343 QScrollArea::qt_metacall(QMetaObject::Call, int, void**)
	{196, 1096, 0, 0, Smoke::mf_const, 974, 5},	//2344 QWidget::metaObject() const
	{196, 1218, 317, 3, 0, 995, 6},	//2345 QWidget::qt_metacall(QMetaObject::Call, int, void**)
	{196, 1751, 0, 0, Smoke::mf_const, 677, 181},	//2346 QWidget::sizeHint() const
	{196, 1102, 0, 0, Smoke::mf_const, 677, 182},	//2347 QWidget::minimumSizeHint() const
	{196, 927, 902, 1, Smoke::mf_const, 995, 186},	//2348 QWidget::heightForWidth(int) const
	{196, 972, 387, 1, Smoke::mf_const, 731, 227},	//2349 QWidget::inputMethodQuery(Qt::InputMethodQuery) const
	{196, 1719, 395, 1, 0, 0, 236},	//2350 QWidget::setVisible(bool)
	{196, 1107, 321, 1, Smoke::mf_protected, 0, 256},	//2351 QWidget::mousePressEvent(QMouseEvent*)
	{196, 1109, 321, 1, Smoke::mf_protected, 0, 257},	//2352 QWidget::mouseReleaseEvent(QMouseEvent*)
	{196, 1103, 321, 1, Smoke::mf_protected, 0, 258},	//2353 QWidget::mouseDoubleClickEvent(QMouseEvent*)
	{196, 1105, 321, 1, Smoke::mf_protected, 0, 259},	//2354 QWidget::mouseMoveEvent(QMouseEvent*)
	{196, 1868, 360, 1, Smoke::mf_protected, 0, 260},	//2355 QWidget::wheelEvent(QWheelEvent*)
	{196, 1036, 313, 1, Smoke::mf_protected, 0, 261},	//2356 QWidget::keyPressEvent(QKeyEvent*)
	{196, 1038, 313, 1, Smoke::mf_protected, 0, 262},	//2357 QWidget::keyReleaseEvent(QKeyEvent*)
	{196, 837, 307, 1, Smoke::mf_protected, 0, 263},	//2358 QWidget::focusInEvent(QFocusEvent*)
	{196, 841, 307, 1, Smoke::mf_protected, 0, 264},	//2359 QWidget::focusOutEvent(QFocusEvent*)
	{196, 793, 305, 1, Smoke::mf_protected, 0, 265},	//2360 QWidget::enterEvent(QEvent*)
	{196, 1070, 305, 1, Smoke::mf_protected, 0, 266},	//2361 QWidget::leaveEvent(QEvent*)
	{196, 1179, 332, 1, Smoke::mf_protected, 0, 267},	//2362 QWidget::paintEvent(QPaintEvent*)
	{196, 1111, 323, 1, Smoke::mf_protected, 0, 268},	//2363 QWidget::moveEvent(QMoveEvent*)
	{196, 1274, 346, 1, Smoke::mf_protected, 0, 269},	//2364 QWidget::resizeEvent(QResizeEvent*)
	{196, 627, 289, 1, Smoke::mf_protected, 0, 270},	//2365 QWidget::closeEvent(QCloseEvent*)
	{196, 662, 291, 1, Smoke::mf_protected, 0, 271},	//2366 QWidget::contextMenuEvent(QContextMenuEvent*)
	{196, 1813, 354, 1, Smoke::mf_protected, 0, 272},	//2367 QWidget::tabletEvent(QTabletEvent*)
	{196, 527, 285, 1, Smoke::mf_protected, 0, 273},	//2368 QWidget::actionEvent(QActionEvent*)
	{196, 771, 297, 1, Smoke::mf_protected, 0, 274},	//2369 QWidget::dragEnterEvent(QDragEnterEvent*)
	{196, 775, 301, 1, Smoke::mf_protected, 0, 275},	//2370 QWidget::dragMoveEvent(QDragMoveEvent*)
	{196, 773, 299, 1, Smoke::mf_protected, 0, 276},	//2371 QWidget::dragLeaveEvent(QDragLeaveEvent*)
	{196, 777, 303, 1, Smoke::mf_protected, 0, 277},	//2372 QWidget::dropEvent(QDropEvent*)
	{196, 1748, 348, 1, Smoke::mf_protected, 0, 278},	//2373 QWidget::showEvent(QShowEvent*)
	{196, 931, 309, 1, Smoke::mf_protected, 0, 279},	//2374 QWidget::hideEvent(QHideEvent*)
	{196, 604, 305, 1, Smoke::mf_protected, 0, 280},	//2375 QWidget::changeEvent(QEvent*)
	{196, 970, 311, 1, Smoke::mf_protected, 0, 282},	//2376 QWidget::inputMethodEvent(QInputMethodEvent*)
	{196, 839, 395, 1, Smoke::mf_protected, 831, 291},	//2377 QWidget::focusNextPrevChild(bool)
	{196, 1791, 350, 1, Smoke::mf_protected, 0, 294},	//2378 QWidget::styleChange(QStyle&)
	{196, 784, 395, 1, Smoke::mf_protected, 0, 295},	//2379 QWidget::enabledChange(bool)
	{196, 1181, 803, 1, Smoke::mf_protected, 0, 296},	//2380 QWidget::paletteChange(const QPalette&)
	{196, 844, 799, 1, Smoke::mf_protected, 0, 297},	//2381 QWidget::fontChange(const QFont&)
	{196, 1875, 395, 1, Smoke::mf_protected, 0, 298},	//2382 QWidget::windowActivationChange(bool)
	{196, 1062, 0, 0, Smoke::mf_protected, 0, 299},	//2383 QWidget::languageChange()
};

// Class ID, munged name ID (index into methodNames), method def (see methods) if >0 or number of overloads if <0
static Smoke::MethodMap khtml_methodMaps[] = {
	{ 0, 0, 0 },	//0 (no method)
	{1, 1152, 3},	//1 DOM::operator!=##
	{1, 1153, -1},	//2 DOM::operator!=#$
	{1, 1162, 0},	//3 DOM::operator==##
	{1, 1163, -4},	//4 DOM::operator==#$
	{1, 1785, 7},	//5 DOM::strcasecmp##
	{1, 1786, 8},	//6 DOM::strcasecmp#$
	{1, 1788, 6},	//7 DOM::strcmp##
	{2, 4, 9},	//8 DOM::AbstractView::AbstractView
	{2, 5, 10},	//9 DOM::AbstractView::AbstractView#
	{2, 6, 16},	//10 DOM::AbstractView::AbstractView?
	{2, 766, 13},	//11 DOM::AbstractView::document
	{2, 871, 14},	//12 DOM::AbstractView::getComputedStyle##
	{2, 1016, 15},	//13 DOM::AbstractView::isNull
	{2, 1159, 12},	//14 DOM::AbstractView::operator=#
	{2, 1900, 11},	//15 DOM::AbstractView::~AbstractView
	{3, 7, 17},	//16 DOM::Attr::Attr
	{3, 8, -7},	//17 DOM::Attr::Attr#
	{3, 9, 28},	//18 DOM::Attr::Attr?
	{3, 1114, 23},	//19 DOM::Attr::name
	{3, 1159, -10},	//20 DOM::Attr::operator=#
	{3, 1168, 27},	//21 DOM::Attr::ownerElement
	{3, 1709, 26},	//22 DOM::Attr::setValue#
	{3, 1758, 24},	//23 DOM::Attr::specified
	{3, 1854, 25},	//24 DOM::Attr::value
	{3, 1901, 22},	//25 DOM::Attr::~Attr
	{4, 15, 29},	//26 DOM::CDATASection::CDATASection
	{4, 16, -13},	//27 DOM::CDATASection::CDATASection#
	{4, 17, 35},	//28 DOM::CDATASection::CDATASection?
	{4, 1159, -16},	//29 DOM::CDATASection::operator=#
	{4, 1902, 34},	//30 DOM::CDATASection::~CDATASection
	{5, 21, 36},	//31 DOM::CSSCharsetRule::CSSCharsetRule
	{5, 22, -19},	//32 DOM::CSSCharsetRule::CSSCharsetRule#
	{5, 23, 39},	//33 DOM::CSSCharsetRule::CSSCharsetRule?
	{5, 786, 43},	//34 DOM::CSSCharsetRule::encoding
	{5, 1159, -22},	//35 DOM::CSSCharsetRule::operator=#
	{5, 1467, 44},	//36 DOM::CSSCharsetRule::setEncoding#
	{5, 1903, 42},	//37 DOM::CSSCharsetRule::~CSSCharsetRule
	{6, 25, 50},	//38 DOM::CSSException::CSSException#
	{6, 26, 49},	//39 DOM::CSSException::CSSException$
	{6, 369, 46},	//40 DOM::CSSException::INVALID_MODIFICATION_ERR
	{6, 487, 45},	//41 DOM::CSSException::SYNTAX_ERR
	{6, 513, 48},	//42 DOM::CSSException::_EXCEPTION_MAX
	{6, 514, 47},	//43 DOM::CSSException::_EXCEPTION_OFFSET
	{6, 630, 54},	//44 DOM::CSSException::code
	{6, 1159, 51},	//45 DOM::CSSException::operator=#
	{6, 1404, 53},	//46 DOM::CSSException::setCode$
	{6, 1904, 52},	//47 DOM::CSSException::~CSSException
	{7, 27, 55},	//48 DOM::CSSFontFaceRule::CSSFontFaceRule
	{7, 28, -25},	//49 DOM::CSSFontFaceRule::CSSFontFaceRule#
	{7, 29, 58},	//50 DOM::CSSFontFaceRule::CSSFontFaceRule?
	{7, 1159, -28},	//51 DOM::CSSFontFaceRule::operator=#
	{7, 1790, 62},	//52 DOM::CSSFontFaceRule::style
	{7, 1905, 61},	//53 DOM::CSSFontFaceRule::~CSSFontFaceRule
	{8, 30, 63},	//54 DOM::CSSImportRule::CSSImportRule
	{8, 31, -31},	//55 DOM::CSSImportRule::CSSImportRule#
	{8, 32, 66},	//56 DOM::CSSImportRule::CSSImportRule?
	{8, 936, 70},	//57 DOM::CSSImportRule::href
	{8, 1092, 71},	//58 DOM::CSSImportRule::media
	{8, 1159, -34},	//59 DOM::CSSImportRule::operator=#
	{8, 1793, 72},	//60 DOM::CSSImportRule::styleSheet
	{8, 1906, 69},	//61 DOM::CSSImportRule::~CSSImportRule
	{9, 33, 73},	//62 DOM::CSSMediaRule::CSSMediaRule
	{9, 34, -37},	//63 DOM::CSSMediaRule::CSSMediaRule#
	{9, 35, 76},	//64 DOM::CSSMediaRule::CSSMediaRule?
	{9, 710, 81},	//65 DOM::CSSMediaRule::cssRules
	{9, 742, 83},	//66 DOM::CSSMediaRule::deleteRule$
	{9, 987, 82},	//67 DOM::CSSMediaRule::insertRule#$
	{9, 1092, 80},	//68 DOM::CSSMediaRule::media
	{9, 1159, -40},	//69 DOM::CSSMediaRule::operator=#
	{9, 1907, 79},	//70 DOM::CSSMediaRule::~CSSMediaRule
	{10, 36, 84},	//71 DOM::CSSPageRule::CSSPageRule
	{10, 37, -43},	//72 DOM::CSSPageRule::CSSPageRule#
	{10, 38, 87},	//73 DOM::CSSPageRule::CSSPageRule?
	{10, 1159, -46},	//74 DOM::CSSPageRule::operator=#
	{10, 1322, 91},	//75 DOM::CSSPageRule::selectorText
	{10, 1643, 92},	//76 DOM::CSSPageRule::setSelectorText#
	{10, 1790, 93},	//77 DOM::CSSPageRule::style
	{10, 1908, 90},	//78 DOM::CSSPageRule::~CSSPageRule
	{11, 39, 124},	//79 DOM::CSSPrimitiveValue::CSSPrimitiveValue
	{11, 40, -49},	//80 DOM::CSSPrimitiveValue::CSSPrimitiveValue#
	{11, 41, 127},	//81 DOM::CSSPrimitiveValue::CSSPrimitiveValue?
	{11, 66, 116},	//82 DOM::CSSPrimitiveValue::CSS_ATTR
	{11, 67, 100},	//83 DOM::CSSPrimitiveValue::CSS_CM
	{11, 68, 117},	//84 DOM::CSSPrimitiveValue::CSS_COUNTER
	{11, 70, 105},	//85 DOM::CSSPrimitiveValue::CSS_DEG
	{11, 71, 112},	//86 DOM::CSSPrimitiveValue::CSS_DIMENSION
	{11, 72, 121},	//87 DOM::CSSPrimitiveValue::CSS_DPCM
	{11, 73, 120},	//88 DOM::CSSPrimitiveValue::CSS_DPI
	{11, 74, 97},	//89 DOM::CSSPrimitiveValue::CSS_EMS
	{11, 75, 98},	//90 DOM::CSSPrimitiveValue::CSS_EXS
	{11, 76, 107},	//91 DOM::CSSPrimitiveValue::CSS_GRAD
	{11, 77, 123},	//92 DOM::CSSPrimitiveValue::CSS_HTML_RELATIVE
	{11, 78, 110},	//93 DOM::CSSPrimitiveValue::CSS_HZ
	{11, 79, 115},	//94 DOM::CSSPrimitiveValue::CSS_IDENT
	{11, 80, 102},	//95 DOM::CSSPrimitiveValue::CSS_IN
	{11, 83, 111},	//96 DOM::CSSPrimitiveValue::CSS_KHZ
	{11, 84, 101},	//97 DOM::CSSPrimitiveValue::CSS_MM
	{11, 85, 108},	//98 DOM::CSSPrimitiveValue::CSS_MS
	{11, 86, 95},	//99 DOM::CSSPrimitiveValue::CSS_NUMBER
	{11, 87, 122},	//100 DOM::CSSPrimitiveValue::CSS_PAIR
	{11, 88, 104},	//101 DOM::CSSPrimitiveValue::CSS_PC
	{11, 89, 96},	//102 DOM::CSSPrimitiveValue::CSS_PERCENTAGE
	{11, 91, 103},	//103 DOM::CSSPrimitiveValue::CSS_PT
	{11, 92, 99},	//104 DOM::CSSPrimitiveValue::CSS_PX
	{11, 93, 106},	//105 DOM::CSSPrimitiveValue::CSS_RAD
	{11, 94, 118},	//106 DOM::CSSPrimitiveValue::CSS_RECT
	{11, 95, 119},	//107 DOM::CSSPrimitiveValue::CSS_RGBCOLOR
	{11, 96, 109},	//108 DOM::CSSPrimitiveValue::CSS_S
	{11, 97, 113},	//109 DOM::CSSPrimitiveValue::CSS_STRING
	{11, 98, 94},	//110 DOM::CSSPrimitiveValue::CSS_UNKNOWN
	{11, 99, 114},	//111 DOM::CSSPrimitiveValue::CSS_URI
	{11, 872, 136},	//112 DOM::CSSPrimitiveValue::getCounterValue
	{11, 884, 133},	//113 DOM::CSSPrimitiveValue::getFloatValue$
	{11, 902, 138},	//114 DOM::CSSPrimitiveValue::getRGBColorValue
	{11, 904, 137},	//115 DOM::CSSPrimitiveValue::getRectValue
	{11, 906, 135},	//116 DOM::CSSPrimitiveValue::getStringValue
	{11, 1159, -52},	//117 DOM::CSSPrimitiveValue::operator=#
	{11, 1212, 131},	//118 DOM::CSSPrimitiveValue::primitiveType
	{11, 1487, 132},	//119 DOM::CSSPrimitiveValue::setFloatValue$$
	{11, 1673, 134},	//120 DOM::CSSPrimitiveValue::setStringValue$#
	{11, 1909, 130},	//121 DOM::CSSPrimitiveValue::~CSSPrimitiveValue
	{12, 19, 141},	//122 DOM::CSSRule::CHARSET_RULE
	{12, 42, 147},	//123 DOM::CSSRule::CSSRule
	{12, 43, 148},	//124 DOM::CSSRule::CSSRule#
	{12, 44, 149},	//125 DOM::CSSRule::CSSRule?
	{12, 185, 144},	//126 DOM::CSSRule::FONT_FACE_RULE
	{12, 364, 142},	//127 DOM::CSSRule::IMPORT_RULE
	{12, 408, 143},	//128 DOM::CSSRule::MEDIA_RULE
	{12, 447, 145},	//129 DOM::CSSRule::PAGE_RULE
	{12, 452, 146},	//130 DOM::CSSRule::QUIRKS_RULE
	{12, 486, 140},	//131 DOM::CSSRule::STYLE_RULE
	{12, 507, 139},	//132 DOM::CSSRule::UNKNOWN_RULE
	{12, 561, 158},	//133 DOM::CSSRule::assignOther#$
	{12, 711, 153},	//134 DOM::CSSRule::cssText
	{12, 1016, 157},	//135 DOM::CSSRule::isNull
	{12, 1159, 150},	//136 DOM::CSSRule::operator=#
	{12, 1185, 156},	//137 DOM::CSSRule::parentRule
	{12, 1186, 155},	//138 DOM::CSSRule::parentStyleSheet
	{12, 1432, 154},	//139 DOM::CSSRule::setCssText#
	{12, 1835, 152},	//140 DOM::CSSRule::type
	{12, 1910, 151},	//141 DOM::CSSRule::~CSSRule
	{13, 45, 159},	//142 DOM::CSSRuleList::CSSRuleList
	{13, 46, 160},	//143 DOM::CSSRuleList::CSSRuleList#
	{13, 47, -55},	//144 DOM::CSSRuleList::CSSRuleList?
	{13, 1016, 167},	//145 DOM::CSSRuleList::isNull
	{13, 1025, 166},	//146 DOM::CSSRuleList::item$
	{13, 1073, 165},	//147 DOM::CSSRuleList::length
	{13, 1159, 163},	//148 DOM::CSSRuleList::operator=#
	{13, 1911, 164},	//149 DOM::CSSRuleList::~CSSRuleList
	{14, 48, 168},	//150 DOM::CSSStyleDeclaration::CSSStyleDeclaration
	{14, 49, 169},	//151 DOM::CSSStyleDeclaration::CSSStyleDeclaration#
	{14, 50, 170},	//152 DOM::CSSStyleDeclaration::CSSStyleDeclaration?
	{14, 711, 173},	//153 DOM::CSSStyleDeclaration::cssText
	{14, 897, 178},	//154 DOM::CSSStyleDeclaration::getPropertyCSSValue#
	{14, 899, 180},	//155 DOM::CSSStyleDeclaration::getPropertyPriority#
	{14, 901, 177},	//156 DOM::CSSStyleDeclaration::getPropertyValue#
	{14, 1016, 183},	//157 DOM::CSSStyleDeclaration::isNull
	{14, 1025, 182},	//158 DOM::CSSStyleDeclaration::item$
	{14, 1073, 175},	//159 DOM::CSSStyleDeclaration::length
	{14, 1159, 171},	//160 DOM::CSSStyleDeclaration::operator=#
	{14, 1185, 176},	//161 DOM::CSSStyleDeclaration::parentRule
	{14, 1260, 179},	//162 DOM::CSSStyleDeclaration::removeProperty#
	{14, 1432, 174},	//163 DOM::CSSStyleDeclaration::setCssText#
	{14, 1602, 181},	//164 DOM::CSSStyleDeclaration::setProperty###
	{14, 1912, 172},	//165 DOM::CSSStyleDeclaration::~CSSStyleDeclaration
	{15, 51, 184},	//166 DOM::CSSStyleRule::CSSStyleRule
	{15, 52, -58},	//167 DOM::CSSStyleRule::CSSStyleRule#
	{15, 53, 187},	//168 DOM::CSSStyleRule::CSSStyleRule?
	{15, 1159, -61},	//169 DOM::CSSStyleRule::operator=#
	{15, 1322, 191},	//170 DOM::CSSStyleRule::selectorText
	{15, 1643, 192},	//171 DOM::CSSStyleRule::setSelectorText#
	{15, 1790, 193},	//172 DOM::CSSStyleRule::style
	{15, 1913, 190},	//173 DOM::CSSStyleRule::~CSSStyleRule
	{16, 54, 194},	//174 DOM::CSSStyleSheet::CSSStyleSheet
	{16, 55, -64},	//175 DOM::CSSStyleSheet::CSSStyleSheet#
	{16, 56, 197},	//176 DOM::CSSStyleSheet::CSSStyleSheet?
	{16, 608, 205},	//177 DOM::CSSStyleSheet::charset
	{16, 710, 202},	//178 DOM::CSSStyleSheet::cssRules
	{16, 742, 204},	//179 DOM::CSSStyleSheet::deleteRule$
	{16, 987, 203},	//180 DOM::CSSStyleSheet::insertRule#$
	{16, 1159, -67},	//181 DOM::CSSStyleSheet::operator=#
	{16, 1170, 201},	//182 DOM::CSSStyleSheet::ownerRule
	{16, 1914, 200},	//183 DOM::CSSStyleSheet::~CSSStyleSheet
	{17, 57, 206},	//184 DOM::CSSUnknownRule::CSSUnknownRule
	{17, 58, -70},	//185 DOM::CSSUnknownRule::CSSUnknownRule#
	{17, 59, 209},	//186 DOM::CSSUnknownRule::CSSUnknownRule?
	{17, 1159, -73},	//187 DOM::CSSUnknownRule::operator=#
	{17, 1915, 212},	//188 DOM::CSSUnknownRule::~CSSUnknownRule
	{18, 60, 218},	//189 DOM::CSSValue::CSSValue
	{18, 61, 219},	//190 DOM::CSSValue::CSSValue#
	{18, 62, 220},	//191 DOM::CSSValue::CSSValue?
	{18, 69, 216},	//192 DOM::CSSValue::CSS_CUSTOM
	{18, 81, 213},	//193 DOM::CSSValue::CSS_INHERIT
	{18, 82, 217},	//194 DOM::CSSValue::CSS_INITIAL
	{18, 90, 214},	//195 DOM::CSSValue::CSS_PRIMITIVE_VALUE
	{18, 100, 215},	//196 DOM::CSSValue::CSS_VALUE_LIST
	{18, 711, 223},	//197 DOM::CSSValue::cssText
	{18, 712, 225},	//198 DOM::CSSValue::cssValueType
	{18, 994, 227},	//199 DOM::CSSValue::isCSSPrimitiveValue
	{18, 996, 226},	//200 DOM::CSSValue::isCSSValueList
	{18, 1016, 228},	//201 DOM::CSSValue::isNull
	{18, 1159, 221},	//202 DOM::CSSValue::operator=#
	{18, 1432, 224},	//203 DOM::CSSValue::setCssText#
	{18, 1916, 222},	//204 DOM::CSSValue::~CSSValue
	{19, 63, 229},	//205 DOM::CSSValueList::CSSValueList
	{19, 64, -76},	//206 DOM::CSSValueList::CSSValueList#
	{19, 65, 232},	//207 DOM::CSSValueList::CSSValueList?
	{19, 1025, 237},	//208 DOM::CSSValueList::item$
	{19, 1073, 236},	//209 DOM::CSSValueList::length
	{19, 1159, -79},	//210 DOM::CSSValueList::operator=#
	{19, 1917, 235},	//211 DOM::CSSValueList::~CSSValueList
	{20, 104, 238},	//212 DOM::CharacterData::CharacterData
	{20, 105, -82},	//213 DOM::CharacterData::CharacterData#
	{20, 106, 252},	//214 DOM::CharacterData::CharacterData?
	{20, 553, 248},	//215 DOM::CharacterData::appendData#
	{20, 722, 244},	//216 DOM::CharacterData::data
	{20, 735, 250},	//217 DOM::CharacterData::deleteData$$
	{20, 981, 249},	//218 DOM::CharacterData::insertData$#
	{20, 1073, 246},	//219 DOM::CharacterData::length
	{20, 1159, -85},	//220 DOM::CharacterData::operator=#
	{20, 1270, 251},	//221 DOM::CharacterData::replaceData$$#
	{20, 1445, 245},	//222 DOM::CharacterData::setData#
	{20, 1804, 247},	//223 DOM::CharacterData::substringData$$
	{20, 1918, 243},	//224 DOM::CharacterData::~CharacterData
	{21, 107, 253},	//225 DOM::Comment::Comment
	{21, 108, -88},	//226 DOM::Comment::Comment#
	{21, 109, 259},	//227 DOM::Comment::Comment?
	{21, 1159, -91},	//228 DOM::Comment::operator=#
	{21, 1919, 258},	//229 DOM::Comment::~Comment
	{22, 110, 260},	//230 DOM::Counter::Counter
	{22, 111, 261},	//231 DOM::Counter::Counter#
	{22, 112, 268},	//232 DOM::Counter::Counter?
	{22, 945, 264},	//233 DOM::Counter::identifier
	{22, 1016, 267},	//234 DOM::Counter::isNull
	{22, 1077, 265},	//235 DOM::Counter::listStyle
	{22, 1159, 262},	//236 DOM::Counter::operator=#
	{22, 1323, 266},	//237 DOM::Counter::separator
	{22, 1920, 263},	//238 DOM::Counter::~Counter
	{23, 113, 269},	//239 DOM::CustomNodeFilter::CustomNodeFilter
	{23, 114, 274},	//240 DOM::CustomNodeFilter::CustomNodeFilter#
	{23, 521, 271},	//241 DOM::CustomNodeFilter::acceptNode#
	{23, 721, 273},	//242 DOM::CustomNodeFilter::customNodeFilterType
	{23, 1016, 272},	//243 DOM::CustomNodeFilter::isNull
	{23, 1921, 270},	//244 DOM::CustomNodeFilter::~CustomNodeFilter
	{24, 128, 294},	//245 DOM::DOMException::DOMException#
	{24, 129, 293},	//246 DOM::DOMException::DOMException$
	{24, 133, 276},	//247 DOM::DOMException::DOMSTRING_SIZE_ERR
	{24, 188, 277},	//248 DOM::DOMException::HIERARCHY_REQUEST_ERR
	{24, 365, 275},	//249 DOM::DOMException::INDEX_SIZE_ERR
	{24, 366, 284},	//250 DOM::DOMException::INUSE_ATTRIBUTE_ERR
	{24, 367, 289},	//251 DOM::DOMException::INVALID_ACCESS_ERR
	{24, 368, 279},	//252 DOM::DOMException::INVALID_CHARACTER_ERR
	{24, 369, 287},	//253 DOM::DOMException::INVALID_MODIFICATION_ERR
	{24, 371, 285},	//254 DOM::DOMException::INVALID_STATE_ERR
	{24, 420, 288},	//255 DOM::DOMException::NAMESPACE_ERR
	{24, 422, 282},	//256 DOM::DOMException::NOT_FOUND_ERR
	{24, 423, 283},	//257 DOM::DOMException::NOT_SUPPORTED_ERR
	{24, 424, 280},	//258 DOM::DOMException::NO_DATA_ALLOWED_ERR
	{24, 425, 281},	//259 DOM::DOMException::NO_MODIFICATION_ALLOWED_ERR
	{24, 467, 292},	//260 DOM::DOMException::SECURITY_ERR
	{24, 487, 286},	//261 DOM::DOMException::SYNTAX_ERR
	{24, 495, 291},	//262 DOM::DOMException::TYPE_MISMATCH_ERR
	{24, 511, 290},	//263 DOM::DOMException::VALIDATION_ERR
	{24, 512, 278},	//264 DOM::DOMException::WRONG_DOCUMENT_ERR
	{24, 630, 298},	//265 DOM::DOMException::code
	{24, 1159, 295},	//266 DOM::DOMException::operator=#
	{24, 1404, 297},	//267 DOM::DOMException::setCode$
	{24, 1922, 296},	//268 DOM::DOMException::~DOMException
	{25, 130, 299},	//269 DOM::DOMImplementation::DOMImplementation
	{25, 131, 300},	//270 DOM::DOMImplementation::DOMImplementation#
	{25, 132, 310},	//271 DOM::DOMImplementation::DOMImplementation?
	{25, 674, 307},	//272 DOM::DOMImplementation::createCSSStyleSheet##
	{25, 683, 305},	//273 DOM::DOMImplementation::createDocument###
	{25, 686, 304},	//274 DOM::DOMImplementation::createDocumentType###
	{25, 696, 308},	//275 DOM::DOMImplementation::createHTMLDocument#
	{25, 887, 306},	//276 DOM::DOMImplementation::getInterface#
	{25, 922, 303},	//277 DOM::DOMImplementation::hasFeature##
	{25, 1016, 309},	//278 DOM::DOMImplementation::isNull
	{25, 1159, 301},	//279 DOM::DOMImplementation::operator=#
	{25, 1923, 302},	//280 DOM::DOMImplementation::~DOMImplementation
	{26, 134, 311},	//281 DOM::DOMString::DOMString
	{26, 135, 318},	//282 DOM::DOMString::DOMString#
	{26, 136, 312},	//283 DOM::DOMString::DOMString#$
	{26, 137, -94},	//284 DOM::DOMString::DOMString$
	{26, 138, 315},	//285 DOM::DOMString::DOMString$$
	{26, 139, 316},	//286 DOM::DOMString::DOMString?
	{26, 607, 338},	//287 DOM::DOMString::characters
	{26, 666, 345},	//288 DOM::DOMString::copy
	{26, 792, 348},	//289 DOM::DOMString::endsWith#
	{26, 813, 325},	//290 DOM::DOMString::find#
	{26, 814, 324},	//291 DOM::DOMString::find#$
	{26, 947, 350},	//292 DOM::DOMString::implementation
	{26, 975, 322},	//293 DOM::DOMString::insert#$
	{26, 1001, 347},	//294 DOM::DOMString::isEmpty
	{26, 1016, 346},	//295 DOM::DOMString::isNull
	{26, 1073, 330},	//296 DOM::DOMString::length
	{26, 1085, 335},	//297 DOM::DOMString::lower
	{26, 1141, 351},	//298 DOM::DOMString::number$
	{26, 1155, 321},	//299 DOM::DOMString::operator+#
	{26, 1157, 320},	//300 DOM::DOMString::operator+=#
	{26, 1159, 319},	//301 DOM::DOMString::operator=#
	{26, 1165, 323},	//302 DOM::DOMString::operator[]$
	{26, 1194, 344},	//303 DOM::DOMString::percentage$
	{26, 1241, 333},	//304 DOM::DOMString::remove$
	{26, 1242, 332},	//305 DOM::DOMString::remove$$
	{26, 1281, 327},	//306 DOM::DOMString::reverseFind#
	{26, 1282, 326},	//307 DOM::DOMString::reverseFind#$
	{26, 1760, 334},	//308 DOM::DOMString::split$
	{26, 1773, 349},	//309 DOM::DOMString::startsWith#
	{26, 1789, 339},	//310 DOM::DOMString::string
	{26, 1801, 329},	//311 DOM::DOMString::substring$
	{26, 1802, 328},	//312 DOM::DOMString::substring$$
	{26, 1825, 343},	//313 DOM::DOMString::toFloat
	{26, 1826, 342},	//314 DOM::DOMString::toFloat$
	{26, 1828, 340},	//315 DOM::DOMString::toInt
	{26, 1829, 341},	//316 DOM::DOMString::toInt$
	{26, 1834, 331},	//317 DOM::DOMString::truncate$
	{26, 1838, 337},	//318 DOM::DOMString::unicode
	{26, 1843, 336},	//319 DOM::DOMString::upper
	{26, 1924, 317},	//320 DOM::DOMString::~DOMString
	{27, 145, 352},	//321 DOM::Document::Document
	{27, 146, -97},	//322 DOM::Document::Document#
	{27, 147, 353},	//323 DOM::Document::Document$
	{27, 148, 407},	//324 DOM::Document::Document?
	{27, 517, 393},	//325 DOM::Document::abort
	{27, 541, 387},	//326 DOM::Document::addStyleSheet#
	{27, 562, 391},	//327 DOM::Document::async
	{27, 646, 398},	//328 DOM::Document::completeURL#
	{27, 668, 369},	//329 DOM::Document::createAttribute#
	{27, 670, 370},	//330 DOM::Document::createAttributeNS##
	{27, 672, 367},	//331 DOM::Document::createCDATASection#
	{27, 677, 366},	//332 DOM::Document::createComment#
	{27, 684, 364},	//333 DOM::Document::createDocumentFragment
	{27, 688, 362},	//334 DOM::Document::createElement#
	{27, 690, 363},	//335 DOM::Document::createElementNS##
	{27, 692, 371},	//336 DOM::Document::createEntityReference#
	{27, 694, 381},	//337 DOM::Document::createEvent#
	{27, 698, 379},	//338 DOM::Document::createNodeIterator#$#$
	{27, 702, 368},	//339 DOM::Document::createProcessingInstruction##
	{27, 703, 378},	//340 DOM::Document::createRange
	{27, 707, 365},	//341 DOM::Document::createTextNode#
	{27, 709, 380},	//342 DOM::Document::createTreeWalker#$#$
	{27, 728, 382},	//343 DOM::Document::defaultView
	{27, 746, 396},	//344 DOM::Document::designMode
	{27, 765, 359},	//345 DOM::Document::doctype
	{27, 767, 361},	//346 DOM::Document::documentElement
	{27, 803, 400},	//347 DOM::Document::execCommand#$#
	{27, 874, 372},	//348 DOM::Document::getElementById#
	{27, 876, 375},	//349 DOM::Document::getElementsByClassName#
	{27, 880, 373},	//350 DOM::Document::getElementsByTagName#
	{27, 882, 374},	//351 DOM::Document::getElementsByTagNameNS##
	{27, 895, 390},	//352 DOM::Document::getOverrideStyle##
	{27, 947, 360},	//353 DOM::Document::implementation
	{27, 949, 376},	//354 DOM::Document::importNode#$
	{27, 1003, 377},	//355 DOM::Document::isHTMLDocument
	{27, 1079, 394},	//356 DOM::Document::load#
	{27, 1081, 395},	//357 DOM::Document::loadXML#
	{27, 1159, -100},	//358 DOM::Document::operator=#
	{27, 1200, 384},	//359 DOM::Document::preferredStylesheetSet
	{27, 1221, 401},	//360 DOM::Document::queryCommandEnabled#
	{27, 1223, 402},	//361 DOM::Document::queryCommandIndeterm#
	{27, 1225, 403},	//362 DOM::Document::queryCommandState#
	{27, 1227, 404},	//363 DOM::Document::queryCommandSupported#
	{27, 1229, 405},	//364 DOM::Document::queryCommandValue#
	{27, 1262, 388},	//365 DOM::Document::removeStyleSheet#
	{27, 1314, 385},	//366 DOM::Document::selectedStylesheetSet
	{27, 1348, 392},	//367 DOM::Document::setAsync$
	{27, 1459, 397},	//368 DOM::Document::setDesignMode$
	{27, 1633, 386},	//369 DOM::Document::setSelectedStylesheetSet#
	{27, 1794, 383},	//370 DOM::Document::styleSheets
	{27, 1830, 399},	//371 DOM::Document::toString
	{27, 1842, 406},	//372 DOM::Document::updateRendering
	{27, 1857, 389},	//373 DOM::Document::view
	{27, 1925, 358},	//374 DOM::Document::~Document
	{28, 149, 408},	//375 DOM::DocumentFragment::DocumentFragment
	{28, 150, -103},	//376 DOM::DocumentFragment::DocumentFragment#
	{28, 151, 414},	//377 DOM::DocumentFragment::DocumentFragment?
	{28, 1159, -106},	//378 DOM::DocumentFragment::operator=#
	{28, 1926, 413},	//379 DOM::DocumentFragment::~DocumentFragment
	{29, 152, 415},	//380 DOM::DocumentStyle::DocumentStyle
	{29, 153, 416},	//381 DOM::DocumentStyle::DocumentStyle#
	{29, 1016, 424},	//382 DOM::DocumentStyle::isNull
	{29, 1159, -109},	//383 DOM::DocumentStyle::operator=#
	{29, 1200, 421},	//384 DOM::DocumentStyle::preferredStylesheetSet
	{29, 1314, 422},	//385 DOM::DocumentStyle::selectedStylesheetSet
	{29, 1633, 423},	//386 DOM::DocumentStyle::setSelectedStylesheetSet#
	{29, 1794, 420},	//387 DOM::DocumentStyle::styleSheets
	{29, 1927, 419},	//388 DOM::DocumentStyle::~DocumentStyle
	{30, 154, 425},	//389 DOM::DocumentType::DocumentType
	{30, 155, -112},	//390 DOM::DocumentType::DocumentType#
	{30, 156, 437},	//391 DOM::DocumentType::DocumentType?
	{30, 795, 432},	//392 DOM::DocumentType::entities
	{30, 988, 436},	//393 DOM::DocumentType::internalSubset
	{30, 1114, 431},	//394 DOM::DocumentType::name
	{30, 1139, 433},	//395 DOM::DocumentType::notations
	{30, 1159, -115},	//396 DOM::DocumentType::operator=#
	{30, 1217, 434},	//397 DOM::DocumentType::publicId
	{30, 1808, 435},	//398 DOM::DocumentType::systemId
	{30, 1928, 430},	//399 DOM::DocumentType::~DocumentType
	{31, 157, 438},	//400 DOM::DomShared::DomShared
	{31, 158, 445},	//401 DOM::DomShared::DomShared#
	{31, 736, 440},	//402 DOM::DomShared::deleteMe
	{31, 745, 442},	//403 DOM::DomShared::deref
	{31, 923, 443},	//404 DOM::DomShared::hasOneRef
	{31, 1234, 441},	//405 DOM::DomShared::ref
	{31, 1235, 444},	//406 DOM::DomShared::refCount
	{31, 1929, 439},	//407 DOM::DomShared::~DomShared
	{32, 164, 446},	//408 DOM::Element::Element
	{32, 165, -118},	//409 DOM::Element::Element#
	{32, 166, 482},	//410 DOM::Element::Element?
	{32, 610, 474},	//411 DOM::Element::childElementCount
	{32, 833, 470},	//412 DOM::Element::firstElementChild
	{32, 847, 476},	//413 DOM::Element::form
	{32, 862, 453},	//414 DOM::Element::getAttribute#
	{32, 864, 462},	//415 DOM::Element::getAttributeNS##
	{32, 866, 456},	//416 DOM::Element::getAttributeNode#
	{32, 868, 465},	//417 DOM::Element::getAttributeNodeNS##
	{32, 876, 461},	//418 DOM::Element::getElementsByClassName#
	{32, 880, 459},	//419 DOM::Element::getElementsByTagName#
	{32, 882, 460},	//420 DOM::Element::getElementsByTagNameNS##
	{32, 916, 467},	//421 DOM::Element::hasAttribute#
	{32, 918, 468},	//422 DOM::Element::hasAttributeNS##
	{32, 1004, 475},	//423 DOM::Element::isHTMLElement
	{32, 1043, 481},	//424 DOM::Element::khtmlMalformedPrefix#
	{32, 1045, 480},	//425 DOM::Element::khtmlMalformedQualifiedName#
	{32, 1055, 477},	//426 DOM::Element::khtmlValidAttrName#
	{32, 1057, 478},	//427 DOM::Element::khtmlValidPrefix#
	{32, 1059, 479},	//428 DOM::Element::khtmlValidQualifiedName#
	{32, 1064, 471},	//429 DOM::Element::lastElementChild
	{32, 1120, 473},	//430 DOM::Element::nextElementSibling
	{32, 1159, -121},	//431 DOM::Element::operator=#
	{32, 1209, 472},	//432 DOM::Element::previousElementSibling
	{32, 1244, 455},	//433 DOM::Element::removeAttribute#
	{32, 1246, 464},	//434 DOM::Element::removeAttributeNS##
	{32, 1248, 458},	//435 DOM::Element::removeAttributeNode#
	{32, 1350, 454},	//436 DOM::Element::setAttribute##
	{32, 1352, 463},	//437 DOM::Element::setAttributeNS###
	{32, 1354, 457},	//438 DOM::Element::setAttributeNode#
	{32, 1356, 466},	//439 DOM::Element::setAttributeNodeNS#
	{32, 1790, 469},	//440 DOM::Element::style
	{32, 1815, 452},	//441 DOM::Element::tagName
	{32, 1930, 451},	//442 DOM::Element::~Element
	{33, 168, 483},	//443 DOM::Entity::Entity
	{33, 169, -124},	//444 DOM::Entity::Entity#
	{33, 170, 492},	//445 DOM::Entity::Entity?
	{33, 1138, 491},	//446 DOM::Entity::notationName
	{33, 1159, -127},	//447 DOM::Entity::operator=#
	{33, 1217, 489},	//448 DOM::Entity::publicId
	{33, 1808, 490},	//449 DOM::Entity::systemId
	{33, 1931, 488},	//450 DOM::Entity::~Entity
	{34, 171, 493},	//451 DOM::EntityReference::EntityReference
	{34, 172, -130},	//452 DOM::EntityReference::EntityReference#
	{34, 173, 499},	//453 DOM::EntityReference::EntityReference?
	{34, 1159, -133},	//454 DOM::EntityReference::operator=#
	{34, 1932, 498},	//455 DOM::EntityReference::~EntityReference
	{35, 3, 501},	//456 DOM::Event::AT_TARGET
	{35, 11, 502},	//457 DOM::Event::BUBBLING_PHASE
	{35, 14, 500},	//458 DOM::Event::CAPTURING_PHASE
	{35, 174, 503},	//459 DOM::Event::Event
	{35, 175, 504},	//460 DOM::Event::Event#
	{35, 176, 518},	//461 DOM::Event::Event?
	{35, 590, 511},	//462 DOM::Event::bubbles
	{35, 592, 512},	//463 DOM::Event::cancelable
	{35, 716, 509},	//464 DOM::Event::currentTarget
	{35, 801, 510},	//465 DOM::Event::eventPhase
	{35, 957, 516},	//466 DOM::Event::initEvent#$$
	{35, 1016, 517},	//467 DOM::Event::isNull
	{35, 1159, 506},	//468 DOM::Event::operator=#
	{35, 1208, 515},	//469 DOM::Event::preventDefault
	{35, 1781, 514},	//470 DOM::Event::stopPropagation
	{35, 1816, 508},	//471 DOM::Event::target
	{35, 1821, 513},	//472 DOM::Event::timeStamp
	{35, 1835, 507},	//473 DOM::Event::type
	{35, 1933, 505},	//474 DOM::Event::~Event
	{36, 178, 523},	//475 DOM::EventException::EventException#
	{36, 179, 522},	//476 DOM::EventException::EventException$
	{36, 508, 519},	//477 DOM::EventException::UNSPECIFIED_EVENT_TYPE_ERR
	{36, 513, 521},	//478 DOM::EventException::_EXCEPTION_MAX
	{36, 514, 520},	//479 DOM::EventException::_EXCEPTION_OFFSET
	{36, 630, 527},	//480 DOM::EventException::code
	{36, 1159, 524},	//481 DOM::EventException::operator=#
	{36, 1404, 526},	//482 DOM::EventException::setCode$
	{36, 1934, 525},	//483 DOM::EventException::~EventException
	{37, 180, 528},	//484 DOM::EventListener::EventListener
	{37, 181, 532},	//485 DOM::EventListener::EventListener#
	{37, 800, 531},	//486 DOM::EventListener::eventListenerType
	{37, 914, 530},	//487 DOM::EventListener::handleEvent#
	{37, 1935, 529},	//488 DOM::EventListener::~EventListener
	{38, 189, 533},	//489 DOM::HTMLAnchorElement::HTMLAnchorElement
	{38, 190, -136},	//490 DOM::HTMLAnchorElement::HTMLAnchorElement#
	{38, 191, 565},	//491 DOM::HTMLAnchorElement::HTMLAnchorElement?
	{38, 522, 539},	//492 DOM::HTMLAnchorElement::accessKey
	{38, 583, 563},	//493 DOM::HTMLAnchorElement::blur
	{38, 608, 541},	//494 DOM::HTMLAnchorElement::charset
	{38, 665, 543},	//495 DOM::HTMLAnchorElement::coords
	{38, 836, 564},	//496 DOM::HTMLAnchorElement::focus
	{38, 936, 545},	//497 DOM::HTMLAnchorElement::href
	{38, 937, 547},	//498 DOM::HTMLAnchorElement::hreflang
	{38, 1114, 549},	//499 DOM::HTMLAnchorElement::name
	{38, 1159, -139},	//500 DOM::HTMLAnchorElement::operator=#
	{38, 1237, 551},	//501 DOM::HTMLAnchorElement::rel
	{38, 1279, 553},	//502 DOM::HTMLAnchorElement::rev
	{38, 1334, 540},	//503 DOM::HTMLAnchorElement::setAccessKey#
	{38, 1393, 542},	//504 DOM::HTMLAnchorElement::setCharset#
	{38, 1430, 544},	//505 DOM::HTMLAnchorElement::setCoords#
	{38, 1504, 546},	//506 DOM::HTMLAnchorElement::setHref#
	{38, 1506, 548},	//507 DOM::HTMLAnchorElement::setHreflang#
	{38, 1570, 550},	//508 DOM::HTMLAnchorElement::setName#
	{38, 1606, 552},	//509 DOM::HTMLAnchorElement::setRel#
	{38, 1608, 554},	//510 DOM::HTMLAnchorElement::setRev#
	{38, 1645, 556},	//511 DOM::HTMLAnchorElement::setShape#
	{38, 1684, 558},	//512 DOM::HTMLAnchorElement::setTabIndex$
	{38, 1686, 560},	//513 DOM::HTMLAnchorElement::setTarget#
	{38, 1696, 562},	//514 DOM::HTMLAnchorElement::setType#
	{38, 1741, 555},	//515 DOM::HTMLAnchorElement::shape
	{38, 1812, 557},	//516 DOM::HTMLAnchorElement::tabIndex
	{38, 1816, 559},	//517 DOM::HTMLAnchorElement::target
	{38, 1835, 561},	//518 DOM::HTMLAnchorElement::type
	{38, 1936, 538},	//519 DOM::HTMLAnchorElement::~HTMLAnchorElement
	{39, 192, 566},	//520 DOM::HTMLAppletElement::HTMLAppletElement
	{39, 193, -142},	//521 DOM::HTMLAppletElement::HTMLAppletElement#
	{39, 194, 594},	//522 DOM::HTMLAppletElement::HTMLAppletElement?
	{39, 544, 572},	//523 DOM::HTMLAppletElement::align
	{39, 547, 574},	//524 DOM::HTMLAppletElement::alt
	{39, 558, 576},	//525 DOM::HTMLAppletElement::archive
	{39, 630, 578},	//526 DOM::HTMLAppletElement::code
	{39, 631, 580},	//527 DOM::HTMLAppletElement::codeBase
	{39, 885, 584},	//528 DOM::HTMLAppletElement::getHspace
	{39, 907, 590},	//529 DOM::HTMLAppletElement::getVspace
	{39, 926, 582},	//530 DOM::HTMLAppletElement::height
	{39, 1114, 586},	//531 DOM::HTMLAppletElement::name
	{39, 1142, 588},	//532 DOM::HTMLAppletElement::object
	{39, 1159, -145},	//533 DOM::HTMLAppletElement::operator=#
	{39, 1340, 573},	//534 DOM::HTMLAppletElement::setAlign#
	{39, 1342, 575},	//535 DOM::HTMLAppletElement::setAlt#
	{39, 1346, 577},	//536 DOM::HTMLAppletElement::setArchive#
	{39, 1403, 579},	//537 DOM::HTMLAppletElement::setCode#
	{39, 1406, 581},	//538 DOM::HTMLAppletElement::setCodeBase#
	{39, 1499, 583},	//539 DOM::HTMLAppletElement::setHeight#
	{39, 1508, 585},	//540 DOM::HTMLAppletElement::setHspace$
	{39, 1570, 587},	//541 DOM::HTMLAppletElement::setName#
	{39, 1586, 589},	//542 DOM::HTMLAppletElement::setObject#
	{39, 1722, 591},	//543 DOM::HTMLAppletElement::setVspace$
	{39, 1726, 593},	//544 DOM::HTMLAppletElement::setWidth#
	{39, 1874, 592},	//545 DOM::HTMLAppletElement::width
	{39, 1937, 571},	//546 DOM::HTMLAppletElement::~HTMLAppletElement
	{40, 195, 595},	//547 DOM::HTMLAreaElement::HTMLAreaElement
	{40, 196, -148},	//548 DOM::HTMLAreaElement::HTMLAreaElement#
	{40, 197, 617},	//549 DOM::HTMLAreaElement::HTMLAreaElement?
	{40, 522, 601},	//550 DOM::HTMLAreaElement::accessKey
	{40, 547, 603},	//551 DOM::HTMLAreaElement::alt
	{40, 665, 605},	//552 DOM::HTMLAreaElement::coords
	{40, 936, 607},	//553 DOM::HTMLAreaElement::href
	{40, 1126, 609},	//554 DOM::HTMLAreaElement::noHref
	{40, 1159, -151},	//555 DOM::HTMLAreaElement::operator=#
	{40, 1334, 602},	//556 DOM::HTMLAreaElement::setAccessKey#
	{40, 1342, 604},	//557 DOM::HTMLAreaElement::setAlt#
	{40, 1430, 606},	//558 DOM::HTMLAreaElement::setCoords#
	{40, 1504, 608},	//559 DOM::HTMLAreaElement::setHref#
	{40, 1576, 610},	//560 DOM::HTMLAreaElement::setNoHref$
	{40, 1645, 612},	//561 DOM::HTMLAreaElement::setShape#
	{40, 1684, 614},	//562 DOM::HTMLAreaElement::setTabIndex$
	{40, 1686, 616},	//563 DOM::HTMLAreaElement::setTarget#
	{40, 1741, 611},	//564 DOM::HTMLAreaElement::shape
	{40, 1812, 613},	//565 DOM::HTMLAreaElement::tabIndex
	{40, 1816, 615},	//566 DOM::HTMLAreaElement::target
	{40, 1938, 600},	//567 DOM::HTMLAreaElement::~HTMLAreaElement
	{41, 198, 618},	//568 DOM::HTMLBRElement::HTMLBRElement
	{41, 199, -154},	//569 DOM::HTMLBRElement::HTMLBRElement#
	{41, 200, 626},	//570 DOM::HTMLBRElement::HTMLBRElement?
	{41, 617, 624},	//571 DOM::HTMLBRElement::clear
	{41, 1159, -157},	//572 DOM::HTMLBRElement::operator=#
	{41, 1401, 625},	//573 DOM::HTMLBRElement::setClear#
	{41, 1939, 623},	//574 DOM::HTMLBRElement::~HTMLBRElement
	{42, 201, 627},	//575 DOM::HTMLBaseElement::HTMLBaseElement
	{42, 202, -160},	//576 DOM::HTMLBaseElement::HTMLBaseElement#
	{42, 203, 637},	//577 DOM::HTMLBaseElement::HTMLBaseElement?
	{42, 936, 633},	//578 DOM::HTMLBaseElement::href
	{42, 1159, -163},	//579 DOM::HTMLBaseElement::operator=#
	{42, 1504, 634},	//580 DOM::HTMLBaseElement::setHref#
	{42, 1686, 636},	//581 DOM::HTMLBaseElement::setTarget#
	{42, 1816, 635},	//582 DOM::HTMLBaseElement::target
	{42, 1940, 632},	//583 DOM::HTMLBaseElement::~HTMLBaseElement
	{43, 204, 638},	//584 DOM::HTMLBaseFontElement::HTMLBaseFontElement
	{43, 205, -166},	//585 DOM::HTMLBaseFontElement::HTMLBaseFontElement#
	{43, 206, 650},	//586 DOM::HTMLBaseFontElement::HTMLBaseFontElement?
	{43, 637, 644},	//587 DOM::HTMLBaseFontElement::color
	{43, 808, 646},	//588 DOM::HTMLBaseFontElement::face
	{43, 905, 648},	//589 DOM::HTMLBaseFontElement::getSize
	{43, 1159, -169},	//590 DOM::HTMLBaseFontElement::operator=#
	{43, 1412, 645},	//591 DOM::HTMLBaseFontElement::setColor#
	{43, 1481, 647},	//592 DOM::HTMLBaseFontElement::setFace#
	{43, 1648, 649},	//593 DOM::HTMLBaseFontElement::setSize$
	{43, 1941, 643},	//594 DOM::HTMLBaseFontElement::~HTMLBaseFontElement
	{44, 207, 651},	//595 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement
	{44, 208, -172},	//596 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement#
	{44, 209, 659},	//597 DOM::HTMLBlockquoteElement::HTMLBlockquoteElement?
	{44, 615, 657},	//598 DOM::HTMLBlockquoteElement::cite
	{44, 1159, -175},	//599 DOM::HTMLBlockquoteElement::operator=#
	{44, 1397, 658},	//600 DOM::HTMLBlockquoteElement::setCite#
	{44, 1942, 656},	//601 DOM::HTMLBlockquoteElement::~HTMLBlockquoteElement
	{45, 210, 660},	//602 DOM::HTMLBodyElement::HTMLBodyElement
	{45, 211, -178},	//603 DOM::HTMLBodyElement::HTMLBodyElement#
	{45, 212, 678},	//604 DOM::HTMLBodyElement::HTMLBodyElement?
	{45, 515, 666},	//605 DOM::HTMLBodyElement::aLink
	{45, 571, 668},	//606 DOM::HTMLBodyElement::background
	{45, 581, 670},	//607 DOM::HTMLBodyElement::bgColor
	{45, 1074, 672},	//608 DOM::HTMLBodyElement::link
	{45, 1159, -181},	//609 DOM::HTMLBodyElement::operator=#
	{45, 1326, 667},	//610 DOM::HTMLBodyElement::setALink#
	{45, 1362, 669},	//611 DOM::HTMLBodyElement::setBackground#
	{45, 1364, 671},	//612 DOM::HTMLBodyElement::setBgColor#
	{45, 1544, 673},	//613 DOM::HTMLBodyElement::setLink#
	{45, 1688, 675},	//614 DOM::HTMLBodyElement::setText#
	{45, 1707, 677},	//615 DOM::HTMLBodyElement::setVLink#
	{45, 1817, 674},	//616 DOM::HTMLBodyElement::text
	{45, 1852, 676},	//617 DOM::HTMLBodyElement::vLink
	{45, 1943, 665},	//618 DOM::HTMLBodyElement::~HTMLBodyElement
	{46, 213, 679},	//619 DOM::HTMLButtonElement::HTMLButtonElement
	{46, 214, -184},	//620 DOM::HTMLButtonElement::HTMLButtonElement#
	{46, 215, 699},	//621 DOM::HTMLButtonElement::HTMLButtonElement?
	{46, 522, 686},	//622 DOM::HTMLButtonElement::accessKey
	{46, 583, 697},	//623 DOM::HTMLButtonElement::blur
	{46, 751, 688},	//624 DOM::HTMLButtonElement::disabled
	{46, 836, 698},	//625 DOM::HTMLButtonElement::focus
	{46, 847, 685},	//626 DOM::HTMLButtonElement::form
	{46, 1114, 690},	//627 DOM::HTMLButtonElement::name
	{46, 1159, -187},	//628 DOM::HTMLButtonElement::operator=#
	{46, 1334, 687},	//629 DOM::HTMLButtonElement::setAccessKey#
	{46, 1463, 689},	//630 DOM::HTMLButtonElement::setDisabled$
	{46, 1570, 691},	//631 DOM::HTMLButtonElement::setName#
	{46, 1684, 693},	//632 DOM::HTMLButtonElement::setTabIndex$
	{46, 1709, 696},	//633 DOM::HTMLButtonElement::setValue#
	{46, 1812, 692},	//634 DOM::HTMLButtonElement::tabIndex
	{46, 1835, 694},	//635 DOM::HTMLButtonElement::type
	{46, 1854, 695},	//636 DOM::HTMLButtonElement::value
	{46, 1944, 684},	//637 DOM::HTMLButtonElement::~HTMLButtonElement
	{47, 216, 700},	//638 DOM::HTMLCollection::HTMLCollection
	{47, 217, 701},	//639 DOM::HTMLCollection::HTMLCollection#
	{47, 218, 712},	//640 DOM::HTMLCollection::HTMLCollection?
	{47, 219, 713},	//641 DOM::HTMLCollection::HTMLCollection?$
	{47, 573, 707},	//642 DOM::HTMLCollection::base
	{47, 834, 709},	//643 DOM::HTMLCollection::firstItem
	{47, 1016, 708},	//644 DOM::HTMLCollection::isNull
	{47, 1025, 705},	//645 DOM::HTMLCollection::item$
	{47, 1073, 704},	//646 DOM::HTMLCollection::length
	{47, 1116, 706},	//647 DOM::HTMLCollection::namedItem#
	{47, 1121, 710},	//648 DOM::HTMLCollection::nextItem
	{47, 1123, 711},	//649 DOM::HTMLCollection::nextNamedItem#
	{47, 1159, 702},	//650 DOM::HTMLCollection::operator=#
	{47, 1945, 703},	//651 DOM::HTMLCollection::~HTMLCollection
	{48, 220, 714},	//652 DOM::HTMLDListElement::HTMLDListElement
	{48, 221, -190},	//653 DOM::HTMLDListElement::HTMLDListElement#
	{48, 222, 722},	//654 DOM::HTMLDListElement::HTMLDListElement?
	{48, 640, 720},	//655 DOM::HTMLDListElement::compact
	{48, 1159, -193},	//656 DOM::HTMLDListElement::operator=#
	{48, 1417, 721},	//657 DOM::HTMLDListElement::setCompact$
	{48, 1946, 719},	//658 DOM::HTMLDListElement::~HTMLDListElement
	{49, 223, 723},	//659 DOM::HTMLDirectoryElement::HTMLDirectoryElement
	{49, 224, -196},	//660 DOM::HTMLDirectoryElement::HTMLDirectoryElement#
	{49, 225, 731},	//661 DOM::HTMLDirectoryElement::HTMLDirectoryElement?
	{49, 640, 729},	//662 DOM::HTMLDirectoryElement::compact
	{49, 1159, -199},	//663 DOM::HTMLDirectoryElement::operator=#
	{49, 1417, 730},	//664 DOM::HTMLDirectoryElement::setCompact$
	{49, 1947, 728},	//665 DOM::HTMLDirectoryElement::~HTMLDirectoryElement
	{50, 226, 732},	//666 DOM::HTMLDivElement::HTMLDivElement
	{50, 227, -202},	//667 DOM::HTMLDivElement::HTMLDivElement#
	{50, 228, 740},	//668 DOM::HTMLDivElement::HTMLDivElement?
	{50, 544, 738},	//669 DOM::HTMLDivElement::align
	{50, 1159, -205},	//670 DOM::HTMLDivElement::operator=#
	{50, 1340, 739},	//671 DOM::HTMLDivElement::setAlign#
	{50, 1948, 737},	//672 DOM::HTMLDivElement::~HTMLDivElement
	{51, 229, 741},	//673 DOM::HTMLDocument::HTMLDocument
	{51, 230, -208},	//674 DOM::HTMLDocument::HTMLDocument#
	{51, 231, 772},	//675 DOM::HTMLDocument::HTMLDocument?
	{51, 509, 752},	//676 DOM::HTMLDocument::URL
	{51, 545, 771},	//677 DOM::HTMLDocument::all
	{51, 549, 761},	//678 DOM::HTMLDocument::anchors
	{51, 556, 756},	//679 DOM::HTMLDocument::applets
	{51, 584, 753},	//680 DOM::HTMLDocument::body
	{51, 626, 765},	//681 DOM::HTMLDocument::close
	{51, 646, 769},	//682 DOM::HTMLDocument::completeURL#
	{51, 664, 762},	//683 DOM::HTMLDocument::cookie
	{51, 770, 751},	//684 DOM::HTMLDocument::domain
	{51, 851, 758},	//685 DOM::HTMLDocument::forms
	{51, 878, 768},	//686 DOM::HTMLDocument::getElementsByName#
	{51, 946, 755},	//687 DOM::HTMLDocument::images
	{51, 1065, 770},	//688 DOM::HTMLDocument::lastModified
	{51, 1068, 759},	//689 DOM::HTMLDocument::layers
	{51, 1076, 757},	//690 DOM::HTMLDocument::links
	{51, 1146, 764},	//691 DOM::HTMLDocument::open
	{51, 1159, -212},	//692 DOM::HTMLDocument::operator=#
	{51, 1236, 750},	//693 DOM::HTMLDocument::referrer
	{51, 1299, 760},	//694 DOM::HTMLDocument::scripts
	{51, 1366, 754},	//695 DOM::HTMLDocument::setBody#
	{51, 1428, 763},	//696 DOM::HTMLDocument::setCookie#
	{51, 1692, 749},	//697 DOM::HTMLDocument::setTitle#
	{51, 1824, 748},	//698 DOM::HTMLDocument::title
	{51, 1888, 766},	//699 DOM::HTMLDocument::write#
	{51, 1892, 767},	//700 DOM::HTMLDocument::writeln#
	{51, 1949, 747},	//701 DOM::HTMLDocument::~HTMLDocument
	{52, 232, 773},	//702 DOM::HTMLElement::HTMLElement
	{52, 233, -215},	//703 DOM::HTMLElement::HTMLElement#
	{52, 234, 800},	//704 DOM::HTMLElement::HTMLElement?
	{52, 535, 799},	//705 DOM::HTMLElement::addCSSProperty##
	{52, 545, 794},	//706 DOM::HTMLElement::all
	{52, 561, 801},	//707 DOM::HTMLElement::assignOther#$
	{52, 614, 793},	//708 DOM::HTMLElement::children
	{52, 616, 787},	//709 DOM::HTMLElement::className
	{52, 654, 796},	//710 DOM::HTMLElement::contentEditable
	{52, 750, 785},	//711 DOM::HTMLElement::dir
	{52, 944, 779},	//712 DOM::HTMLElement::id
	{52, 968, 789},	//713 DOM::HTMLElement::innerHTML
	{52, 969, 791},	//714 DOM::HTMLElement::innerText
	{52, 998, 795},	//715 DOM::HTMLElement::isContentEditable
	{52, 1061, 783},	//716 DOM::HTMLElement::lang
	{52, 1159, -218},	//717 DOM::HTMLElement::operator=#
	{52, 1250, 798},	//718 DOM::HTMLElement::removeCSSProperty#
	{52, 1399, 788},	//719 DOM::HTMLElement::setClassName#
	{52, 1424, 797},	//720 DOM::HTMLElement::setContentEditable#
	{52, 1461, 786},	//721 DOM::HTMLElement::setDir#
	{52, 1514, 780},	//722 DOM::HTMLElement::setId#
	{52, 1520, 790},	//723 DOM::HTMLElement::setInnerHTML#
	{52, 1522, 792},	//724 DOM::HTMLElement::setInnerText#
	{52, 1540, 784},	//725 DOM::HTMLElement::setLang#
	{52, 1692, 782},	//726 DOM::HTMLElement::setTitle#
	{52, 1824, 781},	//727 DOM::HTMLElement::title
	{52, 1950, 778},	//728 DOM::HTMLElement::~HTMLElement
	{53, 235, 802},	//729 DOM::HTMLFieldSetElement::HTMLFieldSetElement
	{53, 236, -221},	//730 DOM::HTMLFieldSetElement::HTMLFieldSetElement#
	{53, 237, 809},	//731 DOM::HTMLFieldSetElement::HTMLFieldSetElement?
	{53, 847, 808},	//732 DOM::HTMLFieldSetElement::form
	{53, 1159, -224},	//733 DOM::HTMLFieldSetElement::operator=#
	{53, 1951, 807},	//734 DOM::HTMLFieldSetElement::~HTMLFieldSetElement
	{54, 238, 810},	//735 DOM::HTMLFontElement::HTMLFontElement
	{54, 239, -227},	//736 DOM::HTMLFontElement::HTMLFontElement#
	{54, 240, 822},	//737 DOM::HTMLFontElement::HTMLFontElement?
	{54, 637, 816},	//738 DOM::HTMLFontElement::color
	{54, 808, 818},	//739 DOM::HTMLFontElement::face
	{54, 1159, -230},	//740 DOM::HTMLFontElement::operator=#
	{54, 1412, 817},	//741 DOM::HTMLFontElement::setColor#
	{54, 1481, 819},	//742 DOM::HTMLFontElement::setFace#
	{54, 1647, 821},	//743 DOM::HTMLFontElement::setSize#
	{54, 1750, 820},	//744 DOM::HTMLFontElement::size
	{54, 1952, 815},	//745 DOM::HTMLFontElement::~HTMLFontElement
	{55, 242, 824},	//746 DOM::HTMLFormCollection::HTMLFormCollection#
	{55, 243, 825},	//747 DOM::HTMLFormCollection::HTMLFormCollection?
	{55, 1953, 823},	//748 DOM::HTMLFormCollection::~HTMLFormCollection
	{56, 244, 826},	//749 DOM::HTMLFormElement::HTMLFormElement
	{56, 245, -233},	//750 DOM::HTMLFormElement::HTMLFormElement#
	{56, 246, 848},	//751 DOM::HTMLFormElement::HTMLFormElement?
	{56, 519, 836},	//752 DOM::HTMLFormElement::acceptCharset
	{56, 524, 838},	//753 DOM::HTMLFormElement::action
	{56, 781, 832},	//754 DOM::HTMLFormElement::elements
	{56, 787, 840},	//755 DOM::HTMLFormElement::enctype
	{56, 1073, 833},	//756 DOM::HTMLFormElement::length
	{56, 1098, 842},	//757 DOM::HTMLFormElement::method
	{56, 1114, 834},	//758 DOM::HTMLFormElement::name
	{56, 1159, -236},	//759 DOM::HTMLFormElement::operator=#
	{56, 1271, 847},	//760 DOM::HTMLFormElement::reset
	{56, 1332, 837},	//761 DOM::HTMLFormElement::setAcceptCharset#
	{56, 1336, 839},	//762 DOM::HTMLFormElement::setAction#
	{56, 1471, 841},	//763 DOM::HTMLFormElement::setEnctype#
	{56, 1566, 843},	//764 DOM::HTMLFormElement::setMethod#
	{56, 1570, 835},	//765 DOM::HTMLFormElement::setName#
	{56, 1686, 845},	//766 DOM::HTMLFormElement::setTarget#
	{56, 1795, 846},	//767 DOM::HTMLFormElement::submit
	{56, 1816, 844},	//768 DOM::HTMLFormElement::target
	{56, 1954, 831},	//769 DOM::HTMLFormElement::~HTMLFormElement
	{57, 247, 849},	//770 DOM::HTMLFrameElement::HTMLFrameElement
	{57, 248, -239},	//771 DOM::HTMLFrameElement::HTMLFrameElement#
	{57, 249, 872},	//772 DOM::HTMLFrameElement::HTMLFrameElement?
	{57, 653, 871},	//773 DOM::HTMLFrameElement::contentDocument
	{57, 853, 855},	//774 DOM::HTMLFrameElement::frameBorder
	{57, 1084, 857},	//775 DOM::HTMLFrameElement::longDesc
	{57, 1086, 859},	//776 DOM::HTMLFrameElement::marginHeight
	{57, 1087, 861},	//777 DOM::HTMLFrameElement::marginWidth
	{57, 1114, 863},	//778 DOM::HTMLFrameElement::name
	{57, 1127, 865},	//779 DOM::HTMLFrameElement::noResize
	{57, 1159, -242},	//780 DOM::HTMLFrameElement::operator=#
	{57, 1304, 867},	//781 DOM::HTMLFrameElement::scrolling
	{57, 1495, 856},	//782 DOM::HTMLFrameElement::setFrameBorder#
	{57, 1548, 858},	//783 DOM::HTMLFrameElement::setLongDesc#
	{57, 1552, 860},	//784 DOM::HTMLFrameElement::setMarginHeight#
	{57, 1555, 862},	//785 DOM::HTMLFrameElement::setMarginWidth#
	{57, 1570, 864},	//786 DOM::HTMLFrameElement::setName#
	{57, 1578, 866},	//787 DOM::HTMLFrameElement::setNoResize$
	{57, 1623, 868},	//788 DOM::HTMLFrameElement::setScrolling#
	{57, 1656, 870},	//789 DOM::HTMLFrameElement::setSrc#
	{57, 1765, 869},	//790 DOM::HTMLFrameElement::src
	{57, 1955, 854},	//791 DOM::HTMLFrameElement::~HTMLFrameElement
	{58, 250, 873},	//792 DOM::HTMLFrameSetElement::HTMLFrameSetElement
	{58, 251, -245},	//793 DOM::HTMLFrameSetElement::HTMLFrameSetElement#
	{58, 252, 883},	//794 DOM::HTMLFrameSetElement::HTMLFrameSetElement?
	{58, 638, 879},	//795 DOM::HTMLFrameSetElement::cols
	{58, 1159, -248},	//796 DOM::HTMLFrameSetElement::operator=#
	{58, 1287, 881},	//797 DOM::HTMLFrameSetElement::rows
	{58, 1414, 880},	//798 DOM::HTMLFrameSetElement::setCols#
	{58, 1614, 882},	//799 DOM::HTMLFrameSetElement::setRows#
	{58, 1956, 878},	//800 DOM::HTMLFrameSetElement::~HTMLFrameSetElement
	{59, 253, 884},	//801 DOM::HTMLHRElement::HTMLHRElement
	{59, 254, -251},	//802 DOM::HTMLHRElement::HTMLHRElement#
	{59, 255, 898},	//803 DOM::HTMLHRElement::HTMLHRElement?
	{59, 544, 890},	//804 DOM::HTMLHRElement::align
	{59, 1128, 892},	//805 DOM::HTMLHRElement::noShade
	{59, 1159, -254},	//806 DOM::HTMLHRElement::operator=#
	{59, 1340, 891},	//807 DOM::HTMLHRElement::setAlign#
	{59, 1580, 893},	//808 DOM::HTMLHRElement::setNoShade$
	{59, 1647, 895},	//809 DOM::HTMLHRElement::setSize#
	{59, 1726, 897},	//810 DOM::HTMLHRElement::setWidth#
	{59, 1750, 894},	//811 DOM::HTMLHRElement::size
	{59, 1874, 896},	//812 DOM::HTMLHRElement::width
	{59, 1957, 889},	//813 DOM::HTMLHRElement::~HTMLHRElement
	{60, 256, 899},	//814 DOM::HTMLHeadElement::HTMLHeadElement
	{60, 257, -257},	//815 DOM::HTMLHeadElement::HTMLHeadElement#
	{60, 258, 907},	//816 DOM::HTMLHeadElement::HTMLHeadElement?
	{60, 1159, -260},	//817 DOM::HTMLHeadElement::operator=#
	{60, 1215, 905},	//818 DOM::HTMLHeadElement::profile
	{60, 1598, 906},	//819 DOM::HTMLHeadElement::setProfile#
	{60, 1958, 904},	//820 DOM::HTMLHeadElement::~HTMLHeadElement
	{61, 259, 908},	//821 DOM::HTMLHeadingElement::HTMLHeadingElement
	{61, 260, -263},	//822 DOM::HTMLHeadingElement::HTMLHeadingElement#
	{61, 261, 916},	//823 DOM::HTMLHeadingElement::HTMLHeadingElement?
	{61, 544, 914},	//824 DOM::HTMLHeadingElement::align
	{61, 1159, -266},	//825 DOM::HTMLHeadingElement::operator=#
	{61, 1340, 915},	//826 DOM::HTMLHeadingElement::setAlign#
	{61, 1959, 913},	//827 DOM::HTMLHeadingElement::~HTMLHeadingElement
	{62, 262, 917},	//828 DOM::HTMLHtmlElement::HTMLHtmlElement
	{62, 263, -269},	//829 DOM::HTMLHtmlElement::HTMLHtmlElement#
	{62, 264, 925},	//830 DOM::HTMLHtmlElement::HTMLHtmlElement?
	{62, 1159, -272},	//831 DOM::HTMLHtmlElement::operator=#
	{62, 1714, 924},	//832 DOM::HTMLHtmlElement::setVersion#
	{62, 1856, 923},	//833 DOM::HTMLHtmlElement::version
	{62, 1960, 922},	//834 DOM::HTMLHtmlElement::~HTMLHtmlElement
	{63, 265, 926},	//835 DOM::HTMLIFrameElement::HTMLIFrameElement
	{63, 266, -275},	//836 DOM::HTMLIFrameElement::HTMLIFrameElement#
	{63, 267, 953},	//837 DOM::HTMLIFrameElement::HTMLIFrameElement?
	{63, 544, 932},	//838 DOM::HTMLIFrameElement::align
	{63, 653, 952},	//839 DOM::HTMLIFrameElement::contentDocument
	{63, 853, 934},	//840 DOM::HTMLIFrameElement::frameBorder
	{63, 926, 936},	//841 DOM::HTMLIFrameElement::height
	{63, 1084, 938},	//842 DOM::HTMLIFrameElement::longDesc
	{63, 1086, 940},	//843 DOM::HTMLIFrameElement::marginHeight
	{63, 1087, 942},	//844 DOM::HTMLIFrameElement::marginWidth
	{63, 1114, 944},	//845 DOM::HTMLIFrameElement::name
	{63, 1159, -278},	//846 DOM::HTMLIFrameElement::operator=#
	{63, 1304, 946},	//847 DOM::HTMLIFrameElement::scrolling
	{63, 1340, 933},	//848 DOM::HTMLIFrameElement::setAlign#
	{63, 1495, 935},	//849 DOM::HTMLIFrameElement::setFrameBorder#
	{63, 1499, 937},	//850 DOM::HTMLIFrameElement::setHeight#
	{63, 1548, 939},	//851 DOM::HTMLIFrameElement::setLongDesc#
	{63, 1552, 941},	//852 DOM::HTMLIFrameElement::setMarginHeight#
	{63, 1555, 943},	//853 DOM::HTMLIFrameElement::setMarginWidth#
	{63, 1570, 945},	//854 DOM::HTMLIFrameElement::setName#
	{63, 1623, 947},	//855 DOM::HTMLIFrameElement::setScrolling#
	{63, 1656, 949},	//856 DOM::HTMLIFrameElement::setSrc#
	{63, 1726, 951},	//857 DOM::HTMLIFrameElement::setWidth#
	{63, 1765, 948},	//858 DOM::HTMLIFrameElement::src
	{63, 1874, 950},	//859 DOM::HTMLIFrameElement::width
	{63, 1961, 931},	//860 DOM::HTMLIFrameElement::~HTMLIFrameElement
	{64, 268, 954},	//861 DOM::HTMLImageElement::HTMLImageElement
	{64, 269, -281},	//862 DOM::HTMLImageElement::HTMLImageElement#
	{64, 270, 986},	//863 DOM::HTMLImageElement::HTMLImageElement?
	{64, 544, 962},	//864 DOM::HTMLImageElement::align
	{64, 547, 964},	//865 DOM::HTMLImageElement::alt
	{64, 869, 966},	//866 DOM::HTMLImageElement::getBorder
	{64, 926, 968},	//867 DOM::HTMLImageElement::height
	{64, 938, 970},	//868 DOM::HTMLImageElement::hspace
	{64, 1014, 972},	//869 DOM::HTMLImageElement::isMap
	{64, 1084, 974},	//870 DOM::HTMLImageElement::longDesc
	{64, 1114, 960},	//871 DOM::HTMLImageElement::name
	{64, 1159, -284},	//872 DOM::HTMLImageElement::operator=#
	{64, 1340, 963},	//873 DOM::HTMLImageElement::setAlign#
	{64, 1342, 965},	//874 DOM::HTMLImageElement::setAlt#
	{64, 1368, 967},	//875 DOM::HTMLImageElement::setBorder#
	{64, 1500, 969},	//876 DOM::HTMLImageElement::setHeight$
	{64, 1508, 971},	//877 DOM::HTMLImageElement::setHspace$
	{64, 1524, 973},	//878 DOM::HTMLImageElement::setIsMap$
	{64, 1548, 975},	//879 DOM::HTMLImageElement::setLongDesc#
	{64, 1570, 961},	//880 DOM::HTMLImageElement::setName#
	{64, 1656, 977},	//881 DOM::HTMLImageElement::setSrc#
	{64, 1700, 979},	//882 DOM::HTMLImageElement::setUseMap#
	{64, 1722, 981},	//883 DOM::HTMLImageElement::setVspace$
	{64, 1727, 983},	//884 DOM::HTMLImageElement::setWidth$
	{64, 1765, 976},	//885 DOM::HTMLImageElement::src
	{64, 1849, 978},	//886 DOM::HTMLImageElement::useMap
	{64, 1866, 980},	//887 DOM::HTMLImageElement::vspace
	{64, 1874, 982},	//888 DOM::HTMLImageElement::width
	{64, 1893, 984},	//889 DOM::HTMLImageElement::x
	{64, 1895, 985},	//890 DOM::HTMLImageElement::y
	{64, 1962, 959},	//891 DOM::HTMLImageElement::~HTMLImageElement
	{65, 271, 987},	//892 DOM::HTMLInputElement::HTMLInputElement
	{65, 272, -287},	//893 DOM::HTMLInputElement::HTMLInputElement#
	{65, 273, 1039},	//894 DOM::HTMLInputElement::HTMLInputElement?
	{65, 518, 998},	//895 DOM::HTMLInputElement::accept
	{65, 522, 1000},	//896 DOM::HTMLInputElement::accessKey
	{65, 544, 1002},	//897 DOM::HTMLInputElement::align
	{65, 547, 1004},	//898 DOM::HTMLInputElement::alt
	{65, 583, 1030},	//899 DOM::HTMLInputElement::blur
	{65, 609, 1006},	//900 DOM::HTMLInputElement::checked
	{65, 619, 1033},	//901 DOM::HTMLInputElement::click
	{65, 725, 995},	//902 DOM::HTMLInputElement::defaultChecked
	{65, 727, 993},	//903 DOM::HTMLInputElement::defaultValue
	{65, 751, 1010},	//904 DOM::HTMLInputElement::disabled
	{65, 836, 1031},	//905 DOM::HTMLInputElement::focus
	{65, 847, 997},	//906 DOM::HTMLInputElement::form
	{65, 905, 1018},	//907 DOM::HTMLInputElement::getSize
	{65, 951, 1008},	//908 DOM::HTMLInputElement::indeterminate
	{65, 1089, 1012},	//909 DOM::HTMLInputElement::maxLength
	{65, 1114, 1014},	//910 DOM::HTMLInputElement::name
	{65, 1159, -290},	//911 DOM::HTMLInputElement::operator=#
	{65, 1232, 1016},	//912 DOM::HTMLInputElement::readOnly
	{65, 1306, 1032},	//913 DOM::HTMLInputElement::select
	{65, 1320, 1036},	//914 DOM::HTMLInputElement::selectionEnd
	{65, 1321, 1034},	//915 DOM::HTMLInputElement::selectionStart
	{65, 1330, 999},	//916 DOM::HTMLInputElement::setAccept#
	{65, 1334, 1001},	//917 DOM::HTMLInputElement::setAccessKey#
	{65, 1340, 1003},	//918 DOM::HTMLInputElement::setAlign#
	{65, 1342, 1005},	//919 DOM::HTMLInputElement::setAlt#
	{65, 1395, 1007},	//920 DOM::HTMLInputElement::setChecked$
	{65, 1451, 996},	//921 DOM::HTMLInputElement::setDefaultChecked$
	{65, 1455, 994},	//922 DOM::HTMLInputElement::setDefaultValue#
	{65, 1463, 1011},	//923 DOM::HTMLInputElement::setDisabled$
	{65, 1516, 1009},	//924 DOM::HTMLInputElement::setIndeterminate$
	{65, 1558, 1013},	//925 DOM::HTMLInputElement::setMaxLength$
	{65, 1570, 1015},	//926 DOM::HTMLInputElement::setName#
	{65, 1604, 1017},	//927 DOM::HTMLInputElement::setReadOnly$
	{65, 1637, 1037},	//928 DOM::HTMLInputElement::setSelectionEnd$
	{65, 1639, 1038},	//929 DOM::HTMLInputElement::setSelectionRange$$
	{65, 1641, 1035},	//930 DOM::HTMLInputElement::setSelectionStart$
	{65, 1648, 1019},	//931 DOM::HTMLInputElement::setSize$
	{65, 1656, 1021},	//932 DOM::HTMLInputElement::setSrc#
	{65, 1684, 1023},	//933 DOM::HTMLInputElement::setTabIndex$
	{65, 1696, 1025},	//934 DOM::HTMLInputElement::setType#
	{65, 1700, 1027},	//935 DOM::HTMLInputElement::setUseMap#
	{65, 1709, 1029},	//936 DOM::HTMLInputElement::setValue#
	{65, 1765, 1020},	//937 DOM::HTMLInputElement::src
	{65, 1812, 1022},	//938 DOM::HTMLInputElement::tabIndex
	{65, 1835, 1024},	//939 DOM::HTMLInputElement::type
	{65, 1849, 1026},	//940 DOM::HTMLInputElement::useMap
	{65, 1854, 1028},	//941 DOM::HTMLInputElement::value
	{65, 1963, 992},	//942 DOM::HTMLInputElement::~HTMLInputElement
	{66, 274, 1040},	//943 DOM::HTMLIsIndexElement::HTMLIsIndexElement
	{66, 275, -293},	//944 DOM::HTMLIsIndexElement::HTMLIsIndexElement#
	{66, 276, 1049},	//945 DOM::HTMLIsIndexElement::HTMLIsIndexElement?
	{66, 847, 1046},	//946 DOM::HTMLIsIndexElement::form
	{66, 1159, -296},	//947 DOM::HTMLIsIndexElement::operator=#
	{66, 1216, 1047},	//948 DOM::HTMLIsIndexElement::prompt
	{66, 1600, 1048},	//949 DOM::HTMLIsIndexElement::setPrompt#
	{66, 1964, 1045},	//950 DOM::HTMLIsIndexElement::~HTMLIsIndexElement
	{67, 277, 1050},	//951 DOM::HTMLLIElement::HTMLLIElement
	{67, 278, -299},	//952 DOM::HTMLLIElement::HTMLLIElement#
	{67, 279, 1060},	//953 DOM::HTMLLIElement::HTMLLIElement?
	{67, 1159, -302},	//954 DOM::HTMLLIElement::operator=#
	{67, 1696, 1057},	//955 DOM::HTMLLIElement::setType#
	{67, 1710, 1059},	//956 DOM::HTMLLIElement::setValue$
	{67, 1835, 1056},	//957 DOM::HTMLLIElement::type
	{67, 1854, 1058},	//958 DOM::HTMLLIElement::value
	{67, 1965, 1055},	//959 DOM::HTMLLIElement::~HTMLLIElement
	{68, 280, 1061},	//960 DOM::HTMLLabelElement::HTMLLabelElement
	{68, 281, -305},	//961 DOM::HTMLLabelElement::HTMLLabelElement#
	{68, 282, 1071},	//962 DOM::HTMLLabelElement::HTMLLabelElement?
	{68, 522, 1067},	//963 DOM::HTMLLabelElement::accessKey
	{68, 942, 1069},	//964 DOM::HTMLLabelElement::htmlFor
	{68, 1159, -308},	//965 DOM::HTMLLabelElement::operator=#
	{68, 1334, 1068},	//966 DOM::HTMLLabelElement::setAccessKey#
	{68, 1510, 1070},	//967 DOM::HTMLLabelElement::setHtmlFor#
	{68, 1966, 1066},	//968 DOM::HTMLLabelElement::~HTMLLabelElement
	{69, 283, 1072},	//969 DOM::HTMLLayerElement::HTMLLayerElement
	{69, 284, -311},	//970 DOM::HTMLLayerElement::HTMLLayerElement#
	{69, 285, 1087},	//971 DOM::HTMLLayerElement::HTMLLayerElement?
	{69, 581, 1084},	//972 DOM::HTMLLayerElement::bgColor
	{69, 1068, 1086},	//973 DOM::HTMLLayerElement::layers
	{69, 1072, 1080},	//974 DOM::HTMLLayerElement::left
	{69, 1159, -314},	//975 DOM::HTMLLayerElement::operator=#
	{69, 1364, 1085},	//976 DOM::HTMLLayerElement::setBgColor#
	{69, 1542, 1081},	//977 DOM::HTMLLayerElement::setLeft$
	{69, 1694, 1079},	//978 DOM::HTMLLayerElement::setTop$
	{69, 1718, 1083},	//979 DOM::HTMLLayerElement::setVisibility#
	{69, 1831, 1078},	//980 DOM::HTMLLayerElement::top
	{69, 1863, 1082},	//981 DOM::HTMLLayerElement::visibility
	{69, 1967, 1077},	//982 DOM::HTMLLayerElement::~HTMLLayerElement
	{70, 286, 1088},	//983 DOM::HTMLLegendElement::HTMLLegendElement
	{70, 287, -317},	//984 DOM::HTMLLegendElement::HTMLLegendElement#
	{70, 288, 1099},	//985 DOM::HTMLLegendElement::HTMLLegendElement?
	{70, 522, 1095},	//986 DOM::HTMLLegendElement::accessKey
	{70, 544, 1097},	//987 DOM::HTMLLegendElement::align
	{70, 847, 1094},	//988 DOM::HTMLLegendElement::form
	{70, 1159, -320},	//989 DOM::HTMLLegendElement::operator=#
	{70, 1334, 1096},	//990 DOM::HTMLLegendElement::setAccessKey#
	{70, 1340, 1098},	//991 DOM::HTMLLegendElement::setAlign#
	{70, 1968, 1093},	//992 DOM::HTMLLegendElement::~HTMLLegendElement
	{71, 289, 1100},	//993 DOM::HTMLLinkElement::HTMLLinkElement
	{71, 290, -323},	//994 DOM::HTMLLinkElement::HTMLLinkElement#
	{71, 291, 1125},	//995 DOM::HTMLLinkElement::HTMLLinkElement?
	{71, 608, 1108},	//996 DOM::HTMLLinkElement::charset
	{71, 751, 1106},	//997 DOM::HTMLLinkElement::disabled
	{71, 936, 1110},	//998 DOM::HTMLLinkElement::href
	{71, 937, 1112},	//999 DOM::HTMLLinkElement::hreflang
	{71, 1092, 1114},	//1000 DOM::HTMLLinkElement::media
	{71, 1159, -326},	//1001 DOM::HTMLLinkElement::operator=#
	{71, 1237, 1116},	//1002 DOM::HTMLLinkElement::rel
	{71, 1279, 1118},	//1003 DOM::HTMLLinkElement::rev
	{71, 1393, 1109},	//1004 DOM::HTMLLinkElement::setCharset#
	{71, 1463, 1107},	//1005 DOM::HTMLLinkElement::setDisabled$
	{71, 1504, 1111},	//1006 DOM::HTMLLinkElement::setHref#
	{71, 1506, 1113},	//1007 DOM::HTMLLinkElement::setHreflang#
	{71, 1560, 1115},	//1008 DOM::HTMLLinkElement::setMedia#
	{71, 1606, 1117},	//1009 DOM::HTMLLinkElement::setRel#
	{71, 1608, 1119},	//1010 DOM::HTMLLinkElement::setRev#
	{71, 1686, 1121},	//1011 DOM::HTMLLinkElement::setTarget#
	{71, 1696, 1123},	//1012 DOM::HTMLLinkElement::setType#
	{71, 1742, 1124},	//1013 DOM::HTMLLinkElement::sheet
	{71, 1816, 1120},	//1014 DOM::HTMLLinkElement::target
	{71, 1835, 1122},	//1015 DOM::HTMLLinkElement::type
	{71, 1969, 1105},	//1016 DOM::HTMLLinkElement::~HTMLLinkElement
	{72, 292, 1126},	//1017 DOM::HTMLMapElement::HTMLMapElement
	{72, 293, -329},	//1018 DOM::HTMLMapElement::HTMLMapElement#
	{72, 294, 1135},	//1019 DOM::HTMLMapElement::HTMLMapElement?
	{72, 559, 1132},	//1020 DOM::HTMLMapElement::areas
	{72, 1114, 1133},	//1021 DOM::HTMLMapElement::name
	{72, 1159, -332},	//1022 DOM::HTMLMapElement::operator=#
	{72, 1570, 1134},	//1023 DOM::HTMLMapElement::setName#
	{72, 1970, 1131},	//1024 DOM::HTMLMapElement::~HTMLMapElement
	{73, 295, 1136},	//1025 DOM::HTMLMenuElement::HTMLMenuElement
	{73, 296, -335},	//1026 DOM::HTMLMenuElement::HTMLMenuElement#
	{73, 297, 1144},	//1027 DOM::HTMLMenuElement::HTMLMenuElement?
	{73, 640, 1142},	//1028 DOM::HTMLMenuElement::compact
	{73, 1159, -338},	//1029 DOM::HTMLMenuElement::operator=#
	{73, 1417, 1143},	//1030 DOM::HTMLMenuElement::setCompact$
	{73, 1971, 1141},	//1031 DOM::HTMLMenuElement::~HTMLMenuElement
	{74, 298, 1145},	//1032 DOM::HTMLMetaElement::HTMLMetaElement
	{74, 299, -341},	//1033 DOM::HTMLMetaElement::HTMLMetaElement#
	{74, 300, 1159},	//1034 DOM::HTMLMetaElement::HTMLMetaElement?
	{74, 652, 1151},	//1035 DOM::HTMLMetaElement::content
	{74, 943, 1153},	//1036 DOM::HTMLMetaElement::httpEquiv
	{74, 1114, 1155},	//1037 DOM::HTMLMetaElement::name
	{74, 1159, -344},	//1038 DOM::HTMLMetaElement::operator=#
	{74, 1295, 1157},	//1039 DOM::HTMLMetaElement::scheme
	{74, 1422, 1152},	//1040 DOM::HTMLMetaElement::setContent#
	{74, 1512, 1154},	//1041 DOM::HTMLMetaElement::setHttpEquiv#
	{74, 1570, 1156},	//1042 DOM::HTMLMetaElement::setName#
	{74, 1619, 1158},	//1043 DOM::HTMLMetaElement::setScheme#
	{74, 1972, 1150},	//1044 DOM::HTMLMetaElement::~HTMLMetaElement
	{75, 301, 1160},	//1045 DOM::HTMLModElement::HTMLModElement
	{75, 302, -347},	//1046 DOM::HTMLModElement::HTMLModElement#
	{75, 303, 1170},	//1047 DOM::HTMLModElement::HTMLModElement?
	{75, 615, 1166},	//1048 DOM::HTMLModElement::cite
	{75, 723, 1168},	//1049 DOM::HTMLModElement::dateTime
	{75, 1159, -350},	//1050 DOM::HTMLModElement::operator=#
	{75, 1397, 1167},	//1051 DOM::HTMLModElement::setCite#
	{75, 1447, 1169},	//1052 DOM::HTMLModElement::setDateTime#
	{75, 1973, 1165},	//1053 DOM::HTMLModElement::~HTMLModElement
	{76, 304, 1171},	//1054 DOM::HTMLOListElement::HTMLOListElement
	{76, 305, -353},	//1055 DOM::HTMLOListElement::HTMLOListElement#
	{76, 306, 1183},	//1056 DOM::HTMLOListElement::HTMLOListElement?
	{76, 640, 1177},	//1057 DOM::HTMLOListElement::compact
	{76, 1159, -356},	//1058 DOM::HTMLOListElement::operator=#
	{76, 1417, 1178},	//1059 DOM::HTMLOListElement::setCompact$
	{76, 1663, 1180},	//1060 DOM::HTMLOListElement::setStart$
	{76, 1696, 1182},	//1061 DOM::HTMLOListElement::setType#
	{76, 1767, 1179},	//1062 DOM::HTMLOListElement::start
	{76, 1835, 1181},	//1063 DOM::HTMLOListElement::type
	{76, 1974, 1176},	//1064 DOM::HTMLOListElement::~HTMLOListElement
	{77, 307, 1184},	//1065 DOM::HTMLObjectElement::HTMLObjectElement
	{77, 308, -359},	//1066 DOM::HTMLObjectElement::HTMLObjectElement#
	{77, 309, 1226},	//1067 DOM::HTMLObjectElement::HTMLObjectElement?
	{77, 544, 1193},	//1068 DOM::HTMLObjectElement::align
	{77, 558, 1195},	//1069 DOM::HTMLObjectElement::archive
	{77, 585, 1197},	//1070 DOM::HTMLObjectElement::border
	{77, 630, 1191},	//1071 DOM::HTMLObjectElement::code
	{77, 631, 1199},	//1072 DOM::HTMLObjectElement::codeBase
	{77, 632, 1201},	//1073 DOM::HTMLObjectElement::codeType
	{77, 653, 1225},	//1074 DOM::HTMLObjectElement::contentDocument
	{77, 722, 1203},	//1075 DOM::HTMLObjectElement::data
	{77, 724, 1205},	//1076 DOM::HTMLObjectElement::declare
	{77, 847, 1190},	//1077 DOM::HTMLObjectElement::form
	{77, 885, 1209},	//1078 DOM::HTMLObjectElement::getHspace
	{77, 907, 1221},	//1079 DOM::HTMLObjectElement::getVspace
	{77, 926, 1207},	//1080 DOM::HTMLObjectElement::height
	{77, 1114, 1211},	//1081 DOM::HTMLObjectElement::name
	{77, 1159, -362},	//1082 DOM::HTMLObjectElement::operator=#
	{77, 1340, 1194},	//1083 DOM::HTMLObjectElement::setAlign#
	{77, 1346, 1196},	//1084 DOM::HTMLObjectElement::setArchive#
	{77, 1368, 1198},	//1085 DOM::HTMLObjectElement::setBorder#
	{77, 1403, 1192},	//1086 DOM::HTMLObjectElement::setCode#
	{77, 1406, 1200},	//1087 DOM::HTMLObjectElement::setCodeBase#
	{77, 1408, 1202},	//1088 DOM::HTMLObjectElement::setCodeType#
	{77, 1445, 1204},	//1089 DOM::HTMLObjectElement::setData#
	{77, 1449, 1206},	//1090 DOM::HTMLObjectElement::setDeclare$
	{77, 1499, 1208},	//1091 DOM::HTMLObjectElement::setHeight#
	{77, 1508, 1210},	//1092 DOM::HTMLObjectElement::setHspace$
	{77, 1570, 1212},	//1093 DOM::HTMLObjectElement::setName#
	{77, 1660, 1214},	//1094 DOM::HTMLObjectElement::setStandby#
	{77, 1684, 1216},	//1095 DOM::HTMLObjectElement::setTabIndex$
	{77, 1696, 1218},	//1096 DOM::HTMLObjectElement::setType#
	{77, 1700, 1220},	//1097 DOM::HTMLObjectElement::setUseMap#
	{77, 1722, 1222},	//1098 DOM::HTMLObjectElement::setVspace$
	{77, 1726, 1224},	//1099 DOM::HTMLObjectElement::setWidth#
	{77, 1766, 1213},	//1100 DOM::HTMLObjectElement::standby
	{77, 1812, 1215},	//1101 DOM::HTMLObjectElement::tabIndex
	{77, 1835, 1217},	//1102 DOM::HTMLObjectElement::type
	{77, 1849, 1219},	//1103 DOM::HTMLObjectElement::useMap
	{77, 1874, 1223},	//1104 DOM::HTMLObjectElement::width
	{77, 1975, 1189},	//1105 DOM::HTMLObjectElement::~HTMLObjectElement
	{78, 310, 1227},	//1106 DOM::HTMLOptGroupElement::HTMLOptGroupElement
	{78, 311, -365},	//1107 DOM::HTMLOptGroupElement::HTMLOptGroupElement#
	{78, 312, 1237},	//1108 DOM::HTMLOptGroupElement::HTMLOptGroupElement?
	{78, 751, 1233},	//1109 DOM::HTMLOptGroupElement::disabled
	{78, 1060, 1235},	//1110 DOM::HTMLOptGroupElement::label
	{78, 1159, -368},	//1111 DOM::HTMLOptGroupElement::operator=#
	{78, 1463, 1234},	//1112 DOM::HTMLOptGroupElement::setDisabled$
	{78, 1538, 1236},	//1113 DOM::HTMLOptGroupElement::setLabel#
	{78, 1976, 1232},	//1114 DOM::HTMLOptGroupElement::~HTMLOptGroupElement
	{79, 313, 1238},	//1115 DOM::HTMLOptionElement::HTMLOptionElement
	{79, 314, -371},	//1116 DOM::HTMLOptionElement::HTMLOptionElement#
	{79, 315, 1258},	//1117 DOM::HTMLOptionElement::HTMLOptionElement?
	{79, 726, 1245},	//1118 DOM::HTMLOptionElement::defaultSelected
	{79, 751, 1250},	//1119 DOM::HTMLOptionElement::disabled
	{79, 847, 1244},	//1120 DOM::HTMLOptionElement::form
	{79, 952, 1248},	//1121 DOM::HTMLOptionElement::index
	{79, 1060, 1252},	//1122 DOM::HTMLOptionElement::label
	{79, 1159, -374},	//1123 DOM::HTMLOptionElement::operator=#
	{79, 1312, 1254},	//1124 DOM::HTMLOptionElement::selected
	{79, 1453, 1246},	//1125 DOM::HTMLOptionElement::setDefaultSelected$
	{79, 1463, 1251},	//1126 DOM::HTMLOptionElement::setDisabled$
	{79, 1518, 1249},	//1127 DOM::HTMLOptionElement::setIndex$
	{79, 1538, 1253},	//1128 DOM::HTMLOptionElement::setLabel#
	{79, 1629, 1255},	//1129 DOM::HTMLOptionElement::setSelected$
	{79, 1709, 1257},	//1130 DOM::HTMLOptionElement::setValue#
	{79, 1817, 1247},	//1131 DOM::HTMLOptionElement::text
	{79, 1854, 1256},	//1132 DOM::HTMLOptionElement::value
	{79, 1977, 1243},	//1133 DOM::HTMLOptionElement::~HTMLOptionElement
	{80, 316, 1259},	//1134 DOM::HTMLParagraphElement::HTMLParagraphElement
	{80, 317, -377},	//1135 DOM::HTMLParagraphElement::HTMLParagraphElement#
	{80, 318, 1267},	//1136 DOM::HTMLParagraphElement::HTMLParagraphElement?
	{80, 544, 1265},	//1137 DOM::HTMLParagraphElement::align
	{80, 1159, -380},	//1138 DOM::HTMLParagraphElement::operator=#
	{80, 1340, 1266},	//1139 DOM::HTMLParagraphElement::setAlign#
	{80, 1978, 1264},	//1140 DOM::HTMLParagraphElement::~HTMLParagraphElement
	{81, 319, 1268},	//1141 DOM::HTMLParamElement::HTMLParamElement
	{81, 320, -383},	//1142 DOM::HTMLParamElement::HTMLParamElement#
	{81, 321, 1282},	//1143 DOM::HTMLParamElement::HTMLParamElement?
	{81, 1114, 1274},	//1144 DOM::HTMLParamElement::name
	{81, 1159, -386},	//1145 DOM::HTMLParamElement::operator=#
	{81, 1570, 1275},	//1146 DOM::HTMLParamElement::setName#
	{81, 1696, 1277},	//1147 DOM::HTMLParamElement::setType#
	{81, 1709, 1279},	//1148 DOM::HTMLParamElement::setValue#
	{81, 1712, 1281},	//1149 DOM::HTMLParamElement::setValueType#
	{81, 1835, 1276},	//1150 DOM::HTMLParamElement::type
	{81, 1854, 1278},	//1151 DOM::HTMLParamElement::value
	{81, 1855, 1280},	//1152 DOM::HTMLParamElement::valueType
	{81, 1979, 1273},	//1153 DOM::HTMLParamElement::~HTMLParamElement
	{82, 322, 1283},	//1154 DOM::HTMLPreElement::HTMLPreElement
	{82, 323, -389},	//1155 DOM::HTMLPreElement::HTMLPreElement#
	{82, 324, 1291},	//1156 DOM::HTMLPreElement::HTMLPreElement?
	{82, 1159, -392},	//1157 DOM::HTMLPreElement::operator=#
	{82, 1727, 1290},	//1158 DOM::HTMLPreElement::setWidth$
	{82, 1874, 1289},	//1159 DOM::HTMLPreElement::width
	{82, 1980, 1288},	//1160 DOM::HTMLPreElement::~HTMLPreElement
	{83, 325, 1292},	//1161 DOM::HTMLQuoteElement::HTMLQuoteElement
	{83, 326, -395},	//1162 DOM::HTMLQuoteElement::HTMLQuoteElement#
	{83, 327, 1300},	//1163 DOM::HTMLQuoteElement::HTMLQuoteElement?
	{83, 615, 1298},	//1164 DOM::HTMLQuoteElement::cite
	{83, 1159, -398},	//1165 DOM::HTMLQuoteElement::operator=#
	{83, 1397, 1299},	//1166 DOM::HTMLQuoteElement::setCite#
	{83, 1981, 1297},	//1167 DOM::HTMLQuoteElement::~HTMLQuoteElement
	{84, 328, 1301},	//1168 DOM::HTMLScriptElement::HTMLScriptElement
	{84, 329, -401},	//1169 DOM::HTMLScriptElement::HTMLScriptElement#
	{84, 330, 1321},	//1170 DOM::HTMLScriptElement::HTMLScriptElement?
	{84, 608, 1313},	//1171 DOM::HTMLScriptElement::charset
	{84, 729, 1315},	//1172 DOM::HTMLScriptElement::defer
	{84, 796, 1311},	//1173 DOM::HTMLScriptElement::event
	{84, 942, 1309},	//1174 DOM::HTMLScriptElement::htmlFor
	{84, 1159, -404},	//1175 DOM::HTMLScriptElement::operator=#
	{84, 1393, 1314},	//1176 DOM::HTMLScriptElement::setCharset#
	{84, 1457, 1316},	//1177 DOM::HTMLScriptElement::setDefer$
	{84, 1479, 1312},	//1178 DOM::HTMLScriptElement::setEvent#
	{84, 1510, 1310},	//1179 DOM::HTMLScriptElement::setHtmlFor#
	{84, 1656, 1318},	//1180 DOM::HTMLScriptElement::setSrc#
	{84, 1688, 1308},	//1181 DOM::HTMLScriptElement::setText#
	{84, 1696, 1320},	//1182 DOM::HTMLScriptElement::setType#
	{84, 1765, 1317},	//1183 DOM::HTMLScriptElement::src
	{84, 1817, 1307},	//1184 DOM::HTMLScriptElement::text
	{84, 1835, 1319},	//1185 DOM::HTMLScriptElement::type
	{84, 1982, 1306},	//1186 DOM::HTMLScriptElement::~HTMLScriptElement
	{85, 331, 1322},	//1187 DOM::HTMLSelectElement::HTMLSelectElement
	{85, 332, -407},	//1188 DOM::HTMLSelectElement::HTMLSelectElement#
	{85, 333, 1350},	//1189 DOM::HTMLSelectElement::HTMLSelectElement?
	{85, 531, 1346},	//1190 DOM::HTMLSelectElement::add##
	{85, 583, 1348},	//1191 DOM::HTMLSelectElement::blur
	{85, 751, 1336},	//1192 DOM::HTMLSelectElement::disabled
	{85, 836, 1349},	//1193 DOM::HTMLSelectElement::focus
	{85, 847, 1334},	//1194 DOM::HTMLSelectElement::form
	{85, 1073, 1333},	//1195 DOM::HTMLSelectElement::length
	{85, 1113, 1338},	//1196 DOM::HTMLSelectElement::multiple
	{85, 1114, 1340},	//1197 DOM::HTMLSelectElement::name
	{85, 1159, -410},	//1198 DOM::HTMLSelectElement::operator=#
	{85, 1166, 1335},	//1199 DOM::HTMLSelectElement::options
	{85, 1241, 1347},	//1200 DOM::HTMLSelectElement::remove$
	{85, 1313, 1329},	//1201 DOM::HTMLSelectElement::selectedIndex
	{85, 1463, 1337},	//1202 DOM::HTMLSelectElement::setDisabled$
	{85, 1568, 1339},	//1203 DOM::HTMLSelectElement::setMultiple$
	{85, 1570, 1341},	//1204 DOM::HTMLSelectElement::setName#
	{85, 1631, 1330},	//1205 DOM::HTMLSelectElement::setSelectedIndex$
	{85, 1648, 1343},	//1206 DOM::HTMLSelectElement::setSize$
	{85, 1684, 1345},	//1207 DOM::HTMLSelectElement::setTabIndex$
	{85, 1709, 1332},	//1208 DOM::HTMLSelectElement::setValue#
	{85, 1750, 1342},	//1209 DOM::HTMLSelectElement::size
	{85, 1812, 1344},	//1210 DOM::HTMLSelectElement::tabIndex
	{85, 1835, 1328},	//1211 DOM::HTMLSelectElement::type
	{85, 1854, 1331},	//1212 DOM::HTMLSelectElement::value
	{85, 1983, 1327},	//1213 DOM::HTMLSelectElement::~HTMLSelectElement
	{86, 334, 1351},	//1214 DOM::HTMLStyleElement::HTMLStyleElement
	{86, 335, -413},	//1215 DOM::HTMLStyleElement::HTMLStyleElement#
	{86, 336, 1364},	//1216 DOM::HTMLStyleElement::HTMLStyleElement?
	{86, 751, 1357},	//1217 DOM::HTMLStyleElement::disabled
	{86, 1092, 1359},	//1218 DOM::HTMLStyleElement::media
	{86, 1159, -416},	//1219 DOM::HTMLStyleElement::operator=#
	{86, 1463, 1358},	//1220 DOM::HTMLStyleElement::setDisabled$
	{86, 1560, 1360},	//1221 DOM::HTMLStyleElement::setMedia#
	{86, 1696, 1362},	//1222 DOM::HTMLStyleElement::setType#
	{86, 1742, 1363},	//1223 DOM::HTMLStyleElement::sheet
	{86, 1835, 1361},	//1224 DOM::HTMLStyleElement::type
	{86, 1984, 1356},	//1225 DOM::HTMLStyleElement::~HTMLStyleElement
	{87, 337, 1365},	//1226 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement
	{87, 338, -419},	//1227 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement#
	{87, 339, 1373},	//1228 DOM::HTMLTableCaptionElement::HTMLTableCaptionElement?
	{87, 544, 1371},	//1229 DOM::HTMLTableCaptionElement::align
	{87, 1159, -422},	//1230 DOM::HTMLTableCaptionElement::operator=#
	{87, 1340, 1372},	//1231 DOM::HTMLTableCaptionElement::setAlign#
	{87, 1985, 1370},	//1232 DOM::HTMLTableCaptionElement::~HTMLTableCaptionElement
	{88, 340, 1374},	//1233 DOM::HTMLTableCellElement::HTMLTableCellElement
	{88, 341, -425},	//1234 DOM::HTMLTableCellElement::HTMLTableCellElement#
	{88, 342, 1410},	//1235 DOM::HTMLTableCellElement::HTMLTableCellElement?
	{88, 516, 1382},	//1236 DOM::HTMLTableCellElement::abbr
	{88, 544, 1384},	//1237 DOM::HTMLTableCellElement::align
	{88, 570, 1386},	//1238 DOM::HTMLTableCellElement::axis
	{88, 581, 1388},	//1239 DOM::HTMLTableCellElement::bgColor
	{88, 597, 1380},	//1240 DOM::HTMLTableCellElement::cellIndex
	{88, 601, 1390},	//1241 DOM::HTMLTableCellElement::ch
	{88, 602, 1392},	//1242 DOM::HTMLTableCellElement::chOff
	{88, 633, 1394},	//1243 DOM::HTMLTableCellElement::colSpan
	{88, 925, 1396},	//1244 DOM::HTMLTableCellElement::headers
	{88, 926, 1398},	//1245 DOM::HTMLTableCellElement::height
	{88, 1129, 1400},	//1246 DOM::HTMLTableCellElement::noWrap
	{88, 1159, -428},	//1247 DOM::HTMLTableCellElement::operator=#
	{88, 1286, 1402},	//1248 DOM::HTMLTableCellElement::rowSpan
	{88, 1296, 1404},	//1249 DOM::HTMLTableCellElement::scope
	{88, 1328, 1383},	//1250 DOM::HTMLTableCellElement::setAbbr#
	{88, 1340, 1385},	//1251 DOM::HTMLTableCellElement::setAlign#
	{88, 1360, 1387},	//1252 DOM::HTMLTableCellElement::setAxis#
	{88, 1364, 1389},	//1253 DOM::HTMLTableCellElement::setBgColor#
	{88, 1381, 1381},	//1254 DOM::HTMLTableCellElement::setCellIndex$
	{88, 1389, 1391},	//1255 DOM::HTMLTableCellElement::setCh#
	{88, 1391, 1393},	//1256 DOM::HTMLTableCellElement::setChOff#
	{88, 1410, 1395},	//1257 DOM::HTMLTableCellElement::setColSpan$
	{88, 1497, 1397},	//1258 DOM::HTMLTableCellElement::setHeaders#
	{88, 1499, 1399},	//1259 DOM::HTMLTableCellElement::setHeight#
	{88, 1582, 1401},	//1260 DOM::HTMLTableCellElement::setNoWrap$
	{88, 1612, 1403},	//1261 DOM::HTMLTableCellElement::setRowSpan$
	{88, 1621, 1405},	//1262 DOM::HTMLTableCellElement::setScope#
	{88, 1705, 1407},	//1263 DOM::HTMLTableCellElement::setVAlign#
	{88, 1726, 1409},	//1264 DOM::HTMLTableCellElement::setWidth#
	{88, 1851, 1406},	//1265 DOM::HTMLTableCellElement::vAlign
	{88, 1874, 1408},	//1266 DOM::HTMLTableCellElement::width
	{88, 1986, 1379},	//1267 DOM::HTMLTableCellElement::~HTMLTableCellElement
	{89, 343, 1411},	//1268 DOM::HTMLTableColElement::HTMLTableColElement
	{89, 344, -431},	//1269 DOM::HTMLTableColElement::HTMLTableColElement#
	{89, 345, 1429},	//1270 DOM::HTMLTableColElement::HTMLTableColElement?
	{89, 544, 1417},	//1271 DOM::HTMLTableColElement::align
	{89, 601, 1419},	//1272 DOM::HTMLTableColElement::ch
	{89, 602, 1421},	//1273 DOM::HTMLTableColElement::chOff
	{89, 1159, -434},	//1274 DOM::HTMLTableColElement::operator=#
	{89, 1340, 1418},	//1275 DOM::HTMLTableColElement::setAlign#
	{89, 1389, 1420},	//1276 DOM::HTMLTableColElement::setCh#
	{89, 1391, 1422},	//1277 DOM::HTMLTableColElement::setChOff#
	{89, 1654, 1424},	//1278 DOM::HTMLTableColElement::setSpan$
	{89, 1705, 1426},	//1279 DOM::HTMLTableColElement::setVAlign#
	{89, 1726, 1428},	//1280 DOM::HTMLTableColElement::setWidth#
	{89, 1757, 1423},	//1281 DOM::HTMLTableColElement::span
	{89, 1851, 1425},	//1282 DOM::HTMLTableColElement::vAlign
	{89, 1874, 1427},	//1283 DOM::HTMLTableColElement::width
	{89, 1987, 1416},	//1284 DOM::HTMLTableColElement::~HTMLTableColElement
	{90, 346, 1430},	//1285 DOM::HTMLTableElement::HTMLTableElement
	{90, 347, -437},	//1286 DOM::HTMLTableElement::HTMLTableElement#
	{90, 348, 1470},	//1287 DOM::HTMLTableElement::HTMLTableElement?
	{90, 544, 1444},	//1288 DOM::HTMLTableElement::align
	{90, 581, 1446},	//1289 DOM::HTMLTableElement::bgColor
	{90, 585, 1448},	//1290 DOM::HTMLTableElement::border
	{90, 593, 1436},	//1291 DOM::HTMLTableElement::caption
	{90, 598, 1450},	//1292 DOM::HTMLTableElement::cellPadding
	{90, 599, 1452},	//1293 DOM::HTMLTableElement::cellSpacing
	{90, 675, 1466},	//1294 DOM::HTMLTableElement::createCaption
	{90, 704, 1464},	//1295 DOM::HTMLTableElement::createTFoot
	{90, 705, 1462},	//1296 DOM::HTMLTableElement::createTHead
	{90, 730, 1467},	//1297 DOM::HTMLTableElement::deleteCaption
	{90, 740, 1469},	//1298 DOM::HTMLTableElement::deleteRow$
	{90, 743, 1465},	//1299 DOM::HTMLTableElement::deleteTFoot
	{90, 744, 1463},	//1300 DOM::HTMLTableElement::deleteTHead
	{90, 852, 1454},	//1301 DOM::HTMLTableElement::frame
	{90, 985, 1468},	//1302 DOM::HTMLTableElement::insertRow$
	{90, 1159, -440},	//1303 DOM::HTMLTableElement::operator=#
	{90, 1287, 1442},	//1304 DOM::HTMLTableElement::rows
	{90, 1288, 1456},	//1305 DOM::HTMLTableElement::rules
	{90, 1340, 1445},	//1306 DOM::HTMLTableElement::setAlign#
	{90, 1364, 1447},	//1307 DOM::HTMLTableElement::setBgColor#
	{90, 1368, 1449},	//1308 DOM::HTMLTableElement::setBorder#
	{90, 1370, 1437},	//1309 DOM::HTMLTableElement::setCaption#
	{90, 1383, 1451},	//1310 DOM::HTMLTableElement::setCellPadding#
	{90, 1385, 1453},	//1311 DOM::HTMLTableElement::setCellSpacing#
	{90, 1493, 1455},	//1312 DOM::HTMLTableElement::setFrame#
	{90, 1617, 1457},	//1313 DOM::HTMLTableElement::setRules#
	{90, 1675, 1459},	//1314 DOM::HTMLTableElement::setSummary#
	{90, 1680, 1441},	//1315 DOM::HTMLTableElement::setTFoot#
	{90, 1682, 1439},	//1316 DOM::HTMLTableElement::setTHead#
	{90, 1726, 1461},	//1317 DOM::HTMLTableElement::setWidth#
	{90, 1805, 1458},	//1318 DOM::HTMLTableElement::summary
	{90, 1809, 1443},	//1319 DOM::HTMLTableElement::tBodies
	{90, 1810, 1440},	//1320 DOM::HTMLTableElement::tFoot
	{90, 1811, 1438},	//1321 DOM::HTMLTableElement::tHead
	{90, 1874, 1460},	//1322 DOM::HTMLTableElement::width
	{90, 1988, 1435},	//1323 DOM::HTMLTableElement::~HTMLTableElement
	{91, 349, 1471},	//1324 DOM::HTMLTableRowElement::HTMLTableRowElement
	{91, 350, -443},	//1325 DOM::HTMLTableRowElement::HTMLTableRowElement#
	{91, 351, 1495},	//1326 DOM::HTMLTableRowElement::HTMLTableRowElement?
	{91, 544, 1483},	//1327 DOM::HTMLTableRowElement::align
	{91, 581, 1485},	//1328 DOM::HTMLTableRowElement::bgColor
	{91, 600, 1481},	//1329 DOM::HTMLTableRowElement::cells
	{91, 601, 1487},	//1330 DOM::HTMLTableRowElement::ch
	{91, 602, 1489},	//1331 DOM::HTMLTableRowElement::chOff
	{91, 732, 1494},	//1332 DOM::HTMLTableRowElement::deleteCell$
	{91, 979, 1493},	//1333 DOM::HTMLTableRowElement::insertCell$
	{91, 1159, -446},	//1334 DOM::HTMLTableRowElement::operator=#
	{91, 1285, 1477},	//1335 DOM::HTMLTableRowElement::rowIndex
	{91, 1305, 1479},	//1336 DOM::HTMLTableRowElement::sectionRowIndex
	{91, 1340, 1484},	//1337 DOM::HTMLTableRowElement::setAlign#
	{91, 1364, 1486},	//1338 DOM::HTMLTableRowElement::setBgColor#
	{91, 1387, 1482},	//1339 DOM::HTMLTableRowElement::setCells#
	{91, 1389, 1488},	//1340 DOM::HTMLTableRowElement::setCh#
	{91, 1391, 1490},	//1341 DOM::HTMLTableRowElement::setChOff#
	{91, 1610, 1478},	//1342 DOM::HTMLTableRowElement::setRowIndex$
	{91, 1625, 1480},	//1343 DOM::HTMLTableRowElement::setSectionRowIndex$
	{91, 1705, 1492},	//1344 DOM::HTMLTableRowElement::setVAlign#
	{91, 1851, 1491},	//1345 DOM::HTMLTableRowElement::vAlign
	{91, 1989, 1476},	//1346 DOM::HTMLTableRowElement::~HTMLTableRowElement
	{92, 352, 1496},	//1347 DOM::HTMLTableSectionElement::HTMLTableSectionElement
	{92, 353, -449},	//1348 DOM::HTMLTableSectionElement::HTMLTableSectionElement#
	{92, 354, 1513},	//1349 DOM::HTMLTableSectionElement::HTMLTableSectionElement?
	{92, 544, 1502},	//1350 DOM::HTMLTableSectionElement::align
	{92, 601, 1504},	//1351 DOM::HTMLTableSectionElement::ch
	{92, 602, 1506},	//1352 DOM::HTMLTableSectionElement::chOff
	{92, 740, 1512},	//1353 DOM::HTMLTableSectionElement::deleteRow$
	{92, 985, 1511},	//1354 DOM::HTMLTableSectionElement::insertRow$
	{92, 1159, -452},	//1355 DOM::HTMLTableSectionElement::operator=#
	{92, 1287, 1510},	//1356 DOM::HTMLTableSectionElement::rows
	{92, 1340, 1503},	//1357 DOM::HTMLTableSectionElement::setAlign#
	{92, 1389, 1505},	//1358 DOM::HTMLTableSectionElement::setCh#
	{92, 1391, 1507},	//1359 DOM::HTMLTableSectionElement::setChOff#
	{92, 1705, 1509},	//1360 DOM::HTMLTableSectionElement::setVAlign#
	{92, 1851, 1508},	//1361 DOM::HTMLTableSectionElement::vAlign
	{92, 1990, 1501},	//1362 DOM::HTMLTableSectionElement::~HTMLTableSectionElement
	{93, 355, 1514},	//1363 DOM::HTMLTextAreaElement::HTMLTextAreaElement
	{93, 356, -455},	//1364 DOM::HTMLTextAreaElement::HTMLTextAreaElement#
	{93, 357, 1549},	//1365 DOM::HTMLTextAreaElement::HTMLTextAreaElement?
	{93, 522, 1523},	//1366 DOM::HTMLTextAreaElement::accessKey
	{93, 583, 1540},	//1367 DOM::HTMLTextAreaElement::blur
	{93, 638, 1525},	//1368 DOM::HTMLTextAreaElement::cols
	{93, 727, 1520},	//1369 DOM::HTMLTextAreaElement::defaultValue
	{93, 751, 1527},	//1370 DOM::HTMLTextAreaElement::disabled
	{93, 836, 1541},	//1371 DOM::HTMLTextAreaElement::focus
	{93, 847, 1522},	//1372 DOM::HTMLTextAreaElement::form
	{93, 1114, 1529},	//1373 DOM::HTMLTextAreaElement::name
	{93, 1159, -458},	//1374 DOM::HTMLTextAreaElement::operator=#
	{93, 1232, 1531},	//1375 DOM::HTMLTextAreaElement::readOnly
	{93, 1287, 1533},	//1376 DOM::HTMLTextAreaElement::rows
	{93, 1306, 1542},	//1377 DOM::HTMLTextAreaElement::select
	{93, 1320, 1545},	//1378 DOM::HTMLTextAreaElement::selectionEnd
	{93, 1321, 1543},	//1379 DOM::HTMLTextAreaElement::selectionStart
	{93, 1334, 1524},	//1380 DOM::HTMLTextAreaElement::setAccessKey#
	{93, 1415, 1526},	//1381 DOM::HTMLTextAreaElement::setCols$
	{93, 1455, 1521},	//1382 DOM::HTMLTextAreaElement::setDefaultValue#
	{93, 1463, 1528},	//1383 DOM::HTMLTextAreaElement::setDisabled$
	{93, 1570, 1530},	//1384 DOM::HTMLTextAreaElement::setName#
	{93, 1604, 1532},	//1385 DOM::HTMLTextAreaElement::setReadOnly$
	{93, 1615, 1534},	//1386 DOM::HTMLTextAreaElement::setRows$
	{93, 1637, 1546},	//1387 DOM::HTMLTextAreaElement::setSelectionEnd$
	{93, 1639, 1547},	//1388 DOM::HTMLTextAreaElement::setSelectionRange$$
	{93, 1641, 1544},	//1389 DOM::HTMLTextAreaElement::setSelectionStart$
	{93, 1684, 1536},	//1390 DOM::HTMLTextAreaElement::setTabIndex$
	{93, 1709, 1539},	//1391 DOM::HTMLTextAreaElement::setValue#
	{93, 1812, 1535},	//1392 DOM::HTMLTextAreaElement::tabIndex
	{93, 1820, 1548},	//1393 DOM::HTMLTextAreaElement::textLength
	{93, 1835, 1537},	//1394 DOM::HTMLTextAreaElement::type
	{93, 1854, 1538},	//1395 DOM::HTMLTextAreaElement::value
	{93, 1991, 1519},	//1396 DOM::HTMLTextAreaElement::~HTMLTextAreaElement
	{94, 358, 1550},	//1397 DOM::HTMLTitleElement::HTMLTitleElement
	{94, 359, -461},	//1398 DOM::HTMLTitleElement::HTMLTitleElement#
	{94, 360, 1558},	//1399 DOM::HTMLTitleElement::HTMLTitleElement?
	{94, 1159, -464},	//1400 DOM::HTMLTitleElement::operator=#
	{94, 1688, 1557},	//1401 DOM::HTMLTitleElement::setText#
	{94, 1817, 1556},	//1402 DOM::HTMLTitleElement::text
	{94, 1992, 1555},	//1403 DOM::HTMLTitleElement::~HTMLTitleElement
	{95, 361, 1559},	//1404 DOM::HTMLUListElement::HTMLUListElement
	{95, 362, -467},	//1405 DOM::HTMLUListElement::HTMLUListElement#
	{95, 363, 1569},	//1406 DOM::HTMLUListElement::HTMLUListElement?
	{95, 640, 1565},	//1407 DOM::HTMLUListElement::compact
	{95, 1159, -470},	//1408 DOM::HTMLUListElement::operator=#
	{95, 1417, 1566},	//1409 DOM::HTMLUListElement::setCompact$
	{95, 1696, 1568},	//1410 DOM::HTMLUListElement::setType#
	{95, 1835, 1567},	//1411 DOM::HTMLUListElement::type
	{95, 1993, 1564},	//1412 DOM::HTMLUListElement::~HTMLUListElement
	{96, 140, 1571},	//1413 DOM::KeyboardEvent::DOM_KEY_LOCATION_LEFT
	{96, 141, 1573},	//1414 DOM::KeyboardEvent::DOM_KEY_LOCATION_NUMPAD
	{96, 142, 1572},	//1415 DOM::KeyboardEvent::DOM_KEY_LOCATION_RIGHT
	{96, 143, 1570},	//1416 DOM::KeyboardEvent::DOM_KEY_LOCATION_STANDARD
	{96, 404, 1574},	//1417 DOM::KeyboardEvent::KeyboardEvent
	{96, 405, -473},	//1418 DOM::KeyboardEvent::KeyboardEvent#
	{96, 548, 1584},	//1419 DOM::KeyboardEvent::altKey
	{96, 713, 1582},	//1420 DOM::KeyboardEvent::ctrlKey
	{96, 889, 1586},	//1421 DOM::KeyboardEvent::getModifierState#
	{96, 959, 1587},	//1422 DOM::KeyboardEvent::initKeyboardEvent#$$##$#
	{96, 1034, 1580},	//1423 DOM::KeyboardEvent::keyIdentifier
	{96, 1035, 1581},	//1424 DOM::KeyboardEvent::keyLocation
	{96, 1095, 1585},	//1425 DOM::KeyboardEvent::metaKey
	{96, 1159, -476},	//1426 DOM::KeyboardEvent::operator=#
	{96, 1743, 1583},	//1427 DOM::KeyboardEvent::shiftKey
	{96, 1997, 1579},	//1428 DOM::KeyboardEvent::~KeyboardEvent
	{97, 406, 1588},	//1429 DOM::LinkStyle::LinkStyle
	{97, 407, 1589},	//1430 DOM::LinkStyle::LinkStyle#
	{97, 1016, 1594},	//1431 DOM::LinkStyle::isNull
	{97, 1159, -479},	//1432 DOM::LinkStyle::operator=#
	{97, 1742, 1593},	//1433 DOM::LinkStyle::sheet
	{97, 1998, 1592},	//1434 DOM::LinkStyle::~LinkStyle
	{98, 410, 1595},	//1435 DOM::MediaList::MediaList
	{98, 411, 1596},	//1436 DOM::MediaList::MediaList#
	{98, 412, 1597},	//1437 DOM::MediaList::MediaList?
	{98, 555, 1605},	//1438 DOM::MediaList::appendMedium#
	{98, 738, 1604},	//1439 DOM::MediaList::deleteMedium#
	{98, 1016, 1606},	//1440 DOM::MediaList::isNull
	{98, 1025, 1603},	//1441 DOM::MediaList::item$
	{98, 1073, 1602},	//1442 DOM::MediaList::length
	{98, 1093, 1600},	//1443 DOM::MediaList::mediaText
	{98, 1159, 1598},	//1444 DOM::MediaList::operator=#
	{98, 1562, 1601},	//1445 DOM::MediaList::setMediaText#
	{98, 1999, 1599},	//1446 DOM::MediaList::~MediaList
	{99, 414, 1607},	//1447 DOM::MouseEvent::MouseEvent
	{99, 415, -482},	//1448 DOM::MouseEvent::MouseEvent#
	{99, 416, 1624},	//1449 DOM::MouseEvent::MouseEvent?
	{99, 548, 1619},	//1450 DOM::MouseEvent::altKey
	{99, 591, 1621},	//1451 DOM::MouseEvent::button
	{99, 620, 1615},	//1452 DOM::MouseEvent::clientX
	{99, 621, 1616},	//1453 DOM::MouseEvent::clientY
	{99, 713, 1617},	//1454 DOM::MouseEvent::ctrlKey
	{99, 961, 1623},	//1455 DOM::MouseEvent::initMouseEvent#$$#$$$$$$$$$$#
	{99, 1095, 1620},	//1456 DOM::MouseEvent::metaKey
	{99, 1159, -485},	//1457 DOM::MouseEvent::operator=#
	{99, 1239, 1622},	//1458 DOM::MouseEvent::relatedTarget
	{99, 1297, 1613},	//1459 DOM::MouseEvent::screenX
	{99, 1298, 1614},	//1460 DOM::MouseEvent::screenY
	{99, 1743, 1618},	//1461 DOM::MouseEvent::shiftKey
	{99, 2000, 1612},	//1462 DOM::MouseEvent::~MouseEvent
	{100, 1, 1626},	//1463 DOM::MutationEvent::ADDITION
	{100, 409, 1625},	//1464 DOM::MutationEvent::MODIFICATION
	{100, 417, 1628},	//1465 DOM::MutationEvent::MutationEvent
	{100, 418, -488},	//1466 DOM::MutationEvent::MutationEvent#
	{100, 419, 1640},	//1467 DOM::MutationEvent::MutationEvent?
	{100, 453, 1627},	//1468 DOM::MutationEvent::REMOVAL
	{100, 563, 1638},	//1469 DOM::MutationEvent::attrChange
	{100, 564, 1637},	//1470 DOM::MutationEvent::attrName
	{100, 963, 1639},	//1471 DOM::MutationEvent::initMutationEvent#$$####$
	{100, 1118, 1636},	//1472 DOM::MutationEvent::newValue
	{100, 1159, -491},	//1473 DOM::MutationEvent::operator=#
	{100, 1207, 1635},	//1474 DOM::MutationEvent::prevValue
	{100, 1238, 1634},	//1475 DOM::MutationEvent::relatedNode
	{100, 2001, 1633},	//1476 DOM::MutationEvent::~MutationEvent
	{101, 426, 1641},	//1477 DOM::NamedNodeMap::NamedNodeMap
	{101, 427, 1642},	//1478 DOM::NamedNodeMap::NamedNodeMap#
	{101, 428, 1654},	//1479 DOM::NamedNodeMap::NamedNodeMap?
	{101, 891, 1646},	//1480 DOM::NamedNodeMap::getNamedItem#
	{101, 893, 1650},	//1481 DOM::NamedNodeMap::getNamedItemNS##
	{101, 1016, 1653},	//1482 DOM::NamedNodeMap::isNull
	{101, 1025, 1649},	//1483 DOM::NamedNodeMap::item$
	{101, 1073, 1645},	//1484 DOM::NamedNodeMap::length
	{101, 1159, 1643},	//1485 DOM::NamedNodeMap::operator=#
	{101, 1256, 1648},	//1486 DOM::NamedNodeMap::removeNamedItem#
	{101, 1258, 1652},	//1487 DOM::NamedNodeMap::removeNamedItemNS##
	{101, 1572, 1647},	//1488 DOM::NamedNodeMap::setNamedItem#
	{101, 1574, 1651},	//1489 DOM::NamedNodeMap::setNamedItemNS#
	{101, 2002, 1644},	//1490 DOM::NamedNodeMap::~NamedNodeMap
	{102, 2, 1656},	//1491 DOM::Node::ATTRIBUTE_NODE
	{102, 18, 1658},	//1492 DOM::Node::CDATA_SECTION_NODE
	{102, 20, 1662},	//1493 DOM::Node::COMMENT_NODE
	{102, 118, 1665},	//1494 DOM::Node::DOCUMENT_FRAGMENT_NODE
	{102, 119, 1663},	//1495 DOM::Node::DOCUMENT_NODE
	{102, 120, 1671},	//1496 DOM::Node::DOCUMENT_POSITION_CONTAINED_BY
	{102, 121, 1670},	//1497 DOM::Node::DOCUMENT_POSITION_CONTAINS
	{102, 122, 1667},	//1498 DOM::Node::DOCUMENT_POSITION_DISCONNECTED
	{102, 123, 1669},	//1499 DOM::Node::DOCUMENT_POSITION_FOLLOWING
	{102, 124, 1672},	//1500 DOM::Node::DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC
	{102, 125, 1668},	//1501 DOM::Node::DOCUMENT_POSITION_PRECEDING
	{102, 126, 1664},	//1502 DOM::Node::DOCUMENT_TYPE_NODE
	{102, 159, 1655},	//1503 DOM::Node::ELEMENT_NODE
	{102, 162, 1660},	//1504 DOM::Node::ENTITY_NODE
	{102, 163, 1659},	//1505 DOM::Node::ENTITY_REFERENCE_NODE
	{102, 421, 1666},	//1506 DOM::Node::NOTATION_NODE
	{102, 430, 1673},	//1507 DOM::Node::Node
	{102, 431, 1674},	//1508 DOM::Node::Node#
	{102, 432, 1675},	//1509 DOM::Node::Node?
	{102, 448, 1661},	//1510 DOM::Node::PROCESSING_INSTRUCTION_NODE
	{102, 494, 1657},	//1511 DOM::Node::TEXT_NODE
	{102, 539, 1705},	//1512 DOM::Node::addEventListener##$
	{102, 551, 1695},	//1513 DOM::Node::appendChild#
	{102, 557, 1714},	//1514 DOM::Node::applyChanges
	{102, 565, 1690},	//1515 DOM::Node::attributes
	{102, 613, 1685},	//1516 DOM::Node::childNodes
	{102, 624, 1697},	//1517 DOM::Node::cloneNode$
	{102, 644, 1710},	//1518 DOM::Node::compareDocumentPosition#
	{102, 755, 1707},	//1519 DOM::Node::dispatchEvent#
	{102, 780, 1711},	//1520 DOM::Node::elementId
	{102, 832, 1686},	//1521 DOM::Node::firstChild
	{102, 903, 1715},	//1522 DOM::Node::getRect
	{102, 919, 1704},	//1523 DOM::Node::hasAttributes
	{102, 920, 1696},	//1524 DOM::Node::hasChildNodes
	{102, 952, 1713},	//1525 DOM::Node::index
	{102, 977, 1692},	//1526 DOM::Node::insertBefore##
	{102, 1016, 1712},	//1527 DOM::Node::isNull
	{102, 1023, 1699},	//1528 DOM::Node::isSupported##
	{102, 1063, 1687},	//1529 DOM::Node::lastChild
	{102, 1082, 1703},	//1530 DOM::Node::localName
	{102, 1117, 1700},	//1531 DOM::Node::namespaceURI
	{102, 1125, 1689},	//1532 DOM::Node::nextSibling
	{102, 1132, 1680},	//1533 DOM::Node::nodeName
	{102, 1133, 1683},	//1534 DOM::Node::nodeType
	{102, 1135, 1681},	//1535 DOM::Node::nodeValue
	{102, 1137, 1698},	//1536 DOM::Node::normalize
	{102, 1151, 1678},	//1537 DOM::Node::operator!=#
	{102, 1159, 1676},	//1538 DOM::Node::operator=#
	{102, 1161, 1677},	//1539 DOM::Node::operator==#
	{102, 1167, 1691},	//1540 DOM::Node::ownerDocument
	{102, 1183, 1684},	//1541 DOM::Node::parentNode
	{102, 1201, 1701},	//1542 DOM::Node::prefix
	{102, 1211, 1688},	//1543 DOM::Node::previousSibling
	{102, 1252, 1694},	//1544 DOM::Node::removeChild#
	{102, 1254, 1706},	//1545 DOM::Node::removeEventListener##$
	{102, 1268, 1693},	//1546 DOM::Node::replaceChild##
	{102, 1584, 1682},	//1547 DOM::Node::setNodeValue#
	{102, 1596, 1702},	//1548 DOM::Node::setPrefix#
	{102, 1690, 1709},	//1549 DOM::Node::setTextContent#
	{102, 1819, 1708},	//1550 DOM::Node::textContent
	{102, 2003, 1679},	//1551 DOM::Node::~Node
	{103, 182, 1716},	//1552 DOM::NodeFilter::FILTER_ACCEPT
	{103, 183, 1717},	//1553 DOM::NodeFilter::FILTER_REJECT
	{103, 184, 1718},	//1554 DOM::NodeFilter::FILTER_SKIP
	{103, 433, 1732},	//1555 DOM::NodeFilter::NodeFilter
	{103, 434, 1733},	//1556 DOM::NodeFilter::NodeFilter#
	{103, 435, 1734},	//1557 DOM::NodeFilter::NodeFilter?
	{103, 468, 1719},	//1558 DOM::NodeFilter::SHOW_ALL
	{103, 469, 1721},	//1559 DOM::NodeFilter::SHOW_ATTRIBUTE
	{103, 470, 1723},	//1560 DOM::NodeFilter::SHOW_CDATA_SECTION
	{103, 471, 1727},	//1561 DOM::NodeFilter::SHOW_COMMENT
	{103, 472, 1728},	//1562 DOM::NodeFilter::SHOW_DOCUMENT
	{103, 473, 1730},	//1563 DOM::NodeFilter::SHOW_DOCUMENT_FRAGMENT
	{103, 474, 1729},	//1564 DOM::NodeFilter::SHOW_DOCUMENT_TYPE
	{103, 475, 1720},	//1565 DOM::NodeFilter::SHOW_ELEMENT
	{103, 476, 1725},	//1566 DOM::NodeFilter::SHOW_ENTITY
	{103, 477, 1724},	//1567 DOM::NodeFilter::SHOW_ENTITY_REFERENCE
	{103, 478, 1731},	//1568 DOM::NodeFilter::SHOW_NOTATION
	{103, 479, 1726},	//1569 DOM::NodeFilter::SHOW_PROCESSING_INSTRUCTION
	{103, 480, 1722},	//1570 DOM::NodeFilter::SHOW_TEXT
	{103, 521, 1737},	//1571 DOM::NodeFilter::acceptNode#
	{103, 681, 1741},	//1572 DOM::NodeFilter::createCustom#
	{103, 720, 1740},	//1573 DOM::NodeFilter::customNodeFilter
	{103, 1016, 1738},	//1574 DOM::NodeFilter::isNull
	{103, 1159, 1735},	//1575 DOM::NodeFilter::operator=#
	{103, 1436, 1739},	//1576 DOM::NodeFilter::setCustomNodeFilter#
	{103, 2004, 1736},	//1577 DOM::NodeFilter::~NodeFilter
	{104, 436, 1742},	//1578 DOM::NodeIterator::NodeIterator
	{104, 437, 1743},	//1579 DOM::NodeIterator::NodeIterator#
	{104, 438, 1754},	//1580 DOM::NodeIterator::NodeIterator?
	{104, 747, 1752},	//1581 DOM::NodeIterator::detach
	{104, 806, 1749},	//1582 DOM::NodeIterator::expandEntityReferences
	{104, 811, 1748},	//1583 DOM::NodeIterator::filter
	{104, 1016, 1753},	//1584 DOM::NodeIterator::isNull
	{104, 1124, 1750},	//1585 DOM::NodeIterator::nextNode
	{104, 1159, 1744},	//1586 DOM::NodeIterator::operator=#
	{104, 1210, 1751},	//1587 DOM::NodeIterator::previousNode
	{104, 1284, 1746},	//1588 DOM::NodeIterator::root
	{104, 1867, 1747},	//1589 DOM::NodeIterator::whatToShow
	{104, 2005, 1745},	//1590 DOM::NodeIterator::~NodeIterator
	{105, 439, 1755},	//1591 DOM::NodeList::NodeList
	{105, 440, 1756},	//1592 DOM::NodeList::NodeList#
	{105, 441, 1762},	//1593 DOM::NodeList::NodeList?
	{105, 1016, 1761},	//1594 DOM::NodeList::isNull
	{105, 1025, 1760},	//1595 DOM::NodeList::item$
	{105, 1073, 1759},	//1596 DOM::NodeList::length
	{105, 1159, 1757},	//1597 DOM::NodeList::operator=#
	{105, 2006, 1758},	//1598 DOM::NodeList::~NodeList
	{106, 443, 1763},	//1599 DOM::Notation::Notation
	{106, 444, -494},	//1600 DOM::Notation::Notation#
	{106, 445, 1771},	//1601 DOM::Notation::Notation?
	{106, 1159, -497},	//1602 DOM::Notation::operator=#
	{106, 1217, 1769},	//1603 DOM::Notation::publicId
	{106, 1808, 1770},	//1604 DOM::Notation::systemId
	{106, 2007, 1768},	//1605 DOM::Notation::~Notation
	{107, 449, 1772},	//1606 DOM::ProcessingInstruction::ProcessingInstruction
	{107, 450, -500},	//1607 DOM::ProcessingInstruction::ProcessingInstruction#
	{107, 451, 1782},	//1608 DOM::ProcessingInstruction::ProcessingInstruction?
	{107, 722, 1779},	//1609 DOM::ProcessingInstruction::data
	{107, 1159, -503},	//1610 DOM::ProcessingInstruction::operator=#
	{107, 1445, 1780},	//1611 DOM::ProcessingInstruction::setData#
	{107, 1742, 1781},	//1612 DOM::ProcessingInstruction::sheet
	{107, 1816, 1778},	//1613 DOM::ProcessingInstruction::target
	{107, 2008, 1777},	//1614 DOM::ProcessingInstruction::~ProcessingInstruction
	{108, 454, 1783},	//1615 DOM::RGBColor::RGBColor
	{108, 455, 1785},	//1616 DOM::RGBColor::RGBColor#
	{108, 456, 1784},	//1617 DOM::RGBColor::RGBColor$
	{108, 582, 1790},	//1618 DOM::RGBColor::blue
	{108, 637, 1791},	//1619 DOM::RGBColor::color
	{108, 910, 1789},	//1620 DOM::RGBColor::green
	{108, 1159, 1786},	//1621 DOM::RGBColor::operator=#
	{108, 1233, 1788},	//1622 DOM::RGBColor::red
	{108, 2009, 1787},	//1623 DOM::RGBColor::~RGBColor
	{109, 160, 1794},	//1624 DOM::Range::END_TO_END
	{109, 161, 1795},	//1625 DOM::Range::END_TO_START
	{109, 457, 1796},	//1626 DOM::Range::Range
	{109, 458, -506},	//1627 DOM::Range::Range#
	{109, 459, 1799},	//1628 DOM::Range::Range#$#$
	{109, 460, 1831},	//1629 DOM::Range::Range?
	{109, 484, 1793},	//1630 DOM::Range::START_TO_END
	{109, 485, 1792},	//1631 DOM::Range::START_TO_START
	{109, 587, 1818},	//1632 DOM::Range::boundaryPointsValid
	{109, 622, 1821},	//1633 DOM::Range::cloneContents
	{109, 625, 1824},	//1634 DOM::Range::cloneRange
	{109, 635, 1814},	//1635 DOM::Range::collapse$
	{109, 636, 1806},	//1636 DOM::Range::collapsed
	{109, 639, 1807},	//1637 DOM::Range::commonAncestorContainer
	{109, 642, 1817},	//1638 DOM::Range::compareBoundaryPoints$#
	{109, 679, 1827},	//1639 DOM::Range::createContextualFragment#
	{109, 733, 1819},	//1640 DOM::Range::deleteContents
	{109, 747, 1828},	//1641 DOM::Range::detach
	{109, 789, 1804},	//1642 DOM::Range::endContainer
	{109, 790, 1805},	//1643 DOM::Range::endOffset
	{109, 807, 1820},	//1644 DOM::Range::extractContents
	{109, 983, 1822},	//1645 DOM::Range::insertNode#
	{109, 999, 1829},	//1646 DOM::Range::isDetached
	{109, 1016, 1830},	//1647 DOM::Range::isNull
	{109, 1159, 1800},	//1648 DOM::Range::operator=#
	{109, 1309, 1815},	//1649 DOM::Range::selectNode#
	{109, 1311, 1816},	//1650 DOM::Range::selectNodeContents#
	{109, 1473, 1809},	//1651 DOM::Range::setEnd#$
	{109, 1475, 1813},	//1652 DOM::Range::setEndAfter#
	{109, 1477, 1812},	//1653 DOM::Range::setEndBefore#
	{109, 1662, 1808},	//1654 DOM::Range::setStart#$
	{109, 1665, 1811},	//1655 DOM::Range::setStartAfter#
	{109, 1667, 1810},	//1656 DOM::Range::setStartBefore#
	{109, 1768, 1802},	//1657 DOM::Range::startContainer
	{109, 1769, 1803},	//1658 DOM::Range::startOffset
	{109, 1807, 1823},	//1659 DOM::Range::surroundContents#
	{109, 1827, 1826},	//1660 DOM::Range::toHTML
	{109, 1830, 1825},	//1661 DOM::Range::toString
	{109, 2010, 1801},	//1662 DOM::Range::~Range
	{110, 10, 1832},	//1663 DOM::RangeException::BAD_BOUNDARYPOINTS_ERR
	{110, 370, 1833},	//1664 DOM::RangeException::INVALID_NODE_TYPE_ERR
	{110, 462, 1837},	//1665 DOM::RangeException::RangeException#
	{110, 463, 1836},	//1666 DOM::RangeException::RangeException$
	{110, 513, 1835},	//1667 DOM::RangeException::_EXCEPTION_MAX
	{110, 514, 1834},	//1668 DOM::RangeException::_EXCEPTION_OFFSET
	{110, 630, 1841},	//1669 DOM::RangeException::code
	{110, 1159, 1838},	//1670 DOM::RangeException::operator=#
	{110, 1404, 1840},	//1671 DOM::RangeException::setCode$
	{110, 2011, 1839},	//1672 DOM::RangeException::~RangeException
	{111, 464, 1842},	//1673 DOM::Rect::Rect
	{111, 465, 1843},	//1674 DOM::Rect::Rect#
	{111, 466, 1851},	//1675 DOM::Rect::Rect?
	{111, 586, 1848},	//1676 DOM::Rect::bottom
	{111, 1016, 1850},	//1677 DOM::Rect::isNull
	{111, 1072, 1849},	//1678 DOM::Rect::left
	{111, 1159, 1844},	//1679 DOM::Rect::operator=#
	{111, 1283, 1847},	//1680 DOM::Rect::right
	{111, 1831, 1846},	//1681 DOM::Rect::top
	{111, 2012, 1845},	//1682 DOM::Rect::~Rect
	{112, 488, 1852},	//1683 DOM::StyleSheet::StyleSheet
	{112, 489, 1853},	//1684 DOM::StyleSheet::StyleSheet#
	{112, 490, 1854},	//1685 DOM::StyleSheet::StyleSheet?
	{112, 576, 1865},	//1686 DOM::StyleSheet::baseUrl
	{112, 751, 1858},	//1687 DOM::StyleSheet::disabled
	{112, 936, 1862},	//1688 DOM::StyleSheet::href
	{112, 995, 1866},	//1689 DOM::StyleSheet::isCSSStyleSheet
	{112, 1016, 1867},	//1690 DOM::StyleSheet::isNull
	{112, 1092, 1864},	//1691 DOM::StyleSheet::media
	{112, 1159, 1855},	//1692 DOM::StyleSheet::operator=#
	{112, 1169, 1860},	//1693 DOM::StyleSheet::ownerNode
	{112, 1186, 1861},	//1694 DOM::StyleSheet::parentStyleSheet
	{112, 1463, 1859},	//1695 DOM::StyleSheet::setDisabled$
	{112, 1824, 1863},	//1696 DOM::StyleSheet::title
	{112, 1835, 1857},	//1697 DOM::StyleSheet::type
	{112, 2013, 1856},	//1698 DOM::StyleSheet::~StyleSheet
	{113, 491, 1868},	//1699 DOM::StyleSheetList::StyleSheetList
	{113, 492, 1869},	//1700 DOM::StyleSheetList::StyleSheetList#
	{113, 493, 1870},	//1701 DOM::StyleSheetList::StyleSheetList?
	{113, 1016, 1875},	//1702 DOM::StyleSheetList::isNull
	{113, 1025, 1874},	//1703 DOM::StyleSheetList::item$
	{113, 1073, 1873},	//1704 DOM::StyleSheetList::length
	{113, 1159, 1871},	//1705 DOM::StyleSheetList::operator=#
	{113, 2014, 1872},	//1706 DOM::StyleSheetList::~StyleSheetList
	{114, 496, 1876},	//1707 DOM::Text::Text
	{114, 497, -509},	//1708 DOM::Text::Text#
	{114, 498, 1883},	//1709 DOM::Text::Text?
	{114, 1159, -512},	//1710 DOM::Text::operator=#
	{114, 1764, 1882},	//1711 DOM::Text::splitText$
	{114, 2015, 1881},	//1712 DOM::Text::~Text
	{115, 499, 1884},	//1713 DOM::TextEvent::TextEvent
	{115, 500, -515},	//1714 DOM::TextEvent::TextEvent#
	{115, 965, 1890},	//1715 DOM::TextEvent::initTextEvent#$$##
	{115, 1159, -518},	//1716 DOM::TextEvent::operator=#
	{115, 2016, 1889},	//1717 DOM::TextEvent::~TextEvent
	{116, 501, 1891},	//1718 DOM::TreeWalker::TreeWalker
	{116, 502, 1892},	//1719 DOM::TreeWalker::TreeWalker#
	{116, 503, 1909},	//1720 DOM::TreeWalker::TreeWalker?
	{116, 715, 1899},	//1721 DOM::TreeWalker::currentNode
	{116, 806, 1898},	//1722 DOM::TreeWalker::expandEntityReferences
	{116, 811, 1897},	//1723 DOM::TreeWalker::filter
	{116, 832, 1902},	//1724 DOM::TreeWalker::firstChild
	{116, 1016, 1908},	//1725 DOM::TreeWalker::isNull
	{116, 1063, 1903},	//1726 DOM::TreeWalker::lastChild
	{116, 1124, 1907},	//1727 DOM::TreeWalker::nextNode
	{116, 1125, 1905},	//1728 DOM::TreeWalker::nextSibling
	{116, 1159, 1893},	//1729 DOM::TreeWalker::operator=#
	{116, 1183, 1901},	//1730 DOM::TreeWalker::parentNode
	{116, 1210, 1906},	//1731 DOM::TreeWalker::previousNode
	{116, 1211, 1904},	//1732 DOM::TreeWalker::previousSibling
	{116, 1284, 1895},	//1733 DOM::TreeWalker::root
	{116, 1434, 1900},	//1734 DOM::TreeWalker::setCurrentNode#
	{116, 1867, 1896},	//1735 DOM::TreeWalker::whatToShow
	{116, 2017, 1894},	//1736 DOM::TreeWalker::~TreeWalker
	{117, 504, 1910},	//1737 DOM::UIEvent::UIEvent
	{117, 505, -521},	//1738 DOM::UIEvent::UIEvent#
	{117, 506, 1926},	//1739 DOM::UIEvent::UIEvent?
	{117, 606, 1919},	//1740 DOM::UIEvent::charCode
	{117, 748, 1917},	//1741 DOM::UIEvent::detail
	{117, 967, 1925},	//1742 DOM::UIEvent::initUIEvent#$$#$
	{117, 1033, 1918},	//1743 DOM::UIEvent::keyCode
	{117, 1066, 1922},	//1744 DOM::UIEvent::layerX
	{117, 1067, 1923},	//1745 DOM::UIEvent::layerY
	{117, 1159, -524},	//1746 DOM::UIEvent::operator=#
	{117, 1172, 1920},	//1747 DOM::UIEvent::pageX
	{117, 1173, 1921},	//1748 DOM::UIEvent::pageY
	{117, 1857, 1916},	//1749 DOM::UIEvent::view
	{117, 1870, 1924},	//1750 DOM::UIEvent::which
	{117, 2018, 1915},	//1751 DOM::UIEvent::~UIEvent
	{123, 12, 1938},	//1752 KHTMLPart::Before
	{123, 13, 1928},	//1753 KHTMLPart::BrowserViewGUI
	{123, 101, 1934},	//1754 KHTMLPart::CaretBlink
	{123, 102, 1933},	//1755 KHTMLPart::CaretInvisible
	{123, 103, 1932},	//1756 KHTMLPart::CaretVisible
	{123, 115, 1929},	//1757 KHTMLPart::DNSPrefetchDisabled
	{123, 116, 1930},	//1758 KHTMLPart::DNSPrefetchEnabled
	{123, 117, 1931},	//1759 KHTMLPart::DNSPrefetchOnlyWWWAndSLD
	{123, 144, 1927},	//1760 KHTMLPart::DefaultGUI
	{123, 167, 2088},	//1761 KHTMLPart::Encrypted
	{123, 186, 1935},	//1762 KHTMLPart::FindLinksOnly
	{123, 187, 1936},	//1763 KHTMLPart::FindNoPopups
	{123, 378, 1946},	//1764 KHTMLPart::KHTMLPart
	{123, 379, -527},	//1765 KHTMLPart::KHTMLPart#
	{123, 380, -530},	//1766 KHTMLPart::KHTMLPart##
	{123, 381, -533},	//1767 KHTMLPart::KHTMLPart##$
	{123, 413, 2089},	//1768 KHTMLPart::Mixed
	{123, 429, 1937},	//1769 KHTMLPart::NoNotification
	{123, 442, 2087},	//1770 KHTMLPart::NotCrypted
	{123, 446, 1939},	//1771 KHTMLPart::Only
	{123, 510, 1940},	//1772 KHTMLPart::Unused
	{123, 529, 1957},	//1773 KHTMLPart::activeNode
	{123, 568, 1976},	//1774 KHTMLPart::autoloadImages
	{123, 572, 1988},	//1775 KHTMLPart::backgroundURL
	{123, 575, 1987},	//1776 KHTMLPart::baseURL
	{123, 577, 1994},	//1777 KHTMLPart::begin
	{123, 578, 1993},	//1778 KHTMLPart::begin#
	{123, 579, 1992},	//1779 KHTMLPart::begin#$
	{123, 580, 1991},	//1780 KHTMLPart::begin#$$
	{123, 588, 1958},	//1781 KHTMLPart::browserExtension
	{123, 589, 1959},	//1782 KHTMLPart::browserHostExtension
	{123, 594, 1985},	//1783 KHTMLPart::caretDisplayPolicyNonFocused
	{123, 596, 2083},	//1784 KHTMLPart::caretPositionChanged#$
	{123, 629, 1952},	//1785 KHTMLPart::closeUrl
	{123, 647, 2090},	//1786 KHTMLPart::completeURL$
	{123, 649, 2085},	//1787 KHTMLPart::configurationChanged
	{123, 700, 2103},	//1788 KHTMLPart::createPart##$$??
	{123, 714, 2047},	//1789 KHTMLPart::currentFrame
	{123, 719, 2092},	//1790 KHTMLPart::customEvent#
	{123, 757, 1970},	//1791 KHTMLPart::dndEnabled
	{123, 758, 1979},	//1792 KHTMLPart::dnsPrefetch
	{123, 760, 2109},	//1793 KHTMLPart::doCloseStream
	{123, 762, 2107},	//1794 KHTMLPart::doOpenStream$
	{123, 764, 2108},	//1795 KHTMLPart::doWriteStream#
	{123, 766, 1955},	//1796 KHTMLPart::document
	{123, 768, 1956},	//1797 KHTMLPart::documentSource
	{123, 779, 2031},	//1798 KHTMLPart::editor
	{123, 786, 2004},	//1799 KHTMLPart::encoding
	{123, 788, 1998},	//1800 KHTMLPart::end
	{123, 805, 1968},	//1801 KHTMLPart::executeScript#$
	{123, 818, 2044},	//1802 KHTMLPart::findFrame$
	{123, 820, 2046},	//1803 KHTMLPart::findFrameParent#$
	{123, 821, 2045},	//1804 KHTMLPart::findFrameParent#$?
	{123, 823, 2050},	//1805 KHTMLPart::findFramePart$
	{123, 824, 2014},	//1806 KHTMLPart::findText
	{123, 825, 2017},	//1807 KHTMLPart::findText$$
	{123, 826, 2016},	//1808 KHTMLPart::findText$$#
	{123, 827, 2015},	//1809 KHTMLPart::findText$$##
	{123, 828, 2018},	//1810 KHTMLPart::findTextBegin
	{123, 829, 2020},	//1811 KHTMLPart::findTextNext
	{123, 830, 2019},	//1812 KHTMLPart::findTextNext$
	{123, 846, 2024},	//1813 KHTMLPart::fontScaleFactor
	{123, 848, 2065},	//1814 KHTMLPart::formNotification
	{123, 850, 2084},	//1815 KHTMLPart::formSubmitNotification$$#$$$
	{123, 855, 2048},	//1816 KHTMLPart::frameExists$
	{123, 856, 2042},	//1817 KHTMLPart::frameNames
	{123, 859, 2049},	//1818 KHTMLPart::framejScript#
	{123, 860, 2043},	//1819 KHTMLPart::frames
	{123, 909, 2009},	//1820 KHTMLPart::gotoAnchor$
	{123, 912, 2098},	//1821 KHTMLPart::guiActivateEvent#
	{123, 924, 2030},	//1822 KHTMLPart::hasSelection
	{123, 929, 2034},	//1823 KHTMLPart::hide
	{123, 939, 1954},	//1824 KHTMLPart::htmlDocument
	{123, 941, 2091},	//1825 KHTMLPart::htmlError$$#
	{123, 950, 2070},	//1826 KHTMLPart::inProgress
	{123, 997, 1981},	//1827 KHTMLPart::isCaretMode
	{123, 1000, 1982},	//1828 KHTMLPart::isEditable
	{123, 1015, 2067},	//1829 KHTMLPart::isModified
	{123, 1021, 2060},	//1830 KHTMLPart::isPointInsideSelection$$
	{123, 1026, 1962},	//1831 KHTMLPart::jScriptEnabled
	{123, 1027, 1963},	//1832 KHTMLPart::jScriptInterpreter
	{123, 1028, 1972},	//1833 KHTMLPart::javaEnabled
	{123, 1029, 2054},	//1834 KHTMLPart::jsDefaultStatusBarText
	{123, 1032, 2053},	//1835 KHTMLPart::jsStatusBarText
	{123, 1041, 2097},	//1836 KHTMLPart::khtmlDrawContentsEvent?
	{123, 1047, 2094},	//1837 KHTMLPart::khtmlMouseDoubleClickEvent?
	{123, 1049, 2095},	//1838 KHTMLPart::khtmlMouseMoveEvent?
	{123, 1051, 2093},	//1839 KHTMLPart::khtmlMousePressEvent?
	{123, 1053, 2096},	//1840 KHTMLPart::khtmlMouseReleaseEvent?
	{123, 1065, 2057},	//1841 KHTMLPart::lastModified
	{123, 1091, 2111},	//1842 KHTMLPart::mayPrefetchHostname$
	{123, 1096, 1941},	//1843 KHTMLPart::metaObject
	{123, 1097, 1967},	//1844 KHTMLPart::metaRefreshEnabled
	{123, 1119, 2010},	//1845 KHTMLPart::nextAnchor
	{123, 1131, 2082},	//1846 KHTMLPart::nodeActivated#
	{123, 1134, 2038},	//1847 KHTMLPart::nodeUnderMouse
	{123, 1136, 2039},	//1848 KHTMLPart::nonSharedNodeUnderMouse
	{123, 1144, 2079},	//1849 KHTMLPart::onURL$
	{123, 1145, 1980},	//1850 KHTMLPart::onlyLocalReferences
	{123, 1147, 2099},	//1851 KHTMLPart::openFile
	{123, 1149, 1951},	//1852 KHTMLPart::openUrl#
	{123, 1171, 2056},	//1853 KHTMLPart::pageReferrer
	{123, 1175, 2001},	//1854 KHTMLPart::paint##
	{123, 1176, 2000},	//1855 KHTMLPart::paint##$
	{123, 1177, 1999},	//1856 KHTMLPart::paint##$$
	{123, 1184, 2041},	//1857 KHTMLPart::parentPart
	{123, 1190, 2035},	//1858 KHTMLPart::partManager
	{123, 1196, 2104},	//1859 KHTMLPart::pluginPageQuestionAsked$
	{123, 1197, 1974},	//1860 KHTMLPart::pluginsEnabled
	{123, 1199, 2080},	//1861 KHTMLPart::popupMenu$#
	{123, 1203, 2059},	//1862 KHTMLPart::preloadScript$$
	{123, 1205, 2058},	//1863 KHTMLPart::preloadStyleSheet$$
	{123, 1206, 2011},	//1864 KHTMLPart::prevAnchor
	{123, 1219, 1942},	//1865 KHTMLPart::qt_metacall$$?
	{123, 1236, 2055},	//1866 KHTMLPart::referrer
	{123, 1277, 2037},	//1867 KHTMLPart::restoreState#
	{123, 1278, 2061},	//1868 KHTMLPart::restored
	{123, 1291, 2036},	//1869 KHTMLPart::saveState#
	{123, 1293, 1990},	//1870 KHTMLPart::scheduleRedirection$$
	{123, 1294, 1989},	//1871 KHTMLPart::scheduleRedirection$$$
	{123, 1307, 2032},	//1872 KHTMLPart::selectAll
	{123, 1315, 2025},	//1873 KHTMLPart::selectedText
	{123, 1316, 2026},	//1874 KHTMLPart::selectedTextAsHTML
	{123, 1317, 2027},	//1875 KHTMLPart::selection
	{123, 1318, 2028},	//1876 KHTMLPart::selection#$#$
	{123, 1319, 2081},	//1877 KHTMLPart::selectionChanged
	{123, 1338, 2071},	//1878 KHTMLPart::setActiveNode#
	{123, 1343, 2063},	//1879 KHTMLPart::setAlwaysHonourDoctype
	{123, 1344, 2062},	//1880 KHTMLPart::setAlwaysHonourDoctype$
	{123, 1358, 1975},	//1881 KHTMLPart::setAutoloadImages$
	{123, 1372, 1986},	//1882 KHTMLPart::setCaretDisplayPolicyNonFocused$
	{123, 1374, 2073},	//1883 KHTMLPart::setCaretMode$
	{123, 1376, 1984},	//1884 KHTMLPart::setCaretPosition#$
	{123, 1377, 1983},	//1885 KHTMLPart::setCaretPosition#$$
	{123, 1379, 2075},	//1886 KHTMLPart::setCaretVisible$
	{123, 1438, 1969},	//1887 KHTMLPart::setDNDEnabled$
	{123, 1440, 1978},	//1888 KHTMLPart::setDNSPrefetch$
	{123, 1465, 2074},	//1889 KHTMLPart::setEditable$
	{123, 1468, 2003},	//1890 KHTMLPart::setEncoding$
	{123, 1469, 2002},	//1891 KHTMLPart::setEncoding$$
	{123, 1483, 2008},	//1892 KHTMLPart::setFixedFont$
	{123, 1489, 2023},	//1893 KHTMLPart::setFontScaleFactor$
	{123, 1491, 2064},	//1894 KHTMLPart::setFormNotification$
	{123, 1526, 2052},	//1895 KHTMLPart::setJSDefaultStatusBarText$
	{123, 1532, 2051},	//1896 KHTMLPart::setJSStatusBarText$
	{123, 1534, 1961},	//1897 KHTMLPart::setJScriptEnabled$
	{123, 1536, 1971},	//1898 KHTMLPart::setJavaEnabled$
	{123, 1564, 1966},	//1899 KHTMLPart::setMetaRefreshEnabled$
	{123, 1588, 1977},	//1900 KHTMLPart::setOnlyLocalReferences$
	{123, 1590, 2106},	//1901 KHTMLPart::setPageSecurity$
	{123, 1592, 2105},	//1902 KHTMLPart::setPluginPageQuestionAsked$
	{123, 1594, 1973},	//1903 KHTMLPart::setPluginsEnabled$
	{123, 1635, 2029},	//1904 KHTMLPart::setSelection#
	{123, 1658, 2007},	//1905 KHTMLPart::setStandardFont$
	{123, 1669, 1964},	//1906 KHTMLPart::setStatusMessagesEnabled$
	{123, 1677, 2069},	//1907 KHTMLPart::setSuppressedPopupIndicator$
	{123, 1678, 2068},	//1908 KHTMLPart::setSuppressedPopupIndicator$#
	{123, 1698, 2012},	//1909 KHTMLPart::setURLCursor#
	{123, 1702, 2005},	//1910 KHTMLPart::setUserStyleSheet#
	{123, 1703, 2006},	//1911 KHTMLPart::setUserStyleSheet$
	{123, 1736, 2021},	//1912 KHTMLPart::setZoomFactor$
	{123, 1739, 2040},	//1913 KHTMLPart::settings
	{123, 1744, 2033},	//1914 KHTMLPart::show
	{123, 1747, 1953},	//1915 KHTMLPart::showError#
	{123, 1753, 2113},	//1916 KHTMLPart::slotFinished#
	{123, 1771, 2112},	//1917 KHTMLPart::startingJob#
	{123, 1777, 2086},	//1918 KHTMLPart::staticMetaObject
	{123, 1778, 1965},	//1919 KHTMLPart::statusMessagesEnabled
	{123, 1780, 2072},	//1920 KHTMLPart::stopAnimations
	{123, 1797, 2078},	//1921 KHTMLPart::submitFormProxy$$#$
	{123, 1798, 2077},	//1922 KHTMLPart::submitFormProxy$$#$$
	{123, 1799, 2076},	//1923 KHTMLPart::submitFormProxy$$#$$$
	{123, 1823, 2110},	//1924 KHTMLPart::timerEvent#
	{123, 1832, 2066},	//1925 KHTMLPart::toplevelURL
	{123, 1844, 2013},	//1926 KHTMLPart::urlCursor
	{123, 1846, 2102},	//1927 KHTMLPart::urlSelected$$$$
	{123, 1847, 2101},	//1928 KHTMLPart::urlSelected$$$$#
	{123, 1848, 2100},	//1929 KHTMLPart::urlSelected$$$$##
	{123, 1857, 1960},	//1930 KHTMLPart::view
	{123, 1889, -536},	//1931 KHTMLPart::write$
	{123, 1890, 1995},	//1932 KHTMLPart::write$$
	{123, 1896, 2022},	//1933 KHTMLPart::zoomFactor
	{123, 1994, 1950},	//1934 KHTMLPart::~KHTMLPart
	{124, 372, 2117},	//1935 KHTMLSettings::KAnimationDisabled
	{124, 373, 2119},	//1936 KHTMLSettings::KAnimationEnabled
	{124, 374, 2118},	//1937 KHTMLSettings::KAnimationLoopOnce
	{124, 375, 2123},	//1938 KHTMLSettings::KDNSPrefetchDisabled
	{124, 376, 2125},	//1939 KHTMLSettings::KDNSPrefetchEnabled
	{124, 377, 2124},	//1940 KHTMLSettings::KDNSPrefetchOnlyWWWAndSLD
	{124, 382, 2138},	//1941 KHTMLSettings::KHTMLSettings
	{124, 383, 2139},	//1942 KHTMLSettings::KHTMLSettings#
	{124, 386, 2136},	//1943 KHTMLSettings::KJSWindowFocusAllow
	{124, 387, 2137},	//1944 KHTMLSettings::KJSWindowFocusIgnore
	{124, 388, 2132},	//1945 KHTMLSettings::KJSWindowMoveAllow
	{124, 389, 2133},	//1946 KHTMLSettings::KJSWindowMoveIgnore
	{124, 390, 2126},	//1947 KHTMLSettings::KJSWindowOpenAllow
	{124, 391, 2127},	//1948 KHTMLSettings::KJSWindowOpenAsk
	{124, 392, 2128},	//1949 KHTMLSettings::KJSWindowOpenDeny
	{124, 393, 2129},	//1950 KHTMLSettings::KJSWindowOpenSmart
	{124, 394, 2134},	//1951 KHTMLSettings::KJSWindowResizeAllow
	{124, 395, 2135},	//1952 KHTMLSettings::KJSWindowResizeIgnore
	{124, 396, 2130},	//1953 KHTMLSettings::KJSWindowStatusAllow
	{124, 397, 2131},	//1954 KHTMLSettings::KJSWindowStatusIgnore
	{124, 398, 2115},	//1955 KHTMLSettings::KJavaScriptAccept
	{124, 399, 2114},	//1956 KHTMLSettings::KJavaScriptDunno
	{124, 400, 2116},	//1957 KHTMLSettings::KJavaScriptReject
	{124, 401, 2120},	//1958 KHTMLSettings::KSmoothScrollingDisabled
	{124, 402, 2122},	//1959 KHTMLSettings::KSmoothScrollingEnabled
	{124, 403, 2121},	//1960 KHTMLSettings::KSmoothScrollingWhenEfficient
	{124, 523, 2188},	//1961 KHTMLSettings::accessKeysEnabled
	{124, 533, 2187},	//1962 KHTMLSettings::addAdFilter$
	{124, 543, 2210},	//1963 KHTMLSettings::adviceToStr$
	{124, 546, 2147},	//1964 KHTMLSettings::allowTabulation
	{124, 566, 2170},	//1965 KHTMLSettings::autoLoadImages
	{124, 567, 2148},	//1966 KHTMLSettings::autoSpellCheck
	{124, 569, 2211},	//1967 KHTMLSettings::availableFamilies
	{124, 574, 2167},	//1968 KHTMLSettings::baseColor
	{124, 603, 2144},	//1969 KHTMLSettings::changeCursor
	{124, 717, 2156},	//1970 KHTMLSettings::cursiveFontName
	{124, 758, 2151},	//1971 KHTMLSettings::dnsPrefetch
	{124, 786, 2164},	//1972 KHTMLSettings::encoding
	{124, 809, 2205},	//1973 KHTMLSettings::fallbackAccessKeysAssignments
	{124, 810, 2157},	//1974 KHTMLSettings::fantasyFontName
	{124, 835, 2153},	//1975 KHTMLSettings::fixedFontName
	{124, 843, 2165},	//1976 KHTMLSettings::followSystemColors
	{124, 935, 2146},	//1977 KHTMLSettings::hoverLink
	{124, 953, 2140},	//1978 KHTMLSettings::init
	{124, 954, 2142},	//1979 KHTMLSettings::init#
	{124, 955, 2141},	//1980 KHTMLSettings::init#$
	{124, 989, 2185},	//1981 KHTMLSettings::isAdFilterEnabled
	{124, 991, 2184},	//1982 KHTMLSettings::isAdFiltered$
	{124, 992, 2204},	//1983 KHTMLSettings::isAutoDelayedActionsEnabled
	{124, 993, 2173},	//1984 KHTMLSettings::isBackRightClickEnabled
	{124, 1002, 2202},	//1985 KHTMLSettings::isFormCompletionEnabled
	{124, 1005, 2186},	//1986 KHTMLSettings::isHideAdsEnabled
	{124, 1006, 2175},	//1987 KHTMLSettings::isJavaEnabled
	{124, 1007, 2174},	//1988 KHTMLSettings::isJavaEnabled$
	{124, 1008, 2179},	//1989 KHTMLSettings::isJavaScriptDebugEnabled
	{124, 1009, 2178},	//1990 KHTMLSettings::isJavaScriptDebugEnabled$
	{124, 1010, 2177},	//1991 KHTMLSettings::isJavaScriptEnabled
	{124, 1011, 2176},	//1992 KHTMLSettings::isJavaScriptEnabled$
	{124, 1012, 2181},	//1993 KHTMLSettings::isJavaScriptErrorReportingEnabled
	{124, 1013, 2180},	//1994 KHTMLSettings::isJavaScriptErrorReportingEnabled$
	{124, 1017, 2172},	//1995 KHTMLSettings::isOpenMiddleClickEnabled
	{124, 1018, 2183},	//1996 KHTMLSettings::isPluginsEnabled
	{124, 1019, 2182},	//1997 KHTMLSettings::isPluginsEnabled$
	{124, 1030, 2162},	//1998 KHTMLSettings::jsErrorsEnabled
	{124, 1031, 2207},	//1999 KHTMLSettings::jsPopupBlockerPassivePopup
	{124, 1075, 2168},	//2000 KHTMLSettings::linkColor
	{124, 1088, 2203},	//2001 KHTMLSettings::maxFormCompletionItems
	{124, 1094, 2161},	//2002 KHTMLSettings::mediumFontSize
	{124, 1101, 2160},	//2003 KHTMLSettings::minFontSize
	{124, 1231, 2199},	//2004 KHTMLSettings::readDomainSettings#$$?
	{124, 1289, 2155},	//2005 KHTMLSettings::sansSerifFontName
	{124, 1324, 2154},	//2006 KHTMLSettings::serifFontName
	{124, 1485, 2159},	//2007 KHTMLSettings::setFixedFontName$
	{124, 1528, 2163},	//2008 KHTMLSettings::setJSErrorsEnabled$
	{124, 1530, 2206},	//2009 KHTMLSettings::setJSPopupBlockerPassivePopup$
	{124, 1671, 2158},	//2010 KHTMLSettings::setStdFontName$
	{124, 1740, 2200},	//2011 KHTMLSettings::settingsToCSS
	{124, 1745, 2149},	//2012 KHTMLSettings::showAnimations
	{124, 1755, 2150},	//2013 KHTMLSettings::smoothScrolling
	{124, 1762, 2209},	//2014 KHTMLSettings::splitDomainAdvice$$$$
	{124, 1779, 2152},	//2015 KHTMLSettings::stdFontName
	{124, 1783, 2208},	//2016 KHTMLSettings::strToAdvice$
	{124, 1818, 2166},	//2017 KHTMLSettings::textColor
	{124, 1836, 2145},	//2018 KHTMLSettings::underlineLink
	{124, 1837, 2171},	//2019 KHTMLSettings::unfinishedImageFrame
	{124, 1850, 2201},	//2020 KHTMLSettings::userStyleSheet
	{124, 1853, 2169},	//2021 KHTMLSettings::vLinkColor
	{124, 1877, 2198},	//2022 KHTMLSettings::windowFocusPolicy
	{124, 1878, 2197},	//2023 KHTMLSettings::windowFocusPolicy$
	{124, 1879, 2192},	//2024 KHTMLSettings::windowMovePolicy
	{124, 1880, 2191},	//2025 KHTMLSettings::windowMovePolicy$
	{124, 1881, 2190},	//2026 KHTMLSettings::windowOpenPolicy
	{124, 1882, 2189},	//2027 KHTMLSettings::windowOpenPolicy$
	{124, 1883, 2194},	//2028 KHTMLSettings::windowResizePolicy
	{124, 1884, 2193},	//2029 KHTMLSettings::windowResizePolicy$
	{124, 1885, 2196},	//2030 KHTMLSettings::windowStatusPolicy
	{124, 1886, 2195},	//2031 KHTMLSettings::windowStatusPolicy$
	{124, 1995, 2143},	//2032 KHTMLSettings::~KHTMLSettings
	{125, 385, 2217},	//2033 KHTMLView::KHTMLView##
	{125, 481, 2212},	//2034 KHTMLView::SSMDisabled
	{125, 482, 2214},	//2035 KHTMLView::SSMEnabled
	{125, 483, 2213},	//2036 KHTMLView::SSMWhenEfficient
	{125, 537, 2244},	//2037 KHTMLView::addChild#$$
	{125, 617, 2260},	//2038 KHTMLView::clear
	{125, 618, 2254},	//2039 KHTMLView::cleared
	{125, 628, 2276},	//2040 KHTMLView::closeEvent#
	{125, 655, 2231},	//2041 KHTMLView::contentsHeight
	{125, 657, 2237},	//2042 KHTMLView::contentsToViewport#
	{125, 658, 2240},	//2043 KHTMLView::contentsToViewport$$$$
	{125, 659, 2230},	//2044 KHTMLView::contentsWidth
	{125, 660, 2232},	//2045 KHTMLView::contentsX
	{125, 661, 2233},	//2046 KHTMLView::contentsY
	{125, 756, 2229},	//2047 KHTMLView::displayAccessKeys
	{125, 759, 2283},	//2048 KHTMLView::doAutoScroll
	{125, 772, 2274},	//2049 KHTMLView::dragEnterEvent#
	{125, 778, 2275},	//2050 KHTMLView::dropEvent#
	{125, 797, 2261},	//2051 KHTMLView::event#
	{125, 799, 2279},	//2052 KHTMLView::eventFilter##
	{125, 816, 2258},	//2053 KHTMLView::findAheadActive$
	{125, 831, 2253},	//2054 KHTMLView::finishedLayout
	{125, 838, 2268},	//2055 KHTMLView::focusInEvent#
	{125, 840, 2266},	//2056 KHTMLView::focusNextPrevChild$
	{125, 842, 2269},	//2057 KHTMLView::focusOutEvent#
	{125, 857, 2220},	//2058 KHTMLView::frameWidth
	{125, 930, 2256},	//2059 KHTMLView::hideAccessKeys
	{125, 932, 2265},	//2060 KHTMLView::hideEvent#
	{125, 1037, 2281},	//2061 KHTMLView::keyPressEvent#
	{125, 1039, 2282},	//2062 KHTMLView::keyReleaseEvent#
	{125, 1069, 2252},	//2063 KHTMLView::layout
	{125, 1086, 2224},	//2064 KHTMLView::marginHeight
	{125, 1087, 2222},	//2065 KHTMLView::marginWidth
	{125, 1096, 2215},	//2066 KHTMLView::metaObject
	{125, 1104, 2270},	//2067 KHTMLView::mouseDoubleClickEvent#
	{125, 1106, 2271},	//2068 KHTMLView::mouseMoveEvent#
	{125, 1108, 2267},	//2069 KHTMLView::mousePressEvent#
	{125, 1110, 2272},	//2070 KHTMLView::mouseReleaseEvent#
	{125, 1180, 2262},	//2071 KHTMLView::paintEvent#
	{125, 1187, 2219},	//2072 KHTMLView::part
	{125, 1213, 2228},	//2073 KHTMLView::print
	{125, 1214, 2227},	//2074 KHTMLView::print$
	{125, 1219, 2216},	//2075 KHTMLView::qt_metacall$$?
	{125, 1263, 2257},	//2076 KHTMLView::repaintAccessKeys
	{125, 1265, 2245},	//2077 KHTMLView::repaintContents#
	{125, 1266, 2246},	//2078 KHTMLView::repaintContents$$$$
	{125, 1273, 2251},	//2079 KHTMLView::resizeContents$$
	{125, 1275, 2263},	//2080 KHTMLView::resizeEvent#
	{125, 1301, 2241},	//2081 KHTMLView::scrollBy$$
	{125, 1303, 2280},	//2082 KHTMLView::scrollContentsBy$$
	{125, 1426, 2236},	//2083 KHTMLView::setContentsPos$$
	{125, 1502, 2226},	//2084 KHTMLView::setHorizontalScrollBarPolicy$
	{125, 1553, 2223},	//2085 KHTMLView::setMarginHeight$
	{125, 1556, 2221},	//2086 KHTMLView::setMarginWidth$
	{125, 1650, 2249},	//2087 KHTMLView::setSmoothScrollingMode$
	{125, 1652, 2285},	//2088 KHTMLView::setSmoothScrollingModeDefault$
	{125, 1716, 2225},	//2089 KHTMLView::setVerticalScrollBarPolicy$
	{125, 1738, 2247},	//2090 KHTMLView::setZoomLevel$
	{125, 1749, 2264},	//2091 KHTMLView::showEvent#
	{125, 1754, 2286},	//2092 KHTMLView::slotPaletteChanged
	{125, 1756, 2250},	//2093 KHTMLView::smoothScrollingMode
	{125, 1777, 2259},	//2094 KHTMLView::staticMetaObject
	{125, 1823, 2284},	//2095 KHTMLView::timerEvent#
	{125, 1840, 2242},	//2096 KHTMLView::updateContents#
	{125, 1841, 2243},	//2097 KHTMLView::updateContents$$$$
	{125, 1859, 2278},	//2098 KHTMLView::viewportEvent#
	{125, 1861, 2238},	//2099 KHTMLView::viewportToContents#
	{125, 1862, 2239},	//2100 KHTMLView::viewportToContents$$$$
	{125, 1864, 2235},	//2101 KHTMLView::visibleHeight
	{125, 1865, 2234},	//2102 KHTMLView::visibleWidth
	{125, 1869, 2273},	//2103 KHTMLView::wheelEvent#
	{125, 1873, 2277},	//2104 KHTMLView::widgetEvent#
	{125, 1897, 2248},	//2105 KHTMLView::zoomLevel
	{125, 1899, 2255},	//2106 KHTMLView::zoomView$
	{125, 1996, 2218},	//2107 KHTMLView::~KHTMLView
};

static Smoke::Index khtml_ambiguousMethodList[] = {
    0,
    4,  // DOM::operator!=(const DOM::DOMString&, const QString&)
    5,  // DOM::operator!=(const DOM::DOMString&, const char*)
    0,
    1,  // DOM::operator==(const DOM::DOMString&, const QString&)
    2,  // DOM::operator==(const DOM::DOMString&, const char*)
    0,
    18,  // DOM::Attr::Attr(const DOM::Node&)
    19,  // DOM::Attr::Attr(const DOM::Attr&)
    0,
    20,  // DOM::Attr::operator=(const DOM::Node&)
    21,  // DOM::Attr::operator=(const DOM::Attr&)
    0,
    30,  // DOM::CDATASection::CDATASection(const DOM::CDATASection&)
    31,  // DOM::CDATASection::CDATASection(const DOM::Node&)
    0,
    32,  // DOM::CDATASection::operator=(const DOM::Node&)
    33,  // DOM::CDATASection::operator=(const DOM::CDATASection&)
    0,
    38,  // DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSRule&)
    37,  // DOM::CSSCharsetRule::CSSCharsetRule(const DOM::CSSCharsetRule&)
    0,
    40,  // DOM::CSSCharsetRule::operator=(const DOM::CSSCharsetRule&)
    41,  // DOM::CSSCharsetRule::operator=(const DOM::CSSRule&)
    0,
    57,  // DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSRule&)
    56,  // DOM::CSSFontFaceRule::CSSFontFaceRule(const DOM::CSSFontFaceRule&)
    0,
    59,  // DOM::CSSFontFaceRule::operator=(const DOM::CSSFontFaceRule&)
    60,  // DOM::CSSFontFaceRule::operator=(const DOM::CSSRule&)
    0,
    64,  // DOM::CSSImportRule::CSSImportRule(const DOM::CSSImportRule&)
    65,  // DOM::CSSImportRule::CSSImportRule(const DOM::CSSRule&)
    0,
    67,  // DOM::CSSImportRule::operator=(const DOM::CSSImportRule&)
    68,  // DOM::CSSImportRule::operator=(const DOM::CSSRule&)
    0,
    74,  // DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSMediaRule&)
    75,  // DOM::CSSMediaRule::CSSMediaRule(const DOM::CSSRule&)
    0,
    77,  // DOM::CSSMediaRule::operator=(const DOM::CSSMediaRule&)
    78,  // DOM::CSSMediaRule::operator=(const DOM::CSSRule&)
    0,
    86,  // DOM::CSSPageRule::CSSPageRule(const DOM::CSSRule&)
    85,  // DOM::CSSPageRule::CSSPageRule(const DOM::CSSPageRule&)
    0,
    89,  // DOM::CSSPageRule::operator=(const DOM::CSSRule&)
    88,  // DOM::CSSPageRule::operator=(const DOM::CSSPageRule&)
    0,
    125,  // DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSPrimitiveValue&)
    126,  // DOM::CSSPrimitiveValue::CSSPrimitiveValue(const DOM::CSSValue&)
    0,
    128,  // DOM::CSSPrimitiveValue::operator=(const DOM::CSSPrimitiveValue&)
    129,  // DOM::CSSPrimitiveValue::operator=(const DOM::CSSValue&)
    0,
    161,  // DOM::CSSRuleList::CSSRuleList(DOM::CSSRuleListImpl*)
    162,  // DOM::CSSRuleList::CSSRuleList(DOM::StyleListImpl*)
    0,
    185,  // DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSStyleRule&)
    186,  // DOM::CSSStyleRule::CSSStyleRule(const DOM::CSSRule&)
    0,
    188,  // DOM::CSSStyleRule::operator=(const DOM::CSSStyleRule&)
    189,  // DOM::CSSStyleRule::operator=(const DOM::CSSRule&)
    0,
    195,  // DOM::CSSStyleSheet::CSSStyleSheet(const DOM::CSSStyleSheet&)
    196,  // DOM::CSSStyleSheet::CSSStyleSheet(const DOM::StyleSheet&)
    0,
    199,  // DOM::CSSStyleSheet::operator=(const DOM::StyleSheet&)
    198,  // DOM::CSSStyleSheet::operator=(const DOM::CSSStyleSheet&)
    0,
    207,  // DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSUnknownRule&)
    208,  // DOM::CSSUnknownRule::CSSUnknownRule(const DOM::CSSRule&)
    0,
    210,  // DOM::CSSUnknownRule::operator=(const DOM::CSSUnknownRule&)
    211,  // DOM::CSSUnknownRule::operator=(const DOM::CSSRule&)
    0,
    231,  // DOM::CSSValueList::CSSValueList(const DOM::CSSValue&)
    230,  // DOM::CSSValueList::CSSValueList(const DOM::CSSValueList&)
    0,
    233,  // DOM::CSSValueList::operator=(const DOM::CSSValueList&)
    234,  // DOM::CSSValueList::operator=(const DOM::CSSValue&)
    0,
    240,  // DOM::CharacterData::CharacterData(const DOM::Node&)
    239,  // DOM::CharacterData::CharacterData(const DOM::CharacterData&)
    0,
    241,  // DOM::CharacterData::operator=(const DOM::Node&)
    242,  // DOM::CharacterData::operator=(const DOM::CharacterData&)
    0,
    254,  // DOM::Comment::Comment(const DOM::Comment&)
    255,  // DOM::Comment::Comment(const DOM::Node&)
    0,
    256,  // DOM::Comment::operator=(const DOM::Node&)
    257,  // DOM::Comment::operator=(const DOM::Comment&)
    0,
    313,  // DOM::DOMString::DOMString(const QString&)
    314,  // DOM::DOMString::DOMString(const char*)
    0,
    354,  // DOM::Document::Document(const DOM::Document&)
    355,  // DOM::Document::Document(const DOM::Node&)
    0,
    356,  // DOM::Document::operator=(const DOM::Node&)
    357,  // DOM::Document::operator=(const DOM::Document&)
    0,
    409,  // DOM::DocumentFragment::DocumentFragment(const DOM::DocumentFragment&)
    410,  // DOM::DocumentFragment::DocumentFragment(const DOM::Node&)
    0,
    411,  // DOM::DocumentFragment::operator=(const DOM::Node&)
    412,  // DOM::DocumentFragment::operator=(const DOM::DocumentFragment&)
    0,
    417,  // DOM::DocumentStyle::operator=(const DOM::DocumentStyle&)
    418,  // DOM::DocumentStyle::operator=(const DOM::Document&)
    0,
    427,  // DOM::DocumentType::DocumentType(const DOM::Node&)
    426,  // DOM::DocumentType::DocumentType(const DOM::DocumentType&)
    0,
    429,  // DOM::DocumentType::operator=(const DOM::DocumentType&)
    428,  // DOM::DocumentType::operator=(const DOM::Node&)
    0,
    447,  // DOM::Element::Element(const DOM::Node&)
    448,  // DOM::Element::Element(const DOM::Element&)
    0,
    449,  // DOM::Element::operator=(const DOM::Node&)
    450,  // DOM::Element::operator=(const DOM::Element&)
    0,
    484,  // DOM::Entity::Entity(const DOM::Entity&)
    485,  // DOM::Entity::Entity(const DOM::Node&)
    0,
    486,  // DOM::Entity::operator=(const DOM::Node&)
    487,  // DOM::Entity::operator=(const DOM::Entity&)
    0,
    494,  // DOM::EntityReference::EntityReference(const DOM::EntityReference&)
    495,  // DOM::EntityReference::EntityReference(const DOM::Node&)
    0,
    496,  // DOM::EntityReference::operator=(const DOM::Node&)
    497,  // DOM::EntityReference::operator=(const DOM::EntityReference&)
    0,
    535,  // DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::Node&)
    534,  // DOM::HTMLAnchorElement::HTMLAnchorElement(const DOM::HTMLAnchorElement&)
    0,
    536,  // DOM::HTMLAnchorElement::operator=(const DOM::HTMLAnchorElement&)
    537,  // DOM::HTMLAnchorElement::operator=(const DOM::Node&)
    0,
    568,  // DOM::HTMLAppletElement::HTMLAppletElement(const DOM::Node&)
    567,  // DOM::HTMLAppletElement::HTMLAppletElement(const DOM::HTMLAppletElement&)
    0,
    569,  // DOM::HTMLAppletElement::operator=(const DOM::HTMLAppletElement&)
    570,  // DOM::HTMLAppletElement::operator=(const DOM::Node&)
    0,
    596,  // DOM::HTMLAreaElement::HTMLAreaElement(const DOM::HTMLAreaElement&)
    597,  // DOM::HTMLAreaElement::HTMLAreaElement(const DOM::Node&)
    0,
    598,  // DOM::HTMLAreaElement::operator=(const DOM::HTMLAreaElement&)
    599,  // DOM::HTMLAreaElement::operator=(const DOM::Node&)
    0,
    620,  // DOM::HTMLBRElement::HTMLBRElement(const DOM::Node&)
    619,  // DOM::HTMLBRElement::HTMLBRElement(const DOM::HTMLBRElement&)
    0,
    622,  // DOM::HTMLBRElement::operator=(const DOM::Node&)
    621,  // DOM::HTMLBRElement::operator=(const DOM::HTMLBRElement&)
    0,
    628,  // DOM::HTMLBaseElement::HTMLBaseElement(const DOM::HTMLBaseElement&)
    629,  // DOM::HTMLBaseElement::HTMLBaseElement(const DOM::Node&)
    0,
    630,  // DOM::HTMLBaseElement::operator=(const DOM::HTMLBaseElement&)
    631,  // DOM::HTMLBaseElement::operator=(const DOM::Node&)
    0,
    640,  // DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::Node&)
    639,  // DOM::HTMLBaseFontElement::HTMLBaseFontElement(const DOM::HTMLBaseFontElement&)
    0,
    642,  // DOM::HTMLBaseFontElement::operator=(const DOM::Node&)
    641,  // DOM::HTMLBaseFontElement::operator=(const DOM::HTMLBaseFontElement&)
    0,
    652,  // DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::HTMLBlockquoteElement&)
    653,  // DOM::HTMLBlockquoteElement::HTMLBlockquoteElement(const DOM::Node&)
    0,
    654,  // DOM::HTMLBlockquoteElement::operator=(const DOM::HTMLBlockquoteElement&)
    655,  // DOM::HTMLBlockquoteElement::operator=(const DOM::Node&)
    0,
    662,  // DOM::HTMLBodyElement::HTMLBodyElement(const DOM::Node&)
    661,  // DOM::HTMLBodyElement::HTMLBodyElement(const DOM::HTMLBodyElement&)
    0,
    663,  // DOM::HTMLBodyElement::operator=(const DOM::HTMLBodyElement&)
    664,  // DOM::HTMLBodyElement::operator=(const DOM::Node&)
    0,
    680,  // DOM::HTMLButtonElement::HTMLButtonElement(const DOM::HTMLButtonElement&)
    681,  // DOM::HTMLButtonElement::HTMLButtonElement(const DOM::Node&)
    0,
    683,  // DOM::HTMLButtonElement::operator=(const DOM::Node&)
    682,  // DOM::HTMLButtonElement::operator=(const DOM::HTMLButtonElement&)
    0,
    715,  // DOM::HTMLDListElement::HTMLDListElement(const DOM::HTMLDListElement&)
    716,  // DOM::HTMLDListElement::HTMLDListElement(const DOM::Node&)
    0,
    718,  // DOM::HTMLDListElement::operator=(const DOM::Node&)
    717,  // DOM::HTMLDListElement::operator=(const DOM::HTMLDListElement&)
    0,
    724,  // DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::HTMLDirectoryElement&)
    725,  // DOM::HTMLDirectoryElement::HTMLDirectoryElement(const DOM::Node&)
    0,
    727,  // DOM::HTMLDirectoryElement::operator=(const DOM::Node&)
    726,  // DOM::HTMLDirectoryElement::operator=(const DOM::HTMLDirectoryElement&)
    0,
    733,  // DOM::HTMLDivElement::HTMLDivElement(const DOM::HTMLDivElement&)
    734,  // DOM::HTMLDivElement::HTMLDivElement(const DOM::Node&)
    0,
    736,  // DOM::HTMLDivElement::operator=(const DOM::Node&)
    735,  // DOM::HTMLDivElement::operator=(const DOM::HTMLDivElement&)
    0,
    742,  // DOM::HTMLDocument::HTMLDocument(KHTMLView*)
    743,  // DOM::HTMLDocument::HTMLDocument(const DOM::HTMLDocument&)
    744,  // DOM::HTMLDocument::HTMLDocument(const DOM::Node&)
    0,
    745,  // DOM::HTMLDocument::operator=(const DOM::HTMLDocument&)
    746,  // DOM::HTMLDocument::operator=(const DOM::Node&)
    0,
    775,  // DOM::HTMLElement::HTMLElement(const DOM::Node&)
    774,  // DOM::HTMLElement::HTMLElement(const DOM::HTMLElement&)
    0,
    777,  // DOM::HTMLElement::operator=(const DOM::Node&)
    776,  // DOM::HTMLElement::operator=(const DOM::HTMLElement&)
    0,
    804,  // DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::Node&)
    803,  // DOM::HTMLFieldSetElement::HTMLFieldSetElement(const DOM::HTMLFieldSetElement&)
    0,
    806,  // DOM::HTMLFieldSetElement::operator=(const DOM::Node&)
    805,  // DOM::HTMLFieldSetElement::operator=(const DOM::HTMLFieldSetElement&)
    0,
    811,  // DOM::HTMLFontElement::HTMLFontElement(const DOM::HTMLFontElement&)
    812,  // DOM::HTMLFontElement::HTMLFontElement(const DOM::Node&)
    0,
    813,  // DOM::HTMLFontElement::operator=(const DOM::HTMLFontElement&)
    814,  // DOM::HTMLFontElement::operator=(const DOM::Node&)
    0,
    827,  // DOM::HTMLFormElement::HTMLFormElement(const DOM::HTMLFormElement&)
    828,  // DOM::HTMLFormElement::HTMLFormElement(const DOM::Node&)
    0,
    829,  // DOM::HTMLFormElement::operator=(const DOM::HTMLFormElement&)
    830,  // DOM::HTMLFormElement::operator=(const DOM::Node&)
    0,
    850,  // DOM::HTMLFrameElement::HTMLFrameElement(const DOM::HTMLFrameElement&)
    851,  // DOM::HTMLFrameElement::HTMLFrameElement(const DOM::Node&)
    0,
    853,  // DOM::HTMLFrameElement::operator=(const DOM::Node&)
    852,  // DOM::HTMLFrameElement::operator=(const DOM::HTMLFrameElement&)
    0,
    875,  // DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::Node&)
    874,  // DOM::HTMLFrameSetElement::HTMLFrameSetElement(const DOM::HTMLFrameSetElement&)
    0,
    877,  // DOM::HTMLFrameSetElement::operator=(const DOM::Node&)
    876,  // DOM::HTMLFrameSetElement::operator=(const DOM::HTMLFrameSetElement&)
    0,
    886,  // DOM::HTMLHRElement::HTMLHRElement(const DOM::Node&)
    885,  // DOM::HTMLHRElement::HTMLHRElement(const DOM::HTMLHRElement&)
    0,
    887,  // DOM::HTMLHRElement::operator=(const DOM::HTMLHRElement&)
    888,  // DOM::HTMLHRElement::operator=(const DOM::Node&)
    0,
    900,  // DOM::HTMLHeadElement::HTMLHeadElement(const DOM::HTMLHeadElement&)
    901,  // DOM::HTMLHeadElement::HTMLHeadElement(const DOM::Node&)
    0,
    902,  // DOM::HTMLHeadElement::operator=(const DOM::HTMLHeadElement&)
    903,  // DOM::HTMLHeadElement::operator=(const DOM::Node&)
    0,
    909,  // DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::HTMLHeadingElement&)
    910,  // DOM::HTMLHeadingElement::HTMLHeadingElement(const DOM::Node&)
    0,
    912,  // DOM::HTMLHeadingElement::operator=(const DOM::Node&)
    911,  // DOM::HTMLHeadingElement::operator=(const DOM::HTMLHeadingElement&)
    0,
    919,  // DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::Node&)
    918,  // DOM::HTMLHtmlElement::HTMLHtmlElement(const DOM::HTMLHtmlElement&)
    0,
    920,  // DOM::HTMLHtmlElement::operator=(const DOM::HTMLHtmlElement&)
    921,  // DOM::HTMLHtmlElement::operator=(const DOM::Node&)
    0,
    928,  // DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::Node&)
    927,  // DOM::HTMLIFrameElement::HTMLIFrameElement(const DOM::HTMLIFrameElement&)
    0,
    929,  // DOM::HTMLIFrameElement::operator=(const DOM::HTMLIFrameElement&)
    930,  // DOM::HTMLIFrameElement::operator=(const DOM::Node&)
    0,
    955,  // DOM::HTMLImageElement::HTMLImageElement(const DOM::HTMLImageElement&)
    956,  // DOM::HTMLImageElement::HTMLImageElement(const DOM::Node&)
    0,
    958,  // DOM::HTMLImageElement::operator=(const DOM::Node&)
    957,  // DOM::HTMLImageElement::operator=(const DOM::HTMLImageElement&)
    0,
    989,  // DOM::HTMLInputElement::HTMLInputElement(const DOM::Node&)
    988,  // DOM::HTMLInputElement::HTMLInputElement(const DOM::HTMLInputElement&)
    0,
    990,  // DOM::HTMLInputElement::operator=(const DOM::HTMLInputElement&)
    991,  // DOM::HTMLInputElement::operator=(const DOM::Node&)
    0,
    1041,  // DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::HTMLIsIndexElement&)
    1042,  // DOM::HTMLIsIndexElement::HTMLIsIndexElement(const DOM::Node&)
    0,
    1044,  // DOM::HTMLIsIndexElement::operator=(const DOM::Node&)
    1043,  // DOM::HTMLIsIndexElement::operator=(const DOM::HTMLIsIndexElement&)
    0,
    1052,  // DOM::HTMLLIElement::HTMLLIElement(const DOM::Node&)
    1051,  // DOM::HTMLLIElement::HTMLLIElement(const DOM::HTMLLIElement&)
    0,
    1053,  // DOM::HTMLLIElement::operator=(const DOM::HTMLLIElement&)
    1054,  // DOM::HTMLLIElement::operator=(const DOM::Node&)
    0,
    1063,  // DOM::HTMLLabelElement::HTMLLabelElement(const DOM::Node&)
    1062,  // DOM::HTMLLabelElement::HTMLLabelElement(const DOM::HTMLLabelElement&)
    0,
    1064,  // DOM::HTMLLabelElement::operator=(const DOM::HTMLLabelElement&)
    1065,  // DOM::HTMLLabelElement::operator=(const DOM::Node&)
    0,
    1074,  // DOM::HTMLLayerElement::HTMLLayerElement(const DOM::Node&)
    1073,  // DOM::HTMLLayerElement::HTMLLayerElement(const DOM::HTMLLayerElement&)
    0,
    1076,  // DOM::HTMLLayerElement::operator=(const DOM::Node&)
    1075,  // DOM::HTMLLayerElement::operator=(const DOM::HTMLLayerElement&)
    0,
    1089,  // DOM::HTMLLegendElement::HTMLLegendElement(const DOM::HTMLLegendElement&)
    1090,  // DOM::HTMLLegendElement::HTMLLegendElement(const DOM::Node&)
    0,
    1092,  // DOM::HTMLLegendElement::operator=(const DOM::Node&)
    1091,  // DOM::HTMLLegendElement::operator=(const DOM::HTMLLegendElement&)
    0,
    1102,  // DOM::HTMLLinkElement::HTMLLinkElement(const DOM::Node&)
    1101,  // DOM::HTMLLinkElement::HTMLLinkElement(const DOM::HTMLLinkElement&)
    0,
    1104,  // DOM::HTMLLinkElement::operator=(const DOM::Node&)
    1103,  // DOM::HTMLLinkElement::operator=(const DOM::HTMLLinkElement&)
    0,
    1128,  // DOM::HTMLMapElement::HTMLMapElement(const DOM::Node&)
    1127,  // DOM::HTMLMapElement::HTMLMapElement(const DOM::HTMLMapElement&)
    0,
    1129,  // DOM::HTMLMapElement::operator=(const DOM::HTMLMapElement&)
    1130,  // DOM::HTMLMapElement::operator=(const DOM::Node&)
    0,
    1138,  // DOM::HTMLMenuElement::HTMLMenuElement(const DOM::Node&)
    1137,  // DOM::HTMLMenuElement::HTMLMenuElement(const DOM::HTMLMenuElement&)
    0,
    1139,  // DOM::HTMLMenuElement::operator=(const DOM::HTMLMenuElement&)
    1140,  // DOM::HTMLMenuElement::operator=(const DOM::Node&)
    0,
    1147,  // DOM::HTMLMetaElement::HTMLMetaElement(const DOM::Node&)
    1146,  // DOM::HTMLMetaElement::HTMLMetaElement(const DOM::HTMLMetaElement&)
    0,
    1149,  // DOM::HTMLMetaElement::operator=(const DOM::Node&)
    1148,  // DOM::HTMLMetaElement::operator=(const DOM::HTMLMetaElement&)
    0,
    1162,  // DOM::HTMLModElement::HTMLModElement(const DOM::Node&)
    1161,  // DOM::HTMLModElement::HTMLModElement(const DOM::HTMLModElement&)
    0,
    1164,  // DOM::HTMLModElement::operator=(const DOM::Node&)
    1163,  // DOM::HTMLModElement::operator=(const DOM::HTMLModElement&)
    0,
    1173,  // DOM::HTMLOListElement::HTMLOListElement(const DOM::Node&)
    1172,  // DOM::HTMLOListElement::HTMLOListElement(const DOM::HTMLOListElement&)
    0,
    1175,  // DOM::HTMLOListElement::operator=(const DOM::Node&)
    1174,  // DOM::HTMLOListElement::operator=(const DOM::HTMLOListElement&)
    0,
    1186,  // DOM::HTMLObjectElement::HTMLObjectElement(const DOM::Node&)
    1185,  // DOM::HTMLObjectElement::HTMLObjectElement(const DOM::HTMLObjectElement&)
    0,
    1188,  // DOM::HTMLObjectElement::operator=(const DOM::Node&)
    1187,  // DOM::HTMLObjectElement::operator=(const DOM::HTMLObjectElement&)
    0,
    1228,  // DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::HTMLOptGroupElement&)
    1229,  // DOM::HTMLOptGroupElement::HTMLOptGroupElement(const DOM::Node&)
    0,
    1230,  // DOM::HTMLOptGroupElement::operator=(const DOM::HTMLOptGroupElement&)
    1231,  // DOM::HTMLOptGroupElement::operator=(const DOM::Node&)
    0,
    1239,  // DOM::HTMLOptionElement::HTMLOptionElement(const DOM::HTMLOptionElement&)
    1240,  // DOM::HTMLOptionElement::HTMLOptionElement(const DOM::Node&)
    0,
    1242,  // DOM::HTMLOptionElement::operator=(const DOM::Node&)
    1241,  // DOM::HTMLOptionElement::operator=(const DOM::HTMLOptionElement&)
    0,
    1260,  // DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::HTMLParagraphElement&)
    1261,  // DOM::HTMLParagraphElement::HTMLParagraphElement(const DOM::Node&)
    0,
    1262,  // DOM::HTMLParagraphElement::operator=(const DOM::HTMLParagraphElement&)
    1263,  // DOM::HTMLParagraphElement::operator=(const DOM::Node&)
    0,
    1270,  // DOM::HTMLParamElement::HTMLParamElement(const DOM::Node&)
    1269,  // DOM::HTMLParamElement::HTMLParamElement(const DOM::HTMLParamElement&)
    0,
    1271,  // DOM::HTMLParamElement::operator=(const DOM::HTMLParamElement&)
    1272,  // DOM::HTMLParamElement::operator=(const DOM::Node&)
    0,
    1284,  // DOM::HTMLPreElement::HTMLPreElement(const DOM::HTMLPreElement&)
    1285,  // DOM::HTMLPreElement::HTMLPreElement(const DOM::Node&)
    0,
    1287,  // DOM::HTMLPreElement::operator=(const DOM::Node&)
    1286,  // DOM::HTMLPreElement::operator=(const DOM::HTMLPreElement&)
    0,
    1293,  // DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::HTMLQuoteElement&)
    1294,  // DOM::HTMLQuoteElement::HTMLQuoteElement(const DOM::Node&)
    0,
    1295,  // DOM::HTMLQuoteElement::operator=(const DOM::HTMLQuoteElement&)
    1296,  // DOM::HTMLQuoteElement::operator=(const DOM::Node&)
    0,
    1303,  // DOM::HTMLScriptElement::HTMLScriptElement(const DOM::Node&)
    1302,  // DOM::HTMLScriptElement::HTMLScriptElement(const DOM::HTMLScriptElement&)
    0,
    1304,  // DOM::HTMLScriptElement::operator=(const DOM::HTMLScriptElement&)
    1305,  // DOM::HTMLScriptElement::operator=(const DOM::Node&)
    0,
    1324,  // DOM::HTMLSelectElement::HTMLSelectElement(const DOM::Node&)
    1323,  // DOM::HTMLSelectElement::HTMLSelectElement(const DOM::HTMLSelectElement&)
    0,
    1325,  // DOM::HTMLSelectElement::operator=(const DOM::HTMLSelectElement&)
    1326,  // DOM::HTMLSelectElement::operator=(const DOM::Node&)
    0,
    1352,  // DOM::HTMLStyleElement::HTMLStyleElement(const DOM::HTMLStyleElement&)
    1353,  // DOM::HTMLStyleElement::HTMLStyleElement(const DOM::Node&)
    0,
    1355,  // DOM::HTMLStyleElement::operator=(const DOM::Node&)
    1354,  // DOM::HTMLStyleElement::operator=(const DOM::HTMLStyleElement&)
    0,
    1366,  // DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::HTMLTableCaptionElement&)
    1367,  // DOM::HTMLTableCaptionElement::HTMLTableCaptionElement(const DOM::Node&)
    0,
    1369,  // DOM::HTMLTableCaptionElement::operator=(const DOM::Node&)
    1368,  // DOM::HTMLTableCaptionElement::operator=(const DOM::HTMLTableCaptionElement&)
    0,
    1375,  // DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::HTMLTableCellElement&)
    1376,  // DOM::HTMLTableCellElement::HTMLTableCellElement(const DOM::Node&)
    0,
    1378,  // DOM::HTMLTableCellElement::operator=(const DOM::Node&)
    1377,  // DOM::HTMLTableCellElement::operator=(const DOM::HTMLTableCellElement&)
    0,
    1413,  // DOM::HTMLTableColElement::HTMLTableColElement(const DOM::Node&)
    1412,  // DOM::HTMLTableColElement::HTMLTableColElement(const DOM::HTMLTableColElement&)
    0,
    1415,  // DOM::HTMLTableColElement::operator=(const DOM::Node&)
    1414,  // DOM::HTMLTableColElement::operator=(const DOM::HTMLTableColElement&)
    0,
    1431,  // DOM::HTMLTableElement::HTMLTableElement(const DOM::HTMLTableElement&)
    1432,  // DOM::HTMLTableElement::HTMLTableElement(const DOM::Node&)
    0,
    1433,  // DOM::HTMLTableElement::operator=(const DOM::HTMLTableElement&)
    1434,  // DOM::HTMLTableElement::operator=(const DOM::Node&)
    0,
    1472,  // DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::HTMLTableRowElement&)
    1473,  // DOM::HTMLTableRowElement::HTMLTableRowElement(const DOM::Node&)
    0,
    1474,  // DOM::HTMLTableRowElement::operator=(const DOM::HTMLTableRowElement&)
    1475,  // DOM::HTMLTableRowElement::operator=(const DOM::Node&)
    0,
    1497,  // DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::HTMLTableSectionElement&)
    1498,  // DOM::HTMLTableSectionElement::HTMLTableSectionElement(const DOM::Node&)
    0,
    1499,  // DOM::HTMLTableSectionElement::operator=(const DOM::HTMLTableSectionElement&)
    1500,  // DOM::HTMLTableSectionElement::operator=(const DOM::Node&)
    0,
    1516,  // DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::Node&)
    1515,  // DOM::HTMLTextAreaElement::HTMLTextAreaElement(const DOM::HTMLTextAreaElement&)
    0,
    1518,  // DOM::HTMLTextAreaElement::operator=(const DOM::Node&)
    1517,  // DOM::HTMLTextAreaElement::operator=(const DOM::HTMLTextAreaElement&)
    0,
    1552,  // DOM::HTMLTitleElement::HTMLTitleElement(const DOM::Node&)
    1551,  // DOM::HTMLTitleElement::HTMLTitleElement(const DOM::HTMLTitleElement&)
    0,
    1553,  // DOM::HTMLTitleElement::operator=(const DOM::HTMLTitleElement&)
    1554,  // DOM::HTMLTitleElement::operator=(const DOM::Node&)
    0,
    1560,  // DOM::HTMLUListElement::HTMLUListElement(const DOM::HTMLUListElement&)
    1561,  // DOM::HTMLUListElement::HTMLUListElement(const DOM::Node&)
    0,
    1562,  // DOM::HTMLUListElement::operator=(const DOM::HTMLUListElement&)
    1563,  // DOM::HTMLUListElement::operator=(const DOM::Node&)
    0,
    1575,  // DOM::KeyboardEvent::KeyboardEvent(const DOM::KeyboardEvent&)
    1576,  // DOM::KeyboardEvent::KeyboardEvent(const DOM::Event&)
    0,
    1578,  // DOM::KeyboardEvent::operator=(const DOM::Event&)
    1577,  // DOM::KeyboardEvent::operator=(const DOM::KeyboardEvent&)
    0,
    1591,  // DOM::LinkStyle::operator=(const DOM::Node&)
    1590,  // DOM::LinkStyle::operator=(const DOM::LinkStyle&)
    0,
    1609,  // DOM::MouseEvent::MouseEvent(const DOM::Event&)
    1608,  // DOM::MouseEvent::MouseEvent(const DOM::MouseEvent&)
    0,
    1611,  // DOM::MouseEvent::operator=(const DOM::Event&)
    1610,  // DOM::MouseEvent::operator=(const DOM::MouseEvent&)
    0,
    1630,  // DOM::MutationEvent::MutationEvent(const DOM::Event&)
    1629,  // DOM::MutationEvent::MutationEvent(const DOM::MutationEvent&)
    0,
    1631,  // DOM::MutationEvent::operator=(const DOM::MutationEvent&)
    1632,  // DOM::MutationEvent::operator=(const DOM::Event&)
    0,
    1764,  // DOM::Notation::Notation(const DOM::Notation&)
    1765,  // DOM::Notation::Notation(const DOM::Node&)
    0,
    1766,  // DOM::Notation::operator=(const DOM::Node&)
    1767,  // DOM::Notation::operator=(const DOM::Notation&)
    0,
    1774,  // DOM::ProcessingInstruction::ProcessingInstruction(const DOM::Node&)
    1773,  // DOM::ProcessingInstruction::ProcessingInstruction(const DOM::ProcessingInstruction&)
    0,
    1776,  // DOM::ProcessingInstruction::operator=(const DOM::ProcessingInstruction&)
    1775,  // DOM::ProcessingInstruction::operator=(const DOM::Node&)
    0,
    1797,  // DOM::Range::Range(const DOM::Document)
    1798,  // DOM::Range::Range(const DOM::Range&)
    0,
    1877,  // DOM::Text::Text(const DOM::Text&)
    1878,  // DOM::Text::Text(const DOM::Node&)
    0,
    1879,  // DOM::Text::operator=(const DOM::Node&)
    1880,  // DOM::Text::operator=(const DOM::Text&)
    0,
    1885,  // DOM::TextEvent::TextEvent(const DOM::TextEvent&)
    1886,  // DOM::TextEvent::TextEvent(const DOM::Event&)
    0,
    1888,  // DOM::TextEvent::operator=(const DOM::Event&)
    1887,  // DOM::TextEvent::operator=(const DOM::TextEvent&)
    0,
    1911,  // DOM::UIEvent::UIEvent(const DOM::UIEvent&)
    1912,  // DOM::UIEvent::UIEvent(const DOM::Event&)
    0,
    1914,  // DOM::UIEvent::operator=(const DOM::Event&)
    1913,  // DOM::UIEvent::operator=(const DOM::UIEvent&)
    0,
    1945,  // KHTMLPart::KHTMLPart(QWidget*)
    1949,  // KHTMLPart::KHTMLPart(KHTMLView*)
    0,
    1944,  // KHTMLPart::KHTMLPart(QWidget*, QObject*)
    1948,  // KHTMLPart::KHTMLPart(KHTMLView*, QObject*)
    0,
    1943,  // KHTMLPart::KHTMLPart(QWidget*, QObject*, KHTMLPart::GUIProfile)
    1947,  // KHTMLPart::KHTMLPart(KHTMLView*, QObject*, KHTMLPart::GUIProfile)
    0,
    1997,  // KHTMLPart::write(const QString&)
    1996,  // KHTMLPart::write(const char*)
    0,
};


void init_qt_Smoke();
void init_kde_Smoke();

static bool initialized = false;
Smoke *khtml_Smoke = 0;

// Create the Smoke instance encapsulating all the above.
void init_khtml_Smoke() {
    if (initialized) return;
    init_qt_Smoke();
    init_kde_Smoke();
    khtml_Smoke = new Smoke(
        "khtml",
        khtml_classes, 197,
        khtml_methods, 2384,
        khtml_methodMaps, 2107,
        khtml_methodNames, 2018,
        khtml_types, 1013,
        khtml_inheritanceList,
        khtml_argumentList,
        khtml_ambiguousMethodList,
        khtml_cast );
    initialized = true;
}
